<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'accredible', language 'en', branch 'MOODLE_37_STABLE'
 *
 * @package   accredible
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accredible:addinstance'] = 'Add a certificate/badge instance';
$string['accredible:manage'] = 'Manage a certificate/badge instance';
$string['accredible:student'] = 'Retrieve a certificate or badge';
$string['accredible:view'] = 'View a certificate or badge';
$string['achievementid'] = 'Achievement id / cohort name (must be unique)';
$string['activitydescription'] = 'This module automatically creates and updates a Credential Group on Accredible. Any certificates and badges issued are in this group and their appearance and information can be updated on <a href="https://dashboard.accredible.com" target="_blank">the dashboard</a>.';
$string['activityname'] = 'Activity name';
$string['additionalactivitiesone'] = 'Warning: You are adding more than one activity to a course.<br/>Both activities are viewable by students, so be sure to give them different names.';
$string['additionalactivitiesthree'] = 'This is the name that will appear on the ceriticate.';
$string['additionalactivitiestwo'] = 'Certificates/Badges will only be listed on the activity page if they were issued with this achievement id.';
$string['apikeyhelp'] = 'Enter your API key from accredible.com';
$string['apikeylabel'] = 'API key';
$string['autoissueheader'] = 'Automatic issuing criteria';
$string['certificatename'] = 'Certificate/Badge name';
$string['certificateurl'] = 'Certificate/Badge url';
$string['chooseexam'] = 'Choose final quiz';
$string['completionissuecheckbox'] = 'Yes, issue upon course completion';
$string['completionissueheader'] = 'Auto-issue criteria: by course completion';
$string['dashboardlink'] = 'Accredible dashboard link';
$string['dashboardlinktext'] = 'To delete or style credentials, log in to the <a href="https://dashboard.accredible.com" target="_blank">dashboard</a>';
$string['datecreated'] = 'Date created';
$string['description'] = 'Description';
$string['eventcertificatecreated'] = 'A credential was posted to Accredible';
$string['gotodashboard'] = 'To update the appearance of your badges and certificates, visit: <a href="https://dashboard.accredible.com" target="_blank">https://dashboard.accredible.com</a>';
$string['gradeissueheader'] = 'Auto-issue criteria: by final quiz grade';
$string['groupselect'] = 'Group';
$string['id'] = 'ID';
$string['indexheader'] = 'All certificates/badges for {$a}';
$string['issued'] = 'Issued';
$string['manualheader'] = 'Manually issue certificates/badges';
$string['modulename'] = 'Accredible certificates & badges';
$string['modulename_help'] = 'The Accredible certificate & badge activity module allows you to issue course certificates or badges to students on accredible.com.

Add the activity wherever you want your students see their certificate or badge.';
$string['modulename_link'] = 'mod/accredible/view';
$string['modulenameplural'] = 'Accredible certificates/badges';
$string['nocertificates'] = 'There are no certificates/badges';
$string['overview'] = 'Overview';
$string['passinggrade'] = 'Percentage grade needed to pass course (%)';
$string['pluginadministration'] = 'Accredible certificates/badges administration';
$string['pluginname'] = 'Accredible certificates & badges';
$string['recipient'] = 'Recipient';
$string['templatename'] = 'Cohort name (from dashboard)';
$string['unissueddescription'] = 'These users have met the requirements for this certificate but have not yet been issued a certificate. Select those you would like to issue certificates for.';
$string['unissuedheader'] = 'Unissued certificates/badges';
$string['usestemplatesdescription'] = 'Make sure you have a cohort on the dashboard with the same name as your achievement id.';
$string['viewheader'] = 'Certificates & badges for {$a}';
$string['viewimgcomplete'] = 'Click to view your certificate or badge';
$string['viewimgincomplete'] = 'Course still in progress';
$string['viewsubheader'] = 'Group ID: {$a}';
$string['viewsubheaderold'] = 'Achievement ID: {$a}';
