<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'assignfeedback_editpdfplus', language 'en', branch 'MOODLE_37_STABLE'
 *
 * @package   assignfeedback_editpdfplus
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addtoquicklist'] = 'Add to quicklist';
$string['admin_access_error'] = 'You are not allow to access this page, please contact your teacher or your manager: you need to be a course grader to customize the menu.';
$string['adminaddtool'] = 'Add a new tool';
$string['adminaddtool_messagelibelleko'] = '<strong>Warning!</strong> The button\'s label is not completed.';
$string['adminaddtool_messageok'] = 'Tool added';
$string['adminaxis'] = 'Axis';
$string['adminaxis_cancel'] = 'Cancel';
$string['adminaxisdelete_ko'] = 'No';
$string['adminaxisdelete_ok'] = 'Yes';
$string['adminaxisdelete_question'] = 'Are you sure to delete the selected axis?';
$string['adminaxisexport_ko'] = 'Cancel';
$string['adminaxisexport_ok'] = 'Export as model';
$string['adminaxisimport'] = 'Available axis to import';
$string['adminaxisimport_action'] = 'Import';
$string['adminaxisimport_delete'] = 'Delete';
$string['adminaxisimport_name'] = 'Name';
$string['adminaxisimporttitle'] = 'Axis importation';
$string['adminaxisimport_tool'] = 'Tools';
$string['adminaxis_save'] = 'Save';
$string['admincurrenttoolbar'] = 'Current toolbar';
$string['admindeltool_messageko'] = 'Error on delete';
$string['admindeltool_messageok'] = 'Tool deleted';
$string['adminedittool_messageok'] = 'Tool saved';
$string['adminexport_messageok'] = 'Axis exported as model succesfully';
$string['adminimport_messageok'] = 'Axis imported succesfully';
$string['admin_messageko'] = 'Error on registration';
$string['adminplugin_cartridge_color'] = 'Cartridge color';
$string['adminplugin_cartridge_color_desc'] = 'Cartridge\'s color';
$string['adminplugin_cartridge_x'] = 'Horizontal relative offset';
$string['adminplugin_cartridge_x_desc'] = 'Horizontal relative offset of the cartridge relative to the annotation in px';
$string['adminplugin_cartridge_y'] = 'Vertical relative offset';
$string['adminplugin_cartridge_y_desc'] = 'Vertical relative offset of the cartridge relative to the annotation in px';
$string['adminplugin_color'] = 'Color';
$string['adminplugin_color_desc'] = 'Annotation\'s color';
$string['adminsubtitle'] = 'Configuration of tools bar for advanded PDF annotation';
$string['admintitle'] = 'Feedback configuration';
$string['admintoolboxaction'] = 'Actions';
$string['admintoolboxannotation'] = 'Annotation';
$string['admintoolboxannotation_color'] = 'Color';
$string['admintoolboxannotation_reply'] = 'Question/answer';
$string['admintoolboxannotation_texts'] = 'Predefined texts';
$string['admintoolboxcartridge'] = 'Cartridge';
$string['admintoolboxcartridge_color'] = 'Color';
$string['admintoolboxcartridge_label'] = 'Label';
$string['admintoolboxtoolbardisplay'] = 'Toolbar display';
$string['admintoolboxtoolbardisplay_axis'] = 'Axis';
$string['admintoolboxtoolbardisplay_button'] = 'Button';
$string['admintoolboxtoolbardisplay_order'] = 'Order';
$string['admintoolboxtypetool'] = 'Tool type';
$string['admintoolboxtypetool_type'] = 'Type';
$string['admintools'] = 'Tools';
$string['annotationcolour'] = 'Annotation colour';
$string['assignmentgradedbody'] = '{$a->coursename} → {$a->modulename} → {$a->assignmentname}

The assignment correction has been updated.

You can access the document following this link: {$a->url}';
$string['assignmentgradedsubject'] = '[Moodle] Assignment updated';
$string['axis_add'] = 'Add a new axis';
$string['axis_label'] = 'Name';
$string['basepalette'] = 'Base annotation tools';
$string['basepalette_desc'] = 'The base annotation tool palette is defined <a href="{$a}">here</a> for the whole Moodle site. Teachers can then define their own tool palettes in their courses via the course administration menu.';
$string['black'] = 'Black';
$string['blue'] = 'Blue';
$string['cannotopenpdf'] = 'Cannot open the PDF. The file may be corrupt, or in an unsupported format.';
$string['clear'] = 'Clear';
$string['colourpicker'] = 'Colour picker';
$string['command'] = 'Command:';
$string['comment'] = 'Comments';
$string['commentcolour'] = 'Comment colour';
$string['commentcontextmenu'] = 'Comment context menu';
$string['couldnotsavepage'] = 'Could not save page {$a}';
$string['currentstamp'] = 'Stamp';
$string['default'] = 'Enabled by default';
$string['default_help'] = 'If set, this feedback method will be enabled by default for all new assignments.';
$string['deleteannotation'] = 'Delete annotation';
$string['deletecomment'] = 'Delete comment';
$string['deletefeedback'] = 'Delete feedback PDF';
$string['delete_model_question'] = 'Do you want to delete this model?';
$string['downloadablefilename'] = 'feedback.pdf';
$string['downloadfeedback'] = 'Download feedback PDF';
$string['draftchangessaved'] = 'Draft annotations saved';
$string['drag'] = 'Drag';
$string['editpdfplus'] = 'Annotate PDF advanced';
$string['editpdfplus_help'] = 'Annotate students submissions directly in the browser and produce an edited downloadable PDF.';
$string['editpdfplus:managetools'] = 'Manage toolbars';
$string['editpdfplus:notify'] = 'Receive notifications';
$string['editpdfplus:use'] = 'Use the plugin';
$string['enabled'] = 'Annotate PDF advanced';
$string['enabled_help'] = 'If enabled, the teacher will be able to create annotated PDF files when marking the assignments. This allows the teacher to add comments, drawing and stamps directly on top of the students work. The annotating is done in the browser and no extra software is required.';
$string['erase_student_annotation'] = 'Student\'s modifications';
$string['erase_student_annotation_desc'] = 'Student\'s modifications on annotations update';
$string['erase_student_on_update'] = 'Preserve student\'s modifications on annotations update';
$string['erase_student_on_update_desc'] = 'Preserve student\'s modifications on annotations update, default false';
$string['errorgenerateimage'] = 'Error generating image with ghostscript, debugging info: {$a}';
$string['errorpdfpage'] = 'There was an error while generating this page.';
$string['feedback_configuration'] = 'Feedback: configuration';
$string['filter'] = 'Filter comments...';
$string['generatefeedback'] = 'Generate feedback PDF';
$string['generatingpdf'] = 'Generating the PDF...';
$string['gotopage'] = 'Go to page';
$string['green'] = 'Green';
$string['gsimage'] = 'Ghostscript test image';
$string['help_highlight'] = 'Highlight an item in the document';
$string['help_stamp'] = 'Click where to place the stamp';
$string['help_table_titletype'] = 'Type';
$string['help_table_titleuse'] = 'Use';
$string['help_table_titlevisu'] = 'Visual';
$string['help_title'] = 'Help';
$string['help_verticalline'] = 'Click drag a vertical line in the document';
$string['highlight'] = 'Highlight';
$string['is_not_configurable'] = 'Is not configurable';
$string['is_not_configurable_desc'] = 'If checked, users won\'t be enabled to create or customize some tools from this type';
$string['jsrequired'] = 'JavaScript is required to annotate a PDF. Please enable JavaScript in your browser to use this feature.';
$string['launcheditor'] = 'Launch PDF editor...';
$string['line'] = 'Line';
$string['loadingeditor'] = 'Loading PDF editor';
$string['navigatenext'] = 'Next page';
$string['navigateprevious'] = 'Previous page';
$string['nodraftchangessaved'] = 'Changes saved';
$string['output'] = 'Output:';
$string['oval'] = 'Oval';
$string['pagenumber'] = 'Page {$a}';
$string['pagexofy'] = '{$a->page} / {$a->total}';
$string['partialwarning'] = 'Some of the files in this submission can only be accessed by direct download.';
$string['pathtogspathdesc'] = 'Please note that annotate PDF requires the path to ghostscript to be set in {$a}.';
$string['pen'] = 'Pen';
$string['pluginname'] = 'Annotate PDF advanced';
$string['preparesubmissionsforannotation'] = 'Prepare submissions for annotation';
$string['privacy:metadata:colourpurpose'] = 'Colour of the annotation';
$string['privacy:metadata:conversionpurpose'] = 'Files are converted to PDFs to allow for annotations.';
$string['privacy:metadata:filepurpose'] = 'Stores an annotated PDF with feedback for the user.';
$string['privacy:metadata:rawtextpurpose'] = 'Stores raw text for the quick data.';
$string['privacy:metadata:tablepurpose'] = 'Stores teacher specified quicklist comments';
$string['privacy:metadata:userid'] = 'The user ID';
$string['privacy:path'] = 'PDF Feedback';
$string['question_select'] = 'Question';
$string['question_select_with'] = 'With';
$string['question_select_without'] = 'Without';
$string['rectangle'] = 'Rectangle';
$string['red'] = 'Red';
$string['result'] = 'Result:';
$string['rotateleft'] = 'Rotate 90 degrees to the left';
$string['rotateright'] = 'Rotate 90 degrees to the right';
$string['searchcomments'] = 'Search comments';
$string['select'] = 'Select';
$string['send_pdf_update'] = 'Send';
$string['stamp'] = 'Stamp';
$string['stamppicker'] = 'Stamp picker';
$string['stamps'] = 'Stamps';
$string['stampsdesc'] = 'Stamps must be image files (recommended size: 40x40). These images can be used with the stamp tool to annotate the PDF.';
$string['statut_select'] = 'Status';
$string['statut_select_ko'] = 'no OK';
$string['statut_select_nc'] = 'Todo';
$string['statut_select_ok'] = 'OK';
$string['student_answer_lib'] = 'Answer';
$string['student_statut_nc'] = 'Todo';
$string['test_doesnotexist'] = 'The ghostscript path points to a non-existent file';
$string['test_empty'] = 'The ghostscript path is empty - please enter the correct path';
$string['testgs'] = 'Test ghostscript path';
$string['test_isdir'] = 'The ghostscript path points to a folder, please include the ghostscript program in the path you specify';
$string['test_notestfile'] = 'The test PDF is missing';
$string['test_notexecutable'] = 'The ghostscript path to a file that is not executable';
$string['test_ok'] = 'The ghostscript path appears to be OK - please check you can see the message in the image below';
$string['tool'] = 'Tool';
$string['toolbarbutton'] = '{$a->tool} {$a->shortcut}';
$string['typetool_commentplus'] = 'Advanced comment frame';
$string['typetool_commentplus_desc'] = 'Default configuration for tool "advanced comment frame"';
$string['typetool_frame'] = 'Framing elements with comment';
$string['typetool_frame_desc'] = 'Default configuration for tool "framing elements with comment"';
$string['typetool_highlightplus'] = 'Highlight with comment';
$string['typetool_highlightplus_desc'] = 'Default configuration for tool "highlight with comment"';
$string['typetool_stampcomment'] = 'Double arrow stamp with comment';
$string['typetool_stampcomment_desc'] = 'Default configuration for tool "double arrow stamp with comment"';
$string['typetool_stampplus'] = 'Stamp with custom text';
$string['typetool_stampplus_desc'] = 'Default configuration for tool "stamp with custom text"';
$string['typetool_verticalline'] = 'Vertical line with comment';
$string['typetool_verticalline_desc'] = 'Default configuration for tool "vertical line with comment"';
$string['viewfeedbackonline'] = 'View annotated PDF...';
$string['white'] = 'White';
$string['yellow'] = 'Yellow';
$string['yellowlemon'] = 'Lemon yellow';
