<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'assignment_team', language 'en', branch 'MOODLE_22_STABLE'
 *
 * @package   assignment_team
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['closemembership'] = 'Close Membership';
$string['createteam'] = 'Create Team';
$string['createteamerror'] = 'Team creation failed';
$string['createteam_help'] = 'Create Team';
$string['createteamlabel'] = 'Create new team with me as member';
$string['deleteteam'] = 'Delete Team';
$string['deleteteamconfirmation'] = 'Are you sure you wish to delete the team?';
$string['deleteteam_help'] = 'You may delete this team from the team assignment by selecting the \'Delete Team\' button.';
$string['deleteteamwarning'] = 'You cannot delete the team unless you are the only person in the team';
$string['editteam'] = 'Edit Team';
$string['editthesefiles'] = 'Edit these files';
$string['editthesefiles_help'] = 'Here you can edit your files in submissions draft.

*Note that you will be changing your team members\' submissions as well.*';
$string['existingteams'] = 'Existing Teams';
$string['existingteams_help'] = 'These are the teams that have already been created by other students for this specific team assignment. The number in the brackets after the team name shows how many students are already in that team. You may only join teams with an open status and one student can join no more than one team.

The minimum and maximum number of students allowed per team will depend on the assignment.';
$string['jointeam'] = 'Join Team';
$string['jointeamerror'] = 'Addition of new team member failed';
$string['jointeam_help'] = 'To join a team you need to choose a team from the list and click \'join team\'.';
$string['lastmembererror'] = 'The last team member cannot be removed';
$string['openmembership'] = 'Open Membership';
$string['pluginname'] = 'Team';
$string['removememberwhenmembershipclosed'] = 'Are you sure you wish to remove {$a} from the team? Since membership is closed you will not be able to re add them without opening team membership first.';
$string['removememberwhenmembershipopen'] = 'Are you sure you wish to remove {$a} from the team?';
$string['removeteammember'] = 'Remove Team Member';
$string['removeteammember_help'] = 'If someone accidentally joins your team, you can remove that person by selecting them and then selecting \'Remove Team Member\'.';
$string['sendformarking'] = 'Send for marking';
$string['sendformarking_help'] = 'Once you are ready to submit, click \'Send for marking\' to finalize.';
$string['team'] = 'Team';
$string['teamchangedwarning'] = 'This team has been modified by members. <br/> Please close this window and refresh your browser.<br/>';
$string['teamclosed'] = 'Membership is closed';
$string['teamclosedwarning'] = 'This team has been closed';
$string['teamgradesdiff'] = 'Team members have different grades';
$string['teammanager'] = 'Open/Close';
$string['teammanager_help'] = 'When a team is open, new team members can join. Closing a team stops new people from joining, preventing other people editing your submissions.


*Note: You can re-open your team after closing it.*
###Remove team member
You can remove team members by selecting then from the list. You can choose multiple members by selecting while holding the *control button* on your keyboard.
###Delete team
You can delete your team when you are alone in the team or simply select yourself and click \'Remove team member\'.';
$string['teammarkedwarning'] = 'You cannot modify this team because it has been marked';
$string['teammember'] = 'Team Members';
$string['teammember_help'] = 'These are the current members of the team.';
$string['teamname'] = 'Team Name';
$string['teamname_create'] = 'Team Name & Create Team';
$string['teamname_create_help'] = 'Here you enter the name of your team for this assignment. To create the team, select the \'Create Team\' button.
The team name you choose must not be the same as any other existing team name and it cannot be empty.


When you create a new team, you will automatically be added as a member of that team.


*Note you can be alone in a team by naming a team and clicking on \'create team\' and then on the \'close\' button.*';
$string['teamnameerror'] = 'Team name cannot be empty';
$string['teamnameexist'] = 'This team already exists';
$string['teamopen'] = 'Membership is open';
$string['teamsubmission'] = 'Team Submission';
$string['typeteam'] = 'Team Assignment';
$string['unkownerror'] = 'Unkown error';
$string['uploadfiles'] = 'Upload files';
$string['uploadfiles_help'] = 'Here you can upload your team submissions to a draft area before processing the final submission. Other team members can see the files and the marking for the assignment will be posted to all members as well.';
$string['viewmember'] = 'View Members';
$string['viewmember_help'] = 'Select a team to view its members.';
$string['viewmembersubmissions'] = 'View {$a} team submissions by team members';
$string['viewoneteamsubmissionbyteam'] = 'View 1 team submission by team';
$string['viewoneteamsubmissionbyteammembers'] = 'View 1 team submission by team members';
$string['viewteamsubmissions'] = 'View {$a} team submissions by team';
$string['warning'] = 'Warning';
