<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'assignsubmission_cloudpoodll', language 'en', branch 'MOODLE_38_STABLE'
 *
 * @package   assignsubmission_cloudpoodll
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['allowcloudpoodllsubmissions'] = 'Enabled';
$string['apisecret'] = 'Poodll API Secret';
$string['apisecret_details'] = 'The Poodll API secret. See <a href= "https://support.poodll.com/support/solutions/articles/19000083076-cloud-poodll-api-secret">here</a> for more details';
$string['apiuser'] = 'Poodll API User';
$string['apiuser_details'] = 'The Poodll account username that authorises Poodll on this site.';
$string['appauthorised'] = 'Assign Submission Cloud Poodll is authorised for this site.';
$string['appnotauthorised'] = 'Assign Submission Cloud Poodll  is NOT authorised for this site.';
$string['ar-ae'] = 'Arabic (Gulf)';
$string['ar-sa'] = 'Arabic (Modern Standard)';
$string['audioplaceholder'] = '[audio submitted]';
$string['awsregion'] = 'AWS Region';
$string['clicktohide'] = 'Hide current submission';
$string['clicktoshow'] = 'Show current submission';
$string['cloudpoodll'] = 'Cloud Poodll';
$string['cloudpoodllfilename'] = 'cloudpoodll.html';
$string['cloudpoodllsubmission'] = 'Allow Cloud Poodll submission';
$string['cloudpoodll:use'] = 'Allow use of Cloud Poodll submissions';
$string['credentialsinvalid'] = 'The API user and secret entered could not be used to get access. Please check them.';
$string['currentsubmission'] = 'Current Submission:';
$string['customdivider'] = '---------------{$a->customname} ("{$a->pluginname}")----------------';
$string['customname'] = 'Custom name';
$string['customnamedetails'] = 'Set a custom name for the submission field(ie not \'Recorder\') as displayed inside the plugin';
$string['de-ch'] = 'German (Swiss)';
$string['de-de'] = 'German (DE)';
$string['default'] = 'Enabled by default';
$string['default_help'] = 'If set, this submission method will be enabled by default for all new assignments.';
$string['defaultplayertype'] = 'Transcript display(teacher)';
$string['defaultplayertypedetails'] = 'Use the interactive or static transcript player if you are transcribing or show no transcript';
$string['defaultplayertypestudent'] = 'Transcript display(student)';
$string['defaultrecorder'] = 'Recorder Type';
$string['defaultrecorderdetails'] = '';
$string['deletesubmission'] = 'Delete this submission.';
$string['displayaudioplayerlist'] = 'Show audio player(lists)';
$string['displayaudioplayersingle'] = 'Show audio player(normal)';
$string['displaysizelist'] = 'Video player size(in lists)';
$string['displaysizelistdetails'] = '';
$string['displaysizesingle'] = 'Video player size(normal)';
$string['displaysizesingledetails'] = '';
$string['displaysubs'] = '{$a->subscriptionname} : expires {$a->expiredate}';
$string['divider'] = '---------------{$a}----------------';
$string['dublin'] = 'Dublin, Ireland';
$string['en-ab'] = 'English (Scotland)';
$string['enabled'] = 'Cloud Poodll';
$string['enabled_help'] = 'If enabled, students are able to record audio or video (as per the settings) for this assignment.';
$string['enabletranscode'] = 'Enable Transcode';
$string['enabletranscode_details'] = 'Cloud Poodll can transcode the recording to mp3/mp4';
$string['enabletranscription'] = 'Enable Transcription';
$string['enabletranscription_details'] = 'Cloud Poodll can transcribe the student speaking if required';
$string['en-au'] = 'English (AU)';
$string['en-gb'] = 'English (GB)';
$string['en-ie'] = 'English (Ireland)';
$string['en-in'] = 'English (IN)';
$string['en-us'] = 'English (US)';
$string['en-wl'] = 'English (Wales)';
$string['es-es'] = 'Spanish (ES)';
$string['es-us'] = 'Spanish (US)';
$string['expiredays'] = 'Cloud Poodll Days to keep file';
$string['fa-ir'] = 'Farsi';
$string['fallback'] = 'non-HTML5 Fallback';
$string['fallbackdetails'] = 'If the browser does not support HTML5 recording for the selected mediatype, fallback to an upload screen or a warning.';
$string['fallbackiosupload'] = 'iOS: upload, else warning';
$string['fallbackupload'] = 'Upload';
$string['fallbackwarning'] = 'Warning';
$string['forever'] = 'Never expire';
$string['frankfurt'] = 'Frankfurt, Germany';
$string['fr-ca'] = 'French (CA)';
$string['fr-fr'] = 'French (FR.)';
$string['he-il'] = 'Hebrew';
$string['hi-in'] = 'Hindi';
$string['id-id'] = 'Indonesian';
$string['it-it'] = 'Italian (IT)';
$string['ja-jp'] = 'Japanese';
$string['ko-kr'] = 'Korean';
$string['language'] = 'Cloud Poodll Speaker Language';
$string['london'] = 'London, U.K';
$string['ms-my'] = 'Malay';
$string['mumbai'] = 'Mumbai, India';
$string['nl-nl'] = 'Dutch';
$string['no'] = 'no';
$string['noapisecret'] = 'No API secret entered. This plugin will not work correctly.';
$string['noapiuser'] = 'No API user entered. This plugin will not work correctly.';
$string['nocredentials'] = 'API user and secret not entered. Please enter them on <a href="{$a}">the settings page.</a> You can get them from <a href="https://poodll.com/member">Poodll.com.</a>';
$string['nosubmission'] = 'Nothing has been submitted for this assignment';
$string['nosubscriptions'] = 'There is no current subscription for this site/plugin.';
$string['notokenincache'] = 'Refresh to see license information. Contact Poodll support if there is a problem.';
$string['novalidcredentials'] = 'API user and secret were rejected and could not gain access. Please check them on <a href="{$a}">the settings page.</a> You can get them from <a href="https://poodll.com/member">Poodll.com.</a>';
$string['numwords'] = '({$a} words)';
$string['ottawa'] = 'Ottawa, Canada';
$string['playertype'] = 'Cloud Poodll Transcript Display (teacher)';
$string['playertypedefault'] = 'No transcript.';
$string['playertypeinteractivetranscript'] = 'Interactive transcript';
$string['playertypestandardtranscript'] = 'Static transcript';
$string['playertypestudent'] = 'Cloud Poodll Transcript Display(student)';
$string['pluginname'] = 'Cloud Poodll submissions';
$string['privacy:metadata:assignmentid'] = 'Assignment identifier';
$string['privacy:metadata:cloudpoodllcom'] = 'The assignsubmission_cloudpoodll plugin stores recordings in AWS S3 buckets via cloud.poodll.com.';
$string['privacy:metadata:cloudpoodllcom:userid'] = 'The assignsubmission_cloudpoodll plugin includes the moodle userid in the urls of recordings.';
$string['privacy:metadata:filepurpose'] = 'File urls of submitted recordings.';
$string['privacy:metadata:fulltranscriptpurpose'] = 'The transcript with metadata for this attempt of the assignment.';
$string['privacy:metadata:submissionpurpose'] = 'The submission ID that links to submissions for the user.';
$string['privacy:metadata:tablepurpose'] = 'Stores the text and URLs that make the submission for each attempt.';
$string['privacy:metadata:transcriptpurpose'] = 'The transcript for this attempt of the assignment.';
$string['privacy:metadata:vttpurpose'] = 'The subtitle rendering of transcript for this attempt of the assignment.';
$string['privacy:path'] = 'Submission Text';
$string['pt-br'] = 'Portuguese (BR)';
$string['pt-pt'] = 'Portuguese (PT)';
$string['reallydeletesubmission'] = 'Really delete this submission?';
$string['recorder'] = 'Recorder Type';
$string['recorderaudio'] = 'Audio Recorder';
$string['recorderdisplayname'] = 'Recorder';
$string['recorderskin'] = 'Cloud Poodll Rec. Skin';
$string['recordertype'] = 'Cloud Poodll Rec. Type';
$string['recordervideo'] = 'Video Recorder';
$string['refreshtoken'] = 'Refresh license information';
$string['region'] = 'AWS Region';
$string['ru-ru'] = 'Russian';
$string['saopaulo'] = 'Sao Paulo, Brazil';
$string['setting_audio_heading'] = 'Audio player settings';
$string['setting_audio_heading_details'] = 'Settings controlling player appearance in submission review and list pages';
$string['setting_snapshot_heading'] = 'Snapshot image settings';
$string['setting_snapshot_heading_details'] = 'Settings controlling image appearance in submission review and list pages';
$string['setting_video_heading'] = 'Video player settings';
$string['setting_video_heading_details'] = 'Settings controlling player appearance in submission review and list pages';
$string['setting_whiteboard_heading'] = 'Whiteboard image settings';
$string['setting_whiteboard_heading_details'] = 'Settings controlling image appearance in submission review and list pages';
$string['showcurrentsubmission'] = 'Show Current Submission';
$string['showcurrentsubmissiondetails'] = 'Show previously recorded submission on submission form.';
$string['shownoimage'] = 'Do not display image';
$string['shownovideo'] = 'Do not display video';
$string['singapore'] = 'Singapore';
$string['skin123'] = 'One Two Three';
$string['skinbmr'] = 'Burnt Rose';
$string['skinfresh'] = 'Fresh (audio only)';
$string['skinonce'] = 'Once';
$string['skinplain'] = 'Plain';
$string['skinupload'] = 'Upload';
$string['sydney'] = 'Sydney, Australia';
$string['ta-in'] = 'Tamil';
$string['te-in'] = 'Telegu';
$string['timelimit'] = 'Cloud Poodll Rec. Time Limit';
$string['tokyo'] = 'Tokyo, Japan';
$string['transcriberamazon'] = 'Normal transcription';
$string['transcribergooglecloud'] = 'Fast transcription(audio only)';
$string['transcribernone'] = 'No transcription';
$string['transcripttitle'] = 'Transcript';
$string['tr-tr'] = 'Turkish';
$string['useast1'] = 'US East';
$string['videoplaceholder'] = '[video submitted]';
$string['yes'] = 'yes';
$string['zh-cn'] = 'Chinese (Mandarin-Mainland)';
