<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'assignsubmission_youtube', language 'en', branch 'MOODLE_26_STABLE'
 *
 * @package   assignsubmission_youtube
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['allowmanual'] = 'Enable YouTube URL submissions';
$string['allowmanualdetails'] = '';
$string['allowuploads'] = 'Enable file submissions';
$string['allowuploadsdetails'] = '';
$string['allowwebcam'] = 'Enable webcam submissions';
$string['allowwebcamdetails'] = '';
$string['authtype'] = 'Authentication Method';
$string['authtypedetails'] = '';
$string['bymaster'] = 'Use master YouTube account';
$string['byuser'] = 'Use students YouTube accounts';
$string['clicktoplayvideo'] = 'Click to play video';
$string['clicktorecordvideo'] = 'Click to Record Video';
$string['currentsubmission'] = 'Current Submission';
$string['default'] = 'Enabled by default';
$string['default_help'] = 'If set, this submission method will be enabled by default for all new assignments.';
$string['displaysizelist'] = 'YT Player size: summary';
$string['displaysizelistdetails'] = '';
$string['displaysizesingle'] = 'YT Player size: view assignment';
$string['displaysizesingledetails'] = '';
$string['enabled'] = 'YouTube submissions';
$string['enabled_help'] = 'If enabled, students are able to record a video via YouTube and submit it.';
$string['linkavideo'] = 'Submit a YouTube URL';
$string['linkavideodetails'] = 'Paste a YouTube URL into the textbox below. The URL will be submitted along with your assignment.<br />';
$string['linkonly'] = 'Link only';
$string['logintext'] = 'Login with Google to Upload';
$string['moodledefault'] = 'Moodle default';
$string['nodevkey'] = 'To upload, your administrator must specify their developer key in the admin settings for this plugin.';
$string['nomaster'] = 'To upload, your administrator must specify a master YouTube account and password.';
$string['nooauth2'] = 'To upload, your administrator must specify a Google OAUTH2 client id and secret.';
$string['nosubmission'] = 'Nothing has been submitted for this assignment';
$string['pleasesave'] = 'click the Save Changes button to finish.';
$string['pluginname'] = 'YouTube submissions';
$string['recordavideo'] = 'Record a Video';
$string['recordavideodetails'] = 'Record a video using the camera and microphone on your computer. First click the button to load the recorder. You will need to be logged in to YouTube/Google and grant permission to the recorder to use your camera and microphone.<br />';
$string['uploadavideo'] = 'Upload a Video';
$string['uploadavideodetails'] = 'Select a video from your computer or device, and upload it to the YouTube server. If your video is long, uploading could take a long time and may not be immediately available for playback.<br />';
$string['uploadfailed'] = 'Upload Failed';
$string['uploadsuccessful'] = 'Upload Successful';
$string['youtube'] = 'YouTube Submissions';
$string['youtubeclientid'] = 'Google OAUTH2 Client ID';
$string['youtubeclientiddetails'] = '';
$string['youtubedevkey'] = 'YouTube Developer Key';
$string['youtubedevkeydetails'] = '';
$string['youtubemasterheading'] = 'Authentication Settings for Master YouTube account';
$string['youtubemasterpass'] = 'YouTube master account password';
$string['youtubemasterpassdetails'] = '';
$string['youtubemasteruser'] = 'YouTube master account user';
$string['youtubemasteruserdetails'] = 'The YouTube master account will probably be an email address, but not always.';
$string['youtubeplayersizeheading'] = 'YouTube Player Size Settings';
$string['youtubesecret'] = 'Google OAUTH2 Client Secret';
$string['youtubesecretdetails'] = '';
$string['youtubestudentheading'] = 'Authentication Settings for Student by Student (OAUTH2)';
