<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_analytics_graphs', language 'en', branch 'MOODLE_38_STABLE'
 *
 * @package   block_analytics_graphs
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['access'] = 'Access';
$string['access_graph'] = 'Access Graph';
$string['access_to_contents'] = 'Content accesses';
$string['activities'] = 'Activities';
$string['add_all'] = 'Add all';
$string['add_task'] = 'Add assessment to chart';
$string['all_groups'] = 'Show all groups';
$string['analytics_graphs'] = 'Analytics Graphs';
$string['analytics_graphs:addinstance'] = 'Add a new AG block';
$string['analytics_graphs:bemonitored'] = 'User is monitored in the course';
$string['analytics_graphs:myaddinstance'] = 'Add a new AG block to the My Moodle page';
$string['analytics_graphs:viewpages'] = 'View graphs';
$string['begin_date'] = 'Begin date';
$string['btn_deselect_all'] = 'Deselect All';
$string['btn_select_all'] = 'Select All';
$string['btn_submit'] = 'Build Graph';
$string['contents'] = 'Contents';
$string['course'] = 'Course';
$string['date_sent'] = 'Date sent';
$string['days_by_week'] = 'Number of days by week with access';
$string['days_with_access'] = 'Days with access';
$string['displayhidden'] = 'Display hidden items';
$string['event_send_email'] = 'LA - Send email';
$string['event_view_graph'] = 'LA - View graph';
$string['forumchart_notposted'] = 'Forum discussions not participated';
$string['forumchart_notread'] = 'Forum discussions not read';
$string['forumchart_posted'] = 'Forum discussions participated';
$string['forumchart_read'] = 'Forum discussions read';
$string['grades'] = 'Grades';
$string['grades_chart'] = 'Grades chart';
$string['grades_chart_no_data'] = 'Use the buttons below to toggle the tasks displayed on the chart';
$string['grades_distribution'] = 'Assessment distribution';
$string['grades_mail_dialog_title'] = 'Students with grades smaller than or equal to';
$string['graphs'] = 'Graphs';
$string['hits'] = 'Course hits';
$string['hitschart_totalresourcechart'] = 'Total resource access chart';
$string['hitschart_totalweekaccesseschart'] = 'Total week accesses chart';
$string['hits_distribution'] = 'Hits distribution';
$string['info_coursetype'] = 'Course';
$string['in_time_ratio'] = 'On time ratio';
$string['in_time_submission'] = 'In time submission';
$string['largest_grade'] = 'Highest grade';
$string['late'] = 'Late';
$string['late_submission'] = 'Late submission';
$string['lbl_ccteachers'] = 'Send copies to other teachers in this course';
$string['legacy'] = 'Legacy (prior to 2.7)';
$string['lowest_grade'] = 'Lowest grade';
$string['mailcopyalert'] = 'Copy of Analytics Graphs message!  ----';
$string['message_text'] = 'Message Text';
$string['new_message'] = 'New message';
$string['no_access'] = 'No access';
$string['no_deadline'] = 'No deadline';
$string['no_graph'] = 'No data to generate graph';
$string['no_messages'] = 'This student has no messages';
$string['no_students'] = 'There are no students in the course';
$string['no_student_task'] = 'This assessment does not have students in the selected group';
$string['no_submission'] = 'No submission';
$string['no_submission_on_time'] = 'May submit';
$string['not_sent_message'] = 'Message sending error!';
$string['no_types_requested'] = 'No modules selected to base graph on.';
$string['number_of_students'] = 'Number of students';
$string['number_of_weeks'] = 'Number of weeks';
$string['old_log'] = 'old logs';
$string['old_messages'] = 'Messages sent';
$string['on_time'] = 'On time';
$string['options'] = 'Options';
$string['pluginname'] = 'Analytics Graphs';
$string['privacy:metadata'] = 'The Analytics Graphs block only displays existing calendar data.';
$string['ratio'] = 'Ratio';
$string['red_tooltip'] = 'No module was accessed in the last week';
$string['remove_all'] = 'Remove all';
$string['remove_task'] = 'Remove assessment from chart';
$string['resources'] = 'Resources';
$string['resources_by_week'] = 'Number of resources accessed by week';
$string['resources_with_access'] = 'Resources with access';
$string['select_items_to_display'] = 'Select items to display in graph';
$string['send_email'] = 'Send email';
$string['sender'] = 'Sender';
$string['sent_message'] = 'Message sent to Moodle queue.';
$string['startfrom'] = 'Start from';
$string['student_information'] = 'Information';
$string['students'] = 'Students';
$string['subfailed'] = 'Failed submission';
$string['subject'] = 'Subject';
$string['submission_ratio'] = 'Submission ratio';
$string['submissions'] = 'Submissions';
$string['submissions_assign'] = 'Assignment submissions';
$string['submissions_forumchart'] = 'Forum accesses';
$string['submissions_forumchart_posts'] = 'Forum Discussion Posts';
$string['submissions_forumchart_reads'] = 'Forum Discussion Reads';
$string['submissions_hotpot'] = 'Hotpot submissions';
$string['submissions_quiz'] = 'Quiz submissions';
$string['submissions_quizchart'] = 'Quiz submissions';
$string['submissions_turnitin'] = 'Turnitin submissions';
$string['subpassed'] = 'Passed submission';
$string['task_list'] = 'Assessment list';
$string['task_name'] = 'Assessments';
$string['timeaccesschart_activities_title'] = 'Number of student activities';
$string['timeaccesschart_button_apply'] = 'Apply';
$string['timeaccesschart_daysforstatistics'] = 'Days to base charts on:';
$string['timeaccesschart_maxdays'] = 'Maximum days available for statistics:';
$string['timeaccesschart_tip'] = 'Active students';
$string['timeaccesschart_title'] = 'Number of active students';
$string['title_access'] = 'Distribution of access to contents (resources, urls and pages)';
$string['title_students'] = 'Students';
$string['tooltip_grade_achievement'] = 'with grades inferior or equal to';
$string['topic'] = 'Topic';
$string['total_accessed_resources'] = 'Total accessed resources';
$string['total_grades'] = 'Number of grades';
$string['total_not_accessed_resources'] = 'Total not accessed resources';
$string['typename_activequiz'] = 'Active Quiz';
$string['typename_assign'] = 'Assignment';
$string['typename_attendance'] = 'Attendance Register';
$string['typename_bigbluebuttonbn'] = 'BigBlueButtonBN';
$string['typename_book'] = 'Book';
$string['typename_booking'] = 'Booking';
$string['typename_certificate'] = 'Certificate';
$string['typename_chat'] = 'Chat';
$string['typename_checklist'] = 'Checklist';
$string['typename_choice'] = 'Choice';
$string['typename_choicegroup'] = 'Group Choice';
$string['typename_customcert'] = 'Custom certificate';
$string['typename_data'] = 'Database';
$string['typename_dataform'] = 'Dataform';
$string['typename_feedback'] = 'Feedback';
$string['typename_folder'] = 'Folder';
$string['typename_forum'] = 'Forum';
$string['typename_game'] = 'Game';
$string['typename_glossary'] = 'Glossary';
$string['typename_groupselect'] = 'Group Self-Selection';
$string['typename_hotpot'] = 'HotPot';
$string['typename_hvp'] = 'Interactive Content';
$string['typename_icontent'] = 'Content Pages';
$string['typename_imscp'] = 'IMS Content Package';
$string['typename_label'] = 'Label';
$string['typename_lesson'] = 'Lesson';
$string['typename_lightboxgallery'] = 'Lightbox Gallery';
$string['typename_lti'] = 'External Tool';
$string['typename_openmeetings'] = 'OpenMeetings';
$string['typename_page'] = 'Page';
$string['typename_poster'] = 'Poster';
$string['typename_questionnaire'] = 'Questionnaire';
$string['typename_quiz'] = 'Quiz';
$string['typename_quizgame'] = 'Quizventure';
$string['typename_recordingsbn'] = 'RecordingsBN';
$string['typename_resource'] = 'File';
$string['typename_scheduler'] = 'Scheduler';
$string['typename_scorm'] = 'SCORM Package';
$string['typename_subcourse'] = 'Subcourse';
$string['typename_survey'] = 'Survey';
$string['typename_turnitintooltwo'] = 'Turnitin Assignment';
$string['typename_url'] = 'URL';
$string['typename_vpl'] = 'Virtual programming lab';
$string['typename_wiki'] = 'Wiki';
$string['typename_workshop'] = 'Workshop';
$string['under_development'] = 'Wait for next release!';
$string['week_number'] = 'Week number';
$string['yellow_tooltip'] = 'No module was accessed until now';
