<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_courseaward_vote', language 'en', branch 'MOODLE_23_STABLE'
 *
 * @package   block_courseaward_vote
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['admin-novotesummary'] = '(No summary to show)';
$string['admin-reportall'] = 'Click here for all reports.';
$string['admin-reportcourse'] = 'Click here for this course\'s report.';
$string['admin-reportmenu'] = 'Course Awards';
$string['admin-votesummary'] = '(Show/hide vote summary)';
$string['config_collect_notes'] = 'Collect notes?';
$string['config_note_true'] = 'If checked, collect notes. A text box will appear on-screen for brief texual feedback.<br />If not checked, do not collect notes. To vote, users click on a star only.';
$string['config_time'] = 'Vote timeout:';
$string['config_time_long'] = 'The amount of time, after voting, before a user can remove and their vote and (optionally) vote again.';
$string['courseaward_vote:admin'] = 'Administrate the Course Awards - Vote block';
$string['courseaward_vote:vote'] = 'Vote in the Course Awards - Vote block';
$string['error-cantunvoteyet'] = 'Can\'t change your vote yet.';
$string['error-courseidnotset'] = 'Course ID not set, for some reason.';
$string['error-dbinsert'] = 'Vote not recorded into the database for some reason.';
$string['error-dbupdate'] = 'Vote not updated in the database for some reason.';
$string['error-iefixfail'] = 'The code which fixes IE being rubbish has failed. Please use a better web browser to continue.';
$string['error-novoteid'] = 'Could not get ID for the vote for some reason.';
$string['error-useridnotset'] = 'User ID not set, for some reason.';
$string['error-voteoutofrange'] = 'Vote cast is out of range. Stop trying to hack the voting system!';
$string['note_get'] = '(Show/hide notes)';
$string['note_none'] = '(There are no notes)';
$string['note_noted'] = 'You noted:';
$string['novote-header'] = 'Sorry, you can\'t vote for this course.';
$string['pluginname'] = 'Course Awards - Vote';
$string['scoreavg1'] = 'With a total of';
$string['scoreavg2'] = 'votes, this course has a score of:<br /><span class="score">';
$string['scoreavg2sing'] = 'vote, this course has a score of:<br /><span class="score">';
$string['scoreavg3'] = 'out of 3 (';
$string['scoreavg4'] = '%)</span>';
$string['scoreavgalt'] = 'No votes yet, be the first!';
$string['scoreavgaltnonstudent'] = 'No votes yet.';
$string['user-alreadyvoted'] = 'You have already voted for this course. Your vote was:';
$string['user-clicktounvote'] = 'Remove vote?';
$string['user-clicktovote'] = 'Click on a <strong>star</strong> to vote for this course. Choose from: <br /><span class="smaller">(hover over each star for an explanation)</span>:';
$string['user-clicktovotetextbox'] = 'Type a brief note about your course (optional):';
$string['user-title'] = 'Vote for this course!';
$string['vote0'] = 'Inadequate: I do not use the course at all.';
$string['vote1'] = 'Satisfactory: The course is useful but it could have more information.';
$string['vote2'] = 'Good: I use the course regularly and it helps me on my course.';
$string['vote3'] = 'Outstanding! I could not do my course without Moodle!';
