<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_ekg', language 'en', branch 'MOODLE_22_STABLE'
 *
 * @package   block_ekg
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['blocks_or_words_value'] = 'Suggested value: 2 to 5';
$string['characters_per_block'] = 'Number of characters per block (not used if you are using words):';
$string['chars_per_block_value'] = 'Suggested value: 3 to 6';
$string['custom'] = 'Custom word list (place <em>\'.txt\'</em> files in \'wordlists/\' folder)';
$string['custom_file'] = 'Choose a custom word list:';
$string['five'] = 'Five letter words (e.g. SYNCH-PINGO-BUMPS)';
$string['footer_both'] = 'Use both \'Chosen from\' and \'Refresh\' options';
$string['footer_error'] = 'Error building the footer, sorry.';
$string['footer_none'] = 'No footer';
$string['footer_options'] = 'Footer options:';
$string['footer_options_desc'] = 'Choose how you want the footer of the block to appear, if at all.';
$string['footer-p'] = 'Refresh enrolment keys?';
$string['footer_refresh'] = 'Use a \'Refresh this page\' link';
$string['footer-s'] = 'Refresh enrolment key?';
$string['footer_wordlist'] = 'word list used.';
$string['footer_wordlist_hide'] = 'Don\'t show the word list\'s name';
$string['footer_wordlist_options'] = 'Custom word list options:';
$string['footer_wordlist_options_desc'] = 'Regardless of the above setting, also choose if you want the name of the custom word list to appear (when applicable).';
$string['footer_wordlist_show'] = 'Show the word list\'s name';
$string['footer_words'] = 'Use \'Chosen from n words\' (when applicable)';
$string['four'] = 'Four letter words (e.g. LAYS-LOWE-WOOL)';
$string['general_case'] = '<strong>Note:</strong> Using Title/Proper Case with random letters/numbers may produce odd results.';
$string['general_wordlist'] = '<strong>Note:</strong> Word lists are internal but contain almost every three, four and five letter word in the English language, British dialect.';
$string['hybrid'] = 'Hybrid of multiple key types (see below)';
$string['hybrid_custom-number'] = 'Custom Number';
$string['hybrid_custom-number-custom'] = 'Custom Number Custom';
$string['hybrid_custom-numbernumber'] = 'Custom NumberNumber';
$string['hybrid_custom-numbernumber-custom'] = 'Custom NumberNumber Custom';
$string['hybrid_custom-numbernumbernumber'] = 'Custom NumberNumberNumber';
$string['hybrid_custom-numbernumbernumber-custom'] = 'Custom NumberNumberNumber Custom';
$string['hybrid_five-four-three'] = 'Five Four Three';
$string['hybrid_five-numbernumber-three'] = 'Five NumberNumber Three';
$string['hybrid_five-number-three'] = 'Five Number Three';
$string['hybrid_options'] = 'Hybrid structure:';
$string['hybrid_three-four-five'] = 'Three Four Five';
$string['hybrid_three-number-five'] = 'Three Number Five';
$string['hybrid_three-numbernumber-five'] = 'Three NumberNumber Five';
$string['lllnnn'] = 'Letter-Letter-Letter-Number-Number-Number (e.g. ABC123-DEF456)';
$string['llnn'] = 'Letter-Letter-Number-Number (e.g. AB12-CD34-EF56)';
$string['ln'] = 'Letter-Number (e.g. A1-B2-C3)';
$string['lnln'] = 'Letter-Number-Letter-Number (e.g. A1B2-C3D4-E5F6)';
$string['lnlnln'] = 'Letter-Number-Letter-Number-Letter-Number (e.g. A1B2C3-D4E5F6)';
$string['lower'] = 'change to lowercase';
$string['none'] = 'No change (use for random letters of both cases)';
$string['number_of_blocks'] = 'Number of blocks of characters, or words:';
$string['number_of_keys'] = 'Number of keys to be generated with the above specification:';
$string['number_of_keys_note'] = 'You may only need one but create as many as you like.';
$string['pluginname'] = 'Enrolment Key Generator';
$string['pluginshortname'] = 'EKG';
$string['post-result'] = 'words.';
$string['prefix'] = 'Prefix';
$string['prefix_desc'] = 'Prefix (will appear exactly as typed without any case changes or separators):';
$string['pre-result'] = 'Chosen from';
$string['proper'] = 'Change To Title Case';
$string['rand'] = 'Alphanumeric characters (e.g. RW9-P4Z-73M)';
$string['rand_alpha'] = 'Alphabet characters only (e.g. SRB-PVM-RSU)';
$string['rand_numeric'] = 'Numbers only (e.g. 221-947-374)';
$string['separator'] = 'Separator:';
$string['separator_bslash'] = 'Back Slash (\\)';
$string['separator_colon'] = 'Colon (:)';
$string['separator_comma'] = 'Comma (,)';
$string['separator_dash'] = 'Dash/Minus (-)';
$string['separator_equals'] = 'Equals (=)';
$string['separator_fslash'] = 'Forward Slash (/)';
$string['separator_fullstop'] = 'Full Stop (.)';
$string['separator_nothing'] = 'Nothing';
$string['separator_pipe'] = 'Pipe (|)';
$string['separator_plus'] = 'Plus (+)';
$string['separator_space'] = 'Space ( )';
$string['separator_underscore'] = 'Underscore (_)';
$string['sha1'] = 'Random SHA-1 hash (e.g. DB3D6103BA081B5)';
$string['suffix'] = 'Suffix';
$string['suffix_desc'] = 'Suffix:';
$string['text_transform'] = 'Modify the case of the text?';
$string['three'] = 'Three letter words (e.g. NOT-PEA-CAN)';
$string['type_of_key'] = 'Type of key to be generated:';
$string['upper'] = 'CHANGE TO UPPERCASE';
