<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_exaport', language 'en', branch 'MOODLE_38_STABLE'
 *
 * @package   block_exaport
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['aboutme'] = 'About me';
$string['accessoptions'] = 'Access options';
$string['add'] = 'Add';
$string['addbookmark'] = 'Add bookmark';
$string['addButton'] = 'Add';
$string['addcategory'] = 'Add category';
$string['addcomment'] = 'Add comment';
$string['add_directory_structure'] = 'Add directory-structure';
$string['addposterror'] = 'There was an error adding this post in the database';
$string['addstdcat'] = 'import standard categories';
$string['add_this_file'] = 'add this file';
$string['attachincluded'] = 'Attachment?';
$string['attachment'] = 'Attachment';
$string['autofillview'] = 'Automatically add all available artefacts to this view';
$string['awaiting'] = '($a awaiting)';
$string['back'] = 'Back';
$string['backtocourse'] = 'Back to course';
$string['back_to_desp'] = 'back to language portfolio';
$string['badsessionkey'] = 'Bad Session Key';
$string['blockcontent'] = 'Block content';
$string['block_exaport_app_alloweditdelete_body'] = 'Only useful in combination with Exabis Competence Grid and dakora';
$string['block_exaport_app_alloweditdelete_head'] = 'Students are allowed to edit and delete items after teacher reviews';
$string['block_exaport_app_externaleportfolio_body'] = 'For App';
$string['block_exaport_app_externaleportfolio_head'] = 'Save files to mahara if checked, save to exaport if not checked';
$string['block_exaport_confirm_profilefield_create'] = 'Do you really want to add the required profile field?';
$string['block_exaport_confirm_profilefield_exists'] = 'Profile field for trusted teacher already exists';
$string['block_exaport_maxbytes'] = 'Maximum uploaded file size in Exabis ePortfolio';
$string['block_exaport_maxbytes_body'] = 'This specifies a maximum size that uploaded files can be throughout the Exabis ePortfolio.<br> Value for whole site is: {$a->sitemaxbytes}. See <a href="{$a->settingsurl}">settings</a>';
$string['block_exaport_multiplefilesinitem'] = 'Multiple files in "File" artifact';
$string['block_exaport_multiplefilesinitem_body'] = 'limit: 10 files';
$string['block_exaport_profilefield_created'] = 'Profile field for trusted teacher was added';
$string['block_exaport_teachercanseeartifactsofstudents_body'] = 'Trusted teachers have to be configured in their individual profiles and this will only work, if the option above has been activated.<br />{$a}The list of students for each trusted teacher are generated according to their course enrollments.<br />Students cannot disable this access. Access to other users can be given as before.';
$string['block_exaport_teachercanseeartifactsofstudents_configurationlink'] = 'Add required user profile field';
$string['block_exaport_teachercanseeartifactsofstudents_head'] = 'Teacher can see ALL artifacts of own students';
$string['block_exaport_userquota'] = 'User quota for Exabis ePortfolio';
$string['block_exaport_userquota_body'] = 'The maximum number of bytes that a user can store in their own Exabis ePortfolio.<br> Value for whole site is: {$a->bytes}. See <a href="{$a->settingsurl}">settings</a>';
$string['blocktitle'] = 'Exabis ePortfolio';
$string['blocktitle2'] = 'Block title';
$string['bookmarknotfound'] = 'Bookmark not found';
$string['bookmarksall'] = 'All Items';
$string['bookmarksfiles'] = 'Files';
$string['bookmarkslinks'] = 'Links';
$string['bookmarksnotes'] = 'Notes';
$string['browsecategory'] = 'Browse this category';
$string['browseportfolio'] = 'Browse this portfolio';
$string['cancelButton'] = 'Cancel';
$string['categories'] = 'Categories';
$string['category'] = 'Category';
$string['categorydeleted'] = 'Category deleted.';
$string['categoryedited'] = 'Category saved.';
$string['categoryhead'] = 'Category name';
$string['categorynotempty'] = 'You have to choose a category.';
$string['category_not_found'] = 'Category not found';
$string['categorysaved'] = 'Category added.';
$string['category_up'] = 'back to Parent Category';
$string['change'] = 'Change';
$string['change_layout'] = 'Change Layout';
$string['checkall'] = 'Check all';
$string['chooselayout'] = 'Select how you would like the columns in your page to be laid out.';
$string['clearAllFilers'] = 'Clear all filters';
$string['clicktodownloadscorm'] = 'Press button to download the SCORM file:';
$string['close'] = 'close';
$string['cofigureblock'] = 'Configure Block';
$string['cofigureblock_badge'] = 'Choose Badges';
$string['cofigureblock_cvinfo'] = 'Choose cv info';
$string['cofigureblock_cvinfo_certif'] = 'Certifications, accreditations and awards';
$string['cofigureblock_cvinfo_education_history'] = 'Education history';
$string['cofigureblock_cvinfo_employment_history'] = 'Employment history';
$string['cofigureblock_cvinfo_goals'] = 'My goals';
$string['cofigureblock_cvinfo_interests'] = 'Interests';
$string['cofigureblock_cvinfo_mbrship'] = 'Professional memberships';
$string['cofigureblock_cvinfo_public'] = 'Books and publications';
$string['cofigureblock_cvinfo_skills'] = 'My skills';
$string['cofigureblock_cvinfo_withfiles'] = 'With attachment files';
$string['cofigureblock_header'] = 'Choose headline';
$string['cofigureblock_item'] = 'Choose item';
$string['cofigureblock_media'] = 'Choose media';
$string['cofigureblock_personalinfo'] = 'Choose personal info';
$string['cofigureblock_text'] = 'Choose text';
$string['comment'] = 'Comment';
$string['comment_delete_confirmation'] = 'Do you really want to delete this comment?';
$string['commentnotfound'] = 'Comment not found';
$string['comments'] = 'Comments';
$string['commentshouldnotbeempty'] = 'You have to enter a comment.';
$string['competenceinteraction'] = 'Allow interaction with block Exabis Competence Grid, in case it is installed';
$string['competences'] = 'competences';
$string['competences_old_version'] = 'An outdated version of Exabis Competences that is no longer supported by Exabis Eportfolio is installed on this moodle.';
$string['config_feature_copy_to_course'] = 'Allow students to copy ePortfolio files to their courses';
$string['contactcomps'] = 'Contract all';
$string['copycategory'] = 'Copy to my Portfolio';
$string['copyitemtocourse'] = 'Copy to course';
$string['couldninsertcomment'] = 'Couldn\'t insert comment!';
$string['couldntcopyfile'] = 'Couldn\'t copy file for $a! File not imported.';
$string['couldntcreatedirectory'] = 'Couldn\'t create directory';
$string['couldntcreatetempdir'] = 'Couldn\'t create temporary directory!';
$string['couldntextractscormfile'] = 'Couldn\'t extract SCORM-file!';
$string['couldntinsert'] = 'Couldn\'t insert $a into database';
$string['couldntinsertcategory'] = 'Could not insert category!';
$string['couldntinsertdesc'] = 'Could not insert the description!';
$string['couldntupdatecategory'] = 'Could not update category!';
$string['couldntupdatedesc'] = 'Could not update your description!';
$string['course'] = 'Course';
$string['create_as_note'] = 'Create as Artefact';
$string['createepxexport'] = 'Create EPX-File';
$string['createexport'] = 'Create SCORM-File';
$string['createexport_directory'] = 'Create Directory-structure';
$string['createpage'] = 'Drag and drop content blocks from the tabs below to create your page.';
$string['current_category'] = 'Current Category';
$string['cvinformation'] = 'CV Information';
$string['date'] = 'Date';
$string['delete'] = 'Delete';
$string['delete_all_shareall'] = 'Delete all shareall?';
$string['deletecategoryconfirm'] = 'Do you really want to delete the category "{$a->name}"? All entries in this category and all subcategories will be deleted!';
$string['deletefileconfirm'] = 'Do you really want to delete this file?';
$string['deletelinkconfirm'] = 'Do you really want to delete this link?';
$string['deletenoteconfirm'] = 'Do you really want to delete this note?';
$string['deleteposterror'] = 'Error occured while deleting post';
$string['descriptionsaved'] = 'Description saved';
$string['deselectall'] = 'Deselect All';
$string['desp_categories'] = 'stories, roleplays, essays, collagen
    curriculum vitae
    reviews of theatre productions, exhibitions
    project reports and reflections
    audio- and videoclips
    encounters with other nationalities
    thoughts about your language skills
    report cards
    certificates
    acknowledgements
    listening
     - individual work
     - partner work
     - group work
    reading
     - individual work
     - partner work
     - group work
    participating in conversations
     - individual work
     - partner work
     - group work
    speaking fluently
     - individual work
     - partner work
     - group work
    writing
     - individual work
     - partner work
     - group work';
$string['desp_einleitung'] = 'Here is your portfolio. You can show others what you have accomplished by yourself.';
$string['desp_language'] = 'Desp Language';
$string['desp_pluginname'] = 'Dossier';
$string['details'] = 'Details';
$string['developed'] = 'developed by';
$string['dontincludeurl'] = 'Check this box to unassociate the bookmark with the URL';
$string['download'] = 'Download';
$string['download_pdf'] = 'Download as Pdf';
$string['duplicatedurl'] = 'You already have this URL bookmarked.';
$string['edit'] = 'Edit';
$string['editcategories'] = 'edit categories';
$string['emailaccess'] = 'Share by Email';
$string['emailaccessdescription'] = 'Input an email address per line<br />Each email will receive a unique link with access to this view. Deleting the email will remove access to this view.';
$string['emailaccessmessage'] = 'Hello! {$a->sendername} has shared the view "{$a->viewname}" for you. You can view it here: {$a->url}';
$string['emailaccessmessageHTML'] = 'Hello!<br />{$a->sendername} has shared the view "{$a->viewname}" for you.<br />You can view it <a href="{$a->url}">here</a>.';
$string['emailaccessmessagesubject'] = 'New shared View for you';
$string['endedit'] = 'End editing';
$string['enrolled_courses'] = 'Related with courses';
$string['exaport:addinstance'] = 'add Exabis ePortfolio to the course';
$string['exaport:allowposts'] = 'Allow posting';
$string['exaport:competences'] = 'Allow competences';
$string['exaport:export'] = 'Export of SCORM-Files';
$string['exaport:import'] = 'Import of SCORM-Files';
$string['exaport:importfrommoodle'] = 'Import from Moodle';
$string['exaport:myaddinstance'] = 'add Exabis ePortfolio on My home';
$string['exaport:shareextern'] = 'External sharing of views';
$string['exaport:shareintern'] = 'Internal sharing of views';
$string['exaport:use'] = 'Use allowed';
$string['exaport:viewartifactsfromstudents'] = 'Can see portfolio artifacts of own students';
$string['expandcomps'] = 'Expand all';
$string['explaincategories'] = 'Categories: here you can create and modify categories';
$string['explainexport'] = 'Export your portfolio here.';
$string['explainimport'] = 'Here you can import a SCORM-File into the portfolio. If markers from previous exports are found the import tries to import the data in the existing filestructure.';
$string['explaining'] = 'The Portfolio may be used to store web addresses, files, as well as enter notes that may contain insights or little notes the user may wish to write down.';
$string['explainingall'] = 'All Items in your portfolio';
$string['explainingfile'] = 'Files. These files may be shared with all authorized course members.';
$string['explaininglink'] = 'Links.  These links may be shared with all authorized course members.';
$string['explainingnote'] = 'Notes. These notes may be shared with all authorized course members.';
$string['explainingshare'] = 'To allow a participant to see the link, click on their name and then click on Save Changes. You can choose more than one participant.';
$string['explainingshared'] = 'These participants have shared some of their external links, files or notes.';
$string['explainingsharefile'] = 'To allow a participant to see the file, click on their name and then click on Save Changes.  You can choose more than one participant.';
$string['explainingsharenote'] = 'To allow a participant to see the note, click on their name and then click on Save Changes.  You can choose more than one participant.';
$string['explainingviews'] = 'Manage your views.';
$string['explainpersonal'] = 'Personal information';
$string['export'] = 'Export SCORM-File';
$string['exportcomment'] = 'This is an exported file from Exabis ePortfolio. Please do not remove the comments, they are needed for the import!';
$string['export_directory'] = 'Export Directory-structure';
$string['exportepx'] = 'Export EPX-File';
$string['exportviewselect'] = 'To export all items of a specific view, please select it here';
$string['externaccess'] = 'external ePortfolio-Link';
$string['externalaccess'] = 'External Access';
$string['externcomment'] = 'Share comments in external portfolio';
$string['fieldstoshow'] = 'Fields to show';
$string['file'] = 'File';
$string['filecopiedtocourse'] = 'File copied to course $a->coursename under the name of $a->filename';
$string['filenotfound'] = 'File not found';
$string['filetypenotdetected'] = 'Filetype of $a->filename ($a->title) could not be detected. File not imported!';
$string['filterByTag'] = 'Filter by tag';
$string['firstname'] = 'First name';
$string['firstnameshared'] = 'First Name';
$string['go'] = 'Go!';
$string['gradeitem'] = 'Grade the item';
$string['grouptitle'] = 'Group title';
$string['headertext'] = 'Headertext';
$string['height'] = 'Height';
$string['hidesummary'] = '(hide summary)';
$string['iconfile'] = 'Icon picture';
$string['iconfile_merge'] = 'Merge this icon picture with the folder icon';
$string['iconfile_merge_description'] = 'Icon picture will try (without any guarantee) to merge with standard folder icon. The icon will be replaced with the new image.';
$string['import'] = 'Import';
$string['importedcommentsend'] = 'End of imported comments';
$string['importedcommentsstart'] = 'Imported comments:<br /><br />';
$string['importexport'] = 'Import/Export';
$string['in'] = 'at';
$string['incompatible_video'] = 'To view this video please use the direct link: {$a->link}';
$string['incorrectlinksid'] = 'Incorrect links post id';
$string['incorrectnoteid'] = 'Incorrect note id';
$string['internalaccess'] = 'Internal Access';
$string['internalaccessall'] = 'Access for <span class=\'block_eportfolio_bold\'>all</span>';
$string['internalaccessgroups'] = 'Access only for the following groups';
$string['internalaccessusers'] = 'Access only for the following users';
$string['intro'] = 'Content';
$string['intronotempty'] = 'You have to enter a content.';
$string['invalidassignmentid'] = 'Invalid assignment id';
$string['invalidcourseid'] = 'That\'s an invalid course id';
$string['invalidfileatthisassignment'] = 'File does not exist at this assignment!';
$string['invalidinstance'] = 'That\'s an invalid instance';
$string['i_shared'] = 'I shared an eportfolio view with you';
$string['item'] = 'Item';
$string['itemgrading'] = 'Grading';
$string['items'] = 'Items';
$string['lang_categories'] = '';
$string['lastname'] = 'Last name';
$string['link'] = 'Link';
$string['linkedfilenotfound'] = 'File $a->filename in $a->url ($a->title) was not found. File not imported!';
$string['listofartefacts'] = 'List of Artefacts';
$string['listofbadges'] = 'List of Badges';
$string['loginasmode'] = 'You can\'t access portfolios in \'Login As\'-Mode.';
$string['mailadress'] = 'Email adress';
$string['maincategory'] = 'Main category';
$string['makeimport'] = 'Import';
$string['make_it_yours'] = 'Make it yours';
$string['managecategories'] = 'Manage categories';
$string['mandatoryfields'] = 'The field\'s name, category and intro are required. Please fill them in.';
$string['mandatoryfieldsforcat'] = 'The field name is required. Please fill them in.';
$string['media'] = 'Media';
$string['media_allowed_notes'] = 'URLs from the following sites are allowed:';
$string['mediacontent'] = 'URL or embed code *';
$string['membercount'] = 'Number of members';
$string['messageprovider:sharing'] = 'Sharing notifications';
$string['moodleimport'] = 'Import from Moodle-assignments';
$string['movebottom'] = 'Move bottom';
$string['movetop'] = 'Move top';
$string['myfilearea'] = 'My file area';
$string['myportfolio'] = 'My Portfolio Artifacts';
$string['myportfoliotitle'] = 'Exabis ePortfolio module: Add your links and files here.';
$string['name'] = 'Name';
$string['new'] = 'New';
$string['newfile'] = 'Add new file';
$string['newlink'] = 'Add new link';
$string['newnote'] = 'Add new note';
$string['newview'] = 'Add View';
$string['nobookmarksall'] = '(no items yet)';
$string['nobookmarksfile'] = '(no files yet)';
$string['nobookmarkslink'] = '(no links yet)';
$string['nobookmarksnote'] = '(no notes yet)';
$string['nocategories'] = '(no categories yet)';
$string['nocoursetogether'] = 'No Course';
$string['noemails'] = 'no email adress available';
$string['noentry'] = 'No entry';
$string['nogroupsfound'] = 'No groups found';
$string['noguestpost'] = 'Guests don\'t have access here!';
$string['nomail'] = 'no email';
$string['nomoodleimportyet'] = 'At the moment you have no submission at any assignment!';
$string['nopicture'] = 'no picture';
$string['noprofilepicture'] = 'no profile picture available';
$string['note'] = 'Note';
$string['notetitle'] = 'Note';
$string['nothingshared'] = 'Nobody is sharing a portfolio with you';
$string['nothingstructureshared'] = 'Nobody is sharing a structure with you';
$string['notify'] = 'notify';
$string['nouserforaccess'] = 'User not found (access-code unknown)';
$string['nouserforid'] = 'User not found (id unknown)';
$string['nousersfound'] = 'No users found';
$string['noviews'] = 'Please create a new View';
$string['opencomps'] = 'Choose your competences';
$string['othercourses'] = 'other courses';
$string['other_groups_course'] = 'Other courses';
$string['other_users_course'] = 'Users not in my courses';
$string['personal'] = 'Information';
$string['personalinformation'] = 'Personal Information';
$string['pluginname'] = 'Exabis ePortfolio';
$string['profilepicture'] = 'Profile picture';
$string['publishedportfolios'] = 'Published portfolios';
$string['resume_badges'] = 'Badges';
$string['resume_certif'] = 'Certifications, accreditations and awards';
$string['resume_certifdeleted'] = 'Certification, accreditation or award deleted';
$string['resume_certifsaved'] = 'Certification, accreditation or award saved';
$string['resume_collaps'] = 'Collaps all';
$string['resume_contribution'] = 'Contribution';
$string['resume_contributiondetails'] = 'Details of your contribution';
$string['resume_cover'] = 'Cover letter';
$string['resume_coversaved'] = 'Cover saved';
$string['resume_date'] = 'Date';
$string['resume_deletecertifconfirm'] = 'Do you really want to delete this certification, accreditation or award?';
$string['resume_deleteeduconfirm'] = 'Do you really want to delete this education?';
$string['resume_deleteemployconfirm'] = 'Do you really want to delete this employment?';
$string['resume_deletembrshipconfirm'] = 'Do you really want to delete this membership?';
$string['resume_deletepublicconfirm'] = 'Do you really want to delete this book or publication?';
$string['resume_description'] = 'Description';
$string['resume_edu'] = 'Education';
$string['resume_edudeleted'] = 'Education deleted';
$string['resume_eduhistory'] = 'Education history';
$string['resume_edusaved'] = 'Education saved';
$string['resume_employ'] = 'Employment';
$string['resume_employdeleted'] = 'Employment deleted';
$string['resume_employer'] = 'Employer';
$string['resume_employeraddress'] = 'Employer address';
$string['resume_employhistory'] = 'Employment history';
$string['resume_employsaved'] = 'Employment saved';
$string['resume_enddate'] = 'End date';
$string['resume_expand'] = 'Expand all';
$string['resume_exportto_europass'] = 'Export to Europass';
$string['resume_exportto_europass_getXML'] = 'Download XML';
$string['resume_exportto_europass_intro'] = 'You can generate your Curriculum Vitae from your Exaport resume<br>
    The generated XML-file has to be inserted into the <a href="https://europass.cedefop.europa.eu/editors/en/cv-esp/upload" target="_blank">online europass CV editor</a><br><br>
    Some notes:<br>
    <ul><li>You definitely need to check out the resulting CV</li>
        <li>Your personal data will be taken from your Moodle account</li>
        <li>Please check all dates</li>
        <li>Images from the HTML-editors will not be exported</li>
        <li>Most texts from the HTML-editors need to be reformatted</li>
        <li>Requirements for attached files: accepted formats: PDF, PNG, JPG; size limit: 2.5MB.</li>
    </ul>';
$string['resume_files'] = 'Attachments';
$string['resume_goals'] = 'Goals';
$string['resume_goalsacademic'] = 'Academic goals';
$string['resume_goalsacademicsaved'] = 'Academic goals saved';
$string['resume_goalscareers'] = 'Career goals';
$string['resume_goalscareerssaved'] = 'Careers goals saved';
$string['resume_goalscomp'] = 'Educational standards';
$string['resume_goalspersonal'] = 'Personal goals';
$string['resume_goalspersonalsaved'] = 'Personal goals saved';
$string['resume_institution'] = 'Institution';
$string['resume_institutionaddress'] = 'Institution address';
$string['resume_interests'] = 'Interests';
$string['resume_interestssaved'] = 'Interests saved';
$string['resume_jobtitle'] = 'Job title';
$string['resume_mbrship'] = 'Professional memberships';
$string['resume_mbrshipdeleted'] = 'Membership deleted';
$string['resume_mbrshipsaved'] = 'Membership saved';
$string['resume_my'] = 'My CV';
$string['resume_mygoals'] = 'My goals';
$string['resume_myskills'] = 'My skills';
$string['resume_position'] = 'Position';
$string['resume_positiondescription'] = 'Position description';
$string['resume_public'] = 'Books and publications';
$string['resume_publicdeleted'] = 'Book or publication deleted';
$string['resume_publicsaved'] = 'Books and publications saved';
$string['resume_qualdescription'] = 'Qualification description';
$string['resume_qualification'] = 'Qualification';
$string['resume_qualname'] = 'Qualification name';
$string['resume_qualtype'] = 'Qualification type';
$string['resume_skills'] = 'Skills';
$string['resume_skillsacademic'] = 'Academic skills';
$string['resume_skillsacademicsaved'] = 'Academic skills saved';
$string['resume_skillscareers'] = 'Career skills';
$string['resume_skillscareerssaved'] = 'Careers skills saved';
$string['resume_skillscomp'] = 'Educational standards';
$string['resume_skillspersonal'] = 'Personal skills';
$string['resume_skillspersonalsaved'] = 'Personal skills saved';
$string['resume_startdate'] = 'Start date';
$string['resume_template_newresume'] = '<h2>My new CV</h2>';
$string['resume_title'] = 'Title';
$string['resume_url'] = 'URL';
$string['role'] = 'Role';
$string['root_category'] = 'Root Category';
$string['saveButton'] = 'Save';
$string['saveitem'] = 'Save';
$string['scormhastobezip'] = 'SCORM-File has to be a .zip-File';
$string['searchByTitle'] = 'Search';
$string['selectall'] = 'Select All';
$string['selectcomps'] = 'Choose competences associated with your upload!';
$string['selectitems'] = 'Select items';
$string['settings_allow_loginas_body'] = '';
$string['settings_allow_loginas_head'] = 'Allow login as';
$string['settings_create_desp_categories_body'] = '';
$string['settings_create_desp_categories_head'] = 'Create Desp Categories';
$string['settings_disable_external_comments_body'] = '';
$string['settings_disable_external_comments_head'] = 'Disable sharing of comments in external view';
$string['settings_disable_shareall_body'] = 'Click <a href="{$a}">here</a>, to remove all global shares';
$string['settings_disable_shareall_head'] = 'Disable sharing with all users';
$string['settings_interaktion_exacomp_body'] = 'Interaction with block Exabis Competence Grid, in case it is installed';
$string['settings_interaktion_exacomp_head'] = 'Interaction exabis ePortfolio - Exabis Competence Grid';
$string['share'] = 'Share';
$string['shareallexceptthose'] = 'Access for <span class=\'block_eportfolio_bold\'>all</span> (even those who aren\'t listed here) except the following users';
$string['sharedArtefacts'] = 'Group portfolios shared with you';
$string['shared_categories'] = 'Shared Categories';
$string['shareditems_category'] = 'Group portfolios shared with you';
$string['sharedpersons'] = 'Persons with shared Portfolios';
$string['shared_views'] = 'Shared Views';
$string['sharedwith'] = 'Shared with';
$string['sharedwith_group'] = 'Shared with my group';
$string['sharedwith_onlyme'] = 'Shared only with me';
$string['sharedwith_shareall'] = 'Shared with all users';
$string['sharedwith_shareexternal'] = 'Shared external';
$string['sharedwith_user_cnt'] = 'Shared with {$a} users';
$string['sharejs'] = 'share';
$string['sharenoneexceptthose'] = 'Access for <span class=\'block_eportfolio_bold\'>nobody</span> except the following users';
$string['share_to_other_users'] = 'Search Users';
$string['sharetoteacher'] = 'Share to all teachers in this course';
$string['show'] = 'Show';
$string['showall'] = 'Show Other Courses Too';
$string['showallusers'] = 'Show users of all my courses';
$string['showcourse'] = 'Show This Course Only';
$string['showcourseusers'] = 'Show only users of the course';
$string['show_mystudents'] = 'My students';
$string['show_sharedbyuser'] = 'Shared by users';
$string['showsummary'] = '(show summary)';
$string['steckbrief'] = 'Profile';
$string['strshare'] = 'Share';
$string['strunshare'] = 'Unshare';
$string['studentcomps'] = 'Here you can self-assess whether you have acquired the competency with your artefact.';
$string['subcategory'] = 'Sub category';
$string['submititem'] = 'Submit';
$string['success'] = 'File imported successful';
$string['summary'] = 'Summary (optional)';
$string['supported'] = 'supported by';
$string['tagarea_block_exaportitem'] = 'My Portfolio Artifacts';
$string['teachercomps'] = 'Here you can assess whether your students have acquired the competency with this artefact.';
$string['thiscourse'] = 'This course';
$string['tiles'] = 'Tiles';
$string['title'] = 'Title';
$string['titlenotemtpy'] = 'You have to enter a title.';
$string['translation:email'] = 'ariepl.work@gmail.com';
$string['translation:language'] = 'English';
$string['translation:organisation'] = 'IZ Steyr';
$string['translation:person'] = 'Andreas Riepl';
$string['type'] = 'Type';
$string['unknownaction'] = 'Unknown action';
$string['updateposterror'] = 'There was an error updating this post in the database';
$string['updownarrow'] = 'updown arrow';
$string['uploadfailed'] = 'Upload failed.';
$string['url'] = 'URL';
$string['urlnotempty'] = 'You have to enter an URL.';
$string['userdefinedsort'] = 'Define your own search';
$string['view'] = 'View';
$string['viewand'] = 'and';
$string['viewcategories'] = 'manage categories';
$string['viewcontent'] = 'Content';
$string['viewdescription'] = 'Description';
$string['viewdesign'] = 'View Design';
$string['viewinformation'] = 'View Information';
$string['viewitem'] = 'Item';
$string['viewitems'] = 'Your Items';
$string['viewlayout'] = 'Layout';
$string['viewlayout1'] = 'Equal widths';
$string['viewlayout10'] = 'Equal widths';
$string['viewlayout2'] = 'Equal widths';
$string['viewlayout3'] = 'Larger left column';
$string['viewlayout4'] = 'Larger right column';
$string['viewlayout5'] = 'Equal widths';
$string['viewlayout6'] = 'Larger centre column';
$string['viewlayout7'] = 'Much larger centre column';
$string['viewlayout8'] = 'Equal widths';
$string['viewlayout9'] = 'Larger centre columns';
$string['viewlayoutgroup1'] = '1 column';
$string['viewlayoutgroup2'] = '2 columns';
$string['viewlayoutgroup3'] = '3 columns';
$string['viewlayoutgroup4'] = '4 columns';
$string['viewlayoutgroup5'] = '5 columns';
$string['viewnotfound'] = 'View not found';
$string['views'] = 'My Views';
$string['viewshare'] = 'Share';
$string['view_sharing'] = 'Sharing';
$string['view_sharing_noaccess'] = 'No Access';
$string['view_specialitem_badge'] = 'Badge';
$string['view_specialitem_headline'] = 'Headline';
$string['view_specialitem_headline_defaulttext'] = 'Enter Headline Here';
$string['view_specialitem_media'] = 'Media';
$string['view_specialitem_personal'] = 'Personal information';
$string['view_specialitems'] = 'Special Items';
$string['view_specialitem_text'] = 'Text';
$string['view_specialitem_text_defaulttext'] = 'Enter Text Here';
$string['viewtitle'] = 'Title and description';
$string['width'] = 'Width';
$string['wrongfileid'] = 'Wrong file id';
$string['wrongfilepostid'] = 'Wrong file id';
$string['wronglinkid'] = 'Wrong link id';
$string['wrongnoteid'] = 'Wrong note id';
$string['wrongnotepostid'] = 'Wrong note postbid';
