<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_news_slider', language 'en', branch 'MOODLE_38_STABLE'
 *
 * @package   block_news_slider
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['bannertitle'] = 'Left Banner title';
$string['bannertitledesc'] = 'Title that appears to the left of the slider.';
$string['blocktitle'] = 'News Slider';
$string['cachedef_sliderdata'] = 'Cached data for the news slider';
$string['cachingttl'] = 'Caching Expiry time';
$string['cachingttldesc'] = 'Caching expiry time in seconds (TTL)';
$string['courseitemsperiod'] = 'Maximum period to show course announcements for (in days)';
$string['courseitemstoshow'] = 'Maximum number of course announcements to display';
$string['displaymode'] = 'News content display toggle';
$string['displaymodestringall'] = 'ALL (Site + Course News)';
$string['displaymodestringcourse'] = 'Course news only';
$string['displaymodestringsite'] = 'Site news only';
$string['excerptlength'] = 'Length of excerpt';
$string['excerptlengthdesc'] = 'Length of excerpt (number of characters). (Tip: Try 200 - 210 for longer wider layouts).';
$string['news_slider:addinstance'] = 'Add a News Slider block';
$string['news_slider:myaddinstance'] = 'Add a News Slider block to the My Moodle page.';
$string['nonewsitems'] = 'You do not have any unread news posts at the moment';
$string['orderbylastpostoredit'] = 'Get posts based on the last reply or edit of an existing post';
$string['orderbylastpostoreditdesc'] = 'Get posts based on any time a post is created or edited. Leave this off to show posts in the same order that you see discussions on a forum page.';
$string['pluginname'] = 'News Slider';
$string['showdots'] = 'Show bullet (dots) navigation on bottom part of slider';
$string['showoldnews'] = 'Show link to older news items (alongside "read more")';
$string['showrtl'] = 'Use RTL. Select this when using languaages such as Arabic and Hebrew';
$string['siteitemsperiod'] = 'Maximum period to show site announcements for (in days)';
$string['siteitemstoshow'] = 'Maximum number of site announcements to display';
$string['sliderheight'] = 'Adjust the height of the slider (in px)';
$string['subjectmaxlength'] = 'Max length of subject';
$string['subjectmaxlengthdesc'] = 'Maximum length of subject text (number of characters).';
$string['usecaching'] = 'Use caching';
$string['usecachingdesc'] = 'Switch on caching (uses Moodle cache API)';
