<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_opencast', language 'en', branch 'MOODLE_38_STABLE'
 *
 * @package   block_opencast
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accesspolicies'] = 'Access Policies';
$string['aclgroupdeleted'] = 'Access deleted for video: {$a->title}';
$string['aclnothingtobesaved'] = 'No changes to the visibility have been made.';
$string['aclrolesadded'] = 'The change of visibility has been triggered to allow all students of the course to access the video: {$a->title}

Please refresh the site after some time to see the current visibility status.';
$string['aclrolesaddedgroup'] = 'The change of visibility has been triggered to allow students of selected groups to access the video: {$a->title}

Please refresh the site after some time to see the current visibility status.';
$string['aclroleschangeerror'] = 'Error during the change of visibility of the video: {$a->title}

Some changes might have not been saved.
If this occurs repeatedly, please contact your support team.';
$string['aclrolesdeleted'] = 'The change of visibility has been triggered to prevent all students of the course from accessing the video: {$a->title}

Please refresh the site after some time to see the current visibility status.';
$string['aclrolesname'] = 'Roles';
$string['aclrolesnamedesc'] = 'You can use the placeholder [COURSEID] in the role name which is automatically replaced.';
$string['acl_settingcontrolafter'] = 'Allow episode visibility control after processing';
$string['acl_settingcontrolafter_desc'] = 'If enabled, teachers can control the visibility of an Opencast episode after the episode has been processed in Opencast.';
$string['acl_settingcontrolgroup'] = 'Allow episode group restriction';
$string['acl_settingcontrolgroup_desc'] = 'If enabled, teachers can not only control the visibility of an Opencast episode for all course users but can also restrict the visibility to particular course groups.';
$string['acl_settingheader'] = 'Control episode visibility';
$string['actions'] = 'Comma-separated list of actions';
$string['addcatalog'] = 'Add new metadata';
$string['additional_settings'] = 'Additional features';
$string['addlti_addbuttonexplanation'] = 'The videos which are added to and are available in this course are not provided to your students automatically.<br />Here, you can add an Opencast series module to your course which provides all available videos as an Opencast series list to your students.';
$string['addlti_addbuttontitle'] = 'Add Opencast series module to course';
$string['addlti_defaulttitle'] = 'Opencast videos';
$string['addlti_formltititle'] = 'Opencast series module title';
$string['addlti_header'] = 'Provide videos';
$string['addlti_modulecreated'] = 'The \'{$a}\' series module has been added to this course.';
$string['addlti_moduleexists'] = 'There is already an Opencast series module added to this course. There is no need to add another one.';
$string['addlti_modulenotcreated'] = 'The \'{$a}\' series module could not be created. Please try again or contact your Moodle administrator.';
$string['addlti_noemptytitle'] = 'You have to set a title for the Opencast series module or to use the default title ("{$a}")';
$string['addlti_settingdefaulttitle'] = 'Default LTI module title';
$string['addlti_settingdefaulttitle_desc'] = 'The default title to be used when a new Opencast LTI module is added to a course.';
$string['addlti_settingenabled'] = 'Enable ”Add LTI module"';
$string['addlti_settingenabled_desc'] = 'If enabled, teachers can add an Opencast LTI module to a course. This LTI module will be pointing to the course\'s Opencast series.';
$string['addlti_settingheader'] = 'Add Opencast LTI module to courses';
$string['addlti_settingpreconfiguredtool'] = 'Preconfigured LTI tool';
$string['addlti_settingpreconfiguredtool_desc'] = 'The preconfigured LTI tool to be used when a new Opencast LTI module is added to a course.';
$string['addlti_settingpreconfiguredtool_notools'] = 'No preconfigured LTI tools to be used found. Please create an Opencast LTI tool first on the {$a} admin setting page.';
$string['addlti_viewbuttonexplanation'] = 'An Opencast series module to provide the videos available in this course has been added to the course before.';
$string['addlti_viewbuttontitle'] = 'View Opencast series module in course';
$string['addnewcatalogfield'] = 'A new field has been added to metadata catalog.';
$string['addrole'] = 'Add new role';
$string['addvideo'] = 'Add video';
$string['adhocfiledeletion'] = 'Delete videofile from moodle';
$string['adhocfiledeletiondesc'] = 'If activated the plugin tries to delete the videofile from moodle\'s filessystem right after it was uploaded to opencast server.
    Please note that the file will still remain in the file system, if it is used within other places in moodle.';
$string['adminchoice_noworkflow'] = '-- No workflow--';
$string['allowunassign'] = 'Allow unassign from course';
$string['allowunassigndesc'] = 'Delete the assignment of a course series to control visibility in filepicker and course lists. This feature is only available,
    when it is possible to have events without series in opencast. Please ask the admistrator of the opencast system before activating this.';
$string['appearance_overview_settingheader'] = 'Overview page';
$string['appearance_overview_settingshowenddate'] = 'Show end date';
$string['appearance_overview_settingshowenddate_desc'] = 'If enabled, the table of available videos on the overview page will contain a column which shows the end date of the Opencast episode.';
$string['appearance_overview_settingshowlocation'] = 'Show location';
$string['appearance_overview_settingshowlocation_desc'] = 'If enabled, the table of available videos on the overview page will contain a column which shows the location of the Opencast episode.';
$string['appearance_overview_settingshowpublicationchannels'] = 'Show publication channels';
$string['appearance_overview_settingshowpublicationchannels_desc'] = 'If enabled, the table of available videos on the overview page will contain a column which shows the publication channel of the Opencast episode. The same information will also be given on the Opencast episode deletion page.';
$string['appearance_settings'] = 'Appearance';
$string['backupopencastvideos'] = 'Backup Opencast videos';
$string['backupsettings'] = 'Settings for backup and restore';
$string['blocksettings'] = 'Settings for a block instance';
$string['cachedef_videodata'] = 'Caches the result of the opencast api for the opencast-block.';
$string['cachevalidtime'] = 'Cache valid time';
$string['cachevalidtime_desc'] = 'Time in seconds, before the cache for the video data of each course is refreshed.';
$string['catalogparam'] = 'Parameters in JSON-Format';
$string['catalogparam_help'] = '<b>JSON format:</b> {"param1":"value1", "param2":"value2"}<br>
                                <b>String (text), Long Text (textarea):</b> Parameters will be defined as attributes of the element. i.e. {"style":"min-width: 27ch;"} which defines the element´s style attribute <br>
                                <b>Drop Down (select):</b> Parameters will be defined as options of the select element. i.e. {"en": "English", "de": "German"} which takes the left side as value and right side as text to show<br>
                                <b>Arrays (autocomplete):</b> Parameters will be defined as <a target="_blank" href="https://docs.moodle.org/dev/lib/formslib.php_Form_Definition#autocomplete">suggestions</a>. i.e. {"1": "Dr. Doe", "2": "Johnson"} which shows (Dr. Doe and Johnson) as suggestions<br>
                                <b>Date Time Selector (datetime):</b> Parameters will be defined as <a target="_blank" href="https://docs.moodle.org/dev/lib/formslib.php_Form_Definition#date_selector">date_selector variables</a> . i.e. {"startyear": "1990", "stopyear": "2020"} which defines date range to be selected between 1990 - 2020';
$string['catalog_params_noarray'] = 'Parameters have to be either empty or a JSON representation of an array or an object.';
$string['catalog_static_params_empty'] = 'Read only fields need to define a text in the parameters field.';
$string['changevisibility'] = 'Alter visibility';
$string['changevisibility_group'] = 'The video is visible to all student belonging to selected groups. Click to alter visibility.';
$string['changevisibility_header'] = 'Change visibility for {$a->title}';
$string['changevisibility_hidden'] = 'The video is visible to no student. Click to alter visibility.';
$string['changevisibility_mixed'] = 'The visibility of the video is in an invalid status. Click to choose the correct visibility.';
$string['changevisibility_visible'] = 'The video is visible to all students of the course. Click to alter visibility.';
$string['contributor'] = 'Contributor(s)';
$string['coursefullnameunknown'] = 'Unkown coursename';
$string['created'] = 'Created at';
$string['createdby'] = 'Uploaded by';
$string['createseriesforcourse'] = 'Create new series';
$string['creator'] = 'Presenter(s)';
$string['cronsettings'] = 'Settings for upload jobs';
$string['date'] = 'Start Date';
$string['deleteaclgroup'] = 'Delete video from this list.';
$string['delete_confirm_catalog'] = 'Are you sure you want to delete this catalog entry?';
$string['delete_confirm_role'] = 'Are you sure you want to delete this role?';
$string['deleteevent'] = 'Delete a event in opencast';
$string['deleteeventdesc'] = 'You are about to delete this video permanently and irreversibly from opencast.
    All embedded links to it will become invalid. Please do not continue unless you are absolutely sure.';
$string['deletegroupacldesc'] = 'You are about to delete the access to this video from this course.
    If the access is deleted, the video is not displayed in filepicker and in the list of available videos. This does not affect videos, which are already embedded.
    The video will not be deleted in Opencast.';
$string['deleteworkflow'] = 'Workflow to start before event is be deleted';
$string['deleteworkflowdesc'] = 'Before deleting a video, a workflow can be defined, which is called to retract the event from all publication channels.';
$string['deleting'] = 'Going to be deleted';
$string['description'] = 'Description';
$string['descriptionmdfn'] = 'This is the actual field name passing as metadata (id); the presented name according to this field name should be set in language string.';
$string['descriptionmdpj'] = 'The value should be JSON string format and it is used to define parameters for the field!';
$string['dodeleteaclgroup'] = 'Delete access to videos from this course';
$string['dodeleteevent'] = 'Delete video permanently';
$string['duplicateworkflow'] = 'Workflow for duplicating events';
$string['duplicateworkflowdesc'] = 'This workflow is needed for restoring opencast events from one course into another.
    If not set, it is not possible to restore Opencast events. A block instance might be restore, but without a series and without events.';
$string['duration'] = 'Duration';
$string['editseriesforcourse'] = 'Edit series mapping';
$string['empty_catalogname'] = 'This field must not be empty';
$string['emptyvideouploaderror'] = 'You must either upload a presenter video or a presentation video file.';
$string['enableopencaststudiolink'] = 'Show the link to opencast studio';
$string['enableopencaststudiolink_desc'] = 'This option renders a button to opencast studio in the block content and the block overview.
Opencast studio has to run on your opencast admin node and the following lti settings have to be configured as well.';
$string['errorduplicatetaskretry'] = 'An error occured by executing a task for duplication of an event: {$a} Will try to start the workflow again by the next cron job.';
$string['errorduplicatetaskterminate'] = 'An error occured by executing a task for duplication of an event: {$a}
    After trying serveral time the task will be terminated now.';
$string['erroremailbody'] = '{$a->errorstr} Details: {$a->message}.';
$string['erroremailsubj'] = 'Error while executing opencast process duplicate task';
$string['error_eventid_taskdata_missing'] = 'The task data contains no event id.
    Opencast duplicate event task ({$a->taskid}) for course {$a->coursefullname} (ID: {$a->courseid}).';
$string['errorgetblockvideos'] = 'List cannot be loaded (Error: {$a})';
$string['errorrestoremissingevents_body'] = 'There was a problem in the restore process of the course {$a->coursefullname} (ID: {$a->courseid}).
    The video(s) with the following identifier(s) could not be found in opencast system. This video(s) will not be restored:';
$string['errorrestoremissingevents_subj'] = 'Opencast error during restore process';
$string['errorrestoremissingseries_body'] = 'There was a problem in the restore process of the course {$a->coursefullname} (ID: {$a->courseid}).
    No opencast series could be created. Therefore, the following eventIDs could not be duplicated:';
$string['errorrestoremissingseries_subj'] = 'Opencast error during restore process';
$string['error_seriesid_missing_course'] = 'The course {$a->coursefullname} (ID: {$a->courseid}) has no course series. The event ({$a->eventid}) could not be restored.';
$string['error_seriesid_missing_opencast'] = 'The series of course {$a->coursefullname} (ID: {$a->courseid}) can not be found in the opencast system.
    The event ({$a->eventid}) could not be restored.';
$string['error_seriesid_not_matching'] = 'The course {$a->coursefullname} (ID: {$a->courseid}) has a course series, that does not match the seriesid of the task.
    The event ({$a->eventid}) could not be restored.';
$string['error_seriesid_taskdata_missing'] = 'The task data contains no series id.
    Opencast duplicate event task ({$a->taskid}) for course {$a->coursefullname} (ID: {$a->courseid}).';
$string['error_workflow_not_exists'] = 'The workflow {$a->duplicateworkflow} can not be found in the opencast system.
    The event ({$a->eventid}) could not be restored for course {$a->coursefullname} (ID: {$a->courseid}).';
$string['error_workflow_not_started'] = 'The workflow to copy the video ({$a->eventid}) assigned to course {$a->coursefullname} (ID: {$a->courseid}) could not be started.';
$string['error_workflow_setup_missing'] = 'The plugin block_opencast is not properly configurated. The duplication workflow is missing!';
$string['eventdeleted'] = 'The video has been deleted.';
$string['eventdeletedfailed'] = 'Failed to delete the event';
$string['eventdeletionstarted'] = 'The video will be deleted shortly.';
$string['eventuploadfailed'] = 'Upload failed';
$string['eventuploadsucceeded'] = 'Upload succeeded';
$string['exists_catalogname'] = 'The field is already existed';
$string['expirydate'] = 'Expiry Date';
$string['failedtransferattempts'] = 'Failed transfer attempts: {$a}';
$string['filetypes'] = 'Accepted file types';
$string['form_seriesid'] = 'Series ID';
$string['form_seriestitle'] = 'Series title';
$string['general_settings'] = 'General settings';
$string['gotooverview'] = 'Go to overview...';
$string['groupcreation'] = 'Create a group';
$string['groupcreationdesc'] = 'If checked, a group is created during the upload.';
$string['groupname'] = 'Group name';
$string['groupnamedesc'] = 'Group to which the video is added. Important: The group name length is restricted to 128 Bytes. You can use the placeholders [COURSEID] and [COURSENAME] which are automatically replaced.';
$string['group_name_empty'] = 'The group name must not be empty if a group should be created.';
$string['groupseries_header'] = 'Group and Series';
$string['haction'] = 'Action';
$string['heading_actions'] = 'Actions';
$string['heading_datatype'] = 'Field Type';
$string['heading_delete'] = 'Delete';
$string['heading_lti'] = 'Setting for LTI Configuration';
$string['heading_name'] = 'Field Name';
$string['heading_params'] = 'Parameters (JSON)';
$string['heading_permanent'] = 'Permanent';
$string['heading_position'] = 'Position';
$string['heading_readonly'] = 'Read Only';
$string['heading_required'] = 'Required';
$string['heading_role'] = 'Role';
$string['hend_date'] = 'End Date';
$string['hlocation'] = 'Location';
$string['hpublished'] = 'Published';
$string['hstart_date'] = 'Start Date';
$string['htitle'] = 'Title';
$string['hvisibility'] = 'Visibility';
$string['hworkflow_state'] = 'Status';
$string['identifier'] = 'Identifier';
$string['invalidacldata'] = 'Invalid acl data';
$string['language'] = 'Language';
$string['license'] = 'License';
$string['limituploadjobs'] = 'Limit upload job by cron';
$string['limituploadjobsdesc'] = 'Limit the count of uploadjobs done by one cronjob. The cronjob can be scheduled here: {$a}';
$string['limitvideos'] = 'Number of videos';
$string['limitvideosdesc'] = 'Maximum number of videos to display in block';
$string['location'] = 'Location';
$string['lticonsumerkey'] = 'Consumer key';
$string['lticonsumerkey_desc'] = 'LTI Consumer key for the opencast studio integration.';
$string['lticonsumersecret'] = 'Consumer secret';
$string['lticonsumersecret_desc'] = 'LTI Consumer secret for the opencast studio integration.';
$string['mediatype'] = 'Media Source';
$string['messageprovider:error'] = 'Processing error notification';
$string['metadata'] = 'Metadata';
$string['metadata_autocomplete_noselectionstring'] = 'No {$a} provided!';
$string['metadata_autocomplete_placeholder'] = 'Enter {$a}';
$string['metadataexplanation'] = 'When uploading existing video files to Opencast, you can set several metadata fields. These will be stored together with the video.';
$string['missingevent'] = 'Creation of event failed';
$string['missinggroup'] = 'Missing group in opencast';
$string['missingseries'] = 'Missing series in opencast';
$string['missingseriesassignment'] = 'Missing series assignment';
$string['morevideos'] = 'More videos...';
$string['mstatecreatingevent'] = 'Uploading...';
$string['mstatecreatinggroup'] = 'Creating Opencast Group...';
$string['mstatecreatingseries'] = 'Creating Opencast Series...';
$string['mstatereadytoupload'] = 'Ready for transfer';
$string['mstatetransferred'] = 'Transferred';
$string['mstateunknown'] = 'State unknown';
$string['mstateuploaded'] = 'Processing post-upload tasks...';
$string['noseriesid'] = 'Series ID is not defined yet.';
$string['nothingtodisplay'] = 'No videos available';
$string['notpublished'] = 'Not published';
$string['novideosavailable'] = 'No videos available';
$string['ocstatecapturing'] = 'Capturing';
$string['ocstatefailed'] = 'Failed';
$string['ocstateneedscutting'] = 'Needs cutting';
$string['ocstateprocessing'] = 'Processing';
$string['ocstatesucceeded'] = 'Succeeded';
$string['opencast:addinstance'] = 'Add a new opencast upload block';
$string['opencast:addlti'] = 'Add Opencast series module to course';
$string['opencast:addvideo'] = 'Add a new video to opencast upload block';
$string['opencast:createseriesforcourse'] = 'Create a new series in opencast for a moodle course';
$string['opencast:defineseriesforcourse'] = 'Link an existing opencast series to a moodle course';
$string['opencast:deleteevent'] = 'Finally delete a video (event) in opencast';
$string['opencast:myaddinstance'] = 'Add a new opencast upload block to Dashboard';
$string['opencaststudiointegration'] = 'Opencast studio integration';
$string['opencast:unassignevent'] = 'Unassign a video from the course, where the video was uploaded.';
$string['opencast:viewunpublishedvideos'] = 'View all the videos from opencast server, even when they are not published';
$string['overview'] = 'Overview';
$string['planned'] = 'Planned';
$string['pluginname'] = 'Opencast Videos';
$string['presentation'] = 'Presentation video';
$string['presentationdesc'] = 'Use the presentation video if you have a video file of a slide presentation recording or a screencast.';
$string['presentationfile'] = 'Presentation file';
$string['presenter'] = 'Presenter video';
$string['presenterdesc'] = 'Use the presenter video if you have a video file of a person speaking to an audience or a motion picture.';
$string['presenterfile'] = 'Presenter file';
$string['privacy:metadata:block_opencast_uploadjob'] = 'Information about video uploads.';
$string['privacy:metadata:block_opencast_uploadjob:courseid'] = 'ID of the course where the video is uploaded';
$string['privacy:metadata:block_opencast_uploadjob:fileid'] = 'ID of the file/video which is uploaded';
$string['privacy:metadata:block_opencast_uploadjob:opencasteventid'] = 'ID of the opencast event that was created during upload';
$string['privacy:metadata:block_opencast_uploadjob:status'] = 'Status of upload process';
$string['privacy:metadata:block_opencast_uploadjob:timecreated'] = 'The date the upload job was created.';
$string['privacy:metadata:block_opencast_uploadjob:timemodified'] = 'The date the upload job was last modified.';
$string['privacy:metadata:block_opencast_uploadjob:userid'] = 'ID of the user who uploaded the video';
$string['privacy:metadata:core_files'] = 'The opencast block stores files (videos) which have been uploaded by the user.';
$string['privacy:metadata:opencast'] = 'The block interacts with an opencast instance and thus data needs to be exchanged.';
$string['privacy:metadata:opencast:file'] = 'The file which is selected is uploaded to opencast.';
$string['processdelete'] = 'Process delete jobs for Opencast';
$string['processupload'] = 'Process upload';
$string['publisher'] = 'Publisher';
$string['publishtoengage'] = 'Publish to Engage';
$string['publishtoengagedesc'] = 'Select this option to publish the video after upload to engage player. Setup workflow must support this.';
$string['recordvideo'] = 'Record video';
$string['restoreopencastvideos'] = 'Restore opencast videos';
$string['reuseexistingupload'] = 'Reuse existing uploads';
$string['reuseexistinguploaddesc'] = 'If activated, multiple videos with the same content hash are uploaded to opencast only once.
This saves storage and processing power, but it might cause problems, when you use specific access policies based on opencast series.';
$string['rights'] = 'Rights';
$string['rightsHolder'] = 'Rights';
$string['rolename'] = 'Role name';
$string['series_already_exists'] = 'This course is already assigned to a series.';
$string['seriescreated'] = 'Series was created.';
$string['series_does_not_exist'] = 'The series assigned to this course is not valid. Please contact your Administrator!';
$string['series_does_not_exist_admin'] = 'The series with the identifier \'{$a}\' could not be retrieved from Opencast.';
$string['seriesidnotvalid'] = 'The series does not exist.';
$string['seriesidsaved'] = 'The series ID was saved.';
$string['seriesidunset'] = 'The series ID was removed.';
$string['seriesname'] = 'Series name';
$string['seriesnamedesc'] = 'Series to which the video is added. You can use the placeholders [COURSEID] and [COURSENAME] which are automatically replaced.';
$string['series_name_empty'] = 'Series name must not be empty.';
$string['seriesnotcreated'] = 'Series could not be created.';
$string['setting_permanent'] = 'Is permanent';
$string['settings'] = 'Opencast Videos';
$string['source'] = 'Source';
$string['space_catalogname'] = 'This field must not contain space';
$string['startDate'] = 'Date';
$string['startTime'] = 'Time';
$string['subjects'] = 'Subjects';
$string['submit'] = 'Save changes';
$string['title'] = 'Title';
$string['type'] = 'Media Type';
$string['updatemetadata'] = 'Update metadata for this event';
$string['updatemetadatasaved'] = 'Metadata is saved.';
$string['upload'] = 'File Upload';
$string['uploadexplanation'] = 'You have the option to upload a presenter video file and / or a presentation video file.<br />Most likely you will only upload one file, but Opencast is also capable of dealing with two videos at once which will be combined in a media package.';
$string['uploadfileextensions'] = 'Allowed file extensions';
$string['uploadfileextensionsdesc'] = 'Comma separated list of allowed video file extensions (extensions must exist in Moodle\'s <a href="{$a}">File types</a> list). If left blank all extensions with type group \'video\' are allowed (again see <a href="{$a}">File types</a>).';
$string['uploadingeventfailed'] = 'Creating of event failed';
$string['uploadjobssaved'] = 'Video upload successful.<br />The video is scheduled to be transferred to Opencast now. You do not need to wait on this page for this transfer to finish.';
$string['uploadprocessingexplanation'] = 'These video files will be processed in Opencast and then made available in this course.';
$string['uploadqueuetoopencast'] = 'Videos scheduled to be transferred to Opencast';
$string['uploadqueuetoopencastexplanation'] = 'In this section, you see the videos which have been uploaded to this Moodle course by you or some other user. These videos are scheduled to be transferred to Opencast now.<br />The transfer is happening automatically on the Moodle server in the background. You do not need to wait on this page for this transfer to finish.';
$string['uploadrecordvideos'] = 'Upload or record videos';
$string['uploadrecordvideosexplanation'] = 'In this section, you can upload existing video files to Moodle. Additionally, you can record video files directly with Opencast Studio.';
$string['uploadvideos'] = 'Upload videos';
$string['uploadvideosexplanation'] = 'In this section, you can upload existing video files to Moodle.';
$string['uploadworkflow'] = 'Workflow to start after upload';
$string['uploadworkflowdesc'] = 'Setup the unique shortname of the workflow, that should be started after succesfully uploading a video file to opencast.
    If left blank the standard workflow (ng-schedule-and-upload) will be used. Ask for additional workflows that may have been created by the opencast administrator.';
$string['videodraftdeletionsucceeded'] = 'The video is deleted successfully';
$string['videodraftnotdeletable'] = 'The video cannot be deleted as the status is already "{$a}"';
$string['videonotfound'] = 'Video not found';
$string['videosavailable'] = 'Videos available in this course';
$string['videostoupload'] = 'Videos to upload to opencast';
$string['visibility'] = 'Visibility of the video';
$string['visibility_group'] = 'Allow all students belonging to selected groups to access the video';
$string['visibility_hide'] = 'Prevent any student from accessing the video';
$string['visibility_show'] = 'Allow all students of the course to access the video';
$string['workflownotdefined'] = 'The workflow for updating metadata is not defined.';
$string['workflow_not_existing'] = 'This workflow does not exist.';
$string['workflowrolesdesc'] = 'This workflow is triggered when the nonpermanent ACL rules are deleted or added. If not set, it will not be possible to change the visibility of uploaded videos through the block.';
$string['workflowrolesname'] = 'Workflow for changing the ACL rules';
$string['worklowisrunning'] = 'A workflow is running. You cannot change the visibility at the moment.';
$string['wrongmimetypedetected'] = 'An invalid mimetype was used while uploading the video {$a->filename} from course {$a->coursename}.
    Only video files are allowed!';
