<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_semantic_web', language 'en', branch 'MOODLE_24_STABLE'
 *
 * @package   block_semantic_web
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['about'] = 'About...';
$string['about_help'] = '<p>This navigation web is part of the moodle extension DASIS.\\nThis navigation support should guide you through cross curricular learning.</p><p>The moodle-extension DASIS consists of the following parts:<ul><li>block: Navigation Web</li><li>block: Learner adaptation (works in background)</li><li>activities: tests of learning style</li><li>block: User Preferences</li></ul></p><p>DASIS is developed by Andre Scherl for his PhD-thesis. The moodle plugin \'iLMS\' by Gert Sauertstein (2007)was adapted to the needs of DASIS and also the visualization framework \'protovis\' made by Univertity of Stanford was used to generate the navigation web.</p>';
$string['activity_pleaseselect'] = 'Select activity to edit.';
$string['adaptive_path'] = 'Adaptive path';
$string['add'] = 'Add';
$string['add_course_to_bundle'] = 'Add the following course to bundle';
$string['add_course_to_this_bundle'] = 'Add the following course to this bundle';
$string['back'] = 'Back';
$string['blockname'] = 'Navigation Web';
$string['blue'] = 'blue';
$string['bundle'] = 'Bundle';
$string['bundle_overview'] = 'Bundle Overview';
$string['bundles_containing_the_course'] = 'Course contained in the following bundles';
$string['bundle_settings'] = 'Settings of Course Bundles';
$string['cancel'] = 'Cancel';
$string['caption'] = 'Caption';
$string['case_collection'] = 'Collect Cases';
$string['catalog'] = 'Catalog No. (ISSN, ISBN,...)';
$string['choose_bundle'] = 'Choose topic bundle';
$string['click_enlarge'] = 'Click to enlarge!';
$string['click_hide'] = 'Click to hide!';
$string['color'] = 'Color';
$string['configcontent'] = 'Edit Content';
$string['connectedcourses'] = 'Connected Courses';
$string['contained_courses'] = 'Contained courses';
$string['create_bundle'] = 'Create bundle';
$string['create_new_path'] = 'Create new path';
$string['depth'] = 'Linkage Depth';
$string['description'] = 'Description';
$string['difficulty'] = 'Difficulty';
$string['difficulty_high'] = 'difficult';
$string['difficulty_low'] = 'easy';
$string['difficulty_normal'] = 'average';
$string['difficulty_veryhigh'] = 'very difficult';
$string['difficulty_verylow'] = 'very easy';
$string['edit_metadata'] = 'Edit Metadata';
$string['green'] = 'green';
$string['keywords'] = 'Keywords';
$string['learning_path'] = 'learning path';
$string['learning_pathname'] = 'Name of learning path';
$string['learning_path_settings'] = 'Learning Path Settings';
$string['learningstyle_input'] = 'Presentation';
$string['learningstyle_input_high'] = 'rather verbal than visual';
$string['learningstyle_input_low'] = 'rather visual than verbal';
$string['learningstyle_input_normal'] = 'mixed equally';
$string['learningstyle_input_veryhigh'] = 'mostly verbal';
$string['learningstyle_input_verylow'] = 'mostly visual';
$string['learningstyle_organization'] = 'Organization';
$string['learningstyle_organization_high'] = 'rather inductive than deductive';
$string['learningstyle_organization_low'] = 'rather deductive than inductive';
$string['learningstyle_organization_normal'] = 'mixed equally';
$string['learningstyle_organization_veryhigh'] = 'mostly inductive';
$string['learningstyle_organization_verylow'] = 'mostly deductive';
$string['learningstyle_perception'] = 'Content';
$string['learningstyle_perception_high'] = 'rather abstract than concrete';
$string['learningstyle_perception_low'] = 'rather concrete tha abstract';
$string['learningstyle_perception_normal'] = 'both equal';
$string['learningstyle_perception_veryhigh'] = 'abstract';
$string['learningstyle_perception_verylow'] = 'concrete';
$string['learningstyle_perspective'] = 'Perspective';
$string['learningstyle_perspective_high'] = 'rather global than sequential';
$string['learningstyle_perspective_low'] = 'rather sequential than global';
$string['learningstyle_perspective_normal'] = 'mixed equally';
$string['learningstyle_perspective_veryhigh'] = 'mostly global';
$string['learningstyle_perspective_verylow'] = 'mostly sequential';
$string['learningstyle_processing'] = 'Interactivity Type';
$string['learningstyle_processing_high'] = 'rather expositive than active';
$string['learningstyle_processing_low'] = 'rather active than expositive';
$string['learningstyle_processing_normal'] = 'both equal';
$string['learningstyle_processing_veryhigh'] = 'expositive';
$string['learningstyle_processing_verylow'] = 'active';
$string['learning_tasks'] = 'Learning Tasks';
$string['learning_time'] = 'Expected Learning Time (in min.)';
$string['linguistic_requirement'] = 'Linguistic Requirements';
$string['linguistic_requirement_high'] = 'high';
$string['linguistic_requirement_low'] = 'low';
$string['linguistic_requirement_normal'] = 'average';
$string['linguistic_requirement_veryhigh'] = 'very high';
$string['linguistic_requirement_verylow'] = 'very low';
$string['logical_requirement'] = 'Mathematic-Logical Requirements';
$string['logical_requirement_high'] = 'high';
$string['logical_requirement_low'] = 'low';
$string['logical_requirement_normal'] = 'average';
$string['logical_requirement_veryhigh'] = 'very high';
$string['logical_requirement_verylow'] = 'very low';
$string['module'] = 'Module';
$string['name_of_bundle'] = 'Name of bundle';
$string['newbundle'] = 'Create new bundle';
$string['new_pathnode'] = 'Add node to path';
$string['next'] = 'Next';
$string['noweb'] = 'no navigation web for this section';
$string['orange'] = 'orange';
$string['path_name'] = 'path name';
$string['pleaseselect'] = 'Please select';
$string['pluginname'] = 'Navigation Web';
$string['purple'] = 'purple';
$string['red'] = 'red';
$string['relation_anwendung'] = 'is an application for';
$string['relation_bautauf'] = 'extends';
$string['relation_beispiel'] = 'is an example for';
$string['relation_erlaeutert'] = 'explains';
$string['relation_exkurs'] = 'is additional to';
$string['relation_fasstzusammen'] = 'summarizes';
$string['relation_illustriert'] = 'is an illustration for';
$string['relation_pleaseselect'] = 'Please select relation.';
$string['relation_pleaseselectsource'] = 'Please select activity.';
$string['relation_pleaseselecttarget'] = 'Please select activity.';
$string['relation_prueft'] = 'is a test for';
$string['relation_querverweis'] = 'is linked with';
$string['relations'] = 'Semantic Relations';
$string['relation_setztvoraus'] = 'requires';
$string['relation_vertieft'] = 'goes into detail for';
$string['relation_wiederholt'] = 'repeats';
$string['reloadweb'] = 'Reload web!';
$string['remove'] = 'Remove';
$string['select_path'] = 'Select learning path';
$string['semantic_web:deletebundle'] = 'Delete bundle';
$string['semantic_web:editmetadata'] = 'Edit metadata of activity';
$string['semantic_web:managepaths'] = 'Manage learning paths';
$string['semanticweb_settings'] = 'Settings of the Navigation Web';
$string['shortname'] = 'Short Name';
$string['show_semantic_overview'] = 'Relations Overview';
$string['showweb'] = 'Show Web';
$string['social_requirement'] = 'Learning Mode';
$string['social_requirement_high'] = 'collaborative';
$string['social_requirement_low'] = 'rather independent than collaborative';
$string['social_requirement_normal'] = 'mixed';
$string['social_requirement_veryhigh'] = 'group work';
$string['social_requirement_verylow'] = 'independent';
$string['submit'] = 'Submit';
$string['submitclose'] = 'Submit and close';
$string['taxonomy'] = 'Taxonomy';
$string['taxonomy_example'] = 'e.g. physics:optics:instruments:magnifier';
$string['title'] = 'Title';
$string['web_animation'] = 'Animate Web';
$string['yellow'] = 'yellow';
