<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_slideshow', language 'en', branch 'MOODLE_31_STABLE'
 *
 * @package   block_slideshow
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['background'] = 'Background color <script> //test </script>';
$string['background_help'] = 'Click in the textbox and a color picker tool will pop up. Find your color and click [Choose].';
$string['blindX'] = 'Horizontal Blind';
$string['blindY'] = 'Vertical Blind';
$string['blindZ'] = 'Outward Blind';
$string['blockbackgrounderror'] = 'Please enter only a valid 3 or 6 digit hex color code.';
$string['blockheight'] = 'Slideshow Height';
$string['blockheighterror'] = 'Please enter only numbers, no letters.';
$string['blockheight_help'] = 'Enter the height of the slideshow (in pixels).  Please enter only numbers, not units.<ul><li>Correct: <code>200</code></li><li>Incorrect: <code>200px</code></li></ul>Leave blank for auto height (i.e. height of largest slide).';
$string['blocktitle'] = 'Title';
$string['blocktitle_help'] = 'To completely remove the heading, leave this blank.';
$string['carousel'] = 'Carousel';
$string['cover'] = 'Cover';
$string['curtainX'] = 'Horizontal Curtain';
$string['curtainY'] = 'Vertical Curtain';
$string['descconfig'] = 'Use this form to set the global controls for the slideshow';
$string['descmaxsize'] = 'Select the largest file size that can be uploaded to the slideshow.  Keep in mind that smaller sizes will restrict images to low quality but larger sizes will affect page load time.';
$string['descmaxslides'] = 'Use this to set the maximum number of slides in the show';
$string['fade'] = 'Fade';
$string['fadeout'] = 'Fade Out';
$string['flipHorz'] = 'Flip Horizontal';
$string['flipVert'] = 'Flip Vertical';
$string['half'] = 'Half Second';
$string['headerconfig'] = 'Global Slideshow Controls';
$string['imagefile'] = 'Images';
$string['imagefile_help'] = 'You can drag all your images at once into this block.  Alternatively, click the "Add..." button to add one file at a time.';
$string['labelmaxsize'] = 'Max File Size';
$string['labelmaxslides'] = 'Maximum slides';
$string['none'] = 'None';
$string['normalblock'] = 'Display as Block';
$string['normalblock_help'] = 'If this is checked, the slideshow will behave as a normal block: it will be displayed in the side columns and be able to be docked.';
$string['normalblocklabel'] = 'Check this to have the slideshow display in a block region';
$string['onlynumbers'] = 'Please enter only numbers, no letters.';
$string['pluginname'] = 'Slideshow';
$string['quarter'] = 'Quarter Second';
$string['scrollHorz'] = 'Scroll Horizontally';
$string['scrollVert'] = 'Scroll Vertically';
$string['second'] = 'Second';
$string['seconds'] = 'Seconds';
$string['shuffle'] = 'Shuffle';
$string['slidedelay'] = 'Display time';
$string['slidedelay_help'] = 'This is the time a slide is displayed.  However, if this value is set to a value lower than the transition speed, the transition speed will be added to it.  For example, if the Display time is 1 second and the Transition speed is 3 seconds, the slide will show for 4 seconds before it starts the transition.';
$string['slideshow'] = 'Slideshow';
$string['slideshow:addinstance'] = 'Add a new slideshow block';
$string['slideshow:myaddinstance'] = 'Add a new slideshow HTML block to the My Moodle page';
$string['slidespeed'] = 'Transitions Speed';
$string['slidespeed_help'] = 'This value determines the speed of the actual transition.';
$string['tenth'] = 'Tenth Second';
$string['tileBlind'] = 'Tile - Blinds';
$string['tileSlide'] = 'Tile - Slide';
$string['transition'] = 'Transition';
$string['transition_help'] = 'For examples of these transitions, <a href="http://jquery.malsup.com/cycle2/demo" target="_blank">click here</a>';
$string['transparent'] = 'Transparent';
$string['transparent_help'] = 'If this is checked, the background color setting will have no effect';
$string['transparentlabel'] = 'Check this to have the slideshow background be transparent';
