<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_socialcomments', language 'en', branch 'MOODLE_36_STABLE'
 *
 * @package   block_socialcomments
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['actions'] = 'Actions';
$string['activity'] = 'Activity';
$string['allgroups'] = 'All groups';
$string['author'] = 'Author';
$string['commentdeleted'] = 'Your comment has been deleted';
$string['commentscount'] = 'Comments: {$a}';
$string['commentsperpage'] = 'Comments per page';
$string['commentsperpagedesc'] = 'Set up the amount of comments shown per page';
$string['config_hidepins'] = 'Hide pins';
$string['content'] = 'Content';
$string['deletecheck'] = 'Are you sure to delete this post?';
$string['digestpercourse'] = 'Digest per course';
$string['digestpersite'] = 'Digest per site';
$string['digestsubject'] = 'Digest of social comments';
$string['digesttype'] = 'Type of digest';
$string['digesttypedesc'] = 'You may sent one digest for entire site or one digest per course';
$string['errormissingcommentid'] = 'Missing commentid';
$string['errormissingcontextid'] = 'Missing contextid';
$string['errormissingcourseid'] = 'Missing courseid';
$string['eventcommentcreated'] = 'New social comment.';
$string['eventreplycreated'] = 'New social reply.';
$string['fromdate'] = 'From';
$string['haction'] = 'Action';
$string['hactivity'] = 'Activity / Resource';
$string['hauthor'] = 'Author';
$string['hcomment'] = 'Comment';
$string['hcommentscount'] = 'No of comments';
$string['hdate'] = 'Date and time';
$string['htopicname'] = 'Topic name';
$string['limitreplies'] = 'Limit replies count';
$string['limitrepliesdesc'] = 'Limit replies count per comment shown in comments list.';
$string['messageprovider:digest'] = 'Notification of new social comments';
$string['newsfeed'] = 'News Feed';
$string['nonewcommentssince'] = 'There are no new posts since {$a}';
$string['nopinnedcomments'] = 'There are no pinned comments for course: {$a}';
$string['pin'] = 'pin';
$string['pinboard'] = 'Pin board';
$string['pincommenttooltip'] = 'pin/unpin comment';
$string['pinpage'] = 'pin page';
$string['pleaseinputtext'] = 'Please input some text to post a comment';
$string['pluginname'] = 'Social Comments';
$string['post'] = 'Post';
$string['postcommentoncourse'] = 'Post a comment on this course...';
$string['postcommentonmod'] = 'Post a comment on this module...';
$string['privacy:commentspath'] = 'Comments';
$string['privacy:metadata:block_socialcomments_cmmnts'] = 'Details about each comment that appears in a specific page.';
$string['privacy:metadata:block_socialcomments_cmmnts:content'] = 'The content of this comment.';
$string['privacy:metadata:block_socialcomments_cmmnts:contextid'] = '';
$string['privacy:metadata:block_socialcomments_cmmnts:courseid'] = 'The ID of the course for this comment.';
$string['privacy:metadata:block_socialcomments_cmmnts:groupid'] = '';
$string['privacy:metadata:block_socialcomments_cmmnts:timemodified'] = 'The time that the comment was last modified.';
$string['privacy:metadata:block_socialcomments_cmmnts:userid'] = 'The ID of the user for this comment.';
$string['privacy:metadata:block_socialcomments_pins'] = 'Activities, courses, resources or comments pinned by a user.';
$string['privacy:metadata:block_socialcomments_pins:itemid'] = 'The ID of the pinned record.';
$string['privacy:metadata:block_socialcomments_pins:itemtype'] = 'Type of the pinned record (i. e. a activity, course or resource).';
$string['privacy:metadata:block_socialcomments_pins:userid'] = 'The ID of the user for this pin.';
$string['privacy:metadata:block_socialcomments_replies'] = 'Details about each reply to a comment.';
$string['privacy:metadata:block_socialcomments_replies:commentid'] = 'The ID of the comment record for this reply.';
$string['privacy:metadata:block_socialcomments_replies:content'] = 'The content of this reply.';
$string['privacy:metadata:block_socialcomments_replies:timemodified'] = 'The time that the reply was last modified.';
$string['privacy:metadata:block_socialcomments_replies:userid'] = 'The ID of the user for this reply.';
$string['privacy:metadata:block_socialcomments_subscrs'] = 'Details about the subscription state and the last time a digest was sucessfully sent.';
$string['privacy:metadata:block_socialcomments_subscrs:contextid'] = '';
$string['privacy:metadata:block_socialcomments_subscrs:courseid'] = 'The ID of the course for this pin.';
$string['privacy:metadata:block_socialcomments_subscrs:timelastsent'] = 'The last time a digest was sucessfully sent.';
$string['privacy:metadata:block_socialcomments_subscrs:timemodified'] = 'The time that the subscription was last modified.';
$string['privacy:metadata:block_socialcomments_subscrs:userid'] = 'The ID of the user for this subscription.';
$string['privacy:pinspath'] = 'Pins';
$string['privacy:repliespath'] = 'Replies';
$string['privacy:subscriptionspath'] = 'Subscriptions';
$string['processdigest'] = 'Process digests';
$string['reply'] = 'Reply';
$string['replydeleted'] = 'Your reply was deleted';
$string['reportperpage'] = 'Items per page';
$string['reportperpagedesc'] = 'Setup how many items the comments report lists per page';
$string['reportspage'] = 'Comments report';
$string['save'] = 'Save';
$string['selectactivity'] = 'Select activity';
$string['selecttopic'] = 'Select topic';
$string['socialcomments:addinstance'] = 'Add a new social comments block';
$string['socialcomments:deletecomments'] = 'Delete all comments';
$string['socialcomments:deleteowncomments'] = 'Delete own comments';
$string['socialcomments:deleteownreplies'] = 'Delete own replies';
$string['socialcomments:deletereplies'] = 'Delete all replies';
$string['socialcomments:myaddinstance'] = 'Add a new social comments block to Dashboard';
$string['socialcomments:pinitems'] = 'Pin items';
$string['socialcomments:postcomments'] = 'Post comments';
$string['socialcommentsreport'] = 'Social comments report';
$string['socialcomments:subscribe'] = 'Subscribe to comments block';
$string['socialcomments:view'] = 'View comments';
$string['socialcomments:viewreport'] = 'View report';
$string['subscribed'] = 'Subscribed';
$string['taballcomments'] = 'All comments';
$string['tabnewcomments'] = 'New comments';
$string['todate'] = 'to';
$string['topic'] = 'Topic';
$string['unpin'] = 'unpin';
$string['unpinpage'] = 'unpin page';
$string['userspercron'] = 'Users per cron';
$string['userspercrondesc'] = 'Digests of new comments are sent out per cron, you may limit the number of processed users here.
    Setting up a value of 0 means no limit. Please adjust the execution interval of the scheduled task (Process digests), too: {$a}';
$string['viewall'] = 'View all';
$string['viewpaged'] = 'View paged';
