<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'cobra', language 'en', branch 'MOODLE_38_STABLE'
 *
 * @package   cobra
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addtomyglossary'] = 'Add to my glossary';
$string['annotation'] = 'Annotation';
$string['annotationsdisplaymode'] = 'Display annotations';
$string['audioplayer'] = 'Audio player';
$string['audioplayer_help'] = 'Display an audio player if an audio version of the text is available';
$string['bilingual'] = 'Bilingual';
$string['category'] = 'Category';
$string['categoryshrinked'] = 'Cat.';
$string['CECR_level'] = 'CEFR';
$string['clickedin'] = 'Clicked in ...';
$string['clicnumber'] = 'Clic number';
$string['cobra'] = 'CoBRA';
$string['cobra:addinstance'] = 'Add an instance of CoBRA resource to your course';
$string['cobraname'] = 'Name';
$string['cobraname_help'] = 'Name given to this resource inside your course.';
$string['cobraserviceurl'] = 'URL of webservices';
$string['cobra:view'] = 'Voir';
$string['collection'] = 'Collection';
$string['collectionnamecannotbeempty'] = 'Collection is mandatory';
$string['comparetextwithglossary'] = 'Compare text and glossary';
$string['conditional'] = 'When no concordances';
$string['corpusselection'] = 'Corpus type selection';
$string['corpusselection_help'] = 'Default selection and order of corpus types you want to collect examples from (comma separated list). <br/>Available types are :<br/>
<ul>
<li class="usuel_FUNDP">1 : everyday speech edited by UNamur</li>
<li class="usuel">11 : everyday speech</li>
<li class="semi-technique">21 : politics</li>
<li class="technique">22 : law (Dutch only)</li>
<li class="histoire">32 : arts and history</li>
<li class="informatique">42 : computer science</li>
<li class="sciences_FUNDP">51 : science edited by UNamur (English only)</li>
<li class="sciences">52 : science</li>
<li class="eco">62 : economics</li>
</ul>';
$string['defaultcorpusselection'] = 'Default corpus selection';
$string['defaultflag'] = 'Keep as default';
$string['defaultflag_help'] = 'Keep these settings as default for future texts';
$string['definition'] = 'Definition';
$string['deletesure'] = 'Do you really want to empty your personal glossary for this course?';
$string['displaysettings'] = 'Display settings';
$string['emptymyglossary'] = 'Empty my glossary';
$string['entries'] = 'Entries';
$string['entriesfromothertext'] = '* Greyed entries were added from another text';
$string['entry'] = 'Entry';
$string['entry_viewed'] = 'Entry clicked';
$string['examplesdisplaymode'] = 'Display mode for examples';
$string['examplesdisplaymode_help'] = 'Display examples in source language only (monolingual) or in source language and French (bilingual)';
$string['exportglossary'] = 'Export Glossary';
$string['fordutch'] = 'For Dutch';
$string['fordutch_desc'] = 'Default selection and order of corpus types you want to collect examples from (comma separated list). <br/>Available types are :<br/>
<ul style="width:50%;">
<li style="background-color: #CCFFCC">1 : everyday speech edited by UNamur</li>
<li style="background-color: #99FF99">11 : everyday speech</li>
<li style="background-color: #FFCC99">21 : politics</li>
<li style="background-color: #FF9966">22 : law</li>
<li style="background-color: #99CCFF">32 : arts and history</li>
<li style="background-color: #FFFF66">42 : computer science</li>
<li style="background-color: #CCCCFF">52 : science</li>
<li style="background-color: #FFCCCC">62 : economics</li>
</ul>';
$string['forenglish'] = 'For English';
$string['forenglish_desc'] = 'Default selection and order of corpus types you want to collect examples from (comma separated list). <br/>Available types are :<br/>
<ul style="width:50%;">
<li style="background-color: #CCFFCC">1 : everyday speech edited by UNamur</li>
<li style="background-color: #99FF99">11 : everyday speech</li>
<li style="background-color: #FFCC99">21 : politics</li>
<li style="background-color: #99CCFF">32 : arts and history</li>
<li style="background-color: #FFFF66">42 : computer science</li>
<li style="background-color: #CC99CC">51 : science edited by UNamur</li>
<li style="background-color: #CCCCFF">52 : science</li>
<li style="background-color: #FFCCCC">62 : economics</li>
</ul>';
$string['generalconfig'] = 'General Configuration';
$string['glossary'] = 'Glossary';
$string['glossaryempty'] = 'Glossary empty !';
$string['glossaryemptyfortext'] = 'Glossary empty for this text !';
$string['inmyglossary'] = 'Already in my glossary';
$string['language'] = 'Language';
$string['language_help'] = 'The language teached in your course.

**Warning: this parameter is not editable! **';
$string['languageismandatory'] = 'Language is mandatory';
$string['modulename'] = 'CoBRA';
$string['modulename_help'] = 'The CoBRA module offers texts in English or Dutch where every word is clickable to diplay information abouti it (lexical information, contextualized examples, ...)

Student can populate a personal glossary with clicked entries and export it';
$string['modulenameplural'] = 'CoBRA';
$string['monolingual'] = 'Monolingues';
$string['myglossary'] = 'My glossary';
$string['mytext'] = 'My text';
$string['newwords'] = 'New words';
$string['noconcordances'] = 'No concordances';
$string['noentriesforletter'] = 'No entries starting with {$a}';
$string['OK'] = 'OK';
$string['otherforms'] = 'Other forms';
$string['othertranslations'] = 'Other translation(s)';
$string['platformnotallowed'] = 'Your platform is not allowed to access CoBRA service !';
$string['pluginadministration'] = 'cobra administration';
$string['pluginname'] = 'CoBRA';
$string['possibletranslations'] = 'Possible translations';
$string['privacy:metadata:cobra_click'] = 'Information about clics made by the user when reading a text in CoBRA mode.';
$string['privacy:metadata:cobra_click:course'] = 'The ID of the course where the user clicked a CoBRA word.';
$string['privacy:metadata:cobra_click:inglossary'] = 'Flag stating whether this lexicon entry is in the student personal dictionary.';
$string['privacy:metadata:cobra_click:lingentity'] = 'The ID of the lexicon entry the user clicked.';
$string['privacy:metadata:cobra_click:nbclicks'] = 'The number of times the user clicked that word in the same text of the same course.';
$string['privacy:metadata:cobra_click:textid'] = 'The ID of the text in which the user clicked.';
$string['privacy:metadata:cobra_click:timecreated'] = 'The time when the user clicked for the first time on this word in the same text and course.';
$string['privacy:metadata:cobra_click:userid'] = 'The ID of the user who clicked a lexicon entry';
$string['registrationrequired'] = 'Registration is mandatory';
$string['registrationwarning'] = '<div class="box errorbox alert alert-danger py-3">Your platform is currently not registered with CoBRA. In order to add CoBRA texts to your courses, you must ask your platform administrator to request an api key and add it to the plugin configuration.</div>';
$string['removefrommyglossary'] = 'Remove from my glossary';
$string['requestdemokey'] = 'Request demo key';
$string['requestdemokey_desc'] = 'Clicking this button will send information about your platform (shortname, IP address, URL and siteid) in order to register it with CoBRA and get a demo access key. No user related information is sent to CoBRA remote server.';
$string['resetclichistory'] = 'Clear click history';
$string['resetdefaults'] = 'Reset display and corpus selection to platform defaults';
$string['resetglossaries'] = 'Clear all personal glossaries';
$string['serviceunavailable'] = 'Unable to access CoBRA service at {$a}';
$string['showfullglossary'] = 'Display full glossary';
$string['source'] = 'Source';
$string['sourcetext'] = 'Source text';
$string['text'] = 'Texte';
$string['textreading'] = 'Text reading';
$string['texts'] = 'text(s)';
$string['totalclicnumber'] = 'Total clic number';
$string['translation'] = 'Translation(s)';
$string['translations'] = 'Translations';
$string['translationsdisplaymode'] = 'Display translations';
$string['unhandledreturntype'] = 'Unhandled return type - {$a}';
$string['updateglossarycache'] = 'Update glossary cache';
$string['updatetextinfocache'] = 'Update cobra texts info cache';
$string['userglossary'] = 'User glossary';
$string['userglossary_help'] = 'Allows students to build their own personal glossary dynamically while reading texts';
