<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'congrea', language 'en', branch 'MOODLE_38_STABLE'
 *
 * @package   congrea
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['absent'] = 'Absent:';
$string['action'] = 'Action';
$string['addmultiplesessions'] = 'Repeat this session';
$string['addsessions'] = 'Add session';
$string['afterkeysavemsg'] = 'Successfully provisioned and saved Congrea API and Secret keys';
$string['allsessions'] = 'All upcoming sessions';
$string['alreadyhave'] = 'You have already configured API key and Secret.';
$string['apikey'] = 'Your API Key is';
$string['askplaymsg'] = '<span id="askplaymsg"> "Downloading under process, click Play  to begin </span>"';
$string['askQuestion'] = 'Question & Answer';
$string['askQuestion_help'] = 'If enabled, allow presenter and students to use Ask Question feature';
$string['attendance'] = 'Attendance';
$string['attendeerecording'] = 'Students Recording';
$string['attendeerecording_help'] = 'If enabled, allows student’s activities during a session to be recorded.';
$string['attendencereport'] = 'Attendance report';
$string['audio'] = 'Audio';
$string['audio_help'] = 'If enable , By default audio of all student will be enabled.';
$string['audiolatency'] = 'Audio Latency';
$string['audiotest'] = 'Test Audio';
$string['blankduration'] = 'Invalid input!';
$string['cannotsavekey'] = 'Unable to save API key or Secret key';
$string['cgallowoverride'] = 'Allow override';
$string['cgallowoverride_help'] = 'If enabled, allows settings to be overridden in activity settings inside course.';
$string['cgapi'] = 'Congrea API key';
$string['cgapid'] = 'API key:';
$string['cgrecording'] = 'Session recording';
$string['cgrecordingd'] = 'If enabled, you can choose to allow automatic session recording in your Congrea activities.';
$string['cgrecording_help'] = 'If enabled, allows automatic recording of your congrea sessions for this activity.';
$string['cgsecret'] = 'Congrea secret key';
$string['cgsecretd'] = 'Enter congrea secret key';
$string['cgsecretdv'] = 'Secret key:';
$string['closebeforeopen'] = 'Could not save the congrea. You have specified a close date before the open date.';
$string['closenotset'] = 'You have to specify a close time.';
$string['closesameopen'] = 'Session open and close time should not be same';
$string['closetime'] = 'Sessions closed';
$string['colorpicker'] = 'Custom color picker';
$string['colorpickerd'] = 'Choose custom color';
$string['configuredheading'] = '<h4>Congrea is configured, you can start using it now.</h4>';
$string['conflicts'] = 'There are some conflicted sessions in upcoming session(s) list.';
$string['conflictsdate'] = 'Unavailable slot';
$string['congrea'] = 'Congrea';
$string['congrea:addinstance'] = 'Add a new congrea';
$string['congrea:attendance'] = 'Attendance report';
$string['congreadocument'] = 'You are already Uploaded this';
$string['congreafieldset'] = 'Custom example fieldset';
$string['congreagenerald'] = 'Congrea API key';
$string['congrea:managesession'] = 'Manage session(s)';
$string['congreaname'] = 'Congrea name';
$string['congreaname_help'] = 'This is a real-time online class room which allows participates interaction with each other and provide asynchronous communication tools such as whiteboard, chat and screen sharing .';
$string['congrea:playrecording'] = 'Play recording';
$string['congreapoll'] = 'Congrea Poll Question';
$string['congrea:pollreport'] = 'View poll report';
$string['congrea:quizreport'] = 'View quiz report';
$string['congrea:recordingdelete'] = 'Delete recording';
$string['congrearecseeting'] = 'Congrea recording';
$string['congrea:sessionpresent'] = 'Present session';
$string['congrea:view'] = 'View congrea';
$string['correct'] = 'Correct';
$string['coursesactivity'] = 'Courses activity (Events by course)';
$string['currentsessiontime'] = 'Virtual class timing:';
$string['customsetting'] = 'Custom settings';
$string['datacenter'] = 'Choose a data center';
$string['datacenter_help'] = 'Choose data center name nearest to the location of your audience';
$string['dateandtime'] = 'Date and time';
$string['datetimelist'] = 'Date and time of first session';
$string['deletebtn'] = 'Delete';
$string['deletepolloption'] = 'Delete operation is Unsucessfull';
$string['deleterecordingfile'] = 'Are you sure that you want to delete the recorded file <br> "{$a}"?';
$string['deleteschedule'] = 'Are you sure want to delete ?';
$string['disable'] = 'Disable';
$string['disableAudio'] = 'Disable audio';
$string['disablespeaker'] = 'Mute';
$string['displaymode'] = 'Display mode';
$string['domain'] = 'Domain url';
$string['domain_help'] = 'Enter your domain name.';
$string['downloadsession'] = 'Please wait while recording is downloaded.';
$string['editbtn'] = 'Edit';
$string['editingschedule'] = 'Edit a scheduled session';
$string['editingsession'] = 'Editing schedule:';
$string['email'] = 'Email';
$string['email_help'] = 'Enter your email address.';
$string['enable'] = 'Enable';
$string['enableAudio'] = 'Unmute';
$string['enablerecording'] = 'Session Recording';
$string['enablerecording_help'] = 'If enabled, allows automatic session recording for all the sessions across the site.';
$string['enablespeaker'] = 'Enable Audio';
$string['enrolledlater'] = 'Enrolled later';
$string['enrolteacher'] = 'Enrol a teacher in this course';
$string['errorcurl'] = 'Some error occurred in getting plan details. Please refresh the page.';
$string['errordurationlimit'] = 'You have entered an invalid session duration. It should be more than 10 minutes and less than 24 hours. If adding an Open session input value as \'0\\';
$string['errortimeduration'] = 'You have entered an invalid session duration. It should be more than 10 minutes and less than 24 hours. If adding an Open session input value as \'0\\';
$string['esessiondate'] = 'You have entered an invalid date or time.';
$string['event'] = 'Event';
$string['eventsbymonth'] = 'Events by month ({$a})';
$string['eventsmosttriggered'] = 'Most triggered events';
$string['exittime'] = 'Exit Time';
$string['filename'] = 'Filename';
$string['filter'] = 'Select filter';
$string['filter_help'] = 'Select filter';
$string['firstname'] = 'First Name';
$string['firstname_help'] = 'Enter your first name.';
$string['freeplan'] = 'To get Congrea free plan, click <a href="../mod/congrea/getkeyindex.php"><strong>here</strong></a>';
$string['from'] = 'from:';
$string['fromsessiondate'] = 'Session start time';
$string['fromsessiondate_help'] = 'Select date and time of the session.';
$string['generalsection'] = 'General Settings';
$string['generate'] = 'Generate';
$string['getformheading'] = 'Get Congrea Free Plan';
$string['getfreeplan'] = 'Get Congrea free plan';
$string['getkey'] = 'Congrea API Key';
$string['grade'] = 'Grade';
$string['gradenotsaved'] = 'Grade not saved';
$string['graphic:view'] = 'View events graphic report';
$string['headingschedules'] = 'Schedules';
$string['hours'] = 'hr';
$string['hourssetting'] = 'You have entered an invalid date or time. Make sure the total session\'s length should not exceed 10 hours.';
$string['httpserror'] = 'Warning! HTTPS (SSL) is required for Congrea. It is detected that at present Moodle is not running on https and hence some features of Congrea may not work.';
$string['incorrectcmid'] = 'Course Module ID was incorrect';
$string['indvprogress'] = 'Current Task';
$string['infinitesession'] = 'Open-ended session';
$string['informationtocreatesession'] = '<strong>Note</strong>: A Congrea activity can either have a single Open-ended session or multiple sessions with a duration. To create an Open-ended session, input duration  as \'0\'.';
$string['invalidcmidorinsid'] = 'You must specify a course_module ID or an instance ID.';
$string['invalidcoursemodule'] = 'Invalid course module.';
$string['invaliddata'] = 'Invalid data.';
$string['invalidkey'] = '<div class="alert alert-warning alert-block fade in">Invalid or missing API / Secret Key</div>';
$string['joinasstudent'] = 'Join virtual class room session';
$string['joinasteacher'] = 'Join virtual class room as Presenter';
$string['jointime'] = 'Join Time';
$string['keyis'] = 'API key:';
$string['lastname'] = 'Surname';
$string['lastname_help'] = 'Enter your last name.';
$string['legacyplan'] = 'Congrea Legacy plan without recording';
$string['legacysession'] = 'Legacy session';
$string['livepresenter'] = 'Presenter: {$a->firstname} {$a->lastname}';
$string['liverun'] = 'Online - Use vidya.io server';
$string['menu'] = 'Events Graphic Report';
$string['message'] = '<div class="alert alert-warning alert-block fade in"> Get Congrea free plan API / secret key for your domain.  If you already have Congrea API keys update and configure Congrea <a href="../../admin/settings.php?section=modsettingcongrea"><strong>here</strong></a></div>';
$string['mins'] = 'min';
$string['missingdatacenter'] = 'Missing data center name';
$string['missingdomain'] = 'Domain name missing';
$string['missingprivacy'] = 'Required to accept Privacy Policy.';
$string['missingterms'] = 'Required to accept Terms of Service.';
$string['modulename'] = 'Congrea';
$string['modulename_help'] = 'Use the Congrea module for real-time online learning.  Congrea module allows you to participate in synchronous learning, which means that the teacher / presenter and students are logged into the virtual learning environment and interacting with each other at the same time.
This module provide students with asynchronous communication tools, such as whiteboard and chat capabilities';
$string['modulenameplural'] = 'Congreas';
$string['name'] = 'Name';
$string['newsessionadded'] = 'New schedule is created in the table.';
$string['next30sessions'] = 'Next 30 sessions';
$string['next7sessions'] = 'Next 7 sessions';
$string['next90sessions'] = 'Next 90 sessions';
$string['noattempt'] = 'Not attempted by any user';
$string['nofetchplandetails'] = 'Unable to fetch details of your plan. Please try again!';
$string['nopolldata'] = 'No Data for Save';
$string['nopollresult'] = 'Unable to save poll result';
$string['nopollsave'] = 'Unable to save poll';
$string['noquestionsinquiz'] = 'There  are no question in this quiz.';
$string['noquizattempt'] = 'Not attempted by any user';
$string['noquizreport'] = 'No data available.';
$string['norecordingtoshow'] = 'There are no recordings to show';
$string['norecordtodelete'] = 'Session(s) does not exist in database table.';
$string['noreport'] = 'No data available.';
$string['nosession'] = 'No sessions are available to display.';
$string['notavaliduser'] = 'Invalid presenter.';
$string['notavaliduserwithname'] = 'is an invalid presenter.';
$string['notcapabletocreateevent'] = 'You cannot create, edit or delete a session because you don\'t have the capability to create calendar event.';
$string['notcapabletodeletereport'] = 'You cannot delete a report because you don\'t have the capability to manage session.';
$string['notcapabletoviewschedules'] = 'You don\'t have permission to view schedules.';
$string['notenrol'] = 'No user is enrolled in this course';
$string['notsavekey'] = 'Congrea API key is missing. Go to <a href="{$a}">congrea settings</a> to configure.';
$string['notsession'] = '<h2>No sessions are available.</h2>';
$string['noupcomingsession'] = 'There are no upcoming sessions.';
$string['nouser'] = 'User name not found';
$string['onlyintegerallowed'] = 'Invalid input, enter only integers ( \'0\' for Open-ended & \'10\' to \'1439\' for Timed session.';
$string['onlysingleinfinite'] = 'A Congrea activity can either have a single Open-ended session or multiple sessions with duration. First delete all existing sessions and then can create other type of scehdule.';
$string['openended'] = 'Open-ended';
$string['opentime'] = 'Sessions open';
$string['options'] = 'Options';
$string['overallprogress'] = 'Overall Progress';
$string['overrideheading'] = 'Override settings';
$string['percentage'] = 'Percentage';
$string['plandetails'] = 'Your plan details: {$a->rooms} rooms, {$a->users} users, {$a->storage} GB cloud storage {$a->recordingstr}';
$string['play'] = 'Play';
$string['pluginadministration'] = 'Congrea administration';
$string['pluginname'] = 'Congrea';
$string['polldelete'] = 'Poll Delete is Unsucessfull, try again';
$string['polloptiondeletefailed'] = 'Delete is Failed,Try again';
$string['polloverview'] = 'Congrea poll overview';
$string['pollquestionis'] = 'Poll Question is:';
$string['pollquestions'] = 'Poll questions';
$string['pollreport'] = 'Poll report';
$string['pollretrievefail'] = 'Unable to Retrieve Poll,Try again';
$string['pollupdatefail'] = 'Poll Update is Unsucessfull, try again';
$string['presence'] = 'Presence';
$string['present'] = 'Present:';
$string['preset'] = 'Preset color';
$string['presetd'] = 'Select preset color';
$string['pressalways'] = 'Press always to speak';
$string['pressAlwaysToSpeak'] = 'Press always to speak.';
$string['pressonce'] = 'Press once to speak';
$string['privacy'] = 'I accept the <a href=\'https://www.congrea.com/documents-for-foreign-customers/#5e886344a0508-0\' target=\'_blank\'>Privacy Policy</a>.';
$string['privacy_help'] = 'Read the Privacy Policy and check the checkbox.';
$string['proposedspeed'] = 'Proposed Speed';
$string['psession'] = 'Recorded sessions';
$string['pushtotalk'] = 'Push to talk';
$string['pushtotalk_help'] = 'If enable , an extra option for audio testing display.';
$string['qaAnswer'] = 'Answer';
$string['qaAnswer_help'] = 'If enabled, allow students to answer the question posted on the Ask Question panel';
$string['qaComment'] = 'Comment';
$string['qaComment_help'] = 'If enabled, allow students to post comment on answers and other comments';
$string['qaMarkNotes'] = 'Bookmark & Notes';
$string['qaMarkNotes_help'] = 'If enabled, allow presenter and students to add private bookmarks and notes';
$string['qattempted'] = 'Q.Attempted';
$string['qaUpvote'] = 'Voting';
$string['qaUpvote_help'] = 'If enabled, allow students to Upvote the questions and answers';
$string['quantity'] = 'quantity';
$string['questionsanswersettings'] = 'Question & Answer Settings';
$string['quizheading'] = 'Congrea quiz  overview';
$string['quizname'] = 'Quiz name';
$string['quizreport'] = 'Quiz report';
$string['recAllowattendeeAVcontrol'] = 'Student’s control over A/V recording';
$string['recAllowattendeeAVcontrol_help'] = 'If enabled, allows students to control their A/V recording i.e., they can anytime stop and start their own A/V recording during a live session.';
$string['recAllowpresentorAVcontrol'] = 'Presenter’s control over A/V recording';
$string['recAllowpresentorAVcontrol_help'] = 'If enabled, allows the presenter to stop and start whole session’s A/V recording during a live session.';
$string['recattendeeav'] = 'Students A/V recording';
$string['recattendeeav_help'] = 'If enabled, allows students A/V recording during the session i.e., all the binary data such as audio, video and screen sharing will be recorded in the session recording.';
$string['recordedsessions'] = 'Recorded Sessions';
$string['recordingcontrol'] = 'Recording control';
$string['recordingsection'] = 'Recording settings';
$string['recordingviewed'] = 'Recording Viewed';
$string['recShowPresentorRecordingStatus'] = 'Recording status visibility to presenter';
$string['recShowPresentorRecordingStatus_help'] = 'If enabled, allows the visibility of recording status to the presenter i.e., they will have a continuous feed of whether the session is being recorded or not on their Congrea screen';
$string['repeatedweeks'] = 'weeks every';
$string['repeaton'] = 'Repeat on';
$string['repeatsession'] = 'Repeat sessions';
$string['repeatsessions'] = 'If you want to schedule multiple sessions';
$string['repeatstatus'] = 'Repeat for';
$string['repeattype'] = 'Repeat type';
$string['repeattype_help'] = 'Repeat type';
$string['repeatweekly'] = 'Repeat weekly, creating altogether';
$string['replay'] = 'Re-play';
$string['replay_message'] = 'Thanks for watching.';
$string['scheduleid'] = 'Schedule ID';
$string['secretis'] = 'Secret key:';
$string['secs'] = 'sec(s)';
$string['selectcolor'] = 'Select color';
$string['selectcolor_help'] = 'Choose your own color for your classroom';
$string['selectdays'] = 'Select days';
$string['selectteacher'] = 'Select Presenter';
$string['selectteacher_help'] = 'Assign a presenter for this session.';
$string['sessduration'] = 'Session duration';
$string['sessionareport'] = 'Session attendance report';
$string['sessionclosed'] = 'Class room is not opened yet';
$string['sessiondate'] = 'Session date';
$string['sessionduration'] = 'Session duration:';
$string['sessionedited'] = 'Session(s) updated.';
$string['sessionenddate'] = 'Session end date';
$string['sessionenddate_help'] = 'Session end date';
$string['sessionendmsg'] = 'Session has been closed. You may now close your browser.';
$string['sessionnouser'] = 'No user present in this session';
$string['sessions'] = 'session(s)';
$string['sessionsettings'] = 'Schedule session(s)';
$string['sessionsschedule'] = 'Schedule for sessions';
$string['showAttendeeRecordingStatus'] = 'Recording status visibility to student';
$string['showAttendeeRecordingStatus_help'] = 'If enabled, allows the visibility of recording status to the students i.e., they will have a continuous feed of whether the session is being recorded or not on their Congrea screen.';
$string['silencedetect'] = 'Silence Detection';
$string['srecordingsection'] = 'Student recording allowances';
$string['srecordingsection_help'] = '<b>Student Settings</b> - These settings will affect the recording rights of students.';
$string['studentaudio'] = 'Student’s audio';
$string['studentaudio_help'] = 'If enabled, allows students to provide their audio input during the session.';
$string['studentgc'] = 'Group chat';
$string['studentgc_help'] = 'If enabled, allows students to participate in group chat/discussion during the session.';
$string['studentm'] = 'Feature management';
$string['studentm_help'] = 'Feature management';
$string['studentpc'] = 'Private chat';
$string['studentpc_help'] = 'If enabled, allows students to have private chat i.e., one on one discussion with the attendees during the session.';
$string['studentvideo'] = 'Student’s video';
$string['studentvideo_help'] = 'If enabled, allows video input from students during the session.';
$string['submiterror'] = 'Error:';
$string['supportupgrade'] = 'For support and upgrading your Congrea Plan visit <a href="https://www.congrea.com/" target= "_blank">www.congrea.com</a>';
$string['teacher'] = 'Presenter';
$string['terms'] = 'I accept the <a href=\'https://www.congrea.com/documents-for-foreign-customers/#5e88631ac6b7c-1\' target=\'_blank\'>Terms of Service</a>.';
$string['terms_help'] = 'Read the Terms of Service and check the checkbox.';
$string['testingbrowser'] = 'Testing Browser Compatibility';
$string['testinginternetspeed'] = 'Testing Internet Speed';
$string['testingmichrophone'] = 'Testing Microphone';
$string['testingspeaker'] = 'Testing Speaker';
$string['testingwebcam'] = 'Testing Webcam Connection';
$string['time'] = 'Time:';
$string['timeclashed'] = 'There are some existing sessions in conflict with the current schedule. Please resolve and retry!<br>';
$string['timecreated'] = 'Time created';
$string['timedur'] = 'Time duration';
$string['timeduration'] = 'Time duration in minutes';
$string['timeduration_help'] = 'For creating an Open-ended session without duration, enter 0, else enter a duration.';
$string['timetaken'] = 'Time';
$string['to'] = 'to';
$string['todaynosession'] = 'Today no session please view below upcoming sessions';
$string['tosessiondate'] = 'Session end time';
$string['tosessiondate_help'] = 'Select end time of the session that should not exceed a total length of 10 hours.';
$string['totalconflicts'] = 'Total conflicts =';
$string['totalprogress'] = 'Total Progress';
$string['tpAudioTest'] = 'Audio Test';
$string['trecordingsection'] = 'Presenter recording allowances';
$string['trecordingsection_help'] = '<b>Presenter Settings</b> - These settings will affect the recording rights of presenter.';
$string['trimRecordings'] = 'Trim  recording';
$string['trimRecordings_help'] = 'If enabled, allows session recording to be stopped/trimmed whenever A/V has been disabled i.e., whenever the presenter has stopped A/V recording during the session that particular duration will not be recorded or trimmed from the session’s recording.';
$string['unsupportedfiletype'] = 'Invalid file type, only Congrea session recordings {.vcp} are supported.';
$string['upcomingsession'] = 'Upcoming sessions';
$string['updated'] = 'Saved sucessfully.';
$string['uploadedsession'] = 'Your session has ended, you may now close the window. <br /> Or
                                  close this popup to start a new session.';
$string['uploadedsessionOk'] = 'Click "Ok" to start a new Session.';
$string['uploadrecordedfile'] = 'Upload recorded file';
$string['uploadsession'] = 'Please wait until processing is complete.';
$string['userlist'] = 'User list visibility';
$string['userlist_help'] = 'If enabled, allows students to view the list of attendees during a session.';
$string['username'] = 'Username';
$string['users'] = 'Users';
$string['usersactivity'] = 'User activity (Events by user)';
$string['video'] = 'Video';
$string['video_help'] = 'If enable , By default video of all student will be enabled.';
$string['videoquality'] = 'Video Quality';
$string['viewreport'] = 'Attendance Report';
$string['waitmsgconnect'] = 'Please wait a whlie. Application is trying to connect.';
$string['weeksevery'] = 'weeks every';
$string['wheretoruncongrea'] = 'From where to serve congrea App';
$string['withoutrecording'] = 'without recording';
$string['withrecording'] = 'with recording';
$string['wrongkey'] = 'Congrea API key is wrong. Go to <a href="{$a}">Congrea Settings</a> for configure again.';
