<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'description', language 'en', branch 'MOODLE_35_STABLE'
 *
 * @package   description
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['configdndmedia'] = 'Offer to create a course description when media files are dragged & dropped onto a course';
$string['configdndresizeheight'] = 'When a course description is created from a dragged & dropped image, resize it if it is higher than this many pixels (0 for no resize)';
$string['configdndresizewidth'] = 'When a course description is created from a dragged & dropped image, resize it if it is wider than this many pixels (0 for no resize)';
$string['description:addinstance'] = 'Add a new course description';
$string['dndmedia'] = 'Media drag and drop';
$string['dndresizeheight'] = 'Resize drag and drop height';
$string['dndresizewidth'] = 'Resize drag and drop width';
$string['modulename'] = 'Course description';
$string['modulename_help'] = 'The course description module enables text and multimedia to be inserted into the course page in between links to other resources and activities. course descriptions are very versatile and can help to improve the appearance of a course if used thoughtfully.

course descriptions may be used

* To split up a long list of activities with a subheading or an image
* To display an embedded sound file or video directly on the course page
* To add a short description to a course section';
$string['modulename_link'] = 'mod/description/view';
$string['modulenameplural'] = 'Course description';
$string['pluginadministration'] = 'Course description administration';
$string['pluginname'] = 'Course description';
$string['privacy:metadata'] = 'The Description resource only displays the course description.';
