<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'domoscio', language 'en', branch 'MOODLE_31_STABLE'
 *
 * @package   domoscio
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['add_notion_btn'] = 'Add a notion';
$string['add_notion_expl'] = 'Create a new notion if you don\'t find the one you desired :';
$string['answer'] = 'Answer :';
$string['at'] = ',';
$string['avr_rate'] = 'Global rate';
$string['back_btn'] = 'Back';
$string['back_to_coursepage'] = 'Return to course';
$string['choose'] = 'Choose...';
$string['choose_q'] = 'Select questions';
$string['choose_q_from_qbank'] = 'Select from Question Bank';
$string['confirm_notiondel'] = 'All notion data and potential results will be destroyed permanently. Are you sure you want to proceed ?';
$string['correction'] = 'The right answer is :';
$string['create_q'] = 'Create questions';
$string['days'] = 'days';
$string['def_notions'] = 'Set notions';
$string['delete'] = 'Delete';
$string['desk'] = 'My organizer';
$string['domoscio'] = 'domoscio';
$string['domoscio:addinstance'] = 'Add a new quiz';
$string['domoscio:attempt'] = 'Attempt adaptive quiz';
$string['domoscio:manage'] = 'Manage a lesson activity';
$string['domoscioname'] = 'domoscio name';
$string['domoscioname_help'] = 'This is the content of the help tooltip associated with the domoscioname field. Markdown syntax is supported.';
$string['domoscioresourceset'] = 'Link to a resource';
$string['domoscioresourceset_help'] = 'The Domoscio plugin need to be linked to a resource from your course in order to display right questions to right people';
$string['domoscio:savetrack'] = 'Store results from SCORM activities in the Domoscio plugin';
$string['domoscio:submit'] = 'Submit to Domoscio API';
$string['domoscio:view'] = 'View quiz information';
$string['domoscio:viewreport'] = 'View quiz reports';
$string['do_review_btn'] = 'Review';
$string['do_test'] = 'Do test';
$string['do_training'] = 'Training';
$string['each_expl'] = 'or select notions one by one (n notion, n test) :';
$string['edit'] = 'Modifier';
$string['end_btn'] = 'Stop session';
$string['enrol_students'] = 'Enrolled students';
$string['global_module'] = 'Entire course module';
$string['global_view'] = 'Overview';
$string['gottatest'] = 'You have a review to do on';
$string['home_btn'] = 'Home';
$string['import_activities'] = 'Import activities';
$string['import_activities_help'] = 'Utilisez ce formulaire pour associer un paquet SCORM d\'activités. Si vous le laissez vide, vous devrez associer des activités pour chaque notion à l\'étape suivante.';
$string['instance_disabled'] = 'Access to Domoscio service disabled.';
$string['linkto_intro'] = 'Select from the exercises modules below, the questions you want to add for this notion :';
$string['module'] = 'Course module';
$string['modulename'] = 'Domoscio';
$string['modulenamedomoscio_plural'] = 'Domoscios';
$string['modulename_help'] = 'To learn is good, to know is better. <br/><br/>Link the plugin with any Moodle course module or SCORM package,
 add questions from your quiz module or create from scratch, or use your SCORM package activites. You can also fetch datas from your
  students to evaluate their progress.';
$string['modulenameplural'] = 'Domoscios';
$string['newnotion_intro'] = 'Create new notion';
$string['next_btn'] = 'Next';
$string['next_due'] = 'Next review on :';
$string['next_due_th'] = 'Next review';
$string['next_page'] = 'Next page';
$string['no_history'] = 'It seems you didn\'t train this item :';
$string['no_questions_in_bank'] = 'No questions in plugin bank yet.';
$string['no_stats'] = 'No data available now';
$string['no_test'] = 'You don\'t have to review something';
$string['notion_created'] = 'Notion created';
$string['notion_deleted'] = 'Notion deleted';
$string['notion_ok'] = 'Notion OK';
$string['notion_rvw'] = 'Review notion';
$string['notions_empty'] = 'You didn\'t select any notion. Add one or more notions first to select questions to display.';
$string['notions_intro'] = 'Select which notion to link to the plugin :';
$string['notion_title'] = 'Title :';
$string['num'] = 'N°';
$string['pluginadministration'] = 'Admin Domoscio';
$string['pluginname'] = 'Domoscio for Moodle';
$string['prev_page'] = 'Previous page';
$string['proxy_action_missing'] = 'Action not set in request arguments.';
$string['proxy_curl_missing'] = 'The CURL lib is missing from your PHP server. This lib is required to use the MediaServer plugin.';
$string['proxy_login_required'] = 'You must be logged in to access this url. Please log in and retry.';
$string['proxy_parsing_error'] = 'Response from MediaServer cannot be parsed.';
$string['proxy_permission_required'] = 'You don\'t have the permission to access this url.';
$string['proxy_request_error'] = 'Error during request to MediaServer. Error:';
$string['question'] = 'Question';
$string['questions_assigned'] = 'This plugin displays the following questions :';
$string['resource_assigned'] = 'This plugin is linked to the following module :';
$string['resourceset_resource'] = 'Course module';
$string['results'] = 'Results';
$string['reviewed'] = 'Module reviewed :';
$string['running_time'] = 'Time elapsed :';
$string['score'] = 'Score';
$string['scorm_warning'] = 'Warning : Please validate your answers in the SCORM frame before proceed to the next step.';
$string['see_notion'] = 'Show notion';
$string['select_answer'] = 'Select one';
$string['set_notions'] = 'Notions selected :';
$string['settings_apikey'] = 'Domoscio API key';
$string['settings_apikey_helptext'] = 'Enter the MediaServer API key. An API key looks like "bku5t-N7P4n-rJs17-fkAsB-38Mqv".';
$string['settings_apiurl'] = 'URL API Domoscio';
$string['settings_apiurl_helptext'] = 'Enter API URL provided by our customer support';
$string['settings_id'] = 'Domoscio Identifiant';
$string['settings_id_helptext'] = 'Enter the Domoscio Identifiant user API.';
$string['settings_required'] = 'Domoscio settings are missing. Please contact your administrator.';
$string['start_btn'] = 'Go !';
$string['start_tests'] = 'Start session';
$string['state'] = 'Status';
$string['stats'] = 'Results';
$string['stats_adv'] = 'More';
$string['student'] = 'Student';
$string['student_first_visit'] = 'We created your learning profile as you lauched Domoscio for the first time. You are know ready
to take off :';
$string['students_list'] = 'Students list';
$string['test_done'] = 'Tests done';
$string['test_failed'] = 'Failed';
$string['testnav'] = 'Test session navigation';
$string['tests_empty'] = 'No question have been linked to this notion by the course creator.';
$string['test_session'] = 'Test session';
$string['test_succeeded'] = 'Succeeded';
$string['test_todo'] = 'Tests to do';
$string['text2'] = 'test';
$string['text3'] = 'to do';
$string['today'] = 'Today';
$string['tomorrow'] = 'Tomorrow';
$string['update'] = 'Update';
$string['upd_qlist'] = 'Question list updated.';
$string['validate_btn'] = 'Validate';
$string['warning'] = 'Warning';
$string['welcome'] = 'Welcome,';
$string['whole_expl'] = 'Select the whole notion (1 notion, 1 test)';
