<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'eduplayer', language 'en', branch 'MOODLE_32_STABLE'
 *
 * @package   eduplayer
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['appearance'] = 'Appearance';
$string['audio'] = 'Audio';
$string['autostart'] = 'Auto Start';
$string['behaviour'] = 'Behaviour';
$string['cancel'] = 'Cancel';
$string['captions'] = 'Captions';
$string['captionsback'] = 'Transparent Background';
$string['captionsfile'] = 'Captions File';
$string['captionsfile_help'] = 'Captions File: only .vtt, .srt, .xml files';
$string['captionsfontsize'] = 'Font Size';
$string['captionsstate'] = 'Show Captions';
$string['controls'] = 'Controls';
$string['disclaimer'] = 'Warning to show if the media file is copyright protected';
$string['disclaimer_help'] = 'Important: the warning will be triggered only if this field is not empty';
$string['disclaimerlabel'] = 'Warning to show if the media file is copyright protected';
$string['download'] = 'Download';
$string['downloadenabled'] = 'Enable download of media';
$string['downloadfile'] = 'Download media';
$string['eduplayer'] = 'eduplayer';
$string['eduplayer:addinstance'] = 'Add instance';
$string['eduplayerappearance'] = 'Appearance';
$string['eduplayerappearance_help'] = 'Define size and appearance options of the player such as width, height, player skin and poster image';
$string['eduplayerbehaviour'] = 'Behaviour';
$string['eduplayerbehaviour_help'] = 'Choose how the video is rendered and playback options (by default mute, auto start playback etc.)';
$string['eduplayercaptions'] = 'Captions';
$string['eduplayercaptions_help'] = 'Enable captions support';
$string['eduplayerfieldset'] = 'Custom example fieldset';
$string['eduplayerfile'] = 'File';
$string['eduplayerfile_help'] = 'It is possible to upload .mp4, .flv, .webm video files or .mp3, .m4a audio files';
$string['eduplayername'] = 'Eduplayer name';
$string['eduplayername_help'] = 'Type here the name of the activity';
$string['eduplayerplaylist'] = 'Playlist';
$string['eduplayerplaylist_help'] = 'Choose where to show the playlist and its size in pixels';
$string['eduplayerrepeat'] = 'Repeat';
$string['eduplayerskin'] = 'Skin of the player';
$string['eduplayersource'] = 'Source';
$string['eduplayersource_help'] = 'It is possible to upload video files .mp4, .flv, .webm and .mp3, .m4a audio file or insert an url to a media file of those extensions';
$string['emailnotcorrect'] = 'Invalid E-mail';
$string['emailnotsent'] = 'Error sending E-mail';
$string['emailsent'] = 'E-mail sent to {$a}!';
$string['false'] = 'NO';
$string['FILE'] = 'FILE';
$string['full_url'] = 'Full URL';
$string['height'] = 'Height';
$string['image'] = 'Poster Image';
$string['image_help'] = 'Poster Image: only .jpg, .jpeg, .png files';
$string['linkurl'] = 'Link';
$string['modulename'] = 'Eduplayer';
$string['modulename_help'] = 'The eduplayer module allows to playback .mp4, .flv video files and .mp3, .m4a audio files';
$string['modulenameplural'] = 'eduplayers';
$string['mute'] = 'Mute';
$string['notes'] = 'Notes';
$string['playlist'] = 'Position';
$string['playlistpositionbottom'] = 'Bottom';
$string['playlistpositionnull'] = 'None';
$string['playlistpositionright'] = 'Right';
$string['playlists'] = 'Playlist';
$string['playlistsize'] = 'Size (pixels)';
$string['pluginadministration'] = 'Eduplayer administration';
$string['pluginname'] = 'eduplayer';
$string['rtmp'] = 'RTMP Streaming';
$string['share'] = 'Share';
$string['shareemaillabel'] = 'E-mail address';
$string['sharelink'] = 'Link to share';
$string['sharelink_help'] = 'Important: the e-mail sharing feature is enabled by filling this field. If the field is empty, the link will not be mailed';
$string['sharemailmessage_editor'] = 'E-mail share message';
$string['sharemailmessage_editor_help'] = 'This text wil be sent as the e-mail message body with the link in the share url field. Modify this text as you like';
$string['sharemessage'] = '<p>Check this interesting course:<br /></p>';
$string['sharemessagelabel'] = 'E-mail share message';
$string['sharesubbject'] = '{$a->firstname} {$a->lastname} is sharing this multimedia resource with you';
$string['sharetext'] = 'Send a link to an online copy of this resource via e-mail';
$string['sharing'] = 'Sharing';
$string['stretching'] = 'Stretch the content to the player';
$string['stretchingexactfit'] = 'Stretch the content to fit the player';
$string['stretchingfill'] = 'Fill the player without stretching content';
$string['stretchingnone'] = 'No adjustment';
$string['stretchinguniform'] = 'Fit the player with the content';
$string['title'] = 'Title';
$string['true'] = 'YES';
$string['type'] = 'Playback type';
$string['URL'] = 'URL';
$string['urltype'] = 'Type';
$string['validemail'] = 'Give a valid e-mail address';
$string['video'] = 'Video';
$string['vimeo'] = 'Vimeo';
$string['vplaylist'] = 'Video Playlist';
$string['width'] = 'Width';
$string['youtube'] = 'YouTube';
$string['ytplaylist'] = 'Youtube Playlist';
