<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'format_etask', language 'en', branch 'MOODLE_38_STABLE'
 *
 * @package   format_etask
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activitiessorting'] = 'eTask activities sorting';
$string['activitiessorting_help'] = 'This settings determines whether activities of eTask grading table are sorted by the latest, by the oldest or as they are in the course.';
$string['activitiessorting_inherit'] = 'Sort the activities as they are in the course';
$string['activitiessorting_latest'] = 'Sort the activities by the latest';
$string['activitiessorting_oldest'] = 'Sort the activities by the oldest';
$string['activitycompleted'] = 'Completed';
$string['activityfailed'] = 'Failed';
$string['activitypassed'] = 'Passed';
$string['addsections'] = 'Add topics';
$string['currentsection'] = 'This topic';
$string['deletesection'] = 'Delete topic';
$string['editsection'] = 'Edit topic';
$string['editsectionname'] = 'Edit topic name';
$string['etask:noneditingteacher'] = 'Read only (all the data)';
$string['etask:student'] = 'Read only (data in the context of a private view)';
$string['etask:teacher'] = 'Full management';
$string['gradesavingerror'] = 'Error in saving grade to pass for <strong>{$a}</strong>. Please, try it again later or contact plugin developer.';
$string['gradesavingsuccess'] = 'Grade to pass for <strong>{$a->itemName}</strong> was successfully updated to value <strong>{$a->gradePass}</strong>.';
$string['hidefromothers'] = 'Hide topic';
$string['legend'] = 'Legend';
$string['newsectionname'] = 'New name for topic {$a}';
$string['notset'] = 'not set';
$string['page-course-view-topics'] = 'Any course main page in eTask topics format';
$string['page-course-view-topics-x'] = 'Any course page in eTask topics format';
$string['placement'] = 'eTask placement';
$string['placement_above'] = 'Place the grading table above the course topics';
$string['placement_below'] = 'Place the grading table below the course topics';
$string['placement_help'] = 'This settings determines placement of the eTask grading table above or below the course topics.';
$string['pluginname'] = 'eTask topics format';
$string['privacy:metadata'] = 'The eTask topics format plugin does not store any personal data.';
$string['privateview'] = 'eTask private view';
$string['privateview_help'] = 'This settings determines whether all the students can see each other\'s grades in the eTask grading table or not.';
$string['privateview_no'] = 'Each student can see the grades of the other students in the course/group';
$string['privateview_yes'] = 'Logged in student can see own grades only';
$string['progressbars'] = 'eTask progress bars';
$string['progressbars_calculate'] = 'Calculate progress bars Completed and Passed';
$string['progressbars_donotcalculate'] = 'Do not calculate progress bars Completed and Passed';
$string['progressbars_help'] = 'This settings determines whether progress bars Completed and Passed are calculated in the eTask grading table activity popover or not.';
$string['registeredduedatemodules'] = 'Registered due date modules';
$string['registeredduedatemodules_help'] = 'Specifies in which module\'s database field the due date value is stored.';
$string['section0name'] = 'General';
$string['sectionname'] = 'Topic';
$string['showfromothers'] = 'Show topic';
$string['studentsperpage'] = 'eTask students per page';
$string['studentsperpage_help'] = 'This settings determines the number of students per page in the eTask grading table.';
