<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'format_gps', language 'en', branch 'MOODLE_30_STABLE'
 *
 * @package   format_gps
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['active'] = 'Restrict this topic to a specific GPS location';
$string['address'] = 'Location description';
$string['east'] = 'East';
$string['editsection_geo'] = 'Edit GPS location settings for this topic section';
$string['editsection_geo_heading'] = 'GPS location settings';
$string['errorhelp'] = 'Form validation error';
$string['errorhelp_help'] = 'Latitude and Longitude are required fields if you restrict the topic to a location.';
$string['gps:editsection_geo'] = 'Edit GPS location settings';
$string['gpshelp'] = 'GPS settings for topics';
$string['gpshelp_help'] = 'With GPS settings you can restrict the visability of a topic to only shown if a learner has a GPS enabled device, has allowed their GPS location to be shared with Moodle and if he or she is at the location you specify here. Hint: GPS settings are deleted if you change the course format to another format.';
$string['gpsrestricted'] = 'Only available at the right GPS position';
$string['gps_restricted'] = 'This topic has been restricted to a specific GPS location';
$string['hidefromothers'] = 'Hide topic';
$string['latitude'] = 'Latitude of location';
$string['loadinggps'] = 'Loading GPS';
$string['longitude'] = 'Longitude of location';
$string['nogps'] = 'There are currently no GPS data available.<br />Please click on "Update my position".';
$string['north'] = 'North';
$string['notallowed'] = 'Update your position to unhide this GPS restricted topic.';
$string['page-course-view-gps'] = 'Any course main page in GPS Format';
$string['page-course-view-gps-x'] = 'Any course page in GPS Format';
$string['pluginname'] = 'GPS Format';
$string['restricted'] = 'Restricted by Geo location';
$string['section0name'] = 'General';
$string['sectionname'] = 'Topic';
$string['showfromothers'] = 'Show topic';
$string['south'] = 'South';
$string['unrestricted'] = 'Not restricted by Geo location';
$string['updatepage'] = 'Update course page';
$string['updateposition'] = 'Update my position';
$string['validationerror'] = 'There was a problem with the values you entered in the form.  Please correct any errors and resubmit the form.';
$string['west'] = 'West';
