<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'format_kickstart', language 'en', branch 'MOODLE_38_STABLE'
 *
 * @package   format_kickstart
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['automatictemplate'] = 'Automatic template';
$string['automatictemplate_desc'] = 'If only one template is available to the user it will automatically be imported. The user will be notified on the page when this happens.';
$string['automatictemplate_help'] = 'The course template was automatically applied. If you require a different template, please contact the system administrator.';
$string['buypro'] = 'Buy Kickstart Pro';
$string['buypromaxtemplates'] = 'You are using the maximum number (<b>4</b>) of templates allowed in Kickstart free edition. To create more templates, purchase <a target="_blank" href="https://bdecent.de/products/moodle-plugins/kickstart-course-wizard-pro/">Kickstart Pro</a>.';
$string['buyprosummary'] = 'To unlock all Kickstart features purchase Kickstart Pro.';
$string['confirmtemplate'] = 'Are you sure you want to use this template?';
$string['course_backup'] = 'Course backup file (.mbz)';
$string['course_backup_help'] = 'When a user selects this template from within a course, this .mbz course backup will be imported into the course.';
$string['coursebackupnotset'] = 'Template has no course backup set.';
$string['coursecreatorredirect'] = 'Course creator redirect';
$string['coursecreatorredirect_desc'] = 'Force course creators to use Kickstart\'s "create from template" page when creating new courses. For example, when a course creator clicks "Add new course", they will be redirected to Kickstart.';
$string['course_templates'] = 'Course templates';
$string['createcoursefromtemplate'] = 'Create course from template';
$string['create_template'] = 'Create template';
$string['defaultteacherinstructions'] = 'Default teacher instructions';
$string['defaultteacherinstructions_default'] = '<p>Currently, there\'s nothing in here, so start adding your content. If you need any help, here\'s a video tutorial on all the options you have. We\'ve made creating courses really easy for you. First, you choose a template that suits your course, then you can start adding content.</p>';
$string['defaultteacherinstructions_desc'] = 'Default content displayed to teachers before a template has been chosen.';
$string['defaultuserinstructions'] = 'Default student instructions';
$string['defaultuserinstructions_default'] = '<p>Your teacher has not added any content into this course (yet).</p><p>If you have any questions, contact your teacher.</p>';
$string['defaultuserinstructions_desc'] = 'Default content displayed to students before a template has been chosen by the teacher.';
$string['delete'] = 'Delete';
$string['delete_template'] = 'Delete template';
$string['description'] = 'Description';
$string['edit'] = 'Edit';
$string['edit_template'] = 'Edit template';
$string['enrollmenthelp'] = 'Before continuing you may enroll teachers (or any users). Click <b>Proceed to course content</b> to choose a template to import.';
$string['general_settings'] = 'General settings';
$string['getpro'] = 'Get more templates with Kickstart Pro';
$string['goprotoenable'] = 'Go Pro to enable';
$string['gotocourse'] = 'Go to course';
$string['importcourse'] = 'Import course';
$string['importexplanation'] = 'Here is a list of courses you are enrolled in as a teacher. You can import contents from these courses. Use the search box to narrow down the list of courses.';
$string['importtarget'] = 'Import target';
$string['importtarget_desc'] = 'Choose how Kickstart templates should be imported into courses.';
$string['includesubcategories'] = 'Include subcategories';
$string['includesubcategories_help'] = 'If checked, subcategories of chosen categories will also have access to this template.';
$string['kickstart:import_from_template'] = 'Import from templates';
$string['kickstart:manage_templates'] = 'Manage templates';
$string['learnmore'] = 'Learn more';
$string['manage_templates'] = 'Manage templates';
$string['migratefromcourses'] = 'Migrate content from other courses';
$string['notemplates'] = 'No templates are available yet.';
$string['pluginname'] = 'Kickstart format';
$string['previewurl'] = 'Preview URL';
$string['previewurl_help'] = 'If provided a button will display on the template that will open this URL in a new tab';
$string['privacy:metadata'] = 'The Kickstart format plugin does not store any personal data.';
$string['restoretoexistingcourseadding'] = 'Merge Kickstart templates into courses';
$string['restoretoexistingcoursedeleting'] = 'Delete existing content when importing Kickstart templates';
$string['restrictcategory'] = 'Restrict by categories';
$string['restrictcohort'] = 'Restrict by cohorts';
$string['restrictrole'] = 'Restrict by roles';
$string['searchterm'] = 'Showing results for "{$a->term}"';
$string['sectionname'] = 'Kickstart';
$string['showing'] = 'Showing {$a->count} course(s)';
$string['tagarea_kickstart_template'] = 'Kickstart templates';
$string['teacherinstructions'] = 'Teacher instructions';
$string['teacherinstructions_help'] = 'Content displayed to teachers before a template has been chosen.';
$string['templateaccess'] = 'Template access';
$string['template_created'] = 'Template successfully created';
$string['template_deleted'] = 'Template successfully deleted';
$string['template_edited'] = 'Template successfully edited';
$string['title'] = 'Title';
$string['userinstructions'] = 'Student instructions';
$string['userinstructions_help'] = 'Content displayed to students before a template has been chosen by the teacher.';
$string['usetemplate'] = 'Use template';
$string['welcometoyourcourse'] = 'Welcome to your new course';
