<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'format_remuiformat', language 'en', branch 'MOODLE_38_STABLE'
 *
 * @package   format_remuiformat
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activitiescompleted'] = 'activities completed';
$string['activitiesremaining'] = 'activities remaining';
$string['activitycompleted'] = 'activity completed';
$string['activityremaining'] = 'activity remaining';
$string['activitystart'] = 'Let\'s Start';
$string['addnewsection'] = 'Add Section';
$string['addsections'] = 'Add sections';
$string['allactivitiescompleted'] = 'All activitie\'s completed';
$string['cardbackgroundcolor'] = 'Set the section background color in card format.';
$string['cardbackgroundcolor_help'] = 'Card background color Help.';
$string['changelayoutnotify'] = 'Refresh page to see changes.';
$string['collapsed'] = 'Collapse All';
$string['completed'] = 'Completed';
$string['coursecompletionprogress'] = 'Course Progress';
$string['coursedisplay_error'] = 'Please choose correct combination of layout.';
$string['currentsection'] = 'This topic';
$string['dark'] = 'Dark';
$string['defaultbuttoncolour'] = 'Default View topic button colour';
$string['defaultbuttoncolour_desc'] = 'The View topic button colour.';
$string['defaultcardbackgroundcolor'] = 'Set the section background color in card format.';
$string['defaultcardbackgroundcolordesc'] = 'Card background color Description';
$string['defaultcoursedisplay'] = 'Course display default';
$string['defaultcoursedisplay_desc'] = 'Either show all the sections on a single page or section zero and the chosen section on page.';
$string['defaultnumberofactivities'] = 'Default number of activities per page';
$string['defaultnumberofactivities_desc'] = 'The number of activities to be displayed in one page';
$string['defaultnumberoftopics'] = 'Default number of topics per page';
$string['defaultnumberoftopics_desc'] = 'The number of topics to be displayed in one page';
$string['defaultoverlaycolour'] = 'Default overlay colour when user hover on activities';
$string['defaultoverlaycolour_desc'] = 'The overlay colour when user hover on activities';
$string['defaultremuiteacherdisplay'] = 'Show Teacher image';
$string['defaultremuiteacherdisplay_desc'] = 'Show Teacher image in the Course header.';
$string['defaultsectionsummarymaxlength'] = 'Set the section/activities summary maximum length.';
$string['defaultsectionsummarymaxlength_desc'] = 'Set the the section/activities summary maxium length displayed on the card.';
$string['defaultshowsectiontitlesummary'] = 'Show the section title summary on hover option';
$string['defaultshowsectiontitlesummary_desc'] = 'Show the section title summary when hovering over the grid box.';
$string['disablecardbackgroundimg'] = 'Hide background image to section in card.';
$string['editsection'] = 'Edit topic';
$string['editsectionname'] = 'Edit topic name';
$string['enablecardbackgroundimg'] = 'Show background image to section in card.';
$string['enablepagination'] = 'Enable pagination';
$string['enablepagination_desc'] = 'This will enable multiple pages view when the number of section/activities are very large.';
$string['enableusagetracking'] = 'Enable Usage Trakcing';
$string['enableusagetrackingdesc'] = '<strong>USAGE TRACKING NOTICE</strong>

<hr class=\'text-muted\' />

<p>Edwiser from now on will collect anonymous data to generate product usage statistics.</p>

<p>This information will help us guide the development in right direction and the Edwiser community prosper.</p>

<p>Having said that we don\'t gather your personal data or of your students during this process. You can disable this from the plugin whenever you wish to opt out of this service.</p>

<p>An overview of the data collected is available <strong><a href=\'https://forums.edwiser.org/topic/67/anonymously-tracking-the-usage-of-edwiser-products\' target=\'_blank\'>here</a></strong>.</p>';
$string['expanded'] = 'Expand All';
$string['generalactivities'] = 'Activities';
$string['grade'] = 'Grade';
$string['hidefromothers'] = 'Hide topic';
$string['light'] = 'Light';
$string['markcomplete'] = 'Mark Complete';
$string['moveto'] = 'Move to';
$string['newsectionname'] = 'New name for topic {$a}';
$string['next'] = 'Next';
$string['notattempted'] = 'Not Attempted';
$string['notcompleted'] = 'Not Completed';
$string['notsubscribed'] = 'Not Subscribed';
$string['off'] = 'Off';
$string['on'] = 'On';
$string['outof'] = 'out of';
$string['pluginname'] = 'Edwiser course formats';
$string['previous'] = 'Previous';
$string['privacy:metadata'] = 'The Edwiser Course Formats plugin does not store any personal data.';
$string['progress'] = 'Progress';
$string['remuicourseformat'] = 'Choose layout';
$string['remuicourseformat_card'] = 'Card Layout';
$string['remuicourseformat_help'] = 'Choose a course layout';
$string['remuicourseformat_list'] = 'List Layout';
$string['remuicourseimage'] = 'Choose a course image';
$string['remuicourseimage_help'] = 'Choose a course image';
$string['remuidefaultsectiontheme'] = 'Choose default sections theme';
$string['remuidefaultsectiontheme_help'] = 'Choose a default theme for the sections of the course.';
$string['remuidefaultsectionview'] = 'Choose default sections view';
$string['remuidefaultsectionview_help'] = 'Choose a default view for the sections of the course.';
$string['remuienablecardbackgroundimg'] = 'Section background image';
$string['remuienablecardbackgroundimg_help'] = 'Enable section background image. By default it is disable. It fetches the image from section summary.';
$string['remuiteacherdisplay'] = 'Show Teacher image';
$string['remuiteacherdisplay_help'] = 'Show Teacher image in the Course header.';
$string['resumetoactivity'] = 'Resume';
$string['section0name'] = 'General';
$string['sectionname'] = 'Section';
$string['sectionnamecaps'] = 'SECTION';
$string['sectiontitlesummarymaxlength'] = 'Set the section/activities summary maximum length.';
$string['sectiontitlesummarymaxlength_help'] = 'Set the the section/activities title summary maxium length displayed on the card.';
$string['showallsectionperpage'] = 'Show all sections per page';
$string['showfromothers'] = 'Show topic';
$string['showfullsummary'] = '+ Show full summary';
$string['showincard'] = 'Make card';
$string['showinrow'] = 'Make row';
$string['showless'] = 'Show less';
$string['subscribed'] = 'Subscribed';
$string['teachers'] = 'Teachers';
$string['viewactivity'] = 'View Activity';
$string['viewtopic'] = 'View';
