<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'local_flavours', language 'en', branch 'MOODLE_30_STABLE'
 *
 * @package   local_flavours
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['actiondeployment_execute'] = 'Flavours Deployment';
$string['actiondeployment_preview'] = 'Flavours Deployment - Ingredients previsualization';
$string['actiondeployment_upload'] = 'Flavours Deployment - Upload a flavour';
$string['actiongeneratedefaults_execute'] = 'Default system settings generator';
$string['actiongeneratedefaults_form'] = 'Default system settings generator - Select settings';
$string['actionnotsupported'] = 'Action not supported';
$string['actionpackaging_execute'] = 'Flavours Packaging';
$string['actionpackaging_form'] = 'Flavours Packaging';
$string['clifinished'] = 'Execution completed successfully, changes updated in local/defaults.php';
$string['clinooverwrite'] = 'Execution finished without problems, execute with --overwrite-defaults to save the settings in local/defaults.php';
$string['copyandpastedefaults'] = 'Copy and paste the below PHP code in local/defaults.php file';
$string['defaultoverwritesoptions'] = 'Options';
$string['defaultsfileoverwritten'] = 'local/defaults.php has been succesfully created/modified';
$string['defaultsoverwrite'] = 'Overwrite local/defaults.php';
$string['deploy'] = 'Deploy a flavour';
$string['deployflavour'] = 'Deploy';
$string['deploymentcontinue'] = 'Continue to notifications page';
$string['deploymentpreviewheader'] = 'Step 2 - Ingredients previsualization';
$string['deploymentresult'] = 'Deployment result';
$string['deploymentuploadheader'] = 'Step 1 - Upload a flavour';
$string['errorcantunzip'] = 'The flavour can\'t be upzipped';
$string['errorcopying'] = 'Error copying ingredients';
$string['errordefaultfilenotwritable'] = 'local/defaults.php not writable, copy and paste the below PHP code';
$string['errordeployflavour'] = 'Problem getting the flavour file';
$string['errordeploying'] = 'Error deploying the flavour';
$string['errordeployingpermissions'] = 'Check the temporal folder permissions';
$string['errorpackaging'] = 'Error packaging the flavour';
$string['errorunknownsettingspage'] = 'Unknown settings page';
$string['flavourauthor'] = 'Author';
$string['flavourdata'] = 'Flavour data';
$string['flavourdescription'] = 'Description';
$string['flavourname'] = 'Name';
$string['flavoursourcemoodlerelease'] = 'Source Moodle Release';
$string['flavoursourcemoodleversion'] = 'Source Moodle Version';
$string['flavoursourceurl'] = 'Source Site';
$string['flavourtimecreated'] = 'Time created';
$string['generatedefaults'] = 'Update default system settings';
$string['generatedefaultsinfo'] = 'Select which of the current settings will overwrite the system default values';
$string['ingredient'] = 'Ingredient';
$string['ingredienttype'] = 'Ingredient type';
$string['ingredienttypenotavailable'] = 'Ingredient type not available';
$string['nothingselected'] = 'You must select something';
$string['overwrite'] = 'Over-write';
$string['overwriteno'] = 'Don\'t over-write plugins already on my system';
$string['overwriteyes'] = 'Only over-write plugins with a newer version on the flavour';
$string['package'] = 'Package a flavour';
$string['packageflavour'] = 'Package';
$string['pluginname'] = 'Flavours';
$string['problem'] = 'Problem!';
$string['reselect'] = 'Nothing selected!';
$string['restrictioncustomlangalreadycreated'] = 'Custom strings already created';
$string['restrictioncustomlangnotinstalled'] = 'The "{$a}" language pack is not installed on the system';
$string['restrictionlangalreadyinstalled'] = 'Language "{$a}" already installed';
$string['restrictionlangfilepermissions'] = 'Wrong permissions to install new language packs';
$string['restrictionlangnotvalid'] = 'Language pack "{$a}" not valid';
$string['restrictionpluginalreadyinstalled'] = 'Plugin "{$a}" already installed';
$string['restrictionplugincantremove'] = 'The "{$a}" plugin current version can\'t be upgraded, check the folder permissions';
$string['restrictionplugincopyerror'] = 'Error copying';
$string['restrictionpluginflavournotnewer'] = 'The flavour version not newer than the installed version';
$string['restrictionpluginnotfound'] = 'Plugin "{$a}" not found';
$string['restrictionpluginnoversiondiskupgrade'] = 'The plugin "{$a}" already exists and can\'t be upgraded, the flavour one does not contains the version';
$string['restrictionpluginnowritable'] = 'Wrong permissions to install or upgrade on "{$a}"';
$string['restrictionpluginsystemold'] = 'The plugin requires an higher Moodle version';
$string['restrictionsettingnosettingpage'] = 'The settings page does not exists in this site. The feature may be disabled or is not available any more.';
$string['restrictionsettingsproblemsarray'] = 'Problems deploying this settings: "{$a}"';
$string['restrictionsettingwarningoverwrite'] = 'The system settings will be overwritten';
$string['selectfile'] = 'Select file';
$string['selectingredients'] = 'Select ingredients';
$string['selectingredientstodeploy'] = 'Select ingredients to deploy';
$string['selectsettings'] = 'Select settings';
$string['settingswarning'] = 'Please, note that \'Settings\' ingredient is not reliable and may lead to unexpected results. Consider using <a href="https://moodle.org/plugins/block_admin_presets" target="_blank">https://moodle.org/plugins/block_admin_presets</a> to import/export site settings.';
$string['warning'] = 'Warning!';
