<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'local_hub', language 'en', branch 'MOODLE_21_STABLE'
 *
 * @package   local_hub
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activities'] = 'Activities';
$string['additionaladmindesc'] = 'Registered: {$a->timeregistered} - Modified: {$a->timemodified} - Privacy: {$a->privacy} -
    Contactable: {$a->contactable} - Email: {$a->emailalert}';
$string['additionaldesc'] = 'Courses: {$a->courses} - Users: {$a->users} - Enrolments: {$a->enrolments} - Resources: {$a->resources} - Posts: {$a->posts}
    - Questions: {$a->questions} - Average number of participants: {$a->participantnumberavg} - Average number of course modules: {$a->modulenumberavg}';
$string['addscreenshots'] = 'Add screenshots';
$string['addscreenshots_help'] = 'Add new screenshots.';
$string['allowglobalsearch'] = 'Publish this hub and allow global search of all courses';
$string['allowpublicsearch'] = 'Publish this hub so people can join it';
$string['audience'] = 'Designed for';
$string['audienceadmins'] = 'Moodle Administrators';
$string['audienceeducators'] = 'Educators';
$string['audience_help'] = 'What kind of course are you looking for?  As well as traditional courses intended for students, you might search for communities of Educators or Moodle Administrators';
$string['audiencestudents'] = 'Students';
$string['badurlformat'] = 'Bad URL format';
$string['blockedsecretdocurl'] = 'Blocked_site_secret';
$string['blocks'] = 'Blocks';
$string['bulkdelete'] = 'Delete';
$string['bulknotvisible'] = 'Make not visible';
$string['bulkoperation'] = 'Select';
$string['bulkoperationperform'] = 'Perform';
$string['bulkselectoperation'] = 'With selected courses...';
$string['bulkvisible'] = 'Make visible';
$string['cannotregisternotavailablesite'] = 'This hub cannot access your web site.';
$string['cannotregisterprivatehub'] = 'You cannot register your hub. Change the Privacy setting.';
$string['cannotsetpasswordforpublichub'] = 'Cannot set a password for public hub. Either delete your password, either set the hub as private.';
$string['comments'] = 'Comments';
$string['community'] = 'Community';
$string['confirmbulkdelete'] = 'Bulk delete confirmation';
$string['confirmbulknotvisible'] = 'Bulk invisible confirmation';
$string['confirmbulkvisible'] = 'Bulk visible confirmation';
$string['confirmforceunregistration'] = 'Any existing information will not be modified on the hub directory. Are you sure you want to force unregistration?';
$string['confirmmessagebulkdelete'] = 'Are you sure you want to delete the following courses:';
$string['confirmmessagebulknotvisible'] = 'Are you sure you want to make the following courses invisible:';
$string['confirmmessagebulkvisible'] = 'Are you sure you want to make the following courses visible:';
$string['confirmregistration'] = 'Confirm registration';
$string['confirmunregistration'] = 'Are you sure you want to unregister from the hub directory?';
$string['contactemail'] = 'Contact email';
$string['contactemail_help'] = 'The contact email is the email that the hub directory administrator will use to contact the hub administrator for any important issues.';
$string['contactname'] = 'Contact name';
$string['contactname_help'] = 'The hub administrator is the person that the hub directory administrator will try to contact about any important issues.';
$string['contentinfo'] = 'Subject: {$a->subject} - Audience: {$a->audience} - Educational level: {$a->educationallevel}';
$string['contributornames'] = 'Contributor names';
$string['contributornames_help'] = 'other people having contributed to the course.';
$string['contributors'] = 'Contributors: {$a}';
$string['copied'] = 'Register a new site';
$string['country'] = 'Country';
$string['country_help'] = 'Display only sites from the selected country.';
$string['coursedesc'] = 'Description';
$string['coursedesc_help'] = 'course description';
$string['courselang'] = 'Language';
$string['courselang_help'] = 'course language';
$string['coursemap'] = 'Course map';
$string['coursename'] = 'Name';
$string['coursename_help'] = 'course name';
$string['coursenotvisible'] = '{$a} is not visible now.';
$string['courseprivate'] = 'Private';
$string['coursepublic'] = 'Public';
$string['coursepublished'] = 'Course published';
$string['coursesettings'] = 'Course settings';
$string['coursesettingsform'] = '"{$a}" settings';
$string['coursesettingsupdated'] = '{$a} has been updated.';
$string['courseshortname'] = 'Shortname';
$string['coursesnumber'] = 'Number of courses ({$a})';
$string['coursetimemodified'] = 'Time modified: {$a}';
$string['coursetotal'] = '{$a} courses have been found.';
$string['coursetype'] = 'Type: {$a}';
$string['courseurl'] = 'Course URL';
$string['courseurl_help'] = 'course URL';
$string['coursevisibility'] = 'Visible';
$string['coursevisibility_help'] = 'When enable, the course is displayed in the course search results.';
$string['coursevisible'] = '{$a} is visible now.';
$string['coverage'] = 'Tags: {$a}';
$string['creatorname'] = 'Creator name';
$string['creatorname_help'] = 'the main creator of the course, the initial creator.';
$string['creatornotes'] = 'Creator notes';
$string['creatornotes_help'] = 'some notes to how to use the course.';
$string['deleteconfirmation'] = 'The site administrator will be sent an email explaining how he can unregister his site.';
$string['deletecourseconfirmation'] = 'Are you sure to delete the {$a} course ?';
$string['deleterelatedcourseslink'] = 'related courses';
$string['deletesite'] = 'Unregister {$a}';
$string['demourl'] = 'Demo URL';
$string['demourl_help'] = 'It could be a demo site you install yourself, a demo link will be displayed in search results.';
$string['description'] = 'Description';
$string['description_help'] = 'The hub description will always appear on the hub directory.';
$string['donotdeleteormodify'] = 'DO NOT DELETE OR MODIFY THIS USER !';
$string['downloadable'] = 'courses I can download';
$string['downloadablecourses'] = 'Downloadable courses';
$string['editcourse'] = 'Edit';
$string['educationallevel'] = 'Educational level';
$string['educationallevel_help'] = 'What educational level are you searching for?  In the case of communities of educators, this level describes the level they are teaching.';
$string['edulevelassociation'] = 'Association';
$string['edulevelcorporate'] = 'Corporate';
$string['edulevelgovernment'] = 'Government';
$string['edulevelother'] = 'Other';
$string['edulevelprimary'] = 'Primary';
$string['edulevelsecondary'] = 'Secondary';
$string['eduleveltertiary'] = 'Tertiary';
$string['emailmessage'] = 'Message';
$string['emailmessage_help'] = 'The message content.';
$string['emailmessagesiteadded'] = 'A new site just registered with the hub at {$a->huburl}

Name: {$a->name}
URL: {$a->url}
Admin: {$a->contactname} ({$a->contactemail})
Language: {$a->language}

To manage registered sites, go to: {$a->managesiteurl}';
$string['emailmessagesitedeleted'] = 'An administrator from {$a->hubname} ({$a->huburl}) deleted {$a->sitename} ({$a->siteurl}) from the hub listing.
If you want to register again on this hub, you must first reset your registration on your server. Go to {$a->unregisterpagelink}.';
$string['emailmessagesiteurlchanged'] = '{$a->name} site has been updated. (previous name: {$a->oldname})
Its new url {$a->url} has been updated from ({$a->oldurl}).

Name: {$a->name}
URL: {$a->url}
Admin: {$a->contactname} ({$a->contactemail})
Language: {$a->language}

To manage registered sites, go to: {$a->managesiteurl}';
$string['emailmessageurlalreadyexists'] = 'DO NOT CLICK THE LINK WITHOUT UNDERSTANDING, THIS COULD BE A SITE REGISTRATION STEALING ATTEMPT!

{$a->hubname} hub detected a site trying to register with the {$a->existingsite}\'s url.
This issue commonly appears when you try to register a Moodle site on a url registered ({$a->url}) by a different Moodle site.
To register this freshly installed Moodle site (or moved site), you need to delete the previous registration first: {$a->deletesiteregistration}';
$string['emailtitlesiteadded'] = '{$a} site has been added to the hub';
$string['emailtitlesitedeleted'] = '{$a->sitename} has been deleted from {$a->hubname} hub';
$string['emailtitlesiteurlchanged'] = '{$a} site has changed his name or url (please check it).';
$string['emailtitleurlalreadyexists'] = 'Another site try to register with {$a->existingsite} url.';
$string['enabled'] = 'Enabled';
$string['enabled_help'] = 'You can enabled/disabled the hub server.';
$string['enablerssfeeds'] = 'RSS feeds';
$string['enablerssfeeds_help'] = 'If enabled, a RSS feed icon will be displayed at the bottom of the search page. If disabled, RSS cannot be read.';
$string['enroldownload'] = 'Find';
$string['enroldownload_help'] = 'Some courses listed in this directory are being advertised so that people can come and participate in them on the original site.

Others are course templates provided for you to download and use on your own Moodle site.';
$string['enrollable'] = 'courses I can enrol in';
$string['enrollablecourses'] = 'Enrollable courses';
$string['errorbadimageheightwidth'] = 'The image should have a maximum size of {$a->width} X {$a->height}';
$string['errorlangnotrecognized'] = 'Language code is unknown by Moodle. Please contact {$a}';
$string['errormaxpublication'] = 'Sorry your site has published  more than {$a->maxpublication} courses today. You will be able to publish in: {$a->time}.';
$string['errornopublication'] = 'The hub server is blocking all new publication.';
$string['errorregistration'] = 'An error occured during registration, please try again later. ({$a})';
$string['errorunregistration'] = 'An error occurred during hub unregistration, try again later. ({$a})';
$string['errorwrongpostdata'] = 'Some POST data are missing, please use the Moodle registration form.';
$string['errosecretandnameempty'] = 'Enter a secret value or a name';
$string['failunregistrationofprivate'] = 'Could not unregister from the hub, try again on the register page ({$a}).';
$string['featured'] = 'Featured';
$string['featureddesc'] = 'Featured as an exemplary course.';
$string['fileinfo'] = 'Language: {$a->lang} - License: {$a->license} -  Time updated: {$a->timeupdated}';
$string['freshmoodleconfmsg'] = 'Are you sure to replace the previous registration by the new registration?';
$string['freshmoodleregistrationerror'] = 'You are trying to register a site with a url that was previously used by a registered site.
We\'ve sent an email to this previously registered site administrator. This administrator will have the choice to delete the previous registration record from the hub.
If he/she decide to do it, then you will be able to register your site. Note: Usually you should be this administrator, but this step is required to avoid hacking. Thank you.';
$string['freshmoodleregistrationerror2'] = 'You are trying to register a site with a url that was previously used by another registered site.
A request has already been sent to the site administrator of this other site.';
$string['freshtokenerror'] = 'Sorry, the token is invalid or has been used.';
$string['hideguestbutton'] = 'Moodle changed the option \'Guest login button\' to the value \'Hide\'.';
$string['hub'] = 'Hub';
$string['hubcoursessearch'] = 'Hub courses';
$string['hubdetails'] = 'Hub details';
$string['hubforceunregister'] = 'Force unregister';
$string['hubimage'] = 'Image';
$string['hubimage_help'] = 'This image is saved on your hub disk. Once your hub is registered, the hub directory will try to access to this image by HTTP in order to cache it. If the hub directory cannot access to this image, no image will be displayed on the hub directory listing.';
$string['hublang'] = 'Language';
$string['hublang_help'] = 'The main language of the hub.';
$string['hubpassword'] = 'Password';
$string['hubpassword_help'] = 'If you enter a password here, any site will be required to enter this password during registration. We recommend you to communicate this password personally to the desired site administrators. Only a private hub can set a password.';
$string['hubregister'] = 'Register your hub with Moodle.org';
$string['hub:registercourse'] = 'Register/Update a course on the hub.';
$string['hubregisterupdate'] = 'Update your registration on Moodle.org';
$string['hubregistrationcomment'] = 'You are about to register your hub with Moodle.org.  Moodle.org will periodically contact this hub to make sure it is still active and also to refresh this information.';
$string['hubunregister'] = 'Unregister';
$string['hub:unregistercourse'] = 'Delete a course from the hub.';
$string['hub:updateinfo'] = 'Update registered site.';
$string['hubversion'] = 'Hub version';
$string['hub:view'] = 'View courses/sites.';
$string['hub:viewinfo'] = 'View detailed hub information (contact, stats).';
$string['hub:viewsmallinfo'] = 'View hub information.';
$string['hubwsroledescription'] = 'WARNING: DO NOT DELETE OR MODIFY THIS ROLE. This role has been internally created for a registered site, a hub server or Moodle.org.';
$string['hubwsuserdescription'] = 'WARNING: DO NOT DELETE OR MODIFY THIS USER. This user has been internally created for a registered site, a hub server or Moodle.org.';
$string['image'] = 'Image';
$string['information'] = 'Information';
$string['keepcurrentimage'] = 'Keep current image';
$string['keepcurrentimage_help'] = 'Keep the current image saved on the disk. Even if you choose an image below, the current image will be kept. If you uncheck this, and do not select an new image, the current image will just be deleted.';
$string['keepscreenshot'] = 'Keep screenshot';
$string['keepscreenshot_help'] = 'Uncheck it to delete the screenshot.';
$string['keywords'] = 'Keywords';
$string['keywords_help'] = 'You can search for courses containing specific text in the name, description and other fields of the database.';
$string['language'] = 'Language';
$string['language_help'] = 'You can search for courses written in a specific language.';
$string['lastmodified'] = 'Last modified';
$string['lastmodified_help'] = 'Display the last modified courses for a given time period.';
$string['licence'] = 'License';
$string['licence_help'] = 'You can search for courses that are licensed in a particular way.';
$string['logourl'] = 'Logo URL';
$string['managecourses'] = 'Manage courses';
$string['managesites'] = 'Manage sites';
$string['markstolen'] = 'Mark as stolen';
$string['markstolenmsg'] = 'Any sites related to this token are going to be removed from the site listing -
A message will be sent to the site administrators asking them to register a new time - All people trying to register with this secret will be asked to regenerate a secret for this hub server.';
$string['maxcoursesperday'] = 'Maximum courses published per day';
$string['maxcoursesperday_help'] = 'The maximum number of courses that can be published per site per day. This setting is to avoid automatic spam. Once reaching the maximum number, an error will be displayed on the registered site during the next 24 hours. (0 = none, empty = unlimited)';
$string['maxmessagesent'] = 'You cannot send anymore message for today, try tomorrow.';
$string['maxwscourseresult'] = 'Maximum returned courses to remote sites.';
$string['maxwscourseresultempty'] = 'Maximum course result must be > 0';
$string['maxwscourseresult_help'] = 'Define the maximum number of course the hub will return for one remote Moodle site request. (0 or empty: no course returned)';
$string['messagesentsuccess'] = 'Message sent successfully';
$string['modulenumberaverage'] = 'Average number of course modules ({$a})';
$string['moodleorg'] = 'Moodle.org';
$string['moreinfo'] = 'More info';
$string['moved'] = 'Update registration url for an existing site';
$string['movedorcopiedmsg'] = 'We detected that you try to register a Moodle 2 site that has already been registered on a different url.
If you moved an existing Moodle 2 site to another url, then press \'Update registration url for an existing site\'.
Your original Moodle 2 registration will be updated. In any other cases (you duplicated an existing site, you moved a Moodle 1.9 site to this url, you just did a fresh install...) press \'Register a new site\'.
You will be redirected to your site to regenerate your site identifier and a clean registration can be processed.';
$string['msgforcourse'] = 'You have a new message about a course on "{$a->hubname}" ({$a->huburl}):

--------------------------------------------------------------------------------------
From: {$a->userfullname}
Subject: \'{$a->fullname}\', {$a->hubcourseurl}
Message:

{$a->message}
--------------------------------------------------------------------------------------

You can reply directly via email or use messaging on the hub
({$a->userurl}).';
$string['msgforcoursetitle'] = 'Message about {$a}';
$string['msgforcoursetitlewithlink'] = 'Message about \'{$a->fullname}\\';
$string['msgtopublisher'] = 'Send message about {$a}';
$string['msgtype'] = 'Category';
$string['msgtypeappreciation'] = 'Appreciation / congratulation';
$string['msgtype_help'] = 'Select a broad category that describes your message.';
$string['msgtypeimprovement'] = 'Improvement suggestion';
$string['msgtypeissue'] = 'Issue report';
$string['msgtypequestion'] = 'Question';
$string['mustbeemail'] = 'Must be an email.';
$string['mustbeinteger'] = 'Must be an integer.';
$string['mustbetext'] = 'Must be text only - no HTML.';
$string['mustbeurl'] = 'Must be  a URL.';
$string['name'] = 'Name';
$string['name_help'] = 'The hub name will be displayed in the hub directory listing.';
$string['never'] = 'never';
$string['newregistration'] = 'New registration';
$string['no'] = 'No';
$string['nocomments'] = 'No comments';
$string['nocourse'] = 'No courses match your search.';
$string['nocoursereturn'] = 'The hub has been set to return no course on web service called.';
$string['nocourseselected'] = 'No courses selected';
$string['none'] = 'None';
$string['noratings'] = 'No ratings';
$string['nosearch'] = 'Don\'t publish this hub or courses (Private hub)';
$string['nosite'] = 'No sites have been registered yet or match the search.';
$string['notregisteredonhub'] = 'You cannot publish this course on any other hub, because this site isn\'t registered with any other hubs. Contact your administrator to add new hubs.';
$string['notregisteredonmoodleorg'] = 'You cannot publish this course on MOOCH, the Moodle.org Community Hub, because this site isn\'t registered there yet. Your site administrator needs to register this site with MOOCH.';
$string['operation'] = 'Operation';
$string['or'] = 'or';
$string['orderby'] = 'Sort by';
$string['orderbyeldest'] = 'Oldest';
$string['orderby_help'] = 'The order the search results are displayed.';
$string['orderbyname'] = 'Name';
$string['orderbynewest'] = 'Newest';
$string['orderbypublisher'] = 'Publisher';
$string['orderbyratingaverage'] = 'Rating';
$string['orenterprivatehub'] = 'or enter a private hub URL:';
$string['outcomes'] = 'Outcomes: {$a}';
$string['participantnumberaverage'] = 'Average number of participants ({$a})';
$string['password'] = 'Password';
$string['periodforteennight'] = 'Last 14 days';
$string['periodmonth'] = 'Last 30 days';
$string['periodweek'] = 'Last 7 days';
$string['permalink'] = 'Permalink';
$string['pluginname'] = 'Hub';
$string['postaladdress'] = 'Postal address';
$string['postsnumber'] = 'Number of posts ({$a})';
$string['previousregistration'] = 'Previous registration';
$string['prioritise'] = 'Prioritised';
$string['prioritise_help'] = 'Display only prioritised sites.';
$string['prioritiseno'] = 'No';
$string['prioritiseyes'] = 'Yes';
$string['privacy'] = 'Privacy';
$string['privacy_help'] = 'You can choose how visible your hub will be on the hub directory.  A private hub will not be listed anywhere on the hub directory, however sites can still register if they know your URL and the (optional) password. Only registered sites or logged users can search on a private hub.';
$string['private'] = 'Private';
$string['privatehuburl'] = 'Private hub URL';
$string['publicationinfo'] = 'Course publication information';
$string['publicationmax'] = 'Maximum courses published per day';
$string['publicationmax_help'] = 'The maximum number of courses that can be published for this site per day. This setting is to avoid automatic spam. Once reaching the maximum number, an error will be displayed for this site during the next 24 hours. (0 = none, empty = hub setting is used)';
$string['publichub'] = 'Public hub';
$string['publishcourseon'] = 'Publish on {$a}';
$string['publisheremail'] = 'Publisher email';
$string['publisheremail_help'] = 'the course contact form sends the user message to this email.';
$string['publishername'] = 'Publisher';
$string['publishername_help'] = 'the publisher name is displayed on the course contact form.';
$string['publishon'] = 'Publish on';
$string['publishonmoodleorg'] = 'Publish on MOOCH, the Moodle.org Community Hub';
$string['publishonspecifichub'] = 'Publish on a Hub';
$string['questionsnumber'] = 'Number of questions ({$a})';
$string['rating'] = 'Rating';
$string['recaptcha'] = 'Recaptcha settings';
$string['recaptchadisable'] = 'Recaptcha keys are not set, please change the {$a}';
$string['registeredcourses'] = 'Registered courses';
$string['registeredsites'] = 'Registered sites';
$string['registeron'] = 'Register on';
$string['registeronmoodleorg'] = 'Register on Moodle.org';
$string['registeronspecifichub'] = 'Register on a specific hub';
$string['registersite'] = 'Register on {$a}';
$string['registration'] = 'Hub server registration';
$string['registrationconfirmed'] = 'Registration successfull';
$string['registrationinfo'] = 'Registration information';
$string['registrationupdated'] = 'Registration has been updated.';
$string['registrationupdatedfailed'] = 'Registration update failed.';
$string['replaceregistrationbutton'] = 'REPLACE REGISTRATION!';
$string['resourcesnumber'] = 'Number of resources ({$a})';
$string['roleassignmentsnumber'] = 'Number of role assignments ({$a})';
$string['rsssecret'] = 'RSS secret';
$string['rsssecret_help'] = 'If the RSS secret is in the RSS URL (add \'?rsssecret=YOUR_RSS_SECRET\'), the rss feed will return not published courses instead of published ones. This is particularly usefull for the hub administrator to be easily alerted of new courses. You will need one RSS feed for enrollable courses and one for downloadable courses.';
$string['rsstooltip'] = 'RSS feed of your search - Last published downloadable and enrollable courses are returned if no search were executed.';
$string['screenshots'] = 'Screenshots';
$string['search'] = 'Search for courses';
$string['searchfornologin'] = 'Public front page search';
$string['searchfornologin_help'] = 'If enabled, the course search form will be displayed on the front page for not logged in users. Note that if the hub privacy is set to private, this setting is ignored and the search form will be only displayed for logged users.';
$string['searchsite'] = 'Search site';
$string['secret'] = 'Secret';
$string['secretblocked'] = 'Secret blocked';
$string['secretisstolen'] = 'You are trying to register a site with an identifier that has been blocked ({$a}). You are going to be redirected to your Moodle site to regenerate your identifier. To regenerate the identifier, your Moodle site must have a version number >= 2011020901.';
$string['secretvalue'] = 'Secret: {$a}';
$string['seecreatornotes'] = 'See creator notes';
$string['selecthub'] = 'Select hub';
$string['sendfollowinginfo'] = 'Send the following information:';
$string['sendmessage'] = 'Send message';
$string['sendto'] = 'Send to';
$string['sentto'] = 'Sent to';
$string['senttohub'] = '{$a} hub administrator';
$string['senttopublisher'] = 'Course publisher: {$a}';
$string['settings'] = 'Settings';
$string['settingsupdated'] = 'Settings have been updated.';
$string['sharemore'] = 'More...';
$string['sharetofacebook'] = 'Share to Facebook';
$string['sharetotwitter'] = 'Share to Twitter';
$string['site'] = 'Site';
$string['siteadmin'] = 'Administrator';
$string['siteadminemail'] = 'Administrator email';
$string['siteadminemail_help'] = 'Administrator email';
$string['siteadmin_help'] = 'Administrator name to contact';
$string['sitecountry'] = 'Country';
$string['sitecountry_help'] = 'Country where the oraganisation is in';
$string['sitecreated'] = 'Site created';
$string['sitedesc'] = 'Description';
$string['sitedesc_help'] = 'Description displayed in search result.';
$string['site_help'] = 'Display only course from this site.';
$string['sitehelpexplanation'] = 'Listing of registered sites on your hub server. To display a site on the top of your
    search result / list, proritise it. Trusted sites will be marked as trusted on the search result / list, and they will be displayed before untrusted sites.
    Prioritised sites are automatically trusted. Finally, only visible sites are displayed on the search result / list (even if they are prioritised/trusted).
    Site that are unreachable for more than a month would be deleted from the database (except if they are trusted/prioritised)';
$string['sitekeywords'] = 'Keywords';
$string['sitekeywords_help'] = 'You can search for sites containing specific text in the name, description and other fields of the database.';
$string['sitelang'] = 'Language';
$string['sitelang_help'] = 'Display only sites with the selected language.';
$string['sitelanguage'] = 'Language';
$string['sitelanguage_help'] = 'main site language.';
$string['sitelinkpublished'] = 'Link published';
$string['sitelist'] = 'Site list';
$string['sitename'] = 'Name';
$string['sitename_help'] = 'site name displayed in search result.';
$string['sitenamepublished'] = 'Publish name';
$string['sitenotpublished'] = 'Not published';
$string['siteoperation'] = 'Site operation';
$string['siteprivacy'] = 'Privacy';
$string['siteregconfcomment'] = 'Your site needs a final confirmation on {$a} (in order to avoid spam on {$a})';
$string['siteregistration'] = 'Site registration';
$string['siteregistrationupdated'] = 'Site registration updated';
$string['sitesearch'] = 'Search for sites';
$string['sitesecretalreadyexist'] = 'The hub could not process the registration because another site is already registered with the same identifier.';
$string['sitesettings'] = 'Site settings';
$string['sitesettingsform'] = '"{$a}" settings';
$string['sitesettingsupdated'] = '{$a} settings have been updated.';
$string['siteupdated'] = '{$a} has been updated successfully.';
$string['siteurl'] = 'Site URL';
$string['siteurl_help'] = 'site url displayed in search result.';
$string['sitevisibility'] = 'Visibility';
$string['sitevisibility_help'] = 'Display visible sites, invisible sites or both at the same time.';
$string['specifichub'] = 'Specific hub';
$string['specifichubpublicationdetail'] = 'You can publish on another hub.';
$string['specifichubregistrationdetail'] = 'You can register to other hub.';
$string['statistics'] = 'Statistics privacy';
$string['stolensecret'] = 'Stolen secret';
$string['subject'] = 'Educational subject';
$string['subject_help'] = 'To narrow your search to courses about a particular subject, choose one from this list.';
$string['subjects'] = 'Subjects';
$string['tags'] = 'Tags';
$string['tags_help'] = 'course can be search by tags';
$string['trusted'] = 'Trusted';
$string['trusted_help'] = 'Display only sites set as trusted.';
$string['trustedno'] = 'No';
$string['trustedyes'] = 'Yes';
$string['trustme'] = 'Trust';
$string['typedownloadable'] = 'Downloadable';
$string['typeenrollable'] = 'Enrollable';
$string['unlistedurl'] = 'Unlisted hub URL';
$string['unprioritise'] = 'Unprioritise';
$string['unregistersite'] = 'Unregister the site';
$string['unregistersiteandcourses'] = 'Unregister the site and all courses';
$string['unregistrationofprivate'] = 'The hub has been unregistered from the hub directory.';
$string['untrustme'] = 'Untrust';
$string['updatesite'] = 'Update registration on {$a}';
$string['url'] = 'hub URL';
$string['urlalreadyexist'] = 'Your new site url is already existing on {$a}. It could come from a bad database on {$a} or a previous registration. Alert the hub administrator. You could have to unregister your site and register again. You must tell the hub administrator if you want to keep your already published courses, as he will need to delete your previous registration.';
$string['userinfo'] = 'Creator: {$a->creatorname} - Publisher: {$a->publishername}';
$string['usersnumber'] = 'Number of users ({$a})';
$string['visibility'] = 'Visibility';
$string['visibilityall'] = 'Any';
$string['visibility_help'] = 'Display visible courses, invisible courses or both at the same time.';
$string['visibilityno'] = 'Not visible';
$string['visibilityyes'] = 'Visible';
$string['visitdemo'] = 'Visit demo';
$string['visitsite'] = 'Visit site';
$string['wronghubpassword'] = 'Wrong hub password, press continue and try again.';
$string['wrongurlformat'] = 'Bad URL format';
$string['xmlrpcdisabled'] = 'The XML-RPC extension is not enabled on the server. You can not manage your hub until this extension is enabled.';
$string['yeswithmoodle'] = 'Yes, with Moodle';
$string['yeswithoutmoodle'] = 'Yes, without Moodle';
