<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'local_moodlemobileapp', language 'en', branch 'MOODLE_26_STABLE'
 *
 * @package   local_moodlemobileapp
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addon.blog.errorloadentries'] = 'Error loading blog entries.';
$string['addon.blog.showonlyyourentries'] = 'Show only your entries';
$string['addon.calendar.calendarevent'] = 'Calendar event';
$string['addon.calendar.calendarevents'] = 'Calendar events';
$string['addon.calendar.calendarreminders'] = 'Calendar reminders';
$string['addon.calendar.currentmonth'] = 'Current Month';
$string['addon.calendar.defaultnotificationtime'] = 'Default notification time';
$string['addon.calendar.errorloadevent'] = 'Error loading event.';
$string['addon.calendar.errorloadevents'] = 'Error loading events.';
$string['addon.calendar.noevents'] = 'There are no events';
$string['addon.calendar.reminders'] = 'Reminders';
$string['addon.calendar.setnewreminder'] = 'Set a new reminder';
$string['addon.competency.errornocompetenciesfound'] = 'No competencies found';
$string['addon.competency.nocompetencies'] = 'No competencies';
$string['addon.coursecompletion.complete'] = 'Complete';
$string['addon.coursecompletion.couldnotloadreport'] = 'Could not load the course completion report. Please try again later.';
$string['addon.files.couldnotloadfiles'] = 'The list of files could not be loaded.';
$string['addon.files.emptyfilelist'] = 'There are no files to show.';
$string['addon.files.erroruploadnotworking'] = 'Unfortunately it is currently not possible to upload files to your site.';
$string['addon.messageoutput_airnotifier.processorsettingsdesc'] = 'Configure devices';
$string['addon.messages.contactlistempty'] = 'The contact list is empty';
$string['addon.messages.contactname'] = 'Contact name';
$string['addon.messages.deletemessage'] = 'Delete message';
$string['addon.messages.deletemessageconfirmation'] = 'Are you sure you want to delete this message? It will only be deleted from your messaging history and will still be viewable by the user who sent or received the message.';
$string['addon.messages.errordeletemessage'] = 'Error while deleting the message.';
$string['addon.messages.errorwhileretrievingcontacts'] = 'Error while retrieving contacts from the server.';
$string['addon.messages.errorwhileretrievingdiscussions'] = 'Error while retrieving discussions from the server.';
$string['addon.messages.errorwhileretrievingmessages'] = 'Error while retrieving messages from the server.';
$string['addon.messages.errorwhileretrievingusers'] = 'Error while retrieving users from the server.';
$string['addon.messages.messagenotsent'] = 'The message was not sent. Please try again later.';
$string['addon.messages.newmessages'] = 'New messages';
$string['addon.messages.nousersfound'] = 'No users found';
$string['addon.messages.showdeletemessages'] = 'Show delete messages';
$string['addon.messages.type_blocked'] = 'Blocked';
$string['addon.messages.type_offline'] = 'Offline';
$string['addon.messages.type_online'] = 'Online';
$string['addon.messages.type_search'] = 'Search results';
$string['addon.messages.type_strangers'] = 'Others';
$string['addon.messages.useentertosenddescdesktop'] = 'If disabled, you can use Ctrl+Enter to send the message.';
$string['addon.messages.useentertosenddescmac'] = 'If disabled, you can use Cmd+Enter to send the message.';
$string['addon.messages.warningconversationmessagenotsent'] = 'Couldn\'t send message(s) to conversation {{conversation}}. {{error}}';
$string['addon.messages.warningmessagenotsent'] = 'Couldn\'t send message(s) to user {{user}}. {{error}}';
$string['addon.mod_assign.acceptsubmissionstatement'] = 'Please accept the submission statement.';
$string['addon.mod_assign.cannoteditduetostatementsubmission'] = 'You can\'t add or edit a submission in the app because the submission statement could not be retrieved from the site.';
$string['addon.mod_assign.cannotgradefromapp'] = 'Certain grading methods are not yet supported by the app and cannot be modified.';
$string['addon.mod_assign.cannotsubmitduetostatementsubmission'] = 'You can\'t make a submission in the app because the submission statement could not be retrieved from the site.';
$string['addon.mod_assign.erroreditpluginsnotsupported'] = 'You can\'t add or edit a submission in the app because certain plugins are not yet supported for editing.';
$string['addon.mod_assign.errorshowinginformation'] = 'Submission information cannot be displayed.';
$string['addon.mod_assign.feedbacknotsupported'] = 'This feedback is not supported by the app and may not contain all the information.';
$string['addon.mod_assign.gradenotsynced'] = 'Grade not synced';
$string['addon.mod_assign.notallparticipantsareshown'] = 'Participants who have not made a submission are not shown.';
$string['addon.mod_assign.submissionnotsupported'] = 'This submission is not supported by the app and may not contain all the information.';
$string['addon.mod_assign.userwithid'] = 'User with ID {{id}}';
$string['addon.mod_assign.warningsubmissiongrademodified'] = 'The submission grade was modified on the site.';
$string['addon.mod_assign.warningsubmissionmodified'] = 'The user submission was modified on the site.';
$string['addon.mod_chat.errorwhileconnecting'] = 'Error while connecting to the chat.';
$string['addon.mod_chat.errorwhilegettingchatdata'] = 'Error while getting chat data.';
$string['addon.mod_chat.errorwhilegettingchatusers'] = 'Error while getting chat users.';
$string['addon.mod_chat.errorwhileretrievingmessages'] = 'Error while retrieving messages from the server.';
$string['addon.mod_chat.errorwhilesendingmessage'] = 'Error while sending the message.';
$string['addon.mod_chat.mustbeonlinetosendmessages'] = 'You must be online to send messages.';
$string['addon.mod_chat.nosessionsfound'] = 'No sessions found';
$string['addon.mod_chat.showincompletesessions'] = 'Show incomplete sessions';
$string['addon.mod_choice.errorgetchoice'] = 'Error getting choice data.';
$string['addon.mod_choice.responsesresultgraphdescription'] = '{{number}}% of the users chose the option: {{text}}.';
$string['addon.mod_choice.resultsnotsynced'] = 'Your last response must be synchronised before it is included in the results.';
$string['addon.mod_data.edittagsnotsupported'] = 'Sorry, editing tags is not supported by the app.';
$string['addon.mod_data.errorapproving'] = 'Error approving or unapproving entry.';
$string['addon.mod_data.errordeleting'] = 'Error deleting entry.';
$string['addon.mod_data.gettinglocation'] = 'Getting location';
$string['addon.mod_data.locationpermissiondenied'] = 'Permission to access your location has been denied.';
$string['addon.mod_data.mylocation'] = 'My location';
$string['addon.mod_data.searchbytagsnotsupported'] = 'Sorry, searching by tags is not supported by the app.';
$string['addon.mod_feedback.captchaofflinewarning'] = 'Feedback with CAPTCHA cannot be completed offline, or if not configured, or if the server is down.';
$string['addon.mod_feedback.feedback_submitted_offline'] = 'This feedback has been saved to be submitted later.';
$string['addon.mod_folder.emptyfilelist'] = 'There are no files to show.';
$string['addon.mod_forum.errorgetforum'] = 'Error getting forum data.';
$string['addon.mod_forum.errorgetgroups'] = 'Error getting group settings.';
$string['addon.mod_forum.errorposttoallgroups'] = 'Could not create new discussion in all groups.';
$string['addon.mod_forum.forumnodiscussionsyet'] = 'There are no discussions yet in this forum.';
$string['addon.mod_forum.group'] = 'Group';
$string['addon.mod_forum.numdiscussions'] = '{{numdiscussions}} discussions';
$string['addon.mod_forum.numreplies'] = '{{numreplies}} replies';
$string['addon.mod_forum.refreshdiscussions'] = 'Refresh discussions';
$string['addon.mod_forum.refreshposts'] = 'Refresh posts';
$string['addon.mod_glossary.browsemode'] = 'Browse entries';
$string['addon.mod_glossary.byalphabet'] = 'Alphabetically';
$string['addon.mod_glossary.byauthor'] = 'Group by author';
$string['addon.mod_glossary.bycategory'] = 'Group by category';
$string['addon.mod_glossary.bynewestfirst'] = 'Newest first';
$string['addon.mod_glossary.byrecentlyupdated'] = 'Recently updated';
$string['addon.mod_glossary.bysearch'] = 'Search';
$string['addon.mod_glossary.cannoteditentry'] = 'Cannot edit entry';
$string['addon.mod_glossary.entriestobesynced'] = 'Entries to be synced';
$string['addon.mod_glossary.entrypendingapproval'] = 'This entry is pending approval.';
$string['addon.mod_glossary.errorloadingentries'] = 'An error occurred while loading entries.';
$string['addon.mod_glossary.errorloadingentry'] = 'An error occurred while loading the entry.';
$string['addon.mod_glossary.errorloadingglossary'] = 'An error occurred while loading the glossary.';
$string['addon.mod_glossary.noentriesfound'] = 'No entries were found.';
$string['addon.mod_glossary.searchquery'] = 'Search query';
$string['addon.mod_h5pactivity.downloadh5pfile'] = 'Download H5P file';
$string['addon.mod_h5pactivity.errorgetactivity'] = 'Error getting H5P activity data.';
$string['addon.mod_h5pactivity.filestatenotdownloaded'] = 'The H5P package is not downloaded. You need to download it to be able to use it.';
$string['addon.mod_h5pactivity.filestateoutdated'] = 'The H5P package has been modified since the last download. You need to download it again to be able to use it.';
$string['addon.mod_h5pactivity.offlinedisabledwarning'] = 'You need to be online to view the H5P package.';
$string['addon.mod_h5pactivity.viewattempt'] = 'View attempt {{$a}}';
$string['addon.mod_imscp.showmoduledescription'] = 'Show description';
$string['addon.mod_lesson.errorprefetchrandombranch'] = 'This lesson contains a jump to a random content page. It can\'t be attempted in the app until it has been started in a web browser.';
$string['addon.mod_lesson.errorreviewretakenotlast'] = 'This attempt can no longer be reviewed because another attempt has been finished.';
$string['addon.mod_lesson.finishretakeoffline'] = 'This attempt was finished offline.';
$string['addon.mod_lesson.retakefinishedinsync'] = 'An offline attempt was synchronised. Do you want to review it?';
$string['addon.mod_lesson.retakelabelfull'] = '{{retake}}: {{grade}} {{timestart}} ({{duration}})';
$string['addon.mod_lesson.retakelabelshort'] = '{{retake}}: {{grade}} {{timestart}}';
$string['addon.mod_lesson.warningretakefinished'] = 'The attempt was finished on the site.';
$string['addon.mod_lti.errorgetlti'] = 'Error getting module data.';
$string['addon.mod_lti.errorinvalidlaunchurl'] = 'The launch URL is not valid.';
$string['addon.mod_lti.launchactivity'] = 'Launch the activity';
$string['addon.mod_page.errorwhileloadingthepage'] = 'Error while loading the page content.';
$string['addon.mod_quiz.canattemptbutnotsubmit'] = 'You can attempt this quiz in the app, but you will need to submit the attempt in browser for the following reasons:';
$string['addon.mod_quiz.cannotsubmitquizdueto'] = 'This quiz attempt cannot be submitted for the following reasons:';
$string['addon.mod_quiz.confirmcontinueoffline'] = 'This attempt has not been synchronised since {{$a}}. If you have continued this attempt in another device since then, you may lose data.';
$string['addon.mod_quiz.confirmleavequizonerror'] = 'An error occurred while saving the answers. Are you sure you want to leave the quiz?';
$string['addon.mod_quiz.errorbehaviournotsupported'] = 'This quiz can\'t be attempted in the app because the question behaviour is not supported by the app:';
$string['addon.mod_quiz.errordownloading'] = 'Error downloading required data.';
$string['addon.mod_quiz.errorgetattempt'] = 'Error getting attempt data.';
$string['addon.mod_quiz.errorgetquestions'] = 'Error getting questions.';
$string['addon.mod_quiz.errorgetquiz'] = 'Error getting quiz data.';
$string['addon.mod_quiz.errorparsequestions'] = 'An error occurred while reading the questions. Please attempt this quiz in a web browser.';
$string['addon.mod_quiz.errorquestionsnotsupported'] = 'This quiz can\'t be attempted in the app because it only contains questions not supported by the app:';
$string['addon.mod_quiz.errorrulesnotsupported'] = 'This quiz can\'t be attempted in the app because it has access rules not supported by the app:';
$string['addon.mod_quiz.errorsaveattempt'] = 'An error occurred while saving the attempt data.';
$string['addon.mod_quiz.finishnotsynced'] = 'Finished but not synchronised';
$string['addon.mod_quiz.opentoc'] = 'Open navigation popover';
$string['addon.mod_quiz.warningattemptfinished'] = 'Offline attempt discarded as it was finished on the site or not found.';
$string['addon.mod_quiz.warningdatadiscarded'] = 'Some offline answers were discarded because the questions were modified online.';
$string['addon.mod_quiz.warningdatadiscardedfromfinished'] = 'Attempt unfinished because some offline answers were discarded. Please review your answers then resubmit the attempt.';
$string['addon.mod_quiz.warningquestionsnotsupported'] = 'This quiz contains questions not supported by the app:';
$string['addon.mod_resource.errorwhileloadingthecontent'] = 'Error while loading the content.';
$string['addon.mod_resource.openthefile'] = 'Open the file';
$string['addon.mod_scorm.cannotcalculategrade'] = 'Grade couldn\'t be calculated.';
$string['addon.mod_scorm.dataattemptshown'] = 'This data belongs to the attempt number {{number}}.';
$string['addon.mod_scorm.errorcreateofflineattempt'] = 'An error occurred while creating a new offline attempt. Please try again.';
$string['addon.mod_scorm.errordownloadscorm'] = 'Error downloading SCORM: "{{name}}".';
$string['addon.mod_scorm.errorgetscorm'] = 'Error getting SCORM data.';
$string['addon.mod_scorm.errorinvalidversion'] = 'Sorry, the application only supports SCORM 1.2.';
$string['addon.mod_scorm.errornotdownloadable'] = 'The download of SCORM packages is disabled. Please contact your site administrator.';
$string['addon.mod_scorm.errornovalidsco'] = 'This SCORM package doesn\'t have a visible SCO to load.';
$string['addon.mod_scorm.errorpackagefile'] = 'Sorry, the application only supports ZIP packages.';
$string['addon.mod_scorm.errorsyncscorm'] = 'An error occurred while synchronising. Please try again.';
$string['addon.mod_scorm.offlineattemptnote'] = 'This attempt has data that hasn\'t been synchronised.';
$string['addon.mod_scorm.offlineattemptovermax'] = 'This attempt cannot be sent because you exceeded the maximum number of attempts.';
$string['addon.mod_scorm.scormstatusnotdownloaded'] = 'This SCORM package is not downloaded. It will be automatically downloaded when you open it.';
$string['addon.mod_scorm.scormstatusoutdated'] = 'This SCORM package has been modified since the last download. It will be automatically downloaded when you open it.';
$string['addon.mod_scorm.warningofflinedatadeleted'] = 'Some offline data from attempt {{number}} has been discarded because it couldn\'t be counted as a new attempt.';
$string['addon.mod_scorm.warningsynconlineincomplete'] = 'Some attempts couldn\'t be synchronised with the site because the last online attempt is not yet finished. Please finish the online attempt first.';
$string['addon.mod_survey.cannotsubmitsurvey'] = 'Sorry, there was a problem submitting your survey. Please try again.';
$string['addon.mod_survey.errorgetsurvey'] = 'Error getting survey data.';
$string['addon.mod_survey.results'] = 'Results';
$string['addon.mod_url.accessurl'] = 'Access the URL';
$string['addon.mod_url.pointingtourl'] = 'URL that the resource points to.';
$string['addon.mod_wiki.errorloadingpage'] = 'An error occurred while loading the page.';
$string['addon.mod_wiki.errornowikiavailable'] = 'This wiki does not have any content yet.';
$string['addon.mod_wiki.gowikihome'] = 'Go to the wiki first page';
$string['addon.mod_wiki.subwiki'] = 'Sub-wiki';
$string['addon.mod_wiki.titleshouldnotbeempty'] = 'The title should not be empty';
$string['addon.mod_wiki.viewpage'] = 'View page';
$string['addon.mod_wiki.wikipage'] = 'Wiki page';
$string['addon.mod_workshop.assessmentstrategynotsupported'] = 'Assessment strategy {{$a}} not supported';
$string['addon.mod_workshop.submissionrequiredtitle'] = 'You need to enter a title.';
$string['addon.mod_workshop.warningassessmentmodified'] = 'The submission was modified on the site.';
$string['addon.mod_workshop.warningsubmissionmodified'] = 'The assessment was modified on the site.';
$string['addon.notes.userwithid'] = 'User with ID {{id}}';
$string['addon.notes.warningnotenotsent'] = 'Couldn\'t add note(s) to course {{course}}. {{error}}';
$string['addon.notifications.errorgetnotifications'] = 'Error getting notifications.';
$string['addon.notifications.notifications'] = 'Notifications';
$string['addon.notifications.playsound'] = 'Play sound';
$string['addon.notifications.therearentnotificationsyet'] = 'There are no notifications.';
$string['addon.storagemanager.deletecourse'] = 'Offload all course data';
$string['addon.storagemanager.deletecourses'] = 'Offload all courses data';
$string['addon.storagemanager.deletedatafrom'] = 'Offload data from {{name}}';
$string['addon.storagemanager.info'] = 'Files stored on your device make the app work faster and enable the app to be used offline. You can safely offload files if you need to free up storage space.';
$string['addon.storagemanager.managestorage'] = 'Manage storage';
$string['addon.storagemanager.storageused'] = 'File storage used:';
$string['appstoredescription'] = 'NOTE: This official Moodle Mobile app will ONLY work with Moodle sites that have been set up to allow it.  Please talk to your Moodle administrator if you have any problems connecting.

If your Moodle site has been configured correctly, you can use this app to:

- browse the content of your courses, even when offline
- receive instant notifications of messages and other events
- quickly find and contact other people in your courses
- upload images, audio, videos and other files from your mobile device
- view your course grades
- and more!

Please see http://docs.moodle.org/en/Mobile_app for all the latest information.

We’d really appreciate any good reviews about the functionality so far, and your suggestions on what else you want this app to do!

The app requires the following permissions:
Record audio - For recording audio to upload to Moodle
Read and modify the contents of your SD card - Contents are downloaded to the SD Card so you can see them offline
Network access - To be able to connect with your Moodle site and check if you are connected or not to switch to offline mode
Run at startup - So you receive local notifications even when the app is running in the background
Prevent phone from sleeping - So you can receive push notifications anytime';
$string['core.browser'] = 'Browser';
$string['core.cannotconnect'] = 'Cannot connect';
$string['core.cannotconnecttrouble'] = 'We\'re having trouble connecting to your site.';
$string['core.cannotconnectverify'] = '<strong>Please check the address is correct.</strong>';
$string['core.cannotdownloadfiles'] = 'File downloading is disabled. Please contact your site administrator.';
$string['core.captureaudio'] = 'Record audio';
$string['core.capturedimage'] = 'Taken picture.';
$string['core.captureimage'] = 'Take picture';
$string['core.capturevideo'] = 'Record video';
$string['core.clearsearch'] = 'Clear search';
$string['core.clicktoseefull'] = 'Click to see full contents.';
$string['core.comments.commentsnotworking'] = 'Comments cannot be retrieved';
$string['core.comments.warningcommentsnotsent'] = 'Couldn\'t sync comments. {{error}}';
$string['core.confirmcanceledit'] = 'Are you sure you want to leave this page? All changes will be lost.';
$string['core.confirmgotabroot'] = 'Are you sure you want to go back to {{name}}?';
$string['core.confirmgotabrootdefault'] = 'Are you sure you want to go to the initial page of the current tab?';
$string['core.confirmleaveunknownchanges'] = 'Are you sure you want to leave this page? If you have unsaved changes they will be lost.';
$string['core.confirmloss'] = 'Are you sure? All changes will be lost.';
$string['core.confirmopeninbrowser'] = 'Do you want to open it in a web browser?';
$string['core.contenteditingsynced'] = 'The content you are editing has been synced.';
$string['core.contentlinks.chooseaccount'] = 'Choose account';
$string['core.contentlinks.chooseaccounttoopenlink'] = 'Choose an account to open the link with.';
$string['core.contentlinks.confirmurlothersite'] = 'This link belongs to another site. Do you want to open it?';
$string['core.contentlinks.errornoactions'] = 'Couldn\'t find an action to perform with this link.';
$string['core.contentlinks.errornosites'] = 'Couldn\'t find any site to handle this link.';
$string['core.contentlinks.errorredirectothersite'] = 'The redirect URL cannot point to a different site.';
$string['core.copiedtoclipboard'] = 'Text copied to clipboard';
$string['core.copytoclipboard'] = 'Copy to clipboard';
$string['core.course.activitydisabled'] = 'Your organisation has disabled this activity in the mobile app.';
$string['core.course.activitynotyetviewableremoteaddon'] = 'Your organisation installed a plugin that is not yet supported.';
$string['core.course.activitynotyetviewablesiteupgradeneeded'] = 'Your organisation\'s Moodle installation needs to be updated.';
$string['core.course.allsections'] = 'All sections';
$string['core.course.askadmintosupport'] = 'Contact the site administrator and tell them you want to use this activity with the Moodle Mobile app.';
$string['core.course.availablespace'] = 'You currently have about {{available}} free space.';
$string['core.course.cannotdeletewhiledownloading'] = 'Files cannot be deleted while the activity is being downloaded. Please wait for the download to finish.';
$string['core.course.confirmdeletemodulefiles'] = 'Are you sure you want to delete these files?';
$string['core.course.confirmdownload'] = 'You are about to download {{size}}.{{availableSpace}} Are you sure you want to continue?';
$string['core.course.confirmdownloadunknownsize'] = 'It was not possible to calculate the size of the download.{{availableSpace}} Are you sure you want to continue?';
$string['core.course.confirmdownloadzerosize'] = 'You are about to start downloading.{{availableSpace}} Are you sure you want to continue?';
$string['core.course.confirmlimiteddownload'] = 'You are not currently connected to Wi-Fi.';
$string['core.course.confirmpartialdownloadsize'] = 'You are about to download <strong>at least</strong> {{size}}.{{availableSpace}} Are you sure you want to continue?';
$string['core.course.contents'] = 'Contents';
$string['core.course.couldnotloadsectioncontent'] = 'Could not load the section content. Please try again later.';
$string['core.course.couldnotloadsections'] = 'Could not load the sections. Please try again later.';
$string['core.course.errordownloadingcourse'] = 'Error downloading course.';
$string['core.course.errordownloadingsection'] = 'Error downloading section.';
$string['core.course.errorgetmodule'] = 'Error getting activity data.';
$string['core.course.insufficientavailablequota'] = 'Your device could not allocate space to save this download. It may be reserving space for app and system updates. Please clear some storage space first.';
$string['core.course.insufficientavailablespace'] = 'You are trying to download {{size}}. This will leave your device with insufficient space to operate normally. Please clear some storage space first.';
$string['core.course.manualcompletionnotsynced'] = 'Manual completion not synchronised.';
$string['core.course.nocontentavailable'] = 'No content available at the moment.';
$string['core.coursenogroups'] = 'You are not a member of any group of this course.';
$string['core.course.refreshcourse'] = 'Refresh course';
$string['core.courses.cannotretrievemorecategories'] = 'Categories deeper than level {{$a}} cannot be retrieved.';
$string['core.courses.confirmselfenrol'] = 'Are you sure you want to enrol yourself in this course?';
$string['core.courses.downloadcourses'] = 'Download courses';
$string['core.courses.enrolme'] = 'Enrol me';
$string['core.courses.errorloadcategories'] = 'An error occurred while loading categories.';
$string['core.courses.errorloadcourses'] = 'An error occurred while loading courses.';
$string['core.courses.errorloadplugins'] = 'The plugins required by this course could not be loaded correctly. Please reload the app to try again.';
$string['core.courses.errorsearching'] = 'An error occurred while searching.';
$string['core.courses.errorselfenrol'] = 'An error occurred while self enrolling.';
$string['core.courses.filtermycourses'] = 'Filter my courses';
$string['core.courses.notenrollable'] = 'You cannot enrol yourself in this course.';
$string['core.courses.password'] = 'Enrolment key';
$string['core.courses.searchcoursesadvice'] = 'You can use the search courses button to find courses to access as a  guest or enrol yourself in courses that allow it.';
$string['core.courses.selfenrolment'] = 'Self enrolment';
$string['core.courses.totalcoursesearchresults'] = 'Total courses: {{$a}}';
$string['core.course.useactivityonbrowser'] = 'You can still use it using your device\'s web browser.';
$string['core.course.warningmanualcompletionmodified'] = 'The manual completion of an activity was modified on the site.';
$string['core.course.warningofflinemanualcompletiondeleted'] = 'Some offline manual completion of course \'{{name}}\' has been deleted. {{error}}';
$string['core.currentdevice'] = 'Current device';
$string['core.datastoredoffline'] = 'Data stored in the device because it couldn\'t be sent. It will be sent automatically later.';
$string['core.deletedoffline'] = 'Deleted offline';
$string['core.deleting'] = 'Deleting';
$string['core.desktop'] = 'Desktop';
$string['core.dfdaymonthyear'] = 'MM-DD-YYYY';
$string['core.dfdayweekmonth'] = 'ddd, D MMM';
$string['core.dffulldate'] = 'dddd, D MMMM YYYY h[:]mm A';
$string['core.dflastweekdate'] = 'ddd';
$string['core.dfmediumdate'] = 'LLL';
$string['core.dftimedate'] = 'h[:]mm A';
$string['core.discard'] = 'Discard';
$string['core.dismiss'] = 'Dismiss';
$string['core.downloaded'] = 'Downloaded';
$string['core.downloading'] = 'Downloading';
$string['core.editor.hidetoolbar'] = 'Hide toolbar';
$string['core.editor.toggle'] = 'Toggle editor';
$string['core.emptysplit'] = 'This page will appear blank if the left panel is empty or is loading.';
$string['core.errorchangecompletion'] = 'An error occurred while changing the completion status. Please try again.';
$string['core.errordeletefile'] = 'Error deleting the file. Please try again.';
$string['core.errordownloading'] = 'Error downloading file.';
$string['core.errordownloadingsomefiles'] = 'Error downloading files. Some files might be missing.';
$string['core.errorfileexistssamename'] = 'A file with this name already exists.';
$string['core.errorinvalidform'] = 'The form contains invalid data. Please check that all required fields are filled in and that the data is valid.';
$string['core.errorinvalidresponse'] = 'Invalid response received. Please contact your site administrator if the error persists.';
$string['core.errorloadingcontent'] = 'Error loading content.';
$string['core.errorofflinedisabled'] = 'Offline browsing is disabled on your site. You need to be connected to the internet to use the app.';
$string['core.erroropenfilenoapp'] = 'Error opening file: no app found to open this type of file.';
$string['core.erroropenfilenoextension'] = 'Error opening file: the file doesn\'t have an extension.';
$string['core.erroropenpopup'] = 'This activity is trying to open a popup. This is not supported in the app.';
$string['core.errorrenamefile'] = 'Error renaming file. Please try again.';
$string['core.errorsomedatanotdownloaded'] = 'If you downloaded this activity, please notice that some data isn\'t downloaded during the download process for performance and data usage reasons.';
$string['core.errorsync'] = 'An error occurred while synchronising. Please try again.';
$string['core.errorsyncblocked'] = 'This {{$a}} cannot be synchronised right now because of an ongoing process. Please try again later. If the problem persists, try restarting the app.';
$string['core.errorurlschemeinvalidsite'] = 'This site URL cannot be opened in this app.';
$string['core.filenameexist'] = 'File name already exists: {{$a}}';
$string['core.fileuploader.audio'] = 'Audio';
$string['core.fileuploader.camera'] = 'Camera';
$string['core.fileuploader.confirmuploadfile'] = 'You are about to upload {{size}}. Are you sure you want to continue?';
$string['core.fileuploader.confirmuploadunknownsize'] = 'It was not possible to calculate the size of the upload. Are you sure you want to continue?';
$string['core.fileuploader.errorcapturingaudio'] = 'Error capturing audio.';
$string['core.fileuploader.errorcapturingimage'] = 'Error capturing image.';
$string['core.fileuploader.errorcapturingvideo'] = 'Error capturing video.';
$string['core.fileuploader.errorgettingimagealbum'] = 'Error getting image from album.';
$string['core.fileuploader.errormustbeonlinetoupload'] = 'You have to be online to upload files.';
$string['core.fileuploader.errornoapp'] = 'You don\'t have an app installed to perform this action.';
$string['core.fileuploader.errorreadingfile'] = 'Error reading file.';
$string['core.fileuploader.errorwhileuploading'] = 'An error occurred during the file upload.';
$string['core.fileuploader.file'] = 'File';
$string['core.fileuploader.fileuploaded'] = 'The file was successfully uploaded.';
$string['core.fileuploader.maxbytesfile'] = 'The file {{$a.file}} is too large. The maximum size you can upload is {{$a.size}}.';
$string['core.fileuploader.photoalbums'] = 'Photo albums';
$string['core.fileuploader.readingfile'] = 'Reading file';
$string['core.fileuploader.readingfileperc'] = 'Reading file: {{$a}}%';
$string['core.fileuploader.selectafile'] = 'Select a file';
$string['core.fileuploader.uploadafile'] = 'Upload a file';
$string['core.fileuploader.uploading'] = 'Uploading';
$string['core.fileuploader.uploadingperc'] = 'Uploading: {{$a}}%';
$string['core.fileuploader.video'] = 'Video';
$string['core.fullnameandsitename'] = '{{fullname}} ({{sitename}})';
$string['core.h5p.errorgetemail'] = 'Error obtaining the user email. Please check your connection and try again.';
$string['core.h5p.offlinedisabled'] = 'The site doesn\'t allow downloading H5P packages.';
$string['core.h5p.play'] = 'Play H5P';
$string['core.hasdatatosync'] = 'This {{$a}} has offline data to be synchronised.';
$string['core.humanreadablesize'] = '{{size}} {{unit}}';
$string['core.image'] = 'Image';
$string['core.imageviewer'] = 'Image viewer';
$string['core.lastdownloaded'] = 'Last downloaded';
$string['core.lastsync'] = 'Last synchronisation';
$string['core.loadmore'] = 'Load more';
$string['core.login.authenticating'] = 'Authenticating';
$string['core.login.changepasswordbutton'] = 'Open the change password page';
$string['core.login.changepasswordhelp'] = 'If you have problems changing your password, please contact your site administrator. "Site Administrators" are the people who manages the Moodle at your school/university/company or learning organisation. If you don\'t know how to contact them, please contact your teachers/trainers.';
$string['core.login.changepasswordinstructions'] = 'You cannot change your password in the app. Please click the following button to open the site in a web browser to change your password. Take into account you need to close the browser after changing the password as you will not be redirected to the app.';
$string['core.login.changepasswordlogoutinstructions'] = 'If you prefer to change site or log out, please click the following button:';
$string['core.login.changepasswordreconnectinstructions'] = 'Click the following button to reconnect to the site. (Take into account that if you didn\'t change your password successfully, you would return to the previous screen).';
$string['core.login.confirmdeletesite'] = 'Are you sure you want to delete the site {{sitename}}?';
$string['core.login.connect'] = 'Connect!';
$string['core.login.connecttomoodle'] = 'Connect to Moodle';
$string['core.login.connecttomoodleapp'] = 'You are trying to connect to a regular Moodle site. Please download the official Moodle app to access this site.';
$string['core.login.connecttoworkplaceapp'] = 'You are trying to connect to a Moodle Workplace site. Please download the Moodle Workplace app to access this site.';
$string['core.login.contactyouradministrator'] = 'Contact your site administrator for further help.';
$string['core.login.contactyouradministratorissue'] = 'Please ask your site administrator to check the following issue: {{$a}}';
$string['core.login.credentialsdescription'] = 'Please provide your username and password to log in.';
$string['core.login.emailconfirmsentnoemail'] = '<p>An email should have been sent to your address.</p><p>It contains easy instructions to complete your registration.</p><p>If you continue to have difficulty, contact the site administrator.</p>';
$string['core.login.emailnotmatch'] = 'Emails do not match';
$string['core.login.erroraccesscontrolalloworigin'] = 'The cross-origin call you\'re trying to perform has been rejected. Please check https://docs.moodle.org/dev/Moodle_Mobile_development_using_Chrome_or_Chromium';
$string['core.login.errordeletesite'] = 'An error occurred while deleting this site. Please try again.';
$string['core.login.errorexampleurl'] = 'The URL https://campus.example.edu is only an example URL, it\'s not a real site. <strong>Please use the URL of your school or organization\'s site.</strong>';
$string['core.login.errorupdatesite'] = 'An error occurred while updating the site\'s token.';
$string['core.login.faqcannotconnectanswer'] = 'Please, contact your site administrator.';
$string['core.login.faqcannotconnectquestion'] = 'I typed my site address correctly but I still can\'t connect.';
$string['core.login.faqcannotfindmysiteanswer'] = 'Have you typed the name correctly? It\'s also possible that your site is not included in our public sites directory. If you still can\'t find it, please enter your site address instead.';
$string['core.login.faqcannotfindmysitequestion'] = 'I can\'t find my site.';
$string['core.login.faqsetupsiteanswer'] = 'Visit {{$link}} to check out the different options you have to create your own Moodle site.';
$string['core.login.faqsetupsitelinktitle'] = 'Get started.';
$string['core.login.faqsetupsitequestion'] = 'I want to set up my own Moodle site.';
$string['core.login.faqtestappanswer'] = 'To test the app in a Moodle Demo Site, type "teacher" or "student" in the "Your site" field and click the "Connect to your site" button.';
$string['core.login.faqtestappquestion'] = 'I just want to test the app, what can I do?';
$string['core.login.faqwhatisurlanswer'] = '<p>Every organisation has their own unique address or URL for their Moodle site. To find the address:</p><ol><li>Open a web browser and go to your Moodle site login page.</li><li>At the top of the page, in the address bar, you will see the URL of your Moodle site e.g. "campus.example.edu".<br>{{$image}}</li><li>Copy the address (do not copy the /login and what comes after), paste it into the Moodle app then click "Connect to your site"</li><li>Now you can log in to your site using your username and password.</li>';
$string['core.login.faqwhatisurlquestion'] = 'What is my site address? How can I find my site URL?';
$string['core.login.faqwhereisqrcode'] = 'Where can I find the QR code?';
$string['core.login.faqwhereisqrcodeanswer'] = '<p>If your organisation has enabled it, you will find a QR code on the web site at the bottom of your user profile page.</p>{{$image}}';
$string['core.login.findyoursite'] = 'Find your site';
$string['core.login.helpmelogin'] = '<p>There are many thousands of Moodle sites around the world. This app can only connect to Moodle sites that have specifically enabled Mobile app access.</p><p>If you can\'t connect to your Moodle site then you need to contact your site administrator and ask them to read <a href="http://docs.moodle.org/en/Mobile_app" target="_blank">http://docs.moodle.org/en/Mobile_app</a></p><p>To test the app in a Moodle demo site type <i>teacher</i> or <i>student</i> in the <i>Site address</i> field and click the <b>Connect button</b>.</p>';
$string['core.login.invalidaccount'] = 'Please check your login details or ask your site administrator to check the site configuration.';
$string['core.login.invalidmoodleversion'] = '<p>Invalid Moodle site version. The Moodle app only supports Moodle systems {{$a}} onwards.</p>
<p>You can contact your site administrators and ask them to update their Moodle system.</p>
<p>"Site Administrators" are the people who manages the Moodle at your school/university/company or learning organisation. If you don\'t know how to contact them, please contact your teachers/trainers.</p>';
$string['core.login.invalidsite'] = 'The site URL is invalid.';
$string['core.login.invalidtime'] = 'Invalid time';
$string['core.login.invalidvaluemax'] = 'The maximum value is {{$a}}';
$string['core.login.invalidvaluemin'] = 'The minimum value is {{$a}}';
$string['core.login.localmobileunexpectedresponse'] = 'Moodle Mobile Additional Features check returned an unexpected response. You will be authenticated using the standard mobile service.';
$string['core.login.loggedoutssodescription'] = 'You have to authenticate again. You need to log in to the site in a browser window.';
$string['core.login.loginbutton'] = 'Log in';
$string['core.login.logininsiterequired'] = 'You need to log in to the site in a browser window.';
$string['core.login.mobileservicesnotenabled'] = 'Mobile access is not enabled on your site. Please contact your site administrator if you think it should be enabled.';
$string['core.login.notloggedin'] = 'You need to be logged in.';
$string['core.login.onboardingcreatemanagecourses'] = 'Create & manage your courses';
$string['core.login.onboardingenrolmanagestudents'] = 'Enrol & manage your students';
$string['core.login.onboardinggetstarted'] = 'Get started with Moodle';
$string['core.login.onboardingialreadyhaveasite'] = 'I already have a Moodle site';
$string['core.login.onboardingimalearner'] = 'I\'m a learner';
$string['core.login.onboardingimaneducator'] = 'I\'m an educator';
$string['core.login.onboardingineedasite'] = 'I need a Moodle site';
$string['core.login.onboardingprovidefeedback'] = 'Provide timely feedback';
$string['core.login.onboardingtoconnect'] = 'To connect to the Moodle App you\'ll need a Moodle site';
$string['core.login.onboardingwelcome'] = 'Welcome to the Moodle App!';
$string['core.login.or'] = 'OR';
$string['core.login.passwordrequired'] = 'Password required';
$string['core.login.recaptchachallengeimage'] = 'reCAPTCHA challenge image';
$string['core.login.recaptchaexpired'] = 'Verification expired. Answer the security question again.';
$string['core.login.recaptchaincorrect'] = 'The security question answer is incorrect.';
$string['core.login.reconnect'] = 'Reconnect';
$string['core.login.reconnectdescription'] = 'Your authentication token is invalid or has expired. You have to reconnect to the site.';
$string['core.login.reconnectssodescription'] = 'Your authentication token is invalid or has expired. You have to reconnect to the site. You need to log in to the site in a browser window.';
$string['core.login.searchby'] = 'Search by:';
$string['core.login.selectsite'] = 'Please select your site:';
$string['core.login.signupplugindisabled'] = '{{$a}} is not enabled.';
$string['core.login.siteaddress'] = 'Your site';
$string['core.login.sitehasredirect'] = 'Your site contains at least one HTTP redirect. The app cannot follow redirects, this could be the issue that\'s preventing the app from connecting to your site.';
$string['core.login.siteinmaintenance'] = 'Your site is in maintenance mode';
$string['core.login.sitepolicynotagreederror'] = 'Site policy not agreed.';
$string['core.login.siteurl'] = 'Site URL';
$string['core.login.siteurlrequired'] = 'Site URL required i.e <i>http://www.yourmoodlesite.org</i>';
$string['core.login.stillcantconnect'] = 'Still can\'t connect?';
$string['core.login.usernamerequired'] = 'Username required';
$string['core.login.visitchangepassword'] = 'Do you want to visit the site to change the password?';
$string['core.login.webservicesnotenabled'] = 'Your host site may not have enabled Web services. Please contact your administrator for help.';
$string['core.login.youcanstillconnectwithcredentials'] = 'You can still connect to the site by entering your username and password.';
$string['core.login.yourenteredsite'] = 'Connect to your site';
$string['core.lostconnection'] = 'Your authentication token is invalid or has expired. You will have to reconnect to the site.';
$string['core.mainmenu.changesite'] = 'Change site';
$string['core.mainmenu.website'] = 'Website';
$string['core.needhelp'] = 'Need help?';
$string['core.networkerroriframemsg'] = 'This content is not available offline. Please connect to the internet and try again.';
$string['core.networkerrormsg'] = 'There was a problem connecting to the site. Please check your connection and try again.';
$string['core.nooptionavailable'] = 'No option available';
$string['core.nopasswordchangeforced'] = 'You cannot proceed without changing your password.';
$string['core.nopermissionerror'] = 'Sorry, but you do not currently have permissions to do that';
$string['core.notapplicable'] = 'n/a';
$string['core.notsent'] = 'Not sent';
$string['core.nummore'] = '{{$a}} more';
$string['core.openfullimage'] = 'Click here to display the full size image';
$string['core.openinbrowser'] = 'Open in browser';
$string['core.openmodinbrowser'] = 'Open {{$a}} in browser';
$string['core.percentagenumber'] = '{{$a}}%';
$string['core.pulltorefresh'] = 'Pull to refresh';
$string['core.qrscanner'] = 'QR scanner';
$string['core.question.cannotdeterminestatus'] = 'Cannot determine status';
$string['core.question.errorattachmentsnotsupported'] = 'The application doesn\'t support attaching files to answers yet.';
$string['core.question.errorinlinefilesnotsupported'] = 'The application doesn\'t support editing inline files yet.';
$string['core.question.errorquestionnotsupported'] = 'This question type is not supported by the app: {{$a}}.';
$string['core.question.howtodraganddrop'] = 'Tap to select then tap to drop.';
$string['core.question.questionmessage'] = 'Question {{$a}}: {{$b}}';
$string['core.redirectingtosite'] = 'You will be redirected to the site.';
$string['core.removefiles'] = 'Remove files {{$a}}';
$string['core.requireduserdatamissing'] = 'This user lacks some required profile data. Please enter the data in your site and try again.<br>{{$a}}';
$string['core.retry'] = 'Retry';
$string['core.scanqr'] = 'Scan QR code';
$string['core.searching'] = 'Searching';
$string['core.settings.about'] = 'About';
$string['core.settings.appsettings'] = 'App settings';
$string['core.settings.appversion'] = 'App version';
$string['core.settings.cannotsyncoffline'] = 'Cannot synchronise offline.';
$string['core.settings.cannotsyncwithoutwifi'] = 'Cannot synchronise because the current settings only allow to synchronise when connected to Wi-Fi. Please connect to a Wi-Fi network.';
$string['core.settings.colorscheme'] = 'Color Scheme';
$string['core.settings.colorscheme-auto'] = 'Auto (based on system settings)';
$string['core.settings.colorscheme-dark'] = 'Dark';
$string['core.settings.colorscheme-light'] = 'Light';
$string['core.settings.compilationinfo'] = 'Compilation info';
$string['core.settings.copyinfo'] = 'Copy device info on the clipboard';
$string['core.settings.cordovadevicemodel'] = 'Cordova device model';
$string['core.settings.cordovadeviceosversion'] = 'Cordova device OS version';
$string['core.settings.cordovadeviceplatform'] = 'Cordova device platform';
$string['core.settings.cordovadeviceuuid'] = 'Cordova device UUID';
$string['core.settings.cordovaversion'] = 'Cordova version';
$string['core.settings.debugdisplaydescription'] = 'If enabled, error modals will display more data about the error if possible.';
$string['core.settings.deletesitefiles'] = 'Are you sure that you want to delete the downloaded files and cached data from the site \'{{sitename}}\'? You won\'t be able to use the app in offline mode.';
$string['core.settings.deletesitefilestitle'] = 'Delete site files';
$string['core.settings.deviceinfo'] = 'Device info';
$string['core.settings.deviceos'] = 'Device OS';
$string['core.settings.displayformat'] = 'Display format';
$string['core.settings.enabledownloadsection'] = 'Enable download sections';
$string['core.settings.enablefirebaseanalytics'] = 'Enable Firebase analytics';
$string['core.settings.enablefirebaseanalyticsdescription'] = 'If enabled, the app will collect anonymous data usage.';
$string['core.settings.enablerichtexteditor'] = 'Enable text editor';
$string['core.settings.enablerichtexteditordescription'] = 'If enabled, a text editor will be available when entering content.';
$string['core.settings.enablesyncwifi'] = 'Allow sync only when on Wi-Fi';
$string['core.settings.entriesincache'] = '{{$a}} entries in cache';
$string['core.settings.errordeletesitefiles'] = 'Error deleting site files.';
$string['core.settings.errorsyncsite'] = 'Error synchronising site data. Please check your Internet connection and try again.';
$string['core.settings.estimatedfreespace'] = 'Estimated free space';
$string['core.settings.filesystemroot'] = 'File system root';
$string['core.settings.fontsize'] = 'Text size';
$string['core.settings.forcedsetting'] = 'This setting has been forced by your site configuration.';
$string['core.settings.localnotifavailable'] = 'Local notifications available';
$string['core.settings.locationhref'] = 'Web view URL';
$string['core.settings.navigatorlanguage'] = 'Navigator language';
$string['core.settings.navigatoruseragent'] = 'Navigator userAgent';
$string['core.settings.networkstatus'] = 'Internet connection status';
$string['core.settings.opensourcelicenses'] = 'Open Source Licences';
$string['core.settings.privacypolicy'] = 'Privacy policy';
$string['core.settings.publisher'] = 'Publisher';
$string['core.settings.pushid'] = 'Push notifications ID';
$string['core.settings.reportinbackground'] = 'Report errors automatically';
$string['core.settings.screen'] = 'Screen information';
$string['core.settings.showdownloadoptions'] = 'Show download options';
$string['core.settings.siteinfo'] = 'Site info';
$string['core.settings.spaceusage'] = 'Space usage';
$string['core.settings.spaceusagehelp'] = 'Deleting the stored information of the site will remove all the site offline data. This information allows you to use the app when offline.';
$string['core.settings.synchronization'] = 'Synchronisation';
$string['core.settings.synchronizenow'] = 'Synchronise now';
$string['core.settings.synchronizenowhelp'] = 'Synchronising a site will send pending changes and all offline activity stored in the device and will synchronise some data like messages and notifications.';
$string['core.settings.syncsettings'] = 'Synchronisation settings';
$string['core.settings.wificonnection'] = 'Wi-Fi connection';
$string['core.sharedfiles.chooseaccountstorefile'] = 'Choose an account to store the file in.';
$string['core.sharedfiles.chooseactionrepeatedfile'] = 'A file with this name already exists. Do you want to replace the existing file or rename it to "{{$a}}"?';
$string['core.sharedfiles.errorreceivefilenosites'] = 'There are no sites stored. Please add a site before sharing a file with the app.';
$string['core.sharedfiles.nosharedfiles'] = 'There are no shared files stored on this site.';
$string['core.sharedfiles.nosharedfilestoupload'] = 'You have no files to upload here. If you want to upload a file from another app, locate the file and click the \'Open in\' button.';
$string['core.sharedfiles.rename'] = 'Rename';
$string['core.sharedfiles.replace'] = 'Replace';
$string['core.sharedfiles.sharedfiles'] = 'Shared files';
$string['core.sharedfiles.successstorefile'] = 'File successfully stored. Select the file to upload to your private files or use in an activity.';
$string['core.sizetb'] = 'TB';
$string['core.sorry'] = 'Sorry...';
$string['core.storingfiles'] = 'Storing files';
$string['core.tablet'] = 'Tablet';
$string['core.tag.errorareanotsupported'] = 'This tag area is not supported by the app.';
$string['core.tag.warningareasnotsupported'] = 'Some of the tag areas are not displayed because they are not supported by the app.';
$string['core.thereisdatatosync'] = 'There are offline {{$a}} to be synchronised.';
$string['core.tryagain'] = 'Try again';
$string['core.twoparagraphs'] = '{{p1}}<br><br>{{p2}}';
$string['core.uhoh'] = 'Uh oh!';
$string['core.unexpectederror'] = 'Unexpected error. Please close and reopen the application then try again.';
$string['core.unicodenotsupported'] = 'Some emojis are not supported on this site. Such characters will be removed when the message is sent.';
$string['core.unicodenotsupportedcleanerror'] = 'Empty text was found when cleaning Unicode chars.';
$string['core.unknown'] = 'Unknown';
$string['core.unzipping'] = 'Unzipping';
$string['core.updaterequired'] = 'App update required';
$string['core.updaterequireddesc'] = 'Please update your app to version {{$a}}';
$string['core.user.contact'] = 'Contact';
$string['core.user.detailsnotavailable'] = 'The details of this user are not available to you.';
$string['core.user.errorloaduser'] = 'Error loading user.';
$string['core.user.sendemail'] = 'Email';
$string['core.viewcode'] = 'View code';
$string['core.vieweditor'] = 'View editor';
$string['core.viewembeddedcontent'] = 'View embedded content';
$string['core.warningofflinedatadeleted'] = 'Offline data from {{component}} \'{{name}}\' has been deleted. {{error}}';
$string['core.whoissiteadmin'] = '"Site Administrators" are the people who manage the Moodle at your school/university/company or learning organisation. If you don\'t know how to contact them, please contact your teachers/trainers.';
$string['core.whoops'] = 'Oops!';
$string['core.whyisthishappening'] = 'Why is this happening?';
$string['core.wsfunctionnotavailable'] = 'The web service function is not available.';
$string['core.youreoffline'] = 'You are offline';
$string['core.youreonline'] = 'You are back online';
$string['pluginname'] = 'Moodle Mobile language strings';
