<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'local_openid_idp', language 'en', branch 'MOODLE_24_STABLE'
 *
 * @package   local_openid_idp
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['add_rp'] = 'Add new site';
$string['ax_field_city'] = 'City';
$string['ax_field_country'] = 'Country';
$string['ax_field_email'] = 'Email address';
$string['ax_field_firstname'] = 'First name';
$string['ax_field_fullname'] = 'Full name';
$string['ax_field_language'] = 'Preferred language';
$string['ax_field_lastname'] = 'Last name';
$string['ax_field_mobilephone'] = 'Mobile phone';
$string['ax_field_nickname'] = 'Username';
$string['ax_field_phone'] = 'Phone';
$string['ax_field_timezone'] = 'Timezone';
$string['ax_field_url'] = 'Web page';
$string['ax_field_userid'] = 'User ID';
$string['cannot_edit'] = 'Adding/editing sites can only be done at the system level';
$string['confirm_delete'] = 'Are you sure you want to remove the site <code>{$a}</code>?';
$string['description'] = 'This is an OpenID provider for Moodle, which will allow you to use your
Moodle account to log in to other sites that support OpenID.';
$string['incorrect_identity'] = 'You specified an incorrect OpenID for your account.';
$string['invalid_id'] = 'Invalid site ID';
$string['no_request'] = 'There is no OpenID request to process.';
$string['no_trusted_rps'] = 'No sites have been configured yet.';
$string['openid_idp:logintoremote'] = 'Log into a remote site using OpenID';
$string['pluginname'] = 'OpenID provider';
$string['rp_added'] = 'The site <code>{$a}</code> has been added.';
$string['rp_deleted'] = 'The site <code>{$a}</code> has been deleted.';
$string['rp_modified'] = 'The site <code>{$a}</code> has been modified.';
$string['rp_url'] = 'Site URL';
$string['sreg_config_sent'] = 'User profile fields to send';
$string['sreg_field_country'] = 'Country';
$string['sreg_field_email'] = 'Email address';
$string['sreg_field_fullname'] = 'Full name';
$string['sreg_field_language'] = 'Preferred language';
$string['sreg_field_nickname'] = 'Username';
$string['sreg_field_timezone'] = 'Timezone';
$string['sreg_optional'] = 'Optional information:';
$string['sreg_requested'] = 'The following information was requested:';
$string['sreg_required'] = 'Required information:';
$string['trust_always'] = 'Always allow login';
$string['trusted_rp_description'] = 'Usually, when you log into another site using OpenID, Moodle will ask for your confirmation first.  On this page, you can configure which sites will not ask for confirmation.';
$string['trusted_rp_description_global'] = 'These settings will apply to all users on this Moodle site.';
$string['trust_no'] = 'Do not log in';
$string['trust_once'] = 'Log in just this once';
$string['trust_prompt'] = 'Are you sure you want to log into <code>{$a}</code> using your Moodle account?';
$string['user_add_rp'] = 'To add a new site, you must first log into the site once using OpenID.  When prompted to log in using your Moodle account, click on the "Always allow login" button.';
