<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'nln', language 'en', branch 'MOODLE_35_STABLE'
 *
 * @package   nln
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['clicktoopen'] = 'Click {$a} link to launch learning object.';
$string['configdisplayoptions'] = 'Select all options that should be available, existing settings are not modified. Hold CTRL key to select multiple fields.';
$string['configframesize'] = 'When a web page or an uploaded file is displayed within a frame, this value is the height (in pixels) of the top frame (which contains the navigation).';
$string['contentheader'] = 'Content';
$string['displayoptions'] = 'Available display options';
$string['displayselect'] = 'Display';
$string['displayselectexplain'] = 'Choose display type, unfortunately not all types are suitable for all learning objects.';
$string['displayselect_help'] = 'This setting, together with whether the browser allows embedding, determines how the learning object is displayed. Options may include:

* Automatic - The best display option for the learning object is selected automatically
* Embed - The learning object is displayed within the page below the navigation bar together with the learning object description and any blocks
* Force download - The user is prompted to download the learning object
* Open - Only the learning object is displayed in the browser window
* In pop-up - The learning object is displayed in a new browser window without menus or an address bar
* In frame - The learning object is displayed within a frame below the navigation bar and learning object description
* New window - The learning object is displayed in a new browser window with menus and an address bar';
$string['framesize'] = 'Frame height';
$string['invalidnln'] = 'Entered learning object ID is invalid';
$string['invalidstorednln'] = 'Cannot display this learning object, ID is invalid.';
$string['modulename'] = 'NLN learning object';
$string['modulename_help'] = 'The NLN materials are small, flexible \'bite-sized\' episodes of learning. They are not whole courses but are designed to support a wide range of subject and topic areas. The materials adopt a range of approaches involving some knowledge acquisition, a chance to practice and absorb, and some form of assessment to check that the learning has been understood and the learning outcome(s) achieved.

The materials give learners things to do and a chance to think for themselves. They are designed to be fun. Learners can make mistakes but can try again. There is plenty of in-built help if they get stuck and opportunities to go back and revise. Many of the materials include games or quizzes. Accessibility options are available on many of the materials to suit learners\' individual needs. The materials are also designed to appeal to the different learning styles of students.

This activity module allows teachers to find and add NLN learning objects to their Moodle courses with a minimum of effort.';
$string['modulenameplural'] = 'NLN learning objects';
$string['nln:addinstance'] = 'Add a new NLN learning object';
$string['nln_browse'] = 'Browse the NLN materials';
$string['nln_browse_help'] = 'Click this button to view the NLN materials browser, which lets you browse, preview, and select an NLN learning object.';
$string['nln_loid'] = 'NLN learning object ID';
$string['nln_loid_help'] = 'The learning object ID will be filled in automatically once you have chosen a learning object using the Browse button above.';
$string['nln_required'] = 'Please select an NLN learning object by clicking the button above. If you do not wish to add a learning object, click the Cancel button below.';
$string['nln:view'] = 'View NLN learning object';
$string['optionsheader'] = 'Options';
$string['page-mod-nln-x'] = 'Any NLN module page';
$string['pluginadministration'] = 'NLN module administration';
$string['pluginname'] = 'NLN learning object';
$string['popupheight'] = 'Popup height (in pixels)';
$string['popupheightexplain'] = 'Specifies default height of popup windows.';
$string['popupwidth'] = 'Popup width (in pixels)';
$string['popupwidthexplain'] = 'Specifies default width of popup windows.';
$string['printheading'] = 'Display learning object name';
$string['printheadingexplain'] = 'Display learning object name above content? Some display types may not display learning object name even if enabled.';
$string['printintro'] = 'Display learning object description';
$string['printintroexplain'] = 'Display learning object description below content? Some display types may not display description even if enabled.';
$string['rolesinparams'] = 'Include role names in parameters';
$string['serverurl'] = 'Server URL';
