<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'pcast', language 'en', branch 'MOODLE_38_STABLE'
 *
 * @package   pcast
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addnewepisode'] = 'Add a new episode';
$string['allcategories'] = 'All categories';
$string['allentries'] = 'ALL';
$string['allowedfiletypes'] = 'Allowed file formats';
$string['allowedfiletypes_help'] = 'Accepted file types can be restricted by entering a list of file extensions. If the field is left empty, then all file types are allowed.';
$string['approvalview'] = 'Approve episodes';
$string['approvethisepisode'] = 'Approve this episode';
$string['areaepisode'] = 'Podcast episodes';
$string['arealogo'] = 'Podcast RSS logo';
$string['areasummary'] = 'Podcast episode summaries';
$string['areyousuredelete'] = 'Are you sure you want to delete this episode';
$string['ascending'] = 'Acsending';
$string['attachment'] = 'Attachment';
$string['author'] = 'Author';
$string['author_help'] = 'Author of this podcast';
$string['authorview'] = 'Browse by author';
$string['cannotseeepisode'] = 'Error: You do not have permission to view this episode';
$string['categories'] = 'Categories';
$string['category'] = 'Category';
$string['category_help'] = 'iTunes category';
$string['categoryview'] = 'Browse by category';
$string['changeto'] = 'Change to {$a}';
$string['clean'] = 'Clean';
$string['commentsnotenabled'] = 'Error: Commenting is not enabled';
$string['completionepisodes'] = 'Student must create episodes:';
$string['completionepisodesgroup'] = 'Require episodes';
$string['configallowhtmlinsummary'] = 'This switch will allow allow the RSS description fields feeds to contain HTML.  When it is disabled, the HTML will silently be stripped out as part of the RSS feed generation.';
$string['configallowhtmlinsummary2'] = 'Allow HTML in RSS feeds';
$string['configenablerssfeeds'] = 'This switch will enable the possibility of RSS feeds for all podcasts.  You will still need to turn feeds on manually in the settings for each podcast.';
$string['configenablerssfeeds2'] = 'Enable RSS Feeds:';
$string['configenablerssitunes'] = 'This switch will enable the possibility of itunes compatible RSS feeds for all podcasts.  You will still need to set Enable iTunes RSS Tags to yes podcast course settings.';
$string['configenablerssitunes2'] = 'Enable iTunes RSS:';
$string['createasc'] = 'Newest episode first';
$string['created'] = 'Created';
$string['createdesc'] = 'Oldest episode first';
$string['current'] = 'current sort {$a}';
$string['dateview'] = 'Browse by date';
$string['deleteallepisodetags'] = 'Delete episode tags';
$string['deleteallviews'] = 'Delete episode view history';
$string['deletenotenrolled'] = 'Delete episodes by users not enrolled';
$string['deletethisepisode'] = 'Delete this episode';
$string['descending'] = 'Descending';
$string['disapprove'] = 'Disapprove';
$string['disapprovethisepisode'] = 'Disapprove this episode';
$string['displayauthor'] = 'Display author names';
$string['displayauthor_help'] = 'Display the name of the author for each episode to users';
$string['displayviews'] = 'Display names of viewers';
$string['displayviews_help'] = 'Display the names and number of views for each episode to users';
$string['duration'] = 'Duration';
$string['durationlength'] = '{$a->hour} hours {$a->min} minutes {$a->sec} seconds';
$string['durationlength2'] = '{$a->min} minutes {$a->sec} seconds';
$string['editthisepisode'] = 'Edit this episode';
$string['enablerssfeed'] = 'Enable RSS';
$string['enablerssfeed_help'] = 'Enable RSS for this podcast';
$string['enablerssitunes'] = 'Enable RSS for iTunes';
$string['enablerssitunes_help'] = 'This enables iTunes specific tags in the RSS file';
$string['episodecommentandrateview'] = 'Comment / Rate';
$string['episodecommentview'] = 'Comment';
$string['episodedeleted'] = 'episode {$a} was sucessfully deleted';
$string['episoderateview'] = 'Rate';
$string['episodes'] = '{$a} episodes';
$string['episodesperpage'] = 'Episodes shown per page';
$string['episodesperpage_help'] = 'This setting controls the number of episodes that will be displayed on a single page.  If you use large media files, you may wish to set this to a small number.';
$string['episodeswithoutcategory'] = 'Episodes without a category';
$string['episodetitle'] = 'Episode';
$string['episodeview'] = 'Episode';
$string['episodeviews'] = 'Views';
$string['errcannotedit'] = 'Error: you cannot edit this episode';
$string['errcannoteditothers'] = 'Error: you cannot edit other users episodes';
$string['erredittimeexpired'] = 'Error: Editing time has expired';
$string['errorinvalidmode'] = 'Error: you do not have access';
$string['eventepisodeapproved'] = 'Episode has been approved';
$string['eventepisodecreated'] = 'Episode has been created';
$string['eventepisodedeleted'] = 'Episode has been deleted';
$string['eventepisodedisapproved'] = 'Episode has been disapproved';
$string['eventepisodeupdated'] = 'Episode has been updated';
$string['eventepisodeviewed'] = 'Episode has been viewed';
$string['eventratingsviewed'] = 'Episode ratings viewed';
$string['eventviewsviewed'] = 'Episode viewers have been viewed';
$string['explainaddentry'] = 'Add a new episode to the current podcast.<br />name, summary, and attachment are mandatory fields.';
$string['explainall'] = 'Shows ALL entries on one page';
$string['explainalphabet'] = 'Browse the podcast using this index';
$string['explainspecial'] = 'Shows entries that do not begin with a letter';
$string['explicit'] = 'Explicit content';
$string['explicit_help'] = 'This specifies if the podcast contains explicit content.';
$string['image'] = 'Podcast image';
$string['imagefile'] = 'Image';
$string['imageheight'] = 'Height';
$string['imageheight_help'] = 'Height of RSS channel logo';
$string['imagewidth'] = 'Width';
$string['imagewidth_help'] = 'Width of RSS channel logo';
$string['invalidcmorid'] = 'Error: You must specify a course_module ID or an instance ID';
$string['invalidcourse'] = 'Error: Course ID is incorrect';
$string['invalidentry'] = 'Error: Invalid episode ID';
$string['itunes'] = 'iTunes';
$string['keywords'] = 'Keywords';
$string['keywords_help'] = 'Keywords describing this podcast';
$string['maxattachmentsize'] = 'Maximum attachment size';
$string['maxattachmentsize_help'] = 'This setting specifies the largest size of file that can be attached as a podcast episode.';
$string['modulename'] = 'Podcast';
$string['modulename_help'] = 'The podcast activity module enables participants to create a podcast and and publish episodes consisting of video and / or audio files.

Episodes can be browsed alphabetically or by category, date or author. Episodes can be approved by default or require approving by a teacher before they are viewable by everyone.

A teacher can allow comments on episodes. Episodes can also be rated by teachers or students (peer evaluation). Ratings are aggregated to form a final grade which is recorded in the gradebook.

Students can subscribe to the podcast using their favorite web browser or an Audio application such as iTunes, Winamp, or Windows Media Player, and listen to them on a portable MP3 player such as an iPod.';
$string['modulenameplural'] = 'Podcasts';
$string['name'] = 'Title';
$string['newepisodes'] = 'New podcast episodes';
$string['nocommentuntilapproved'] = 'Comments are not available until the episode has been approved';
$string['noeditprivlidges'] = 'Error: You do not have editing rights.';
$string['noepisodesposted'] = 'No episodes posted';
$string['nopcastmediafile'] = 'No media file found';
$string['nopermissiontodelepisode'] = 'Error: You do not have permission to delete this episode';
$string['noratinguntilapproved'] = 'Ratings are not available until the episode has been approved';
$string['noresize'] = 'Do not resize';
$string['notcategorised'] = 'Not categorised';
$string['noviews'] = 'No views';
$string['page-mod-pcast-edit'] = 'Podcast add/edit episode page';
$string['page-mod-pcast-view'] = 'View podcast edit page';
$string['page-mod-pcast-x'] = 'Any podcast module page';
$string['pcast'] = 'podcast';
$string['pcastactivityname'] = 'Podcast: {$a}';
$string['pcast:addinstance'] = 'Add a new podcast';
$string['pcastadministration'] = 'Podcast administration';
$string['pcast:approve'] = 'Approve unapproved episodes, or disapprove approved ones';
$string['pcastfieldset'] = 'Custom example fieldset';
$string['pcast_help'] = 'This activity allows users to create and maintain video and audio podcasts. The podcast can easily be configured for iTunes compatiblity.';
$string['pcastlink'] = 'Subscribe in iTunes';
$string['pcast:manage'] = 'Manage episodes (Edit / Delete)';
$string['pcastmediafile'] = 'Media file';
$string['pcastname'] = 'Podcast name';
$string['pcast:rate'] = 'Add ratings to episodes';
$string['pcast:view'] = 'View episodes';
$string['pcast:viewallratings'] = 'View all raw ratings given by individuals';
$string['pcast:viewanyrating'] = 'View total ratings that anyone received';
$string['pcast:viewrating'] = 'View the total ratings you received';
$string['pcast:write'] = 'Create new episodes';
$string['pluginadministration'] = 'Podcast administration';
$string['pluginname'] = 'Podcast';
$string['podcastepisodes'] = 'Podcast episodes';
$string['privacy'] = 'Privacy of results';
$string['privacy:metadata:core_comments'] = 'Comments made on pcast definitions are stored using core_comment system';
$string['privacy:metadata:core_files'] = 'Files linked to pcast definitions are stored using the core_files system';
$string['privacy:metadata:core_rating'] = 'Ratings added to pcast episodes are stored using core_ratings system';
$string['privacy:metadata:core_tag'] = 'Tags added to pcast definitions are stored using core_tag system';
$string['privacy:metadata:pcast_episodes'] = 'Information about the user\'s episodes for a given pcast activity';
$string['privacy:metadata:pcast_episodes:keywords'] = 'The keywords for the episode the user added';
$string['privacy:metadata:pcast_episodes:mediafile'] = 'The attachment of the episode the user added';
$string['privacy:metadata:pcast_episodes:name'] = 'The name of the episode the user added';
$string['privacy:metadata:pcast_episodes:pcastid'] = 'The ID of the pcast activity the user is providing episode for';
$string['privacy:metadata:pcast_episodes:subtitle'] = 'The subtitle of the episode the user added';
$string['privacy:metadata:pcast_episodes:summary'] = 'The summary of the episode the user added';
$string['privacy:metadata:pcast_episodes:timemodified'] = 'The timestamp indicating when the pcast episode was modified by the user';
$string['privacy:metadata:pcast_episodes:userid'] = 'The ID of the user that is adding this pcast episode';
$string['requireapproval'] = 'Require approval for episodes';
$string['requireapproval_help'] = 'Require episodes to be approved before posting';
$string['resetpcastsall'] = 'Delete episodes from all podcasts';
$string['rssepisodes'] = 'Number of episodes';
$string['rssepisodes_help'] = 'This option limits the number of episodes displayed on the RSS feed';
$string['rsslink'] = 'RSS feed for this activity';
$string['rsssortorder'] = 'RSS sort order';
$string['rsssortorder_help'] = 'This is the sort order for the episodes.  They can be sorted by date';
$string['search:activity'] = 'Podcast activities';
$string['search:episode'] = 'Podcast episodes';
$string['setupposting'] = 'Posting options';
$string['sortby'] = 'Sort by';
$string['sortbycreation'] = 'Date created';
$string['sortbylastupdate'] = 'Date updated';
$string['special'] = 'Special';
$string['standardview'] = 'Browse by alphabet';
$string['subtitle'] = 'Subtitle';
$string['subtitle_help'] = 'Subtitle for podcast';
$string['summary'] = 'Summary';
$string['tagarea_pcast_episodes'] = 'Podcast episodes';
$string['tagsdeleted'] = 'Episode tags have been deleted';
$string['tagtitle'] = 'See the "{$a}" tag';
$string['totalcomments'] = 'Total comments';
$string['totalratings'] = 'Total ratings';
$string['totalviews'] = 'Total views';
$string['updated'] = 'Last updated';
$string['user'] = 'Users';
$string['userscancategorize'] = 'Allow episode categories';
$string['userscancategorize_help'] = 'Allow users to select iTunes categories for each of their episodes';
$string['userscancomment'] = 'Allow user comments';
$string['userscancomment_help'] = 'Allow users to post comments';
$string['userscanpost'] = 'Allow users to post episodes';
$string['userscanpost_help'] = 'Allow users to post episodes.';
$string['userscanrate'] = 'Allow user ratings';
$string['userscanrate_help'] = 'Allow users to rate episodes';
$string['view'] = 'View';
$string['viewepisode'] = 'View this episode';
$string['viewnewepisodes'] = 'There are {$a} new episodes since you last login';
$string['viewpcast'] = 'View podcast: {$a}';
$string['views'] = 'Views';
$string['viewthisepisode'] = 'Viewing an episode from: {$a}';
$string['viewunapprovedepisodes'] = 'There are {$a} episodes awaiting approval';
$string['waitingapproval'] = 'Approve episodes';
