<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'qtype_easyonewman', language 'en', branch 'MOODLE_26_STABLE'
 *
 * @package   qtype_easyonewman
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addmoreanswerblanks'] = 'Blanks for {no} More Answers';
$string['answer'] = 'Answer: {$a}';
$string['answermustbegiven'] = 'You must enter an answer if there is a grade or feedback.';
$string['answerno'] = 'Answer {$a}';
$string['author'] = 'By Carl LeBlond';
$string['caseconformfalse'] = 'False';
$string['caseconformimportant'] = 'Conformation Important';
$string['caseconformtrue'] = 'True';
$string['caseorientfalse'] = 'False';
$string['caseorientimportant'] = 'Perspective Important';
$string['caseorienttrue'] = 'True';
$string['casestagoreclip'] = 'Staggered/Eclipsed';
$string['configeasyonewmanoptions'] = '';
$string['conformimportantmore'] = '<h3>Is the conformation important?</h3><strong>If "True" then a specific conformation must be drawn.  (e.g. Draw butane in a gauche conformation?)</strong>';
$string['correctansweris'] = 'The correct answer is: {$a}.';
$string['easyonewmaneditor'] = 'EasyOChem Newman Editor';
$string['easyonewman_options'] = 'Marvin Applet options';
$string['eclipsed'] = 'Eclipsed';
$string['enablejava'] = 'Tried but failed to load javascript. You have not got a JAVA runtime environment working in your browser. You will need one to attempt this question.';
$string['enablejavaandjavascript'] = 'Loading  editor.... If this message does not get replaced by the editor then you have not got javascript working in your browser.';
$string['filloutanswers'] = 'Make sure you choose the correct options above then drag your groups on the Newman Project template.  Press the "Insert from editor" buttons to insert the answer into the answer boxes';
$string['filloutoneanswer'] = '<b><ul>
<li>Choose a staggered or eclipsed template option.</li>
<li>Choose whether the conformation is important.</li>
<li>Choose whether the perspective or view is important.</li>
<li>Use the Newman editor to create your answer.</li>
<li>Press the "Insert from editor" button to insert the code into the answer box.</li>
</ul></b>';
$string['insert'] = 'Insert from editor';
$string['insertfromeditor'] = 'Insert from editor';
$string['instructions'] = '<b>Instructions</b>';
$string['javaneeded'] = 'To use this page you need a Java-enabled browser. Download the latest Java plug-in from {$a}.';
$string['newmaninstruct'] = '<h3>Build structure below by dragging/dropping groups onto template.</h3>';
$string['newmaninstructstud'] = '<b>Build structure below by dragging/dropping groups onto template.</b>';
$string['notenoughanswers'] = 'This type of question requires at least {$a} answers';
$string['orientimportantmore'] = '<h3>Is the perspective or direction of view important?</h3>If "True" then the student must draw the molecule from a certain perspective! (e.g Draw 2-methylbutane looking up the C2-C3 bond?';
$string['pleaseenterananswer'] = 'Please enter an answer.';
$string['pluginname'] = 'Newman Projections';
$string['pluginnameadding'] = 'Adding a Newman Projection question';
$string['pluginnameediting'] = 'Editing a Newman Projection question';
$string['pluginname_help'] = 'Draw a Newman projection below.  Choose whether you want to display eclipsed or staggered.  Then choose whether the conformation or the view perspective is important in grading.  You can ask questions like;<br><ul>Draw (r)-2-butanol looking up the C2-C3 bond?</ul>';
$string['pluginname_link'] = 'question/type/easyonewman';
$string['pluginnamesummary'] = 'Student must construct Newman projections by dragging groups on to a template which you predefine.  You can ask questions like;<ul><li>Draw (1R,2S)-1-bromo-1-chloro-1-fluoro-2-methylbutane?</li><li>Draw (1S,2S)-1-Iodo-1-chloro-1-fluoro-2-methylpentane looking up the C1-C2 bond?</li><li>Draw the most stable staggered conformation of 2-methylbutane?</li></ul>';
$string['staggered'] = 'Staggered';
$string['stagoreclipmore'] = '<h3>Do you want a Staggered or Eclipsed template problem?</h3>';
$string['youranswer'] = 'Your answer: {$a}';
