<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'qtype_kprime', language 'en', branch 'MOODLE_38_STABLE'
 *
 * @package   qtype_kprime
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['configintro'] = 'Default values for kprime questions.';
$string['configscoringmethod'] = 'Default scoring method for kprime questions.';
$string['configshuffleanswers'] = 'Default setting for option shuffling in kprime questions.';
$string['correctresponse'] = 'Correct Response';
$string['deletedchoice'] = 'This choice was deleted after the attempt was started.';
$string['enterfeedbackhere'] = 'Enter feedback here.';
$string['entergeneralfeedbackhere'] = 'Enter general feedback here.';
$string['enteroptionhere'] = '';
$string['enterstemhere'] = 'Enter the stem, a question or a part of a sentence, here.';
$string['false'] = 'False';
$string['feedbackforoption'] = 'Feedback for Option {$a}';
$string['generalfeedback'] = 'General Feedback.';
$string['generalfeedback_help'] = 'The same general feedback is displayed regardless of the answer chosen.';
$string['maxpoints'] = 'Max. points';
$string['mustsupplyresponses'] = 'You must supply values for all responses.';
$string['mustsupplyvalue'] = 'You must supply a value here.';
$string['oneanswerperrow'] = 'Please answer all parts of the question.';
$string['optionno'] = 'Option {$a}';
$string['optionsandfeedback'] = 'Options and Feedback';
$string['pluginname'] = 'Kprime (ETH)';
$string['pluginnameadding'] = 'Adding a Kprime question';
$string['pluginnameediting'] = 'Editing a Kprime question';
$string['pluginname_help'] = 'Kprime questions consist of an item stem and four corresponding options. For each option students have to decide whether it is "true" or "false".';
$string['pluginname_link'] = 'question/type/kprime';
$string['pluginnamesummary'] = 'In Kprime questions exactly four options have to be correctly rated as "true" or "false".';
$string['privacy:metadata'] = 'The KPrime question type plugin does not store any personal data.';
$string['responsedesc'] = 'The text used as a default for response {$a}.';
$string['responseno'] = 'Response {$a}';
$string['responsetext'] = 'Response Text {$a}';
$string['responsetext1'] = 'True';
$string['responsetext2'] = 'False';
$string['responsetexts'] = 'Judgement options';
$string['save'] = 'Save';
$string['scoringkprime'] = 'Kprime';
$string['scoringkprime_help'] = 'The student receives full marks if all responses are correct, a 50% mark if all save one response are correct, and zero points otherwise.';
$string['scoringkprimeonezero'] = 'Kprime1/0';
$string['scoringkprimeonezero_help'] = 'The student receives full marks if all responses are correct, and zero points otherwise.';
$string['scoringmethod'] = 'Scoring method';
$string['scoringmethod_help'] = '<strong>Kprime:</strong> The student receives full marks if all responses are correct, a 50% mark if all save one response are correct, and zero points otherwise.<br/><strong>Kprime 1/0:</strong> The student receives full marks if all responses are correct, and zero points otherwise.
        <br/><strong>Subpoints:</strong> The student is awarded subpoints for each correct response.';
$string['scoringsubpoints'] = 'Subpoints';
$string['scoringsubpoints_help'] = 'The student is awarded subpoints for each correct response.';
$string['showscoringmethod'] = 'Show scoring method';
$string['showscoringmethod_help'] = 'If this setting is enabled, students will see the scoring method in quizes';
$string['shuffleanswers'] = 'Shuffle options';
$string['shuffleanswers_help'] = 'If enabled, the order of the options is randomly shuffled for each attempt,
         provided that "Shuffle within questions" in the activity settings is also enabled.';
$string['stem'] = 'Stem';
$string['tasktitle'] = 'Task title';
$string['true'] = 'True';
