<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'quiz_liveviewgrid', language 'en', branch 'MOODLE_38_STABLE'
 *
 * @package   quiz_liveviewgrid
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['allgroups'] = 'All groups';
$string['allquestions'] = 'Back to All Questions';
$string['answeredall'] = 'All students have answered this question';
$string['answeredinfo'] = 'Click to show or hide the name(s) of student(s) who started this quiz but
    have not answered this question yet';
$string['answeredmanynot'] = 'students have not answered.';
$string['answeredonenot'] = 'student has not answered.';
$string['answeredqno'] = 'No student has answered this question.';
$string['answeredquizno'] = 'No student has started this quiz.';
$string['choosegroup'] = '<b>Choose a group</b>';
$string['choosequestion'] = '<b>Choose a question (navigate)</b>';
$string['clickhideanswer'] = 'Click to hide correct answer';
$string['clickshowanswer'] = 'Click to show correct answer';
$string['clicksingleq'] = 'Click here to go to the single question view for question';
$string['clicktodisplay'] = 'Click to display options';
$string['clicktohide'] = 'Click to hide options';
$string['colorindicategrade'] = 'Use RAG (Red, Amber, Green) not Rainbow colours to indicate grades';
$string['colorindicategrades'] = 'Show colour indicating the grades students would receive if the question were graded';
$string['correctanswer'] = 'Display correct answer';
$string['dynamicpage'] = '-- Dynamic Live Report Page';
$string['firstname'] = 'First name';
$string['fractioncolors'] = 'Fraction colours';
$string['from'] = 'from';
$string['hidecorrectanswer'] = 'Hide correct answer';
$string['lastname'] = 'Last name';
$string['liveviewgrid'] = 'Live Report';
$string['liveviewgrid:componentname'] = 'Live Report';
$string['liveviewgrid:view'] = 'View Live Report';
$string['makecompact'] = 'Make the table Compact';
$string['name'] = 'Name';
$string['newpage'] = 'New page, static & printable';
$string['no'] = 'No';
$string['notallowedgroup'] = '\\n<br />You cannot view these results.
Either you cannot see all groups or you are trying to see responses from students in a group that you are not allowed to see.';
$string['notice'] = 'Notice';
$string['noticeexplain'] = 'Most Live Report pages are dynamic. This page is NOT.
 You must click an option button or refresh the page to show student responses sent after the page loaded.
 This page is useful if you want to compare responses at different times or want to print out results.
 Use the Dynamic Live Report Page to navigate to other pages. Responses as of';
$string['notmember'] = '<b>You are not a member of this group.</b>\\n<br />';
$string['numberofresponses'] = 'Number of Responses';
$string['orderfirstname'] = 'Order the table by first name';
$string['orexpanded'] = '| Expanded';
$string['orrainbow'] = '| \'rainbow\' colours';
$string['pickgroup'] = '<b>You must pick a group.</b>';
$string['pluginname'] = 'Live Report';
$string['popoutinfo'] = 'Click to give a new page that is static. You can use it to compare responses at different times and print out results';
$string['printinfo'] = 'Click to print this page or save this page as a PDF document.';
$string['printpage'] = 'Print Page';
$string['privacy:metadata'] = 'The Quiz Live Report (liveviewgrid) plugin does not store any personal data. It provides an interface for teachers to view data from quizzes without storing any data itself.';
$string['progress'] = 'Progress';
$string['questionis'] = '<b>The question is:</b>';
$string['questionresponses'] = 'Responses for Live Report';
$string['quizname'] = 'Quiz name';
$string['refreshpage'] = 'Refresh Page!';
$string['responses'] = '<b>Responses</b>';
$string['rightanswer'] = '<b>Right answer:</b>';
$string['rightansweressay'] = 'This is an essay question.';
$string['showstatus'] = 'Show student percent progress';
$string['showstudentnames'] = 'Show student names';
$string['somethingiswrongwithanswerid'] = 'Something is wrong with answer id =';
$string['staticpage'] = '-- Static Page';
$string['studentsnames'] = 'Order student names by';
$string['submitoptionchanges'] = 'Apply changes to options';
$string['thecolorkey'] = 'Show the colour key/legend for grades';
$string['userag'] = 'Use RAG colours';
$string['whichgroups'] = '<b>Which group do you want to see?</b>';
$string['whichquestion'] = '<b>Which question do you want to see?</b>';
$string['yes'] = 'Yes';
$string['youmustbeauthorized'] = '<b>You must be authorized to access this site.</b>';
$string['youmustsubmitquestonid'] = '<b>You must submit a valid questionid.</b>';
