<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'report_lpmonitoring', language 'en', branch 'MOODLE_38_STABLE'
 *
 * @package   report_lpmonitoring
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['advancedfilter'] = 'Advanced filter';
$string['apply'] = 'Apply';
$string['atleastonecomment'] = 'Learning plans with at least one comment';
$string['atleasttwoplans'] = 'Users with at least two learning plans';
$string['bulkdefaultrating'] = 'Bulk rating for all students for all competencies';
$string['colorconfiguration'] = 'Competencies scale colors';
$string['colorsforscale'] = 'Colors for the scale: {$a}';
$string['colorsforscalesaved'] = 'The colors of {$a} scale were saved successfully.';
$string['comment'] = 'Comment';
$string['comments'] = 'Comments';
$string['commentsedit'] = 'View or add comments';
$string['commentseditshort'] = 'View/Add';
$string['commentsnumber'] = '<strong>({$a})</strong> comment(s)';
$string['course'] = 'Course';
$string['donotapplybulk'] = 'Do not bulk rate this competency';
$string['emptytemplate'] = 'No learning plans found';
$string['errormanagetags'] = 'Error submitting the tags edition form';
$string['eventusercompetencyresetted'] = 'User competency resetted.';
$string['evidence_reset'] = 'The competency rating was resetted in the learning plan \'{$a}\'.';
$string['filter'] = 'Filter';
$string['filterboth'] = 'Both';
$string['filterby'] = 'Filter by';
$string['filterbyscalevalue'] = 'Filter by scale value';
$string['filtercourse'] = 'In the course';
$string['filtermodule'] = 'In the course activity';
$string['finalrating'] = 'Final rating';
$string['finalratingcourse'] = 'Rating in course';
$string['finalratingcoursemodule'] = 'Rating in activity';
$string['forcerating'] = 'Force rating of users already rated';
$string['incms'] = 'in activities';
$string['incourses'] = 'in courses';
$string['invalidframework'] = 'Invalid competency framework';
$string['invalidscaleconfiguration'] = 'Invalid scale configuration';
$string['learningplancompetencies'] = 'Learning plan competencies: {$a}';
$string['learningplanswithtag'] = 'Learning plans with that tag';
$string['linkedcms'] = 'Linked activities';
$string['linkedusers'] = 'Linked users';
$string['nextuser'] = 'Next User';
$string['nocompetenciesintemplate'] = 'No competencies have been linked to the learning plan template';
$string['nodataavailable'] = 'No data available';
$string['nolearningplanavailable'] = 'No learning plan available';
$string['nomatchingrecords'] = 'No matching records found';
$string['nopermissionsplanview'] = 'Sorry, but you do not currently have permissions to view learning plan for {$a}';
$string['nopermissionsusercompetencyview'] = 'Sorry, but you do not currently have permissions to view user competency for {$a}';
$string['noscaleavailable'] = 'No scale available';
$string['notemplateselected'] = 'No template selected';
$string['noticebulkrating'] = 'Rated students won\'t be impacted, to force ratings tick "Force rating of users already rated" option';
$string['notproficient'] = 'Not proficient';
$string['notproficientcompetencies'] = 'Competencies not proficient';
$string['notrated'] = 'Not rated';
$string['notratedcompetencies'] = 'Competencies not rated';
$string['nouserselected'] = 'No user selected';
$string['plansnumber'] = '<strong>({$a})</strong> learning plan(s)';
$string['pluginname'] = 'Monitoring of learning plans';
$string['previoususer'] = 'Previous User';
$string['privacy:metadata'] = 'The Monitoring of learning plans plugin does not store any personal data.';
$string['proficient'] = 'Proficient';
$string['proficientcompetencies'] = 'Competencies proficient';
$string['rated'] = 'Rated';
$string['ratingnumber'] = '<strong>({$a})</strong> rating';
$string['resetallratings'] = 'Reset all ratings';
$string['resetallratings_confirmation'] = 'This action will reset the ratings of all competencies for this learning plan. The ratings will be put back to \'Not rated\' but the evidences will be kept. This action cannot be undone. Do you wish to continue?';
$string['resetallratings_help'] = 'Reset all competencies of this plan (they will be put back to \'Not rated\' but the evidence will be kept)';
$string['resetonecompetency'] = 'Reset this competency (it will be put back to \'Not rated\' but the evidence will be kept)';
$string['resetonecompetency_confirmation'] = 'This action will reset the rating for the chosen competency. The rating will be put back to \'Not rated\' but the evidence will be kept. This action cannot be undone. Do you wish to continue?';
$string['scalefilterby'] = 'Filter scale(s) by';
$string['scalesfortemplate'] = 'Scales for this template';
$string['searchincompetencies'] = 'Search in competencies';
$string['searchincourses'] = 'Search in courses';
$string['searchincoursesactivities'] = 'Search in courses/activities';
$string['searchplaceholder'] = 'Search';
$string['selectframework'] = 'Choose a competency framework';
$string['selectlearningplan'] = 'Choose a learning plan';
$string['selectlearningplantemplate'] = 'Choose a learning plan template';
$string['selecttag'] = 'Choose a tag';
$string['selectuser'] = 'Choose a user';
$string['statslearningplan'] = 'Statistics for learning plans';
$string['successtaskmsg'] = 'Evaluations will be executed soon';
$string['tabdetail'] = 'In the details';
$string['tabreport'] = 'Report';
$string['tabsummary'] = 'Summary';
$string['tag'] = 'Tag';
$string['tagarea_competency_plan'] = 'Learning plans';
$string['tags'] = 'Tag(s)';
$string['tagsedit'] = 'Edit tags';
$string['tagseditshort'] = 'Edit';
$string['taskratingrunning'] = 'Evaluation is in progress, please wait for it to finish before starting a new one';
$string['totalnumberrating'] = 'Total number of ratings';
$string['totalnumberratingincms'] = 'Total number of ratings in activities';
$string['totalnumberratingincourses'] = 'Total number of ratings in courses';
$string['totalusers'] = 'Total users';
$string['usersfromtemplate'] = 'Users from this template';
