<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_bootswatch', language 'en', branch 'MOODLE_30_STABLE'
 *
 * @package   theme_bootswatch
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['bootswatch'] = 'Select a Bootswatch subtheme';
$string['bootswatchdesc'] = 'Bootswatches are smart subthemes for Bootstrap based themes. <br>';
$string['choosereadme'] = '<div class="clearfix">
    <div class="well">
        <h2>
            The Bootswatch theme for Moodle.
        </h2>
        <p>
            <img class=img-polaroid src="bootswatch/pix/bootswatch.gif" /><br>
            Thanks for choosing the Bootswatch theme! After installing and setting up the theme go ahead and visit the
            Theme Bootswatch settings page on "Site Administration > Appearance > Themes > Bootswatch" and select
            one of the Bootswatches shown in the image above.
        </p>
    </div>
    <div class="well">
        <h3>
            About
        </h3>
        <p>
            Theme Bootswatch is a Bootstrap child theme for Moodle 2.7 and newer,
            This theme uses the bootswatches created by Thomas Park, see <a href="http://bootswatch.com/">Bootswatch.com</a>.
            A Bootswatch is nothing more then a set of variables for sizes, fonts and colours that are combined into your
            theme css file.
        </p>
        <h3>
            Parents
        </h3>
        <p>
            This theme is based upon the Bootstrap theme maintained by Bas Brands with the help of many community developers.
        </p>
        <h3>
            This theme\'s Credits
        </h3>
        <p>
            Author: Bas Brands<br>
            Contact: bas@sonsbeekmedia.nl<br>
            Website: <a href="http://www.basbrands.nl">www.basbrands.nl</a>
        </p>
        <h3>
            Quality Assurance
        </h3>
        <p>
            If any bugs are found related to this theme please report them including a screenshot, description and url.
            You can report bugs on <a href="https://github.com/bmbrands/moodle-theme_bootswatch/issues">github</a>.
        </p>
    </div>
</div>';
$string['configtitle'] = 'Bootswatch';
$string['customcss'] = 'Custom CSS';
$string['customcssdesc'] = 'Whatever CSS rules you add to this textarea will be reflected in every page, making for easier customization of this theme.';
$string['logo'] = 'Logo';
$string['logodesc'] = 'Please upload your custom logo here if you want to add it to the header.<br> If the height of your logo is more than 75px add the following CSS rule to the Custom CSS box below.<br> a.logo {height: 100px;} or whatever height in pixels the logo is.';
$string['pluginname'] = 'Bootswatch';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
$string['samples'] = 'Sample Bootswatches';
