<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_campus', language 'en', branch 'MOODLE_36_STABLE'
 *
 * @package   theme_campus
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['alertinfobackgroundcolour'] = 'Alert info background colour';
$string['alertinfobackgroundcolourdesc'] = 'Set the background colour for the alert information box.';
$string['alertinfotextcolour'] = 'Alert info text colour';
$string['alertinfotextcolourdesc'] = 'Set the text colour for the alert information box.';
$string['alternateloginurl'] = 'Alternative login URL.';
$string['alternateloginurldesc'] = 'Alternative login URL.';
$string['antigravity'] = 'Back to top';
$string['asconfigintlower'] = '{$a->value} is less than the lower range limit of {$a->lower}';
$string['asconfigintupper'] = '{$a->value} is greater than the upper range limit of {$a->upper}';
$string['badgepreferences'] = 'Badge preferences';
$string['blockbackgroundcolour'] = 'Block background colour';
$string['blockbackgroundcolourdesc'] = 'Set the block background colour.';
$string['blockborderall'] = 'Border around the whole block';
$string['blockbordercolour'] = 'Block border colour';
$string['blockbordercolourdesc'] = 'Set the block border colour.';
$string['blockbordercontent'] = 'Border on content only';
$string['blockborderheader'] = 'Border on header only';
$string['blockborderoptions'] = 'Block borders';
$string['blockborderoptionsdesc'] = 'Border options for the blocks.';
$string['blockborderstyle'] = 'Block border style';
$string['blockborderstyledashed'] = 'Dashed';
$string['blockborderstyledesc'] = 'Border style of the block.';
$string['blockborderstyledotted'] = 'Dotted';
$string['blockborderstyledouble'] = 'Double';
$string['blockborderstylegroove'] = 'Groove';
$string['blockborderstylehidden'] = 'Hidden';
$string['blockborderstyleninset'] = 'Inset';
$string['blockborderstylenone'] = 'None';
$string['blockborderstylenoutset'] = 'Outset';
$string['blockborderstylenridge'] = 'Ridge';
$string['blockborderstylesolid'] = 'Solid';
$string['blockborderthickness'] = 'Block border thickness';
$string['blockborderthicknessdesc'] = 'Border thickness of the block.';
$string['blockborderthreelines'] = 'Three horizontal lines: above header, between header/content and bottom';
$string['blockheadingbackgroundcolour'] = 'Block heading background colour';
$string['blockheadingbackgroundcolourdesc'] = 'Set the block heading background colour.';
$string['blockheadingcolour'] = 'Block heading colour';
$string['blockheadingcolourdesc'] = 'Set the block heading colour.';
$string['blocknoborder'] = 'No border';
$string['blogpreferences'] = 'Blog preferences';
$string['bodyfont'] = 'Body font';
$string['bodyfontdesc'] = 'Set the font for the body.';
$string['borderradiuslarge'] = 'Large border radius';
$string['borderradiuslarge_desc'] = 'Large border radius.';
$string['borderradiusmedium'] = 'Medium border radius';
$string['borderradiusmedium_desc'] = 'Medium border radius.';
$string['borderradiussmall'] = 'Small border radius';
$string['borderradiussmall_desc'] = 'Small border radius.';
$string['carouselautoplay'] = 'Autoplay';
$string['carouselautoplaydesc'] = 'If set then the slides will transition at the slide interval rate.';
$string['carouselsettings'] = 'Carousel general';
$string['carouselsettingsdesc'] = 'Configure the general carousel settings for the theme here.';
$string['carouselstatus'] = 'Carousel status';
$string['carouselstatus_desc'] = 'States if the carousel is visible, draft = no and published = yes.  This allows you to prepare the carousel beforehand without it being live to the users.';
$string['carouseltextcolour'] = 'Slide text colour';
$string['carouseltextcolourdesc'] = 'What colour the slide caption text should be.';
$string['choosereadme'] = '<div class="clearfix">
<div class="well">
<h2>Campus</h2>
<p><img class="img-polaroid" src="campus/pix/screenshot.png" /></p>
</div>
<div class="well">
<h3>About</h3>
<p>Campus is a modified Moodle bootstrap theme which inherits styles and renderers from its parent theme.</p>
<h3>Parents</h3>
<p>This theme is based upon the Bootstrap theme, which was created for Moodle 2.5, with the help of:<br>
Stuart Lamour, Mark Aberdour, Paul Hibbitts, Mary Evans.</p>
<h3>Theme credits</h3>
<p>Author: G J Barnard<br>
Contact: <a href="http://moodle.org/user/profile.php?id=442195">Moodle profile</a><br>
Website: <a href="http://about.me/gjbarnard">about.me/gjbarnard</a>
</p>
<h3>Report a bug:</h3>
<p><a href="http://tracker.moodle.org">http://tracker.moodle.org</a></p>
<h3>More information</h3>
<p><a href="campus/Readme.md">How to use this theme.</a></p>
</div></div>';
$string['configtitle'] = 'Campus';
$string['contentcolour'] = 'Content colour';
$string['contentcolourdesc'] = 'Set the content colour.';
$string['coursecategorybackgroundimage'] = 'Background image';
$string['coursecategorybackgroundimagedesc'] = 'Please upload your custom background image here for the header.  The logo and background must be the same height.  For the \'On top\' layout, the background should be have a width of {$a->pagewidthmax}px, the logo can be any width.  For the \'Side\' layout, the logo and background should have a combined width of {$a->pagewidthmax}px.';
$string['coursecategorybgcolour'] = 'Background colour';
$string['coursecategorybgcolourdesc'] = 'Course category {$a->categoryname} background colour.';
$string['coursecategorycarouselsettings'] = 'Course category carousel';
$string['coursecategorycarouselsettings_desc'] = 'Course category carousel settings.';
$string['coursecategoryhavecustomheader'] = 'Use custom header for the category \'{$a->categoryname}\\';
$string['coursecategoryhavecustomheaderdesc'] = 'Have a custom header for the category \'{$a->categoryname}\'.';
$string['coursecategoryhavecustomheaderheader'] = 'Select the categories that you want to create a custom header for';
$string['coursecategoryhavecustomheaderheader_desc'] = 'After selecting the categories, edit the header in the settings page \'category headers\'.';
$string['coursecategoryhavecustomheadernone'] = 'No categories selected.';
$string['coursecategoryheadersettings'] = 'Category headers';
$string['coursecategoryheadersettings_desc'] = 'In order to create custom category headers, please select the categories you want to customise in "Header" settings.  Right now these categories have been selected for customisation:';
$string['coursecategoryheading'] = 'Course category: {$a->categoryname}';
$string['coursecategorylayout'] = 'Layout';
$string['coursecategorylayoutdesc'] = 'Logo on top or to the side as set by the logo position.';
$string['coursecategorylogo'] = 'Logo';
$string['coursecategorylogodesc'] = 'Please upload your custom logo here for the header.  The logo and background must be the same height.  For the \'On top\' layout, the background should be have a width of {$a->pagewidthmax}px, the logo can be any width.  For the \'Side\' layout, the logo and background should have a combined width of {$a->pagewidthmax}px.';
$string['coursecategorylogoposition'] = 'Logo position';
$string['coursecategorylogopositiondesc'] = 'Set the logo position.';
$string['coursecategoryresponsivebackgroundimage'] = 'Background image on small devicess';
$string['coursecategoryresponsivebackgroundimagedesc'] = 'Please upload your custom background image here for the header on small devices.  The logo and background must be the same height.  For the \'On top\' layout, the background should be have a width of 960px, the logo can be any width.  For the \'Side\' layout, the logo and background should have a combined width of 960px.';
$string['coursecategoryresponsivelogo'] = 'Logo for small devices';
$string['coursecategoryresponsivelogodesc'] = 'Please upload your custom logo here for the header on small devices.  The logo and background must be the same height.  For the \'On top\' layout, the background should be have a width of 960px, the logo can be any width.  For the \'Side\' layout, the logo and background should have a combined width of 960px.';
$string['coursecategorystickynavbar'] = 'Sticky navbar';
$string['coursecategorystickynavbardesc'] = 'Have a sticky navbar for category \'{$a->categoryname}\'.  Note: This overrides the header / front page sticky navbar setting on the \'Header\' settings page.';
$string['coursegrades'] = 'Course grades';
$string['coursepagepageheadinglocation'] = 'Course and category page \'page heading\' location';
$string['coursepagepageheadinglocationdesc'] = 'Where to put the page heading on course and category pages.';
$string['customcss'] = 'Custom CSS';
$string['customcssdesc'] = 'Whatever CSS rules you add to this textarea will be reflected in every page, making for easier customization of this theme.';
$string['draft'] = 'Draft';
$string['fancynavbar'] = 'Fancy';
$string['favicon'] = 'Favicon';
$string['favicondesc'] = 'Upload your \'favicon\' here.';
$string['footerheadingdesc'] = 'Configure the footer settings for the theme here.';
$string['footersettings'] = 'Footer';
$string['footnote'] = 'Footnote';
$string['footnotedesc'] = 'Whatever you add to this textarea will be displayed in the footer throughout your Moodle site.';
$string['forumcustomtemplate'] = 'Use a pretty template for forum mails';
$string['forumcustomtemplatedesc'] = 'Enable that in order to use a pretty template for sending forum mails. Put an image in the header section of max-width 300px. If not enabled standard formatting of forum mails will be used.';
$string['forumheadertextcolour'] = 'Forum header text colour';
$string['forumheadertextcolourdesc'] = 'Set the forum header text colour.';
$string['forumhtmlemailfooter'] = 'Forum html email footer';
$string['forumhtmlemailfooterdesc'] = 'Configure the forum html email footer for the theme here.';
$string['forumhtmlemailheader'] = 'Forum html email header';
$string['forumhtmlemailheaderdesc'] = 'Configure the forum html email header for the theme here.';
$string['forumsettings'] = 'Forum general';
$string['forumsettingsdesc'] = 'Configure the general forum settings for the theme here.';
$string['four'] = 'Four';
$string['frontpagebackgroundimage'] = 'Background image';
$string['frontpagebackgroundimagedesc'] = 'Please upload your custom background image here for the header.  The logo and background must be the same height.  For the \'On top\' layout, the background should be have a width of {$a->pagewidthmax}px, the logo can be any width.  For the \'Side\' layout, the logo and background should have a combined width of {$a->pagewidthmax}px.';
$string['frontpagecarouselsettings'] = 'Front page carousel';
$string['frontpagecarouselsettings_desc'] = 'Front page carousel settings.';
$string['frontpageheadersettings'] = 'Front page';
$string['frontpageheadersettings_desc'] = 'Front page header settings.';
$string['frontpagelayout'] = 'Layout';
$string['frontpagelayoutdesc'] = 'Logo on top or to the side as set by the logo position.';
$string['frontpagelogo'] = 'Logo';
$string['frontpagelogodesc'] = 'Please upload your custom logo here for the header.  The logo and background must be the same height.  For the \'On top\' layout, the background should be have a width of {$a->pagewidthmax}px, the logo can be any width.  For the \'Side\' layout, the logo and background should have a combined width of {$a->pagewidthmax}px.';
$string['frontpagelogoposition'] = 'Logo position';
$string['frontpagelogopositiondesc'] = 'Set the logo position.';
$string['frontpagepageheadinglocation'] = 'Frontpage page heading location';
$string['frontpagepageheadinglocationdesc'] = 'Where to put the page heading on the frontpage.';
$string['frontpageresponsivebackgroundimage'] = 'Background image for small devices';
$string['frontpageresponsivebackgroundimagedesc'] = 'Please upload your custom background image here for the header on small devices.  The logo and background must be the same height.  For the \'On top\' layout, the background should be have a width of 960px, the logo can be any width.  For the \'Side\' layout, the logo and background should have a combined width of 960px.';
$string['frontpageresponsivelogo'] = 'Logo for small devices';
$string['frontpageresponsivelogodesc'] = 'Please upload your custom logo here for the header on small devices.  The logo and background must be the same height.  For the \'On top\' layout, the background should be have a width of 960px, the logo can be any width.  For the \'Side\' layout, the logo and background should have a combined width of 960px.';
$string['frontpagestickynavbar'] = 'Sticky navbar';
$string['frontpagestickynavbardesc'] = 'Have a sticky navbar.  Note: This overrides the header sticky navbar setting above for other pages if \'use front page header on all pages\' is set.';
$string['fullscreentoggle'] = 'Fullscreen toggle';
$string['fullscreentoggleicon'] = 'Fullscreen toggle icon';
$string['generalheadingdesc'] = 'Configure the general settings for the theme here.';
$string['genericsettings'] = 'General';
$string['gotobottom'] = 'Go to the bottom of the page';
$string['headerheadingdesc'] = 'Configure the header settings for the theme here.';
$string['headerimage'] = 'Header image representing the corporate design';
$string['headerlogo'] = 'Header logo representing the corporate design';
$string['headersettings'] = 'Header';
$string['headingcolour'] = 'Heading colour';
$string['headingcolourdesc'] = 'Set the heading colour.';
$string['headingfont'] = 'Headings font';
$string['headingfontdesc'] = 'Set the font for the headings.';
$string['hidelocallogin'] = 'Hide local login';
$string['hidelocallogindesc'] = 'Hide the local login on login page.  NOTE: Only enable this if all users are remote.';
$string['iconcolour'] = 'Icon colour';
$string['iconcolourdesc'] = 'The colour for the icons.';
$string['iconcoloursetting'] = 'Use icon colour setting';
$string['iconcoloursetting_desc'] = 'Use the icon colour setting for the non-FontAwesome icons.  The icon colour functionality is new.  If you experience problems with it, then turn it off and run \'grunt svg\' on the Node.js command prompt.  Please see \'Gruntfile.js\' for full details.';
$string['imageleft'] = 'Left';
$string['imageright'] = 'Right';
$string['invert'] = 'Invert navbar';
$string['invertdesc'] = 'Swaps text and background for the navbar at the top of the page between black and white.';
$string['landfheadingdesc'] = 'Configure the look and feel settings for the theme here.';
$string['landfsettings'] = 'Look and feel';
$string['layoutonside'] = 'Side';
$string['layoutontop'] = 'On top';
$string['linkcolour'] = 'Link text colour';
$string['linkcolourdesc'] = 'Set the link text colour.';
$string['messagepreferences'] = 'Message preferences';
$string['mygrades'] = 'My grades';
$string['navbarbackgroundcolour'] = 'Navbar background colour';
$string['navbarbackgroundcolourdesc'] = 'Set the navigation bar background colour.';
$string['navbariconcolour'] = 'Navbar icon colour';
$string['navbariconcolourdesc'] = 'The colour for the navbar FontAwesome icons.';
$string['navbarlinkcolour'] = 'Navbar link colour';
$string['navbarlinkcolourdesc'] = 'Set the navigation bar link colour.';
$string['navbarpageheadingmax'] = 'Navbar page heading maximum.';
$string['navbarpageheadingmaxdesc'] = 'Set the navbar page heading maximum between {$a->lower} and {$a->upper} pixels.';
$string['navbartextcolour'] = 'Navbar text colour';
$string['navbartextcolourdesc'] = 'Set the navigation bar text colour.';
$string['navbartype'] = 'Navbar type';
$string['navbartypedesc'] = 'Choose between \'Standard\' or \'Fancy\'.  Only applicable when the layout is \'Side\', for \'On top\' the default \'Standard\' will be used.  Note: \'Fancy\' will only apply when there is a background image in the header.';
$string['numberofslides'] = 'Number of slides';
$string['numberofslidesdesc'] = 'Number of slides on the slider between {$a->lower} and {$a->upper}.';
$string['numberofsociallinks'] = 'Number of social network links';
$string['numberofsociallinks_desc'] = 'Number of social network links you want to add.';
$string['numfooterblocks'] = 'Maximum number of blocks per row in the footer';
$string['numfooterblocksdesc'] = 'The maximum blocks per row in the footer';
$string['one'] = 'One';
$string['pageheadinglocationheaderarea'] = 'Header area';
$string['pageheadinglocationnavbar'] = 'Navbar';
$string['pageheadinglocationpagecontenttop'] = 'Top of page content';
$string['pageheadinglocationunderneathnavbar'] = 'Underneath the navbar';
$string['pagewidthmax'] = 'Page width maximum';
$string['pagewidthmaxdesc'] = 'Set the maximum page width.';
$string['per100'] = '100%';
$string['pluginname'] = 'Campus';
$string['privacy:nop'] = 'The Campus theme stores lots of settings that pertain to its configuration.  None of the settings are related to a specific user.  It is your responsibilty to ensure that no user data is entered in any of the free text fields.  Setting a setting will result in that action being logged within the core Moodle logging system against the user whom changed it, this is outside of the themes control, please see the core logging system for privacy compliance for this.  When uploading images, you should avoid uploading images with embedded location data (EXIF GPS) included or other such personal data.  It would be possible to extract any location / personal data from the images.  Please examine the code carefully to be sure that it complies with your interpretation of your privacy laws.  I am not a lawyer and my analysis is based on my interpretation.  If you have any doubt then remove the theme forthwith.';
$string['published'] = 'Published';
$string['px00'] = '0px';
$string['px01'] = '1px';
$string['px02'] = '2px';
$string['px03'] = '3px';
$string['px04'] = '4px';
$string['px05'] = '5px';
$string['px06'] = '6px';
$string['px07'] = '7px';
$string['px08'] = '8px';
$string['px09'] = '9px';
$string['px10'] = '10px';
$string['px1000'] = '1000px';
$string['px11'] = '11px';
$string['px12'] = '12px';
$string['px1200'] = '1200px';
$string['px13'] = '13px';
$string['px14'] = '14px';
$string['px1400'] = '1400px';
$string['px15'] = '15px';
$string['px16'] = '16px';
$string['px1680'] = '1680px';
$string['px17'] = '17px';
$string['px18'] = '18px';
$string['px19'] = '19px';
$string['px20'] = '20px';
$string['px21'] = '21px';
$string['px22'] = '22px';
$string['px23'] = '23px';
$string['px24'] = '24px';
$string['px25'] = '25px';
$string['region-footer'] = 'Footer';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
$string['showheadertoggle'] = 'Display button for fullscreen mode';
$string['showheadertoggledesc'] = 'Display the button to hide / show the full screen.';
$string['showlogininfofooter'] = 'Display footer login link';
$string['showlogininfofooterdesc'] = 'Display the login link in the footer.';
$string['showlogininfoheader'] = 'Display header login link';
$string['showlogininfoheaderdesc'] = 'Display the login link in the header.';
$string['showsectioninbreadcrumb'] = 'Show section name in the breadcrumb';
$string['showsectioninbreadcrumbdesc'] = 'Show the section name in the breadcrumb when viewing an activity or resource.';
$string['showsysteminbreadcrumb'] = 'Show system area name in the breadcrumb';
$string['showsysteminbreadcrumbdesc'] = 'Show the system area name in the breadcrumb.';
$string['slidebuttoncolour'] = 'Slide button colour';
$string['slidebuttoncolourdesc'] = 'What colour the slide navigation button should be.';
$string['slidebuttonhovercolour'] = 'Slide button hover colour';
$string['slidebuttonhovercolourdesc'] = 'What colour the slide navigation button hover should be.';
$string['slidecaption'] = 'Slide caption';
$string['slidecaptioncentred'] = 'Slide caption centred';
$string['slidecaptioncentreddesc'] = 'If the slide caption should be centred.';
$string['slidecaptiondesc'] = 'Enter the caption text to use for the slide';
$string['slideimage'] = 'Slide image';
$string['slideimagedesc'] = 'Image works best if it is transparent.';
$string['slideinterval'] = 'Slide interval';
$string['slideintervaldesc'] = 'Set the transition interval between {$a->lower} and {$a->upper} milliseconds.';
$string['slidelink'] = 'Slide link';
$string['slidelinkdesc'] = 'Enter the link for the slide';
$string['slidelinktarget'] = 'Slide link target';
$string['slidelinktargetblank'] = 'New window';
$string['slidelinktargetdesc'] = 'State the target for the slide';
$string['slidelinktargetself'] = 'Same window';
$string['slideno'] = 'Slide {$a->slide}';
$string['slidenodesc'] = 'Enter the settings for slide {$a->slide}.';
$string['slidernextslide'] = 'Next slide';
$string['sliderposition'] = 'Slider position';
$string['sliderpositiondesc'] = 'Position of the slider on the page.';
$string['sliderpositionheader'] = 'Underneath the navbar';
$string['sliderpositionpage'] = 'With the page content';
$string['sliderpreviousslide'] = 'Previous slide';
$string['slidetitle'] = 'Slide title';
$string['slidetitledesc'] = 'Enter a descriptive title for your slide';
$string['socialheading'] = 'Social networking';
$string['socialheadingdesc'] = 'Provide direct links to your social networks.  To change the number of social networks change the \'Number of social network links\' below and save the page to update.';
$string['socialheadingsub'] = 'Gather followers with social networking';
$string['socialnetworkicon'] = 'Social network icon';
$string['socialnetworkicon_desc'] = 'Social network icon number';
$string['socialnetworklink'] = 'Social network link';
$string['socialnetworklink_desc'] = 'Social network link number';
$string['standardnavbar'] = 'Standard';
$string['stickynavbar'] = 'Sticky navbar';
$string['stickynavbardesc'] = 'Have a sticky navbar.  Note: The front page and course catetgory have separate settings.';
$string['textcolour'] = 'Text colour';
$string['textcolourdesc'] = 'Set the text colour.';
$string['themebackgroundcolour'] = 'Theme background colour';
$string['themebackgroundcolourdesc'] = 'Set the theme background colour.';
$string['themecolour'] = 'Theme colour';
$string['themecolourdesc'] = 'Set the theme colour.';
$string['themelayout'] = 'Theme layout';
$string['themelayoutdesc'] = 'Set the theme layout.  Choose from one of: three columns, three column front page and blocks left two columns elsewhere, three column front page and blocks right two columns elsewhere, blocks left two columns and blocks right two columns.  Note: This is reversed for RTL languages.';
$string['themelayoutlefttwocolumns'] = 'Two columns with blocks on the left';
$string['themelayoutrighttwocolumns'] = 'Two columns with blocks on the right';
$string['themelayoutthreecolumns'] = 'Three columns';
$string['themelayoutthreecolumnsfplefttwo'] = 'Three column front page and two columns with blocks left elsewhere';
$string['themelayoutthreecolumnsfprighttwo'] = 'Three column front page and two columns with blocks right elsewhere';
$string['three'] = 'Three';
$string['two'] = 'Two';
$string['usefrontpageheader'] = 'Use frontpage header for all pages';
$string['usefrontpageheaderdesc'] = 'Use the front page header on all pages.';
$string['wellbackgroundcolour'] = '\'Well\' background colour';
$string['wellbackgroundcolourdesc'] = 'Set the background colour for the \'wells\' which are boxes used in things like the breadcrumb, question text and current topic boxes.  Please ensure that the colour chosen works well with the text colour.';
