<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_cloudyday', language 'en', branch 'MOODLE_25_STABLE'
 *
 * @package   theme_cloudyday
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['choosereadme'] = '<div class="clearfix"><div class="theme_screenshot">

<h2>Cloudy Day</h2>
<img src="cloudyday/pix/screenshot.png" />

<h2>About</h2>
<p>Cloudyday is a two column fixed-width theme for Moodle 2.4+ created by Jason Cleaver based on the popular Aardvark theme by Shaun Daubney.</p>
<p>Cloudyday uses a custom menu list for displaying enrolled courses, as well as using sidebar tabs for course section and component navigation. The icons used in the theme are the defualt Moodle 2.4 icons.</p>
<h2>Version History</h2>
<p> 4th February 2013 - Private Preview</p>
<p> 10th February 2013 - Public Release 1</p>
<ul>
  <li>Theme strings tidied</li>
  <li>CSS adjustments to sidebar and fonts</li>
</ul>
<p> 22nd April 2013 - Public Release 1</p>
<ul>
  <li>Fix ability to hide sections</li>
  <li>CSS adjustments to displaying forum introduction</li>
  <li>HTML fixes for greater HTML5 compliancy</li>
</ul>
</div></div>';
$string['configtitle'] = 'cloudyday theme';
$string['coursehome'] = 'Course home';
$string['email'] = 'Email';
$string['emailurl'] = 'Email URL';
$string['emailurldesc'] = 'Enter the URL of your email service. (i.e http://mail.mycollege.ac.uk or http://www.mycollege.edu/mail)';
$string['footnote'] = 'Footnote';
$string['footnotedesc'] = 'The content from this textarea will be displayed in the footer of every page.';
$string['logo'] = 'Logo';
$string['logodesc'] = 'Change the logo of this theme by entering the URL to a new one (i.e., http://www.somesite/logo.png). As a reference, the default logo is 272px by 72px. A transparent .png will work best.';
$string['menuhovercolor'] = 'Menu Hover Colour';
$string['menuhovercolordesc'] = 'Change the colour of linked items on the menu bar.';
$string['messages'] = 'Messages';
$string['noenrolments'] = 'You are not enrolled in any courses';
$string['options'] = 'Options';
$string['pluginname'] = 'Cloudyday';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
