<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_cubic', language 'en', branch 'MOODLE_23_STABLE'
 *
 * @package   theme_cubic
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activity_icons_view'] = 'Icons';
$string['activity_list_view'] = 'List';
$string['activity_view'] = 'Activities View';
$string['activity_view_desc'] = 'Default activities view mode on course pages.';
$string['bar_border_color'] = 'Bar Border Color';
$string['bar_border_color_desc'] = 'Bottom border color for the top bar.';
$string['bar_color'] = 'Bar Color';
$string['bar_color_desc'] = 'Background color for the top bar.';
$string['bar_hover_color'] = 'Bar Hover Color';
$string['bar_hover_color_desc'] = 'Hover color for the top bar buttons.';
$string['bar_logo'] = 'Bar Logo';
$string['bar_logo_desc'] = 'URL for logo image in the top bar. This URL must reference a file inside this theme pix folder without its extension (For example: if you have the file "/theme/cubic/pix/new_logo.png", the value for this field must be "new_logo").';
$string['bar_text_color'] = 'Bar Text Color';
$string['bar_text_color_desc'] = 'Text color for the top bar.';
$string['borders_color'] = 'Borders Color';
$string['borders_color_desc'] = 'Main borders color.';
$string['button_border_color'] = 'Buttons Border Color';
$string['button_border_color_desc'] = 'Border color of all buttons.';
$string['button_bottom_color'] = 'Buttons Bottom Color';
$string['button_bottom_color_desc'] = 'Bottom color of all buttons.';
$string['button_top_color'] = 'Buttons Top Color';
$string['button_top_color_desc'] = 'Top color of all buttons.';
$string['choosereadme'] = '<div class="clearfix">
		<div class="theme_screenshot">
			<h2>Cubic</h2>
			<img src="cubic/pix/screenshot.png" />
		</div>
		<div class="theme_description">
			<h2>About</h2>
			<p>Cubic is a fluid-width, three-column theme for Moodle 2.3. Its objective is to provide users with a more user-friendly interface, which provides several forms of social awareness and some new concepts.</p>
			<h2>Tweaks</h2>
			<p>This theme is a base theme for Moodle, which introduces some new concepts and which takes advantage of some new technologies like HTML5 and CSS3.</p>
			<p>On the top of every Moodle page, this theme introduces a user bar which provides users with several menus. Each of these menus contain information about the current user courses, activities, notifications, events, messages, settings, and others.</p>
			<p>Besides that, this theme is related to two new Moodle local plugins, which introduce the <a href="https://moodle.org/plugins/view.php?plugin=local_institutions">Institutions</a> and the <a href="https://moodle.org/plugins/view.php?plugin=local_applications">Applications</a> concepts in Moodle. On the user bar a menu for each of those concepts is displayed. Those menus allow the users to access institutional or applications web pages, respectively. Both the institutions and the applications pages can be accessed without leaving Moodle.</p>
			<p>Furthermore, this theme is also related to a new Moodle <a href="https://moodle.org/plugins/view.php?plugin=block_gchat">block plugin</a> that introduces a chat service for Moodle that is available for everyone, a bit like Google Chat or Facebook Chat.</p>
			<p>Since the user bar contains a lot of useful information, the blocks are no longer required in some contexts. For example, when embedding a page, Cubic uses all horizontal and vertical space leaving only the user bar in the top.</p>
			<p>Finally, this theme also provides a settings page where you can change several properties like logos, colors, system name, and others. On this page you can also remove the institutions and applications menus from the user bar in case you don\'t want to use them.</p>
			<h2>Credits</h2>
			<p>This theme was coded and is maintained by <a href="http://pessoa.fct.unl.pt/b.sampaio/index.php?language=en">Bruno Sampaio</a>. The decision to create this theme was made during his Master thesis, which was related with the use of new technologies on education, mainly video games. Moodle was chosen as a way to distribute educational games developed using <a href="http://epik.di.fct.unl.pt/epik">Epik</a>, and since some studies pointed some problems with its user interface, it was decided to create a new theme to satisfy some of the Personal Learning Environments (PLEs) concepts.</p>
			<p>This theme wouldn\'t be so great without the help of <b>André Costa</b> which designed the Cubic logo and <b>Sónia Martins</b> which designed some of the icons used. Besides that some of the icons and scripts used are available on the internet.</p>
			<p>You can find the icons in the user bar <a href="http://www.iconfinder.com/search/15/?q=iconset%3Asuper-mono-reflection">here</a> (created by <a href="http://www.doublejdesign.co.uk/">Double-J Design</a>) and the mono chromatic icons <a href="http://www.iconfinder.com/search/?q=iconset%3Acc_mono_icon_set">here</a> (created by <a href="http://www.gentleface.com/">GentleFace</a>), both under the <a href="http://creativecommons.org/licenses/by-nc/3.0/">Creative Commons</a> license.</p>
			<p>The Javascript scripts used were the jQuery framework found <a href="http://jquery.com/">here</a>, the jQuery UI found <a href="http://jqueryui.com/">here</a> and the jQuery Custom Scrollbar found <a href="http://manos.malihu.gr/jquery-custom-content-scroller">here</a>.</p>
			<p>If you need help about anything related with this theme just send an e-mail to b.sampaio@campus.fct.unl.pt and I\'ll try to answer the faster I can.</p>
			<h2>Extras</h2>
			<p>In addition to this theme were also created two blocks. One to display the user favorite Applications. And other with a Global Chat, similar to the one provided by Google and Facebook, for example.</p>
		</div>
	</div>';
$string['configtitle'] = 'Cubic';
$string['custom_css'] = 'Custom CSS';
$string['custom_css_desc'] = 'Set custom CSS rules here.';
$string['empty-activities'] = 'You haven\'t Activities';
$string['empty-applications'] = 'You haven\'t Applications';
$string['empty-courses'] = 'You are not enrolled to any Course';
$string['empty-events'] = 'You haven\'t new Events';
$string['empty-institutions'] = 'There aren\'t Institutions';
$string['empty-messages'] = 'You haven\'t new Messages';
$string['empty-notifications'] = 'You haven\'t Notifications';
$string['feedback_desc'] = 'URL for feedback page (by providing this URL a button for Feedback will be displayed on the right side of all Moodle pages).';
$string['guest'] = 'Guest';
$string['hover_color'] = 'Hover Color';
$string['hover_color_desc'] = 'Main hover color for page elements.';
$string['links_color'] = 'Links Color';
$string['links_color_desc'] = 'Color of all links.';
$string['logo'] = 'Logo';
$string['logo_desc'] = 'URL for main logo image.';
$string['menu-activities'] = 'Activities';
$string['menu_all_color'] = 'Menu Bottom Section Background Color';
$string['menu_all_color_desc'] = 'Background color for the bottom section in some menus.';
$string['menu-applications'] = 'Applications';
$string['menu-courses'] = 'Courses';
$string['menu-events'] = 'Events';
$string['menu-info'] = 'You';
$string['menu-intitutions'] = 'Institutions';
$string['menu-languages'] = 'Languages';
$string['menu-messages'] = 'Messages';
$string['menu-notifications'] = 'Notifications';
$string['menu-settings'] = 'Settings';
$string['nouser-info'] = 'Limited access.';
$string['plugin-missing'] = 'To use this component you need to install another plugin that can be found here:';
$string['pluginname'] = 'Cubic';
$string['plugin-note'] = 'You can also remove this component from the user bar on theme settings page.';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
$string['see-all'] = 'See All';
$string['settings-edit'] = 'Edit Profile';
$string['settings-login'] = 'Login';
$string['settings-logout'] = 'Logout';
$string['settings-msg'] = 'Messaging';
$string['settings-password'] = 'Change Password';
$string['settings-reset'] = 'Recover Password';
$string['show_applications'] = 'Show Applications';
$string['show_applications_desc'] = 'Show applications section on user bar.';
$string['show_institutions'] = 'Show Institutions';
$string['show_institutions_desc'] = 'Show institutions section on user bar.';
$string['text_color'] = 'Text Color';
$string['text_color_desc'] = 'Color for all headings and paragraphs.';
$string['title'] = 'Title';
$string['title_desc'] = 'Name to appear on the footer.';
