<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_dynamic', language 'en', branch 'MOODLE_34_STABLE'
 *
 * @package   theme_dynamic
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['blockbordercolor'] = 'Block Border Color';
$string['blockbordercolordesc'] = 'This sets the border color of block for the theme.';
$string['blockheaderbg'] = 'Block Header Background';
$string['blockheaderbgdesc'] = 'This sets the background color for the theme.';
$string['blockheadercolor'] = 'Block Header Font Color';
$string['blockheadercolordesc'] = 'This sets the font color of the block header.';
$string['choosereadme'] = '<div class="clearfix"><div class="theme_screenshot"><h2>Dynamic</h2><img src="dynamic/pix/screenshot.jpg" /><h3>Theme Documentation:</h3><p><a href="https://github.com/3ilogiclms/moodle-theme_dynamic/wiki">https://github.com/3ilogiclms/moodle-theme_dynamic/wiki</a></p><h3>Report a bug:</h3><p><a href="https://github.com/3ilogiclms/moodle-theme_dynamic/issues">https://github.com/3ilogiclms/moodle-theme_dynamic/issues</a></p></div><div class="theme_description"><h2>About</h2><p>Dynamic is a fluid-width, three-column theme for Moodle 2.x.It also includes basic settings page allowing you to change your logo, tag line with option to hide tagline, footer text and custom CSS option.<h2>Tweaks</h2><p>This theme is built upon both Base and Canvas, two parent themes included in the Moodle core. If you want to modify this theme, we recommend that you first duplicate it then rename it before making your changes. This will prevent your customized theme from being overwritten by future Moodle upgrades, and you will still have the original files if you make a mess. More information on modifying themes can be found in the <a href="http://docs.moodle.org/en/Theme">MoodleDocs</a>.</p><h2>Credits</h2><p>This theme is based on Moodle Splash theme and it is further customized by 3i Logic.</p></div></div>';
$string['configtitle'] = 'Dynamic Theme Settings';
$string['customcss'] = 'Custom CSS';
$string['customcssdesc'] = 'Any CSS you enter here will be added to every page allowing your to easily customise this theme.';
$string['defaulttagline'] = 'eLearning Portal';
$string['footerbg'] = 'Footer Background';
$string['footerbgdesc'] = 'This sets the footer background.';
$string['footnote'] = 'Footnote';
$string['footnotedesc'] = 'The content from this textarea will be displayed in the footer of every page. E.g: your copyright info.';
$string['hide_tagline'] = 'Hide Tagline';
$string['hide_taglinedesc'] = 'Check this box to hide the tagline under the logo.';
$string['linkcolor'] = 'Link Color';
$string['linkcolordesc'] = 'This sets the link color for the theme.';
$string['linkhovercolor'] = 'Link Color on Hover';
$string['linkhovercolordesc'] = 'This sets the link color on hover for the theme.';
$string['loginhere'] = 'Login here!';
$string['logo'] = 'Logo';
$string['logodesc'] = 'Enter the URL to an image to use as the logo for this site. E.g: http://www.yoursite.com/path/to/logo.png. The logo should be max 230px wide.';
$string['menucolor'] = 'Menu Link';
$string['menucolordesc'] = 'This sets the font color of menu for the theme.';
$string['menucolorhover'] = 'Menu Link Hover Color';
$string['menucolorhoverdesc'] = 'This sets the font color of menu on link hover.';
$string['menulinkhover'] = 'Menu Link Hover Background';
$string['menulinkhoverdesc'] = 'This sets the background of menu link hover for the theme.';
$string['pluginname'] = 'Dynamic';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
$string['tagline'] = 'Tagline';
$string['taglinedesc'] = 'The content from this textarea will be displayed under the Site logo on the Homepage';
$string['usergreeting'] = 'Hi {$a}!';
$string['welcome'] = 'Welcome, {$a}';
