<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_flexi_ii', language 'en', branch 'MOODLE_21_STABLE'
 *
 * @package   theme_flexi_ii
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['bar'] = '-----------------------------------------------';
$string['bartitle'] = '';
$string['blocks'] = '<span style="font-size:1.5em;font-weight:bold;">Settings for the side blocks of the page</span><br>These settings affect the look of any undocked side blocks on the page.';
$string['blocksborder'] = 'Add the css rules for any border eg. #ff0000 solid 1px';
$string['blocksborder_title'] = '<b>Side Block border</b>';
$string['blocksimage'] = '<img src="../theme/image.php?theme=flexi_ii&amp;image=settings/sidebar&amp;component=theme" alt="Screenshot" title="Screenshot"/>';
$string['blocks_title'] = 'Header';
$string['bottom_left'] = 'Bottom left';
$string['bottom_right'] = 'Bottom right';
$string['breadcrumb'] = '<b>Breadcrumb bar</b>';
$string['breadcrumbbg'] = 'Background colour';
$string['breadcrumbimg'] = 'Background image URL';
$string['breadcrumb_Rounded_Corners'] = 'Breadcrumb rounded corner settings';
$string['centrebackground'] = 'Centre Region Background';
$string['centrebkcolour'] = 'Colour';
$string['centrebkimage'] = 'Image URL';
$string['choosereadme'] = '<span style="font-size:2em;font-weight:bold;">flexi_ii theme </span><br>The aim of the flexi themes is to provide a means for Moodle site administrators who do not have regular access to their web host and the theme files to be able to control the look of their website from within the admin pages of their Moodle by way of a settings page. Flexi_ii takes the idea several steps further from the original Flexi theme.<br>The initial design of the theme has been kept very simple in order to allow your own styles to be used through the settings page, rather than imposing those from the theme.<br><br>This theme and its settings page was created by <b>Richard Oelmann</b> - although credit must also go to many other contributors to Moodle whose work I have relied on in developing it: Sam Hemelryk`s Settings Page tutorial, Lei Zhang`s AwesomeBar (from decaf) and Mary Evans` encouragement and ideas to name but a few. Please feel free to use and develop this work further, but in the spirit of the Moodle community - please remember to credit the original work and not claim it as your own.';
$string['configtitle'] = 'My Menu Settings Page';
$string['customcss'] = 'Custom CSS';
$string['customcssdesc'] = 'Any CSS you enter here will be added to every page allowing you to completely customise this theme.<br>Note: settings which are available on the page above should not be restyled here.';
$string['dimmedlinks'] = 'Dimmed';
$string['dockbackground_title'] = '<b>Dock Panel</b>';
$string['dockitembackground'] = 'Panel items background colour';
$string['dockpanel'] = '<span style="font-size:1.5em;font-weight:bold;">Settings for the docking panel of the page</span><The settings may be used to create the style for both the dock panel itself and for any blocks expanded from the panel.';
$string['dockpanelbackground'] = 'Main dock panel background colour';
$string['dockpanelblocksborder'] = 'Add the css rules for any border eg. #ff0000 solid 1px';
$string['dockpanelblocksborder_title'] = '<b>Dock Panel Block Border</b>';
$string['dockpanelblockscontent'] = '<b>Dock Panel Block Content</b>';
$string['dockpanelblockscontentbgcolour'] = 'Background colour';
$string['dockpanelblockscontentbgimage'] = 'Image URL';
$string['dockpanelblockscontenttxtcolour'] = 'Text colour';
$string['dockpanelblockscontenttxtsize'] = 'Size';
$string['dockpanelblockscontenttxtstyle'] = 'Style';
$string['dockpanelblockscontenttxtweight'] = 'Weight';
$string['dockpanelblockshead'] = '<b>Dock Panel Block Headings</b>';
$string['dockpanelblocksheadbgcolour'] = 'Background colour';
$string['dockpanelblocksheadbgimage'] = 'Image URL';
$string['dockpanelblocksheadtxtcolour'] = 'Text colour';
$string['dockpanelblocksheadtxtsize'] = 'Size';
$string['dockpanelblocksheadtxtstyle'] = 'Style';
$string['dockpanelblocksheadtxtweight'] = 'Weight';
$string['dockpanelblocks_Rounded_Corners'] = 'Dock Blocks rounded corner settings';
$string['dockpanelimage'] = '<img src="../theme/image.php?theme=flexi_ii&amp;image=settings/dock&amp;component=theme" alt="Dock Panel" title="Dock panel"/>';
$string['dockpanellabel'] = '';
$string['dockpanellabeltxtcolour'] = 'Text colour';
$string['dockpanellabeltxtsize'] = 'Size';
$string['dockpanellabeltxtstyle'] = 'Style';
$string['dockpanellabeltxtweight'] = 'Weight';
$string['dockpanel_Rounded_Corners'] = 'Dock Panel rounded corner settings';
$string['dockpanel_title'] = 'Dock Panel';
$string['doublebar'] = '==============================================================================';
$string['dropdown'] = '<b>Dropdown</b>';
$string['dropdownbg'] = 'Background colour';
$string['dropdownimg'] = 'Background image URL';
$string['dropdowntext'] = 'Dropdown text';
$string['dropdowntextdesc'] = 'Colour';
$string['dropdowntxtsize'] = 'Size';
$string['dropdowntxtstyle'] = 'Style';
$string['dropdowntxtweight'] = 'Weight';
$string['fleximenu_Rounded_Corners'] = 'Fleximenu rounded corner settings';
$string['footerbackground'] = 'Page Footer Background';
$string['footerbkcolour'] = 'Colour';
$string['footerbkimage'] = 'Image URL';
$string['footnote'] = 'Footnote';
$string['footnotedesc'] = 'The content from this textarea will be displayed in the footer of every page.';
$string['generalpage'] = '<span style="font-size:1.5em;font-weight:bold;">General page settings</span><br>These settings affect the general colour scheme of the page backgrounds and text.<br>The html image background (if used) is repeated bith vertically and horizontally to give a patterned effect around the border. The page wrapper image is repeated horizontally across the top of the page header area and can be used in conjunction with the header background image to fill the header area on wider screens, as well as to create gradient effects which go both horizontally and vertically (see cafelite theme as an example).<br><br>';
$string['generalpage_title'] = '<b>General page settings</b>';
$string['headerbackground'] = '<b>Header region</b>';
$string['headerbackgrounddesc'] = 'Background colour';
$string['headerbackgroundimage'] = 'Background image URL';
$string['header_Rounded_Corners'] = 'Header rounded corner settings';
$string['headersettingsimage'] = '<img src="../theme/image.php?theme=flexi_ii&amp;image=settings/header&amp;component=theme" alt="Screenshot" title="Screenshot"/>';
$string['headersettingspage'] = '<span style="font-size:1.5em;font-weight:bold;">Header Section Settings</span><br>These settings affect the look of the Header section. In this section you can set the position and type of the main menu and select whether to include a Profile-block. You can set the background colour and image (which can be used in conjunction with the general page settings), the logo image and style the header text, including whether it is visible. You can also set the main background colours and images for the menu and breadcrumb navbar.<br>Notes:<br>1.If splitting menus over several positions, do not plan a menu whose dropdown boxes may overlap a menu below it - Alternatively, once you know which menu is to be higher than the other z-index values can be set in the custom css section.<br>2.Header text can be hidden by setting its size to 0%';
$string['headersettings_title'] = 'Screenshot';
$string['headertext'] = 'Header text';
$string['headertextdesc'] = 'Colour';
$string['headertextpos'] = 'Position - margins';
$string['headertxtsize'] = 'Size';
$string['headertxtstyle'] = 'Style';
$string['headertxtweight'] = 'Weight';
$string['hoverlinks'] = 'Hover';
$string['htmlbackground'] = 'HTML Background';
$string['htmlbkcolour'] = 'Colour';
$string['htmlbkimage'] = 'Image URL';
$string['instructions'] = '<span style="font-size:2em;font-weight:bold;">flexi_ii theme settings page</span>     (Richard Oelmann)<br>This page is best viewed with any blocks docked unless using a wide screen and should be viewed from within flexi_ii theme.<br><br>The aim of the flexi themes is to provide a means for Moodle site administrators who do not have regular access to their web host and the theme files to be able to control the look of their website from within the admin pages of their Moodle by way of a settings page.<br>The initial design of the theme has been kept very simple in order to allow your own styles to be used through the settings page, rather than imposing those from the theme.<br>This settings page is divided into several sections, providing options to style just about every major component of the colour scheme and look of your theme. It is possible to add colours, rounded corners, backgrounds and gradient images to your theme, to style the colour and look of text used and to choose or position various elements within the design. It also provides a custom css box where any items not already set using the settings page can be manually styled using css rules.';
$string['instruction_title'] = 'Notes';
$string['links'] = 'Link colours';
$string['login'] = 'Login';
$string['loginhere'] = 'Login here!';
$string['logo'] = 'Logo';
$string['logodesc'] = 'Logo image URL';
$string['mainlinks'] = 'Links';
$string['maintext'] = 'Colour';
$string['maintext_title'] = 'Main body text colour';
$string['menu'] = '<b>Menu Bar</b>';
$string['menu1'] = '';
$string['menu1_title'] = 'Menu 1';
$string['menu2'] = '';
$string['menu2_title'] = 'Menu 2';
$string['menu3'] = '';
$string['menu3_title'] = 'Menu 3';
$string['menubg'] = 'Background colour';
$string['menuhover'] = '<b>Menu hover</b>';
$string['menuhoverbg'] = 'Background colour';
$string['menuhoverimg'] = 'Background image URL';
$string['menuhovertext'] = 'Menu hover text';
$string['menuhovertextdesc'] = 'Colour';
$string['menuhovertxtsize'] = 'Size';
$string['menuhovertxtstyle'] = 'Style';
$string['menuhovertxtweight'] = 'Weight';
$string['menuimg'] = 'Background image URL';
$string['menutext'] = 'Menu text';
$string['menutextdesc'] = 'Colour';
$string['menutxtsize'] = 'Size';
$string['menutxtstyle'] = 'Style';
$string['menutxtweight'] = 'Weight';
$string['myblog'] = 'My blog';
$string['navbartext'] = 'Navbar text';
$string['navbartextdesc'] = 'Colour';
$string['navbartxtsize'] = 'Size';
$string['navbartxtstyle'] = 'Style';
$string['navbartxtweight'] = 'Weight';
$string['pageborder'] = 'Add the css rules for any border eg. #ff0000 solid 1px';
$string['pageborder_title'] = 'Page Border';
$string['pgimage'] = '<img src="../theme/image.php?theme=flexi_ii&amp;image=settings/mainareas&amp;component=theme" alt="Screenshot" title="Screenshot"/>';
$string['pgimage_title'] = 'Screenshot';
$string['pluginname'] = 'Flexi_II';
$string['profilevisible'] = '';
$string['profilevisible_title'] = 'Profile Block';
$string['pwrapbackground'] = 'Page Wrapper Background';
$string['pwrapbkcolour'] = 'Colour';
$string['pwrapbkimage'] = 'Image URL';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
$string['Rounded_Corners'] = 'Rounded Corner settings';
$string['sechead'] = 'Section Headings';
$string['secheadbgcolour'] = 'Background colour';
$string['secheadbgimage'] = 'Image URL';
$string['sechead_Rounded_Corners'] = 'Section heading rounded corner settings';
$string['secheadtxtcolour'] = 'Text colour';
$string['secheadtxtsize'] = 'Size';
$string['secheadtxtstyle'] = 'Style';
$string['secheadtxtweight'] = 'Weight';
$string['sideblockscontent'] = '<b>Side Block Content</b>';
$string['sideblockscontentbgcolour'] = 'Background colour';
$string['sideblockscontentbgimage'] = 'Image URL';
$string['sideblockscontenttxtcolour'] = 'Text colour';
$string['sideblockscontenttxtsize'] = 'Text size';
$string['sideblockscontenttxtstyle'] = 'Text style';
$string['sideblockscontenttxtweight'] = 'Text weight';
$string['sideblockshead'] = '<b>Side Block Headings</b>';
$string['sideblocksheadbgcolour'] = 'Background colour';
$string['sideblocksheadbgimage'] = 'Image URL';
$string['sideblocksheadtxtcolour'] = 'Text colour';
$string['sideblocksheadtxtsize'] = 'Text size';
$string['sideblocksheadtxtstyle'] = 'Text style';
$string['sideblocksheadtxtweight'] = 'Text weight';
$string['sideblocks_Rounded_Corners'] = '<b>Side Block rounded corner settings</b>';
$string['spostbackground'] = '';
$string['spostbkcolour'] = 'Post - Colour';
$string['spostbkimage'] = 'Post - Image URL';
$string['sprebackground'] = 'Side Columns Background';
$string['sprebkcolour'] = 'Pre - Colour';
$string['sprebkimage'] = 'Pre - Image URL';
$string['top_left'] = 'Top left';
$string['top_right'] = 'Top right';
$string['usergreeting'] = 'Hi {$a}!';
$string['welcome'] = 'Welcome, {$a}';
