<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_morecandy', language 'en', branch 'MOODLE_33_STABLE'
 *
 * @package   theme_morecandy
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['adminoptions'] = 'Admin Options';
$string['banner'] = 'Banner image';
$string['bannerdesc'] = 'Please upload your custom banner image here if you want to add it just below the top navbar..<br>
If the height of your banner is more than 200px add the following CSS rule to the <a href="#admin-customcss">Custom CSS</a> box below.<br>
<pre>#banner { height: 210px; }</pre> or whatever height in pixels your banner image is.';
$string['bgimage'] = 'Background image';
$string['bgimagedesc'] = 'Please upload your background image here if you want to add it to the body of the page.';
$string['brandicon'] = 'Navbar \'Brand\' icon';
$string['brandicondesc'] = 'This setting allows you to add a small \'Brand\' icon into the top navbar. Idealy the icon should be no bigger than 35px by 35px. Allthough the icon must not be more than 35px in height, its width can be anything upto 150px.';
$string['choosereadme'] = '<p>Morecandy is a theme that allows you to easily customise Moodle\'s look and feel directly from the web interface.</p>
<p>Visit the admin settings to change colours, add an image as a background, add your logo and more.</p>';
$string['configtitle'] = 'Morecandy';
$string['customcss'] = 'Custom CSS';
$string['customcssdesc'] = 'Whatever CSS rules you add to this textarea will be reflected in every page, making for easier customization of this theme.';
$string['footnote'] = 'Footnote';
$string['footnotedesc'] = 'Whatever you add to this textarea will be displayed in the footer throughout your Moodle site.';
$string['idnumbercourse'] = 'Credits';
$string['idnumbercourse_help'] = 'The number of credits attributed to this course. Leave blank if not needed.';
$string['logo'] = 'Logo image';
$string['logodesc'] = 'Please upload your custom logo here if you want to add it to the page header.<br>
If the height of your logo is more than 100px add the following CSS rule to the Custom CSS box below.<br>
div.logo {height: 125px;} or whatever height in pixels your logo image is.';
$string['mycourses'] = 'My courses';
$string['mycoursesdesc'] = 'If selected the My courses menu list appears in the navbar at the top of the page';
$string['mygrades'] = 'My Grades';
$string['pluginname'] = 'Morecandy';
$string['region-before'] = 'Before';
$string['region-behind'] = 'Behind';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
$string['sidewayheadercolor'] = 'Sideway header colour';
$string['sidewayheadercolor_desc'] = 'This setting allows you to choose a colour to repace the default which is a shade of blue.';
$string['texturizer'] = 'Texturizer filter';
$string['texturizerdesc'] = 'If enabled, the Texturizer filter adds a subtle haze to your banner or logo or both.';
$string['welcome'] = 'Welcome back {$a}!';
$string['welcomenote'] = 'Welcome note';
$string['welcomenotedesc'] = 'Here you can add your own personal welcome note';
