<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_pioneer', language 'en', branch 'MOODLE_31_STABLE'
 *
 * @package   theme_pioneer
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activitybackground'] = 'In Course Activity Background Color';
$string['activitybackground_desc'] = 'This is the background color of the box when viewing activities such as lesson, assignment, etc.';
$string['allclasses'] = 'All Classes';
$string['allcourses'] = 'All Courses';
$string['allmodules'] = 'All Modules';
$string['allunits'] = 'All Units';
$string['alwaysdisplay'] = 'Always Show';
$string['analyticscleanurl'] = 'Clean URLs';
$string['analyticscleanurldesc'] = 'Generate clean URL for advanced tracking';
$string['analyticsenabled'] = 'Enabled';
$string['analyticsenableddesc'] = 'Enable analytics for Moodle';
$string['analyticsheading'] = 'Google Analytics';
$string['analyticssiteid'] = 'Site ID';
$string['analyticssiteiddesc'] = 'Enter your Site ID';
$string['analyticstrackadmin'] = 'Tracking Admins';
$string['analyticstrackadmindesc'] = 'Enable tracking of Admin users (not recommended)';
$string['analyticstrackingid'] = 'Site ID';
$string['analyticstrackingiddesc'] = 'Enter your Tracking ID from Google';
$string['backgroundfixed'] = 'Background fixed';
$string['backgroundfixed_desc'] = 'Use this setting to fix the background image to the page.';
$string['backgroundimage'] = 'Background image';
$string['backgroundimage_desc'] = 'The image to display as a background of the site.';
$string['backgroundimageinfo'] = 'Background Image';
$string['backgroundimageinfodesc'] = 'Since the main content is full width you will only see a small portion of background color at the very bottom of the page.  You can upload an image if desired.';
$string['backgroundposition'] = 'Background position';
$string['backgroundpositioncenterbottom'] = 'Center bottom';
$string['backgroundpositioncentercenter'] = 'Center center';
$string['backgroundpositioncentertop'] = 'Center top';
$string['backgroundposition_desc'] = 'The position of the background image.';
$string['backgroundpositionleftbottom'] = 'Left bottom';
$string['backgroundpositionleftcenter'] = 'Left center';
$string['backgroundpositionlefttop'] = 'Left top';
$string['backgroundpositionrightbottom'] = 'Right bottom';
$string['backgroundpositionrightcenter'] = 'Right center';
$string['backgroundpositionrighttop'] = 'Right top';
$string['backgroundrepeat'] = 'Background repeat';
$string['backgroundrepeat_desc'] = 'Defines the way the background image will be repeated.';
$string['backgroundrepeatnorepeat'] = 'No repeat';
$string['backgroundrepeatrepeat'] = 'Repeat';
$string['backgroundrepeatrepeatx'] = 'Repeat horizontally';
$string['backgroundrepeatrepeaty'] = 'Repeat vertically';
$string['blockbordercolor'] = 'Block Border Color';
$string['blockbordercolor_desc'] = 'This is the course block border color.  It is the background color of the title area.';
$string['blockcolor'] = 'Block Color';
$string['blockcolor_desc'] = 'This is the course block background color area.';
$string['blockheadercolor'] = 'Block Header Color';
$string['blockheadercolor_desc'] = 'This is the background color of the heading in each block.  Use this setting if you would like one background header color for all blocks.';
$string['blockposition'] = 'Align Blocks';
$string['blockposition_desc'] = 'Place the blocks to the left or to the right of the content.';
$string['blocksdesc'] = 'Align blocks on the left or the right of the page.';
$string['blocksinfo'] = 'Block Position';
$string['blocksleft'] = 'Align blocks on the left';
$string['blocksright'] = 'Align blocks on the right';
$string['blocktitlecolor'] = 'Block Title Text Color';
$string['blocktitlecolor_desc'] = 'This is the block title text color.';
$string['bodybackground'] = 'Background color';
$string['bodybackground_desc'] = 'The main color to use for the background.';
$string['bodyfont'] = 'Body Font';
$string['bodyfontdesc'] = 'BODY STEP 2: Copy and paste the Google font code that begins with font-family (Integrate the fonts into your CSS)';
$string['bodysize'] = 'Body Text Size';
$string['bodysizedesc'] = 'Use a number such as 14px';
$string['bodyweight'] = 'Body Weight';
$string['bodyweightdesc'] = 'Typically Google Fonts will have a number such as 100, 200, 300, etc.  Use that here.';
$string['bothpositions'] = 'Both Positions';
$string['breadcrumbcolor'] = 'Breadcrumb Color';
$string['breadcrumbcolor_desc'] = 'Choose a background color for the breadcrumb bar. This is just below the main header image on the page.';
$string['breadcrumbcolorhover'] = 'Breadcrumb Color Hover';
$string['breadcrumbcolorhover_desc'] = 'Choose a background color for the breadcrumb bar when hovering over an item. This is just below the main header image on the page.';
$string['breadcrumbtext'] = 'Breadcrumb Text Color';
$string['breadcrumbtext_desc'] = 'Choose a color for the breadcrumb text.';
$string['choosereadme'] = '<p>Pioneer is a beautiful, responsive theme loaded with great features from custom tabs and a course gradebook slider to the ability for teachers to upload their own header image in course summary files! Each of the main elements in the theme can be customized from the theme settings page.  Pioneer is Made in Michigan at Dearborn Public Schools.</p><p>We are a K-12 school district in Dearborn, Michigan.  Pioneer is the mascot of Dearborn High School.</p>';
$string['colorheading'] = 'Color Options';
$string['configtitle'] = 'Pioneer';
$string['contentbackground'] = 'Main content background color';
$string['contentbackgroundcolor'] = 'Content Background Color';
$string['contentbackgroundcolor_desc'] = 'This is the background color for the main course content area. If you delete the color here it will default to the Body Background below as well as the background image settings.';
$string['contentbackground_desc'] = 'The background color of the main content of the site, leave empty for none.';
$string['copyrighttext'] = 'Copyright Notice';
$string['copyrighttext_desc'] = 'Add a copyright notice for the site.  Will appear in the footer.';
$string['coursecomplete'] = 'Radial Course Completion Display';
$string['coursecomplete_desc'] = 'If a course uses course completion and this is turned on then Pioneer will display a radial completion status for the student in the upper left of the page.';
$string['coursegradebutton'] = 'Course Grades';
$string['coursegradeinfo'] = 'Course Header Area (Frontpage Tabs & Course Grades)';
$string['coursegradeinfodesc'] = 'These settings control the slider button that appears on the homepage and main course page. The course grades show a list of all grade items and the associated grade for the student. The frontpage tabs require that you add content to the tabs on the Frontpage Tabs setting page. In order for course grades to appear the course settings under Appearance must be set to YES for Show gradebook to students.';
$string['coursegradestext'] = 'Course Grades Button Text';
$string['coursegradestextdesc'] = 'Enter the text you would like to appear for the toggle button.';
$string['coursegradetoggle'] = 'Show/Hide Course Grade Slider';
$string['coursegradetoggle_desc'] = 'This will allow students to quickly see a list of all activities and their grade right in the top header area above the breadcrumbs and below the course title.';
$string['coursetitlebkg'] = 'Course Title Background Color';
$string['coursetitlebkg_desc'] = 'This is the color of the box that appears behind the Course Title.  It is also used as the background color for the Course Slideshow and Available Courses Titles to create a consistent look.';
$string['coursetitletxt'] = 'Course Title Text Color';
$string['coursetitletxt_desc'] = 'This is the color of the course title.';
$string['createusertoggle'] = 'Create User Link';
$string['createusertoggle_desc'] = 'Show or hide the Create User link in the custom login form on the frontpage.';
$string['customcss'] = 'Custom CSS';
$string['customcssdesc'] = 'Whatever CSS rules you add to this textarea will be reflected in every page, making for easier customization of this theme.';
$string['customlogindesc'] = 'Custom Login Options';
$string['customlogininfo'] = 'Custom Login';
$string['custommenudesc'] = 'Settings here allow you to add new dynamic functionality to the custommenu (also refered to as Dropdown menu)';
$string['custommenuheadingsub'] = 'Add additional functionality to your custommenu.';
$string['displayafterlogin'] = 'Show after login only';
$string['displaybeforelogin'] = 'Show before login only';
$string['displaymycourses'] = 'Display enrolled courses';
$string['displaymycoursesdesc'] = 'Display enrolled courses for users in the Custom Menu';
$string['displaymydashboard'] = 'Display Dashboard';
$string['displaymydashboarddesc'] = 'Display Dashboard of user links in the Custom Menu';
$string['dontdisplay'] = 'Never Show';
$string['editoff'] = 'Edit Off';
$string['editon'] = 'Edit On';
$string['enablethiscourse'] = 'Course Activity Menu';
$string['enablethiscoursedesc'] = 'Show a drop down menu of course activities.';
$string['footertext1'] = 'Footer Textbox One';
$string['footertext2'] = 'Footer Textbox Two';
$string['footertext3'] = 'Footer Textbox Three';
$string['footertext4'] = 'Footer Textbox Four';
$string['footertextboxes'] = 'Custom Footer';
$string['footertext_desc'] = 'Enter HTML text and it will appear in the bottom of each page.  Four columns are used with Bootstrap <span3>.';
$string['forgotpasstoggle'] = 'Forgot Password Link';
$string['forgotpasstoggle_desc'] = 'Show or hide the Forgot Password link in the custom login form on the frontpage.';
$string['fpcreatortextbox'] = 'Frontpage Course Creator User Role Textbox';
$string['fpcreatortextbox_desc'] = 'Add content only visible to users with the Course Creator Role.';
$string['fpdashboard'] = 'Frontpage Dashboard';
$string['fpheaderimagepadding'] = 'Frontpage Header Image Padding';
$string['fpheaderimagepadding_desc'] = 'Control the padding and height of the header image for the frontpage. This setting is applied above and below the login form for logged out users.';
$string['fpsearch'] = 'Search courses';
$string['fpsearchboxmain'] = 'Display Course Searchbox in Main Content Area';
$string['fpsearchboxmain_desc'] = 'Show a course search box in the frontpage textbox area.  This option is dependent on the icon navigation settings and will only be displayed if icon navigation is set to display in main content area.';
$string['fpsearchboxtop'] = 'Display Course Searchbox in Top Navigation';
$string['fpsearchboxtop_desc'] = 'Show a course search box in the top navigation bar.  This will appear to the right of the icon navigation at the top of the page and can be shown even if the icon navigation is hidden.  This searchbox is not dependent on icon navigation settings.';
$string['fpsearchbutton'] = 'Search';
$string['fptextbox'] = 'Frontpage Textbox';
$string['fptextboxdesc'] = 'This textbox appears on the frontpage and is ideal for putting a welcome message.';
$string['fptextboxinfo'] = 'Frontpage Welcome Box';
$string['fptextboxinfodesc'] = 'Add a welcome message for users.';
$string['fptoppromotedpadding'] = 'Height of Course Slideshow';
$string['fptoppromotedpadding_desc'] = 'This will control the height of the course image slideshow.';
$string['frontpagecoursesettings'] = 'Frontpage Courses';
$string['frontpagedesc'] = 'Configure the way that the course boxes are rendered on the frontpage.';
$string['frontpageheading'] = 'Frontpage Options';
$string['frontpagerenderer'] = 'Frontpage Course Boxes';
$string['frontpagerendererdefaultimage'] = 'Default course image';
$string['frontpagerendererdefaultimagedesc'] = 'The default image to use when no course image is found, (only applies for Tiles w/ overlay)';
$string['frontpagerendererdesc'] = 'Control the way that the coure boxes on the front page are rendered.';
$string['frontpagerendereroption1'] = 'Tiles';
$string['frontpagerendereroption2'] = 'Tiles w/ overlay';
$string['frontpagesettingsheading'] = 'Frontpage rendering';
$string['fullfootertext'] = 'Full-Width Footer Textbox';
$string['fullfootertext_desc'] = 'This is a full-width textbox that appears in the footer above the 4 column textboxes. This is ideal if you do not want to use the 4 column textboxes below.';
$string['gbodyimporturl'] = 'Body Import URL';
$string['gbodyimporturldesc'] = 'BODY STEP 1: Find a font on google.com/fonts.  Click the quick use icon.  Find the step that says "Add this code to your website".  Copy and paste that here. Be sure to complete BODY STEP 2. <a href="https://www.google.com/fonts"> Find a Google Font</a>';
$string['geneicsettings'] = 'General Settings';
$string['generalalert'] = 'General Alert';
$string['generalalertdesc'] = 'Whatever you add to this textarea will be displayed in the General Alert area on the frontpage.';
$string['gheadingimporturl'] = 'Heading Import URL';
$string['gheadingimporturldesc'] = 'HEADING STEP ONE: Find a font on google.com/fonts.  Click the quick use icon.  Find the step that says "Add this code to your website".  Copy and paste that here. Be sure to complete HEADING STEP 2. <a href="https://www.google.com/fonts"> Find a Google Font</a>';
$string['googleheading'] = 'Google Fonts';
$string['gradecomplete'] = 'Radial Course Grade Total';
$string['gradecomplete_desc'] = 'If a course is set to show student grades and this is turned on then Pioneer will display a course total grade in an animated radial for the student in the upper left of the page.';
$string['grades'] = 'My Grades';
$string['headerbackgroundimage'] = 'Default Header Image';
$string['headerbackgroundimage_desc'] = 'This is the default header image.';
$string['headerbackgroundtoggle'] = 'Allow teachers to upload header image';
$string['headerbackgroundtoggle_desc'] = 'If turned on a teacher can upload an image to <a href="https://docs.moodle.org/29/en/Course_settings#Course_summary_files" target="_new">Course Summary Files</a>.  This image should be small to reduce load time.  Recommended size is 1024 width and less than 500kb in size. Otherwise all courses will use the photo you upload below for header image.';
$string['headerimageinfo'] = 'Header Image Height';
$string['headerimageinfodesc'] = 'These settings control the height of the header image on the site and in-course activities.';
$string['headerimagepadding'] = 'Header Image Padding';
$string['headerimagepadding_desc'] = 'Control the padding and height of the header image for courses. A minimum of 120px should be selected if using the Radial Completion and Course Grade displays.';
$string['headerimagepage'] = 'Header Image Settings';
$string['headerincourseimagepadding'] = 'Header Image Padding in Course Activities (Incourse)';
$string['headerincourseimagepadding_desc'] = 'After the course homepage, this will be the padding height of the header image.  Making this shorter allows more content to be displayed';
$string['headingfont'] = 'Heading Font family';
$string['headingfontdesc'] = 'HEADING STEP 2: Copy and paste the Google font family informaiton here.';
$string['iconnavbackgroundcolor'] = 'Maincontent Icon and Searchbox Navigation Background';
$string['iconnavbackgroundcolor_desc'] = 'This is the background color for the icon navigation and searchbox area in the main content area.';
$string['iconnavbackgroundcolortop'] = 'Top Icon and Searchbox Navigation Background';
$string['iconnavbackgroundcolortop_desc'] = 'This is the background color for the icon navigation and searchbox area in the very top-right of the page.';
$string['iconnavheading'] = 'Icon Navigation';
$string['inmaincontent'] = 'Only Main Content';
$string['intopnav'] = 'Only Top Navbar';
$string['invert'] = 'Invert navbar';
$string['invertdesc'] = 'Swaps text and background for the navbar at the top of the page between black and white.';
$string['lginforgot'] = 'forgot ?';
$string['lginlogin'] = 'Log In';
$string['lginpass'] = 'password';
$string['lginuser'] = 'username';
$string['linkcolor'] = 'Link color';
$string['linkcolor_desc'] = 'The color of the links.';
$string['loginbuttoncolor'] = 'Login button Color';
$string['loginbuttoncolor_desc'] = 'This is the color of the button in the custom login form.';
$string['logo'] = 'Logo';
$string['logodesc'] = 'The logo should be 140px by 40px.  The logo is displayed in the top left and bottom right of the theme.';
$string['marketboxbuttoncolor'] = 'Marketing Box Button Color';
$string['marketboxbuttoncolor_desc'] = 'The color of the button background for the marketing box.';
$string['marketboxcolor'] = 'Marketing Box Background Color';
$string['marketboxcolor_desc'] = 'The color of the background for the marketing box.';
$string['marketboxcontentcolor'] = 'Marketing Box Content Background Color';
$string['marketboxcontentcolor_desc'] = 'The color of the background for the marketing box content. This is where the text appears in the marketing spot and can be different from the box background color to draw attention to the text.';
$string['marketing1'] = 'Marketing Spot One';
$string['marketing2'] = 'Marketing Spot Two';
$string['marketing3'] = 'Marketing Spot Three';
$string['marketing4'] = 'Marketing Spot Four';
$string['marketing5'] = 'Marketing Spot Five';
$string['marketing6'] = 'Marketing Spot six';
$string['marketingbuttontext'] = 'Link Text';
$string['marketingbuttontextdesc'] = 'Text to appear on the button.';
$string['marketingbuttonurl'] = 'Link URL';
$string['marketingbuttonurldesc'] = 'URL the button will point to.';
$string['marketingcontent'] = 'Content';
$string['marketingcontentdesc'] = 'Content to display in the marketing box. Keep it short and sweet.';
$string['marketingdesc'] = 'This theme provides the option of enabling three "marketing" or "ad" spots just under the slideshow.  These allow you to easily identify core information to your users and provide direct links.';
$string['marketingheading'] = 'Marketing Spots Bottom';
$string['marketingheadingsub'] = 'Three locations on the front page to add information and links';
$string['marketingheadingtextbox'] = 'Marketing Spots Top Textbox';
$string['marketingheadingtop'] = 'Marketing Spots Top';
$string['marketingheight'] = 'Height of Marketing Images';
$string['marketingheightdesc'] = 'If you want to display images in the Marketing boxes you can specify their hight here.';
$string['marketingicon'] = 'Link Icon';
$string['marketingicondesc'] = 'Name of the icon you wish to use in the marketing URL Button. List is <a href="http://fortawesome.github.io/Font-Awesome/cheatsheet/" target="_new">here</a>.  Just enter what is after "fa-", e.g. "star".';
$string['marketingimage'] = 'Image';
$string['marketingimage_desc'] = 'This provides the option of displaying an image in the marketing spot';
$string['marketinginfodesc'] = 'Enter the settings for your marketing spot.';
$string['marketingtitle'] = 'Title';
$string['marketingtitledesc'] = 'Title to show in this marketing spot';
$string['marketingurltarget'] = 'Link Target';
$string['marketingurltargetdesc'] = 'Choose how the link should be opened';
$string['marketingurltargetnew'] = 'New Page';
$string['marketingurltargetparent'] = 'Parent Frame';
$string['marketingurltargetself'] = 'Current Page';
$string['mybkg'] = 'My Courses Slider Background';
$string['mybkg_desc'] = 'Choose a color for the My Courses Slider Background.';
$string['myclasses'] = 'My Classes';
$string['mycorusesinfo'] = 'Navigational Menu Options';
$string['mycorusesinfodesc'] = 'These settings control the top navigation bar.  These include the My Courses dropdown and This Course dropdown.';
$string['mycourses'] = 'My Courses';
$string['mycoursesheading'] = 'My Courses Slider';
$string['mycoursesheadingdesc'] = 'This will display courses a user is enrolled in or teaching. They are displayed in a beautiful, responsive slider. Best suited for desktop presentation.';
$string['mycoursesinfo'] = 'Dynamic Enrolled Courses List';
$string['mycoursesinfodesc'] = 'Displays a dynamic list of enrolled courses to the user.';
$string['mycoursetitle'] = 'Terminology';
$string['mycoursetitledesc'] = 'Change the terminology for the "My Courses" link in the dropdown menu';
$string['mydashboardinfo'] = 'Custom User Dashboard';
$string['mydashboardinfodesc'] = 'Displays a list of common functions used by users.';
$string['mymodules'] = 'My Modules';
$string['myunits'] = 'My Units';
$string['navbkgcolor'] = 'Main Navigation Background';
$string['navbkgcolor_desc'] = 'This is the background color for the main navigation bar.';
$string['navcolor'] = 'Navbar Drop Down color';
$string['navcolor_desc'] = 'The color of the drop down menu in the navigation bar.';
$string['navcolorhover'] = 'Navbar Drop Down Color on Hover';
$string['navcolorhover_desc'] = 'The color of the drop down menu in the navigation bar on rollover.';
$string['navicon'] = 'Icon';
$string['navicon1'] = 'Custom Frontpage Icon One';
$string['navicon2'] = 'Custom Frontpage Icon Two';
$string['navicon3'] = 'Custom Frontpage Icon Three';
$string['navicon4'] = 'Custom Frontpage Icon Four';
$string['navicon5'] = 'Custom Frontpage Icon Five';
$string['navicon6'] = 'Custom Frontpage Icon Six';
$string['navicon7'] = 'Custom Frontpage Icon Seven';
$string['navicon8'] = 'Custom Frontpage Icon Eight';
$string['naviconbuttontext'] = 'Tooltip Text';
$string['naviconbuttontextdesc'] = 'Text to appear in the tooltip of the icon when the mouse hovers over it.';
$string['naviconbuttonurl'] = 'Link URL';
$string['naviconbuttonurldesc'] = 'URL the button will point to. You can link to anywhere including outside websites  just enter the proper URL.  If your Moodle site is in a subdirectory the default URL will not work.  Please adjust the URL to reflect the subdirectory. Example if "moodle" was your subdirectory folder then the URL would need to be changed to /moodle/my/';
$string['navicondesc'] = 'Name of the icon you wish to use. List is <a href="http://fortawesome.github.io/Font-Awesome/cheatsheet/" target="_new">here</a>.  Just enter what is after "fa-", e.g. "star".';
$string['naviconoff'] = 'Turn off custom navigation icons';
$string['naviconon'] = 'Turn on custom navigation icons';
$string['navigation'] = 'Navigation Options';
$string['noenrolments'] = 'You have no current enrolments';
$string['pcourseenable'] = 'Enable Featured courses';
$string['pcourses'] = 'Bottom Featured Courses';
$string['pcoursesdesc'] = 'Please give the featured courses id should separated by comma.';
$string['people'] = 'Classmates';
$string['pluginname'] = 'Pioneer';
$string['promotedcoursesheading'] = 'Bottom Featured Courses Slider';
$string['promotedlink'] = 'Featured View More Courses URL';
$string['promotedlink_desc'] = 'Enter a URL to one of your course catagories.  This is displayed next to the featured courses title.';
$string['promotedlinktext'] = 'Featured View More Courses Text';
$string['promotedlinktext_desc'] = 'This provides an option to link to a course category to show more courses in the bottom featured slider.  Enter a URL below.';
$string['promotedmylink'] = 'My Courses Slider View More Courses URL';
$string['promotedmylink_desc'] = 'Enter a URL to one of your course catagories.  This is displayed next to the My Courses Slider title.';
$string['promotedmylinktext'] = 'My Courses Slider View More Courses Text';
$string['promotedmylinktext_desc'] = 'This provides an option to link to a course category to show more courses.  Enter a URL below.';
$string['promotedmytextbox'] = 'My Courses Slider Description Textbox';
$string['promotedmytextbox_desc'] = 'A textbox that appears with the My Courses Slider block.';
$string['promotedmytitle'] = 'My Courses Slider Title';
$string['promotedmytitledesc'] = 'Please give the My Courses Slider block a title.';
$string['promotedtaglink'] = 'Recommended View More Courses URL';
$string['promotedtaglink_desc'] = 'Enter a URL to one of your course catagories.  This is displayed next to the featured courses title.';
$string['promotedtaglinktext'] = 'Recommended View More Courses Text';
$string['promotedtaglinktext_desc'] = 'This provides an option to link to a course category to show more courses.  Enter a URL below.';
$string['promotedtagtextbox'] = 'Personalized Description Textbox';
$string['promotedtagtextbox_desc'] = 'Use this to explain to the user how to add profile tags and course tags so that recommended courses will appear for the user.';
$string['promotedtagtitle'] = 'Personalized Recommended Courses Title';
$string['promotedtagtitledesc'] = 'Please give the Personalized Recommended Courses block a title.';
$string['promotedtitledefault'] = 'Featured Courses';
$string['promotedtitledesc'] = 'Please give the Promoted courses block a title.';
$string['radialboxbackground'] = 'Radial Course Grade and Completion Background';
$string['radialboxbackground_desc'] = 'This is the background color for the box that contains the Course Grade Total and Course Completion radial elements in the top left of the course pages.';
$string['radialcolor'] = 'Radial Circle Color';
$string['radialcolor_desc'] = 'Set the color of the radial circle.';
$string['recommendedbkg'] = 'Multiple Slider Background Color';
$string['recommendedbkg_desc'] = 'This color will be applied to Featured Courses, Personalized Recommended Courses, and My Courses sliders. These are located on the frontpage.';
$string['recommendedcoursesheading'] = 'Personalized Recommended Course Slider';
$string['recommendedcoursesheadingdesc'] = 'Personalized Recommended Course Slider will match user tags (interests) with course tags.  When a match is found the resulting course list will be displayed in a beautiful responsive slider on the frontpage. This setting is automatic and no interaction is required other than providing tags for courses and user profiles.';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
$string['rendereroverlaycolor'] = 'Overlay color';
$string['rendereroverlaycolordesc'] = 'The color of the overlay, when the "Tiles w/ overlay" renderer is selected.';
$string['rendereroverlayfontcolor'] = 'Overlay font color';
$string['rendereroverlayfontcolordesc'] = 'The color of the font, when hovering over a coursebox with "Tiles w/ overlay" renderer enabled.';
$string['secondarybackground'] = 'Secondary background color';
$string['secondarybackground_desc'] = 'The background color of any secondary content, such as blocks.';
$string['sectionheadericon'] = 'Section Title Icon';
$string['sectionheadericondesc'] = 'This icon appears before the title of every topic for weekly and topic based course formats.  Use the unicode setting from Font Awesome. List is <a href="https://fortawesome.github.io/Font-Awesome/icons/" target="_new">here</a>. The \\f02d (default) icon is a book.';
$string['settingfeaturedmyslider'] = 'My Enrolled Courses';
$string['settingfeaturedslider'] = 'Featured Courses';
$string['settingfeaturedtagslider'] = 'Personalized Recommended Courses';
$string['settinggradebutton'] = 'View Course Grades';
$string['settingpromotedlink'] = 'example: http://mymoodlesite/course/';
$string['settingpromotedlinktext'] = 'Featured View More Courses';
$string['settingpromotedmylink'] = 'example: http://mymoodlesite/course/';
$string['settingpromotedmylinktext'] = 'My Courses Slider View More Courses';
$string['settingpromotedtaglink'] = 'example: http://mymoodlesite/course/';
$string['settingpromotedtaglinktext'] = 'Recommended View More Courses';
$string['settingshowtagline'] = 'Enroll Now';
$string['settingtabbutton'] = 'Getting Started with Moodle';
$string['showlogintoggle'] = 'Display Login Form';
$string['showlogintoggle_desc'] = 'Show or hide the custom login form on the frontpage.';
$string['showmycourses'] = 'Show/Hide My Courses Slider';
$string['showmycourses_desc'] = 'Uncheck this if you do not wish to show My Courses Slider.';
$string['showrecommendedcourses'] = 'Show/Hide Personalized Recommended Courses';
$string['showrecommendedcourses_desc'] = 'Uncheck this if you do not wish to show personalized recommended courses.';
$string['signuplogin'] = 'Create New';
$string['socialicon1'] = 'Facebook URL';
$string['socialicon2'] = 'Twitter URL';
$string['socialicon3'] = 'Pinterest URL';
$string['socialicon4'] = 'Flickr URL';
$string['socialicon5'] = 'LinkedIn URL';
$string['socialicon6'] = 'YouTube URL';
$string['socialicon7'] = 'Vimeo URL';
$string['socialicon8'] = 'Google Plus URL';
$string['socialiconheading'] = 'Social Icon Navigation';
$string['socialwallheaddesc'] = 'Socialwall Course format is a set of course format plugins for Moodle that provides teachers with an easy to use course that operates similar to Facebook.  You can download the Socialwall Course Format from Moodle.org <a href="https://moodle.org/plugins/browse.php?list=set&id=74">https://moodle.org/plugins/browse.php?list=set&id=74</a>.  The settings below allow you to customize the colors of the socialwall.';
$string['socialwallheading'] = 'Socialwall Course Format Options';
$string['stylinginfo'] = 'Styling and Alerts';
$string['stylinginfodesc'] = 'Additional customization options and alert settings.';
$string['swaddpost'] = 'Socialwall Course Format Add Post background';
$string['swaddpost_desc'] = 'If you use the Socialwall Course Format this setting will change the background color of Add Posts area in the wall feed.';
$string['swattach'] = 'Socialwall Course Format Attachment background';
$string['swattach_desc'] = 'If you use the Socialwall Course Format this setting will change the background color of the attachment area in the wall feed.';
$string['swcomment'] = 'Socialwall Course Format comment background';
$string['swcomment_desc'] = 'If you use the Socialwall Course Format this setting will change the background color of the comment area in the wall feed.';
$string['swicontext'] = 'Socialwall Course Format Icon and Text colors';
$string['swicontext_desc'] = 'If you use the Socialwall Course Format this setting will change the colors of the icons and words Attachments, Posts, Message, and Comments in the wall feed.';
$string['swlabelattachment'] = 'Attachment CSS Label';
$string['swlabelattachment_desc'] = 'When there are attachments with a post this label will identify the attachments.';
$string['swlabelcomment'] = 'Comment CSS Label';
$string['swlabelcomment_desc'] = 'This label identifies the comment section for each post in the timeline.';
$string['swlabelmessage'] = 'Message CSS Label';
$string['swlabelmessage_desc'] = 'Above the content of a post this message label appears in the timeline.';
$string['swlabelpost'] = 'Post CSS Label';
$string['swlabelpost_desc'] = 'Above each post this is the label that appears in the timeline.';
$string['swmessage'] = 'Socialwall Course Format Message background';
$string['swmessage_desc'] = 'If you use the Socialwall Course Format this setting will change the background color of message text area in the wall feed.';
$string['swmultilangcss'] = 'Translate Socialwall Labels';
$string['swmultilangcss_desc'] = 'If you operate a multi language site, you can use the example provided to localize the Socialwall labels to the languages you support.';
$string['swpost'] = 'Socialwall Course Format Post background';
$string['swpost_desc'] = 'If you use the Socialwall Course Format this setting will change the background color of posts in the wall feed.';
$string['tab1'] = 'Tab One';
$string['tab2'] = 'Tab Two';
$string['tab3'] = 'Tab Three';
$string['tab4'] = 'Tab Four';
$string['tab5'] = 'Tab Five';
$string['tab6'] = 'Tab Six';
$string['tabbutton'] = 'Getting Started';
$string['tabbuttoncolor'] = 'Tab Button Color';
$string['tabbuttoncolor_desc'] = 'The color of the button used to toggle the frontpage tabs and course grades slider.  This appears just below the title of the page when activated.';
$string['tabbuttonhovercolor'] = 'Tab Button Color Roll Over';
$string['tabbuttonhovercolor_desc'] = 'The color of the button on hover used to toggle the frontpage tabs and course grades slider.  This appears just below the title of the page when activated.';
$string['tabbuttontext'] = 'Tab Button Text';
$string['tabbuttontextdesc'] = 'This text is used in the show/hide button to display the tabs.';
$string['tabcontent'] = 'Tab Content';
$string['tabcontentdesc'] = 'The text and HTML you enter here will be displayed in the tab.';
$string['tabheading'] = 'Frontpage Tabs';
$string['tabinfodesc'] = 'Add a title and a description below.  This will only appear on the frontpage as a slider.  The button to activate the slider is located in the top header.';
$string['tabtitle'] = 'Tab Title';
$string['tabtitledesc'] = 'This is the tab title that appears at the top of the tab content.';
$string['tabtoggle'] = 'Tab Toggle';
$string['tabtoggle_desc'] = 'Show or hide the homepage tabs.';
$string['textcolor'] = 'Text color';
$string['textcolor_desc'] = 'The color of the text.';
$string['themecolorsettings'] = 'Theme Colors';
$string['thiscourse'] = 'This Course';
$string['title'] = 'Title';
$string['togglefptextbox'] = 'Show/Hide Text Box Display';
$string['togglefptextboxdesc'] = 'Choose if you wish to hide or show the Frontpage Text Box for logged out users on the frontpage.';
$string['toggleiconnav'] = 'Icon Navigation Location';
$string['toggleiconnav_desc'] = 'Determine where you want the icons and course searchbox to appear.';
$string['togglemarketing'] = 'Toggle Marketing Spot display';
$string['togglemarketingdesc'] = 'Choose if you wish to hide or show the three Marketing Spots.';
$string['togglenavicons'] = 'Turn On Custom Icons';
$string['togglenaviconsdesc'] = 'Choose to include custom navigation icons based off Font-Awesome.';
$string['toolsmenu'] = 'Tool Menu';
$string['toolsmenudesc'] = 'You can configure links to be shown under a tools menu. Each line consists of some menu text, a link URL (optional), a tooltip title (optional) and a language code or comma-separated list of codes (optional, for displaying the line to users of the specified language only), separated by pipe characters. For example:
<pre>
Moodle community|https://moodle.org
-Moodle free support|https://moodle.org/support
-Moodle development|https://moodle.org/development
--Moodle Docs|http://docs.moodle.org|Moodle Docs
--German Moodle Docs|http://docs.moodle.org/de|Documentation in German|de
Moodle.com|http://moodle.com/
</pre>';
$string['toolsmenulabel'] = 'Tools';
$string['topclosefeatured'] = 'Close Featured Course Listing Link';
$string['topclosefeatureddesc'] = 'This text appears above the featured course listing and will close the list of featured courses. "Close Course Listing" is suggested text.';
$string['topclosefeaturedtext'] = 'Close Course Listing';
$string['topichighlight'] = 'Topic Highlight Color';
$string['topichighlight_desc'] = 'Color used when a topic or week is highlighted in a course.';
$string['topicweekcolor'] = 'Topic and Week Section Background';
$string['topicweekcolor_desc'] = 'In Topic and Weekly course formats this is the background color for each topic or week in the course.';
$string['toppcourseenable'] = 'Enable Featured Courses Slideshow';
$string['toppcourses'] = 'Featured Courses Slideshow';
$string['toppcoursesdesc'] = 'LIMIT=10 You cannot enter more than 10 course ids.  Please give the featured courses id should separated by comma.';
$string['toppromotedcoursesheading'] = 'Featured Course Slideshow';
$string['toppromotedtitledefault'] = 'Featured courses';
$string['toppromotedtitledesc'] = 'This text appears below the Course Title in the slider. "Enroll Now" is an ideal tagline.';
$string['topsearch'] = 'Search courses';
$string['topsearchbutton'] = 'Find';
$string['topshowfeatured'] = 'Show All Courses Listing Link';
$string['topshowfeatureddesc'] = 'This text appears in the slideshow and will display a list of all featured courses. "View All Courses" is suggested text.';
$string['topshowfeaturedtext'] = 'View All Featured Courses';
$string['toptitle'] = 'Tagline';
