<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_squared', language 'en', branch 'MOODLE_38_STABLE'
 *
 * @package   theme_squared
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activityicon'] = 'Activity icon';
$string['activitylayout'] = 'Activity layout';
$string['activitylayoutdesc'] = 'Set the number of columns to use for the layout of the activities on a course at different window widths or \'None\' to disable.  The numbers are in order of small, medium and large.';
$string['advancedcoursearch'] = 'Advanced course search';
$string['alternateloginurl'] = 'Alternate MNET login url';
$string['alternateloginurldesc'] = 'Select an alternate MNET Login host for direct login on the selected MNET host';
$string['basicsettings'] = 'General settings';
$string['bgcolor'] = 'Category colour for';
$string['bgcolorcat'] = 'Background colour of category blocks';
$string['bgcolorcatdesc'] = 'Background colour of category blocks';
$string['bgcolordefault'] = 'Default background colour of blocks';
$string['bgcolordefaultdesc'] = 'Set the default background colour of the blocks.';
$string['bgcolordesc'] = 'Set the background colour of the blocks and headings for the displayed category';
$string['bgcolorheading'] = 'Choose a background colour for the category below';
$string['bgcolorheadingdesc'] = 'This background colour is used for special elements on pages within the specified category. It serves as a colour guide.';
$string['blockperrowlimit'] = 'Show 2 blocks per row limit';
$string['blockperrowlimitdesc'] = 'Show 2 blocks per row when there are more than x blocks on the page, else default to one block per row';
$string['catcolorsettings'] = 'Course category colourguide and course header';
$string['choosereadme'] = '<div class="clearfix"><div class="theme_screenshot"><h2>squared</h2><img src="squared/pix/screenshot.png" /><h2>About</h2><p>Squared is the theme containing more squares than any other Moodle theme. Some even say it is the most beautiful theme for Moodle. <h2>Notes</h2><p>This theme is built upon both Base and Canvas, and therefore it is not yet responsive. It is the official theme of "Onlinecampus Virtuelle PH" www.virtuelle-ph.at. It was created by David Bogner <a href="http://www.edulabs.org">www.edulabs.org - E-Learning Solutions</a> and John Stabinger (programming). The design was created by  <a href="http://contemas.net">Contemas Web Solutions</a>  </p> <h3>Free Software</h3> The theme is provided for you for free, nevertheless it did cost some thousand Euros. So if you want to make customizations, please contract us. Especially for creating a responsive version based on bootsrap, we accept any help. We are working on it, but you can accelerate the process.</div></div>';
$string['configtitle'] = 'Squared theme';
$string['courseheaderimage'] = 'Course header images';
$string['courseheaderimagedesc'] = 'Use a course header image from the course summary files for the courses.  If there are many, then name the image \'course\' to ensure it is used.';
$string['courseheaderimagefallback'] = 'Course header images fallback';
$string['courseheaderimagefallbackdesc'] = 'If \'Course header images\' is on but there is no image in the course summary files then either: Use the image in the \'courseheaderimagefallbackimage\' setting but if empty use an image from the theme or generate an image.';
$string['courseheaderimagefallbackgenerated'] = 'Use the generated image';
$string['courseheaderimagefallbackimage'] = 'Course header fallback image';
$string['courseheaderimagefallbackimagedesc'] = 'Course header fallback image to use if \'Course header images\' is on and \'Course header images fallback\' is set to "Use the \'courseheaderimagefallbackimage\' image or theme image if empty".';
$string['courseheaderimagefallbackthemeimage'] = 'Use the \'courseheaderimagefallbackimage\' image or theme image if empty';
$string['courseheaderimagehelpcontent'] = 'If and image in the course summary has an: \'_course\' postfix then used in the course header only, \'_all\' postfix then used on the course and course overview or if no postfix, then the course overview only.  For the course the first \'_all\' image is selected before the first \'_course\' image found.  For the course overview the first \'_all\' image is selected before the first non-prefixed image.  If no image is found then the \'courseheaderimagefallback\' setting applies.';
$string['courseheaderimagehelpheading'] = 'Course header image help';
$string['customcss'] = 'Custom CSS';
$string['customcssdesc'] = 'Any CSS you enter here will be added to every page allowing your to easily customise this theme.';
$string['customscss'] = 'Custom SCSS';
$string['customscssdesc'] = 'Add custom SCSS to the theme.';
$string['facebooklink'] = 'Link to your facebook page (optional)';
$string['facebooklinkdesc'] = 'The link should look like this: http://www.facebook.com/yourpage';
$string['fav'] = 'FontAwesome 5 Free';
$string['favdesc'] = 'Use FontAwesome 5 Free for icons.  Note: Please see the license in the fonts folder of the theme.';
$string['favicon'] = 'Custom favicon';
$string['favicondesc'] = 'Upload your own favicon.  It should be an .ico file.';
$string['findcoursecontent'] = 'Search courses by name and course content:';
$string['flatnavigation'] = 'Navigation';
$string['footersettings'] = 'Footer settings';
$string['footertext'] = 'Footer links';
$string['footertextdesc'] = 'You can configure a custom listing here shown in the footer.
Each line consists of some menu text an a link URL. For Example :
<pre>Moodle news|http://moodlenews.com
Moodle|http://moodle.org
</pre>';
$string['footnote'] = 'Footnote';
$string['footnotedesc'] = 'Whatever you add to this html area will be displayed in the footer throughout your Moodle site.';
$string['globalsearch'] = 'Global search';
$string['headerbg'] = 'Background image';
$string['headerbgdesc'] = 'Please upload your custom background image here for the header.  The logo and background must be the same height.  For the \'On top\' layout, the background should be have a width of 1400px, the logo can be any width.  For the \'Side\' layout, the logo and background should have a combined width of 1400px.';
$string['headerbgsmall'] = 'Background image for small devices';
$string['headerbgsmalldesc'] = 'Please upload your custom background image here for the header on small devices.  The logo and background must be the same height.  For the \'On top\' layout, the background should be have a width of 960px, the logo can be any width.  For the \'Side\' layout, the logo and background should have a combined width of 960px.';
$string['headerlayout'] = 'Layout';
$string['headerlayoutdesc'] = 'Logo on top or to the side as set by the logo position.';
$string['hidelocallogin'] = 'Hide local login';
$string['hidelocallogindesc'] = 'Hide the local login on login page.  NOTE: Only enable this if all users are remote.';
$string['hlogoside'] = 'Side';
$string['hlogotop'] = 'Top';
$string['hvp'] = 'H5P';
$string['hvpcustomcss'] = 'H5P Custom CSS';
$string['hvpcustomcssdesc'] = 'Custom CSS for the H5P module.';
$string['hvpfontcss'] = 'H5P Font CSS';
$string['hvpfontcssdesc'] = 'Font CSS for the H5P module.  Place the \'font-face\' declarations here using Moodle \'font:theme\' syntax for the URL and ensure the font file is in the themes font folder.  Then apply with CSS \'font-family\' declarations in the H5P custom CSS setting.';
$string['instagramlink'] = 'Link to your Instagram page (optional)';
$string['instagramlinkdesc'] = 'The link should look like this: https://www.instagram.com/youracount';
$string['logo'] = 'Logo';
$string['logobgcolor'] = 'Logo Background Colour';
$string['logobgcolordesc'] = '';
$string['logodesc'] = 'Please upload your custom logo here for the header.  The logo and background must be the same height.  For the \'On top\' layout, the background should be have a width of {$a->pagewidthmax}px, the logo can be any width.  For the \'Side\' layout, the logo and background should have a combined width of {$a->pagewidthmax}px.';
$string['logoposition'] = 'Logo Position';
$string['logopositiondesc'] = 'Set the logo position';
$string['logosmall'] = 'Logo for small devices';
$string['logosmalldesc'] = 'Please upload your custom logo here for the header on small devices.  The logo and background must be the same height.  For the \'On top\' layout, the background should be have a width of 960px, the logo can be any width.  For the \'Side\' layout, the logo and background should have a combined width of 960px.';
$string['moodlecoursesearch'] = 'Standard Moodle course search';
$string['navbarposition'] = 'Navbar position';
$string['navbarpositiondesc'] = 'Set the navbar position, static or fixed.';
$string['navbarpositionfixed'] = 'Fixed';
$string['navbarpositionstatic'] = 'Static';
$string['navbarsearch'] = 'Navbar search';
$string['navbarsearchdesc'] = 'Select the type of search on the navbar.  Global search will only appear if it has been enabled.';
$string['nologobgcolor'] = 'No Logo Background Colour (transparent)';
$string['nologobgcolordesc'] = '';
$string['numberofslides'] = 'Number of slides';
$string['numberofslidesdesc'] = 'Number of slides to use for the slideshow on the frontpage';
$string['pageheadersettings'] = 'Page header settings';
$string['pluginname'] = 'Squared';
$string['prescss'] = 'Pre SCSS';
$string['prescssdesc'] = 'State the SCSS that should be used before any other SCSS is added to the theme.';
$string['privacy:nop'] = 'The Squared theme stores lots of settings that pertain to its configuration.  None of the settings are related to a specific user.  It is your responsibilty to ensure that no user data is entered in any of the free text fields.  Setting a setting will result in that action being logged within the core Moodle logging system against the user whom changed it, this is outside of the themes control, please see the core logging system for privacy compliance for this.  When uploading images, you should avoid uploading images with embedded location data (EXIF GPS) included or other such personal data.  It would be possible to extract any location / personal data from the images.  If you use CDN fonts then investigate their respective privacy policies.  Please examine the code carefully to be sure that it complies with your interpretation of your privacy laws.  I am not a lawyer and my analysis is based on my interpretation.  If you have any doubt then remove the theme forthwith.';
$string['region-side-pre'] = 'Left';
$string['twitterlink'] = 'Link to your twitter account (optional)';
$string['twitterlinkdesc'] = 'The link should look like this: https://www.twitter.com/youraccount';
$string['youtubelink'] = 'Link to your YouTube channel (optional)';
$string['youtubelinkdesc'] = 'The link should look like this: http://www.youtube.com/yourchannel';
