<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_certification', language 'en', branch 'MOODLE_38_STABLE'
 *
 * @package   tool_certification
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['actions'] = 'Actions';
$string['active'] = 'Active';
$string['activecertifications'] = 'Active certifications';
$string['addnewcertification'] = 'Add new certification';
$string['afteractualcertcompletion'] = 'After current certification completion';
$string['afteractualcertcompletionwithrelativedate'] = '{$a} after current certification completion';
$string['afterallocation'] = 'after allocation';
$string['afterallocationdate'] = 'After allocation date';
$string['afterallocationdatewithrelativedate'] = '{$a} after allocation date';
$string['aftercompletion'] = 'After completion';
$string['aftercompletionwithrelativedate'] = '{$a} after completion';
$string['aftercurrentcertexpdate'] = 'After current certification expiry date';
$string['afterduedate'] = 'After due date';
$string['afterduedatewithrelativedate'] = '{$a} after due date';
$string['afterlatest'] = 'After the latter of the current completion or expiration';
$string['afterlatestwithrelativedate'] = '{$a} after the latter of the current completion or expiration';
$string['afterpreviouscertexpdate'] = 'After previous certification expiry date';
$string['afterpreviouscertexpdatewithrelativedate'] = '{$a} after previous certification expiry date';
$string['afterstartdate'] = 'After start date';
$string['afterstartdatewithrelativedate'] = '{$a} after start date';
$string['allocateusers'] = 'Allocate users';
$string['allocationdate'] = 'Allocation date';
$string['allocationdateisonorafter'] = 'Allocation date on or after';
$string['allocationenddate'] = 'Allocation end date';
$string['allocationfor'] = 'Allocation for \'{$a}\\';
$string['allocationnoteditable'] = 'Allocation not editable';
$string['allocationsource'] = 'Allocation source';
$string['allocationstartdate'] = 'Allocation start date';
$string['allocationwindow'] = 'Allocation window';
$string['allocationwindowenddate'] = 'End date';
$string['allocationwindowenddate_help'] = 'End date for the allocation window';
$string['allocationwindowstartdate'] = 'Start date';
$string['allocationwindowstartdate_help'] = 'Start date for the allocation window';
$string['archive'] = 'Archive';
$string['archived'] = 'Archived';
$string['archivedcertifications'] = 'Archived certifications';
$string['archivedconfirmation'] = 'Are you sure you want to archive the certification \'{$a}\'? Archived certification will no longer be available for managers or learners and may only be viewed in historical reports.';
$string['archivedon'] = 'Archived on';
$string['autocreategroups'] = 'Add to course groups';
$string['autocreategroupsasinprogram'] = 'As defined in the program';
$string['autocreategroupscertification'] = 'Create groups for this certification';
$string['autocreategroups_help'] = 'When users are enrolled in the program courses they can be automatically added to the same group. In case when "for this certification" is selected, a separate group for this certification will be used and it will be different from the other certifications using the same program.';
$string['basic'] = 'Basic';
$string['basicdetails'] = 'Basic details';
$string['becamecertified'] = 'Became certified ({$a})';
$string['beforepreviouscertexpdate'] = 'before previous certification expiry date';
$string['calendarduedate'] = 'Due date for certification {$a}';
$string['calendarexpirydate'] = 'Expiry date for certification {$a}';
$string['cannotallocateuser'] = 'Cannot allocate user to certitication {$a}';
$string['certification'] = 'Certification';
$string['certification:allocateuser'] = 'Permission to allocate user';
$string['certification:configurecustomfields'] = 'Configure certifications custom fields';
$string['certificationcreated'] = 'Certification created';
$string['certification:edit'] = 'Permission to edit';
$string['certificationfullname'] = 'Certification full name';
$string['certificationfullname_help'] = 'Certification full name';
$string['certificationidnumber'] = 'Certification ID number';
$string['certificationidnumber_help'] = 'The ID number of a certification is only used when matching the certification against external systems and is not displayed anywhere on the site. If the certification has an official code name it may be entered, otherwise the field can be left blank.';
$string['certificationname'] = 'Certification name';
$string['certificationnamewithlink'] = 'Certification name with link';
$string['certificationprogress'] = 'Certification progress';
$string['certificationrules'] = 'Certification rules';
$string['certifications'] = 'Certifications';
$string['certificationscustomfield'] = 'Certifications custom fields';
$string['certificationstatus'] = 'Certification status';
$string['certificationstatus_help'] = 'Status of the current certification';
$string['certificationtags'] = 'Certification tags';
$string['certificationtags_help'] = 'Tags for this certification';
$string['certificationuserlog'] = '{$a} activity log';
$string['certificationuserlogempty'] = 'There are no event logs for this user certification.';
$string['certificationuserlogfilename'] = '{$a->user} activity log {$a->certification}';
$string['certification:view'] = 'Permission to view';
$string['certified'] = 'Certified';
$string['certifiedby'] = 'Certified by';
$string['certifiedcertifications'] = 'certified certifications';
$string['certifiedcertificationslink'] = '<a href="{$a->href}">Certified certifications: {$a->count}</a>';
$string['certifieddate'] = 'Certified date';
$string['certifieddateisonorafter'] = 'Certified date on or after';
$string['certifiednotification'] = 'User has been successfully certified';
$string['certifiedtype'] = 'Certified type';
$string['certify'] = 'Certify';
$string['certifyexpirydate'] = 'Expiry date';
$string['certifyexpirydate_help'] = 'Select an expiry date for this certified user between \'Default\' (shows the current certification configuration), \'Never\' or a custom date.';
$string['certifyuser'] = 'Certify user';
$string['completedtheprogram'] = 'Completed the program {$a}';
$string['conditioncertificationcertified'] = 'Certification certified';
$string['conditioncertificationcertifieddescriptionwithdate'] = 'Users that have status Certified in certification \'{$a->fullname}\'<br />
Certified date is on or after \'{$a->conditiondate}\\';
$string['conditioncertificationexpired'] = 'Certification expired';
$string['conditioncertificationexpireddescriptionwithdate'] = 'Users that have status Expired in certification \'{$a->fullname}\'<br />
Expired date is on or after \'{$a->conditiondate}\\';
$string['conditioncertificationnotcertified'] = 'Certification not certified';
$string['conditioncertificationoverdue'] = 'Certification overdue';
$string['conditioncertificationoverduedescriptionwithdate'] = 'Users that have status Overdue in certification \'{$a->fullname}\'<br />
Due date is on or after \'{$a->conditiondate}\\';
$string['conditioncertificationstatus'] = 'Certification status';
$string['conditioncertificationstatusdescription'] = 'Users that have status \'{$a->status}\' in certification \'{$a->fullname}\\';
$string['conditioncertificationstatusdescriptionnegated'] = 'Users that do not have status \'{$a->status}\' in certification \'{$a->fullname}\\';
$string['conditioncertificationsuspended'] = 'Certification suspended';
$string['conditioncertificationsuspendeddescriptionwithdate'] = 'Users that have status Suspended in certification \'{$a->fullname}\'<br />
Suspended date is on or after \'{$a->conditiondate}\\';
$string['conditionrecertificationgraceperiod'] = 'Recertification grace period ends';
$string['conditionrecertificationgraceperiodendsdescription'] = 'Users whose grace period ends in certification \'{$a->fullname}\\';
$string['conditionrecertificationgraceperiodendsdescriptionwithdate'] = 'Users whose grace period ends in certification \'{$a->fullname}\'<br />
Recertification grace period ends on or before \'{$a->conditiondate}\\';
$string['conditionrecertificationstarted'] = 'Recertification period started';
$string['conditionrecertificationstarteddescription'] = 'Users that have started a recertification period in certification \'{$a->fullname}\\';
$string['conditionrecertificationstarteddescriptionwithdate'] = 'Users that have started a recertification period in certification \'{$a->fullname}\'<br />
Recertification started on or after \'{$a->conditiondate}\\';
$string['conditionuserallocated'] = 'Users allocated to certification';
$string['conditionuserallocateddescription'] = 'Users allocated to certification {$a}';
$string['conditionuserallocateddescriptionwithdate'] = 'Users allocated to certification {$a->fullname}<br />
Allocation date is on or after \'{$a->conditiondate}\\';
$string['conditionusernotallocated'] = 'Users not allocated to certification';
$string['conditionusernotallocateddescription'] = 'Users not allocated to certification {$a}';
$string['confirm'] = 'Confirm';
$string['confirmdelete'] = 'Are you sure?';
$string['confirmdeletecertification'] = 'Are you sure you want to delete the certification \'{$a}\' and associated data? This action cannot be undone.';
$string['confirmdeleteuserallocation'] = 'Are you sure you want to completely delete allocation of user \'{$a}\' and associated data? This action can not be undone.';
$string['confirmduplicate'] = 'A copy of the certification configuration will be created and you will be able to change the program and other properties. No user allocations will be carried over to the copy';
$string['currentprogram'] = 'Current program';
$string['currentprogram_help'] = 'This is the current program this user is taking';
$string['dateisonorafter'] = 'Date is on or after';
$string['dateoverrided'] = 'Date overridden';
$string['dayssinceallocation'] = 'Days since allocation';
$string['daystakingcertification'] = 'Days taking certification';
$string['default'] = 'Default';
$string['deleted'] = 'Deleted';
$string['deleteuserallocation'] = 'Delete user allocation';
$string['displaycertificationdate'] = 'Certification date';
$string['displaycertificationid'] = 'Internal certification ID used in URLs';
$string['displaycertificationname'] = 'Certification name';
$string['displayexpirydate'] = 'Certification expiry date';
$string['displayexpirydatetimestamp'] = 'Certification expiry date timestamp';
$string['duedate'] = 'Due date';
$string['duedate_help'] = 'Date when the certification is due';
$string['duedateisonorafter'] = 'Due date on or after';
$string['duplicate'] = 'Duplicate';
$string['dynamic'] = 'Dynamic';
$string['dynamicrules'] = 'Dynamic rules';
$string['dynamicrulesplugincheck'] = 'Viewing the list of dynamic rules is impossible without plugin tool_dynamicrules';
$string['dynamicrulewarningdeallocation'] = 'Users can only be unallocated if they were allocated by another dynamic rule, manual allocations will not be affected.';
$string['editcertification'] = 'Edit certification \'{$a}\\';
$string['editcertificationname'] = 'Edit certification name';
$string['editcertificationsettings'] = 'Edit certification settings';
$string['editcontent'] = 'Edit content';
$string['editdetails'] = 'Edit details';
$string['edituser'] = 'Edit user';
$string['enddate'] = 'End date';
$string['entitycertification'] = 'Certification';
$string['entitycertificationusers'] = 'Certification users allocation and completion';
$string['errorallocatinguserintorelatedprogram'] = 'Can\'t allocate user into related program';
$string['errorallocationsourcenotfound'] = 'Allocation source not found';
$string['erroralreadycertified'] = 'User already certified in this certification with this start date.';
$string['errorcannotduplicate'] = 'Can\'t duplicate';
$string['errorcantdeletecertification'] = 'Can\'t delete certification';
$string['errorcantdeletenotarchivedcertification'] = 'Can\'t delete a not archived certification';
$string['errorcantmanageusers'] = 'Can\'t manage users';
$string['errorcantrestorecertification'] = 'Can\'t restore certification';
$string['errorcertificationisarchived'] = 'Certification is archived';
$string['errorcertificationmustbearchived'] = 'Certification must be archived';
$string['errorcertificationnotfound'] = 'Certification not found';
$string['errorevaluatinguserallocationstatus'] = 'Error evaluating user allocation status';
$string['errorexpirydatepreviousduedate'] = 'Expiry date can not be before due date';
$string['erroridnumberuniquetenant'] = 'This ID number is already used in another certification';
$string['errorinvalidcertification'] = 'Invalid certification';
$string['errorinvalidcertificationstatus'] = 'Invalid certification status';
$string['errorinvalidcertifytimecreated'] = 'Invalid date in certifytimecreated';
$string['errorinvaliddate'] = 'Invalid date';
$string['errorinvalidexpirydate'] = 'Invalid date in certificationcertifyexpire';
$string['errorinvalidgraceperioddate'] = 'Grace period date can not be lower than due date';
$string['errorinvalidpastexpirydate'] = 'Expiry date cannot be in the past';
$string['errorinvalidpaststartdate'] = 'Start date cannot be in the past';
$string['errorinvalidtimecertified'] = 'Time certified cannot be in future.';
$string['errormissingassociatedprogram'] = 'Missing associated program';
$string['errornopermissionmanagecertifications'] = 'No permission to manage certifications';
$string['errornopermissionviewcertificationlogs'] = 'No permission to view certification logs';
$string['errornopermissionviewreports'] = 'No permission to view reports';
$string['errorrecertificationprogram'] = 'Program should be different from the intial program';
$string['errorreporttypedoesnotexist'] = 'Report type does not exist';
$string['erroruseralreadyallocatedincertification'] = 'User already allocated in certification';
$string['erroruseralreadyallocatedinprogram'] = 'User already allocated in program';
$string['errorusernotallocated'] = 'User is not allocated in certification';
$string['errorusernotinsametenant'] = 'User not in same tenant';
$string['eventcertificationcompleted'] = 'Certification completed';
$string['eventcertificationcreated'] = 'Certification created';
$string['eventcertificationdeleted'] = 'Certification deleted';
$string['eventcertificationupdated'] = 'Certification updated';
$string['eventrecertificationgraceperiodended'] = 'Recertification grace period ended';
$string['eventrecertificationstarted'] = 'Recertification started';
$string['eventuserallocated'] = 'Was allocated to the certification';
$string['eventuserdeallocated'] = 'User deallocated';
$string['eventuserupdated'] = 'User allocation updated';
$string['expired'] = 'Expired';
$string['expiredcertifications'] = 'expired certifications';
$string['expiredcertificationslink'] = '<a href="{$a->href}">Expired certifications: {$a->count}</a>';
$string['expireddateisonorafter'] = 'Expired date on or after';
$string['expireson'] = 'expires on {$a}';
$string['expirydate'] = 'Expiry date';
$string['expirydate_help'] = 'Expiry date for the certification';
$string['fullname'] = 'Fullname';
$string['futureallocation'] = 'Future allocation';
$string['helperactionnotallowed'] = 'Helper action not allowed';
$string['idnumber'] = 'ID number';
$string['keepcertificationdefaults'] = 'Keep certification defaults';
$string['lessthanaday'] = 'Less than a day';
$string['manageprograms'] = 'Manage programs';
$string['manual'] = 'Manual';
$string['manuallycertifieduser'] = 'Manually certified {$a->usertarget} ({$a->expirydate})';
$string['markcertificationcompletednotice'] = 'Mark certification as completed without waiting for the program completion';
$string['markcertifyleaveusernotice'] = 'Leave user allocated to the program without due date';
$string['markcertifysuspendnotice'] = 'Suspend user from the program';
$string['markprogramnotcompleted'] = 'Mark program as not completed';
$string['markprogramnotcompleted_help'] = 'Mark program related to this certifications as not completed for this user';
$string['messageprovider:certificationcompleted'] = 'Certification completed';
$string['messageprovider:certificationuserallocated'] = 'User allocated';
$string['messageprovider:certificationuserdeallocated'] = 'User deallocated';
$string['missingcertification'] = 'Missing certification';
$string['missingfullname'] = 'Missing full name';
$string['missingprogram'] = 'Missing program';
$string['name'] = 'Name';
$string['never'] = 'Never';
$string['neverexpires'] = 'Never expires';
$string['newcertification'] = 'New certification';
$string['newvaluefor'] = 'New value for';
$string['noselection'] = 'No selection';
$string['notarchived'] = 'Not archived';
$string['notavailable'] = 'Not available';
$string['notificationmsgcertificationcompleted'] = 'Congratulations! You completed the certification \'{$a}\'.';
$string['notificationmsgcertificationuserallocated'] = 'You have been allocated to certification \'{$a}\'.';
$string['notificationmsgcertificationuserdeallocated'] = 'You have been deallocated from certification \'{$a}\'.';
$string['notificationmsgfooter'] = 'You can find all your certifications on your <a href="{$a}">Dashboard</a>';
$string['notificationsubjectcertificationcompleted'] = 'Certification \'{$a}\' completed';
$string['notificationsubjectcertificationuserallocated'] = 'Allocated to certification \'{$a}\\';
$string['notificationsubjectcertificationuserdeallocated'] = 'Deallocated from certification \'{$a}\\';
$string['notset'] = 'Not set';
$string['nousersselected'] = 'Please select at least one user';
$string['ongoingcertifications'] = 'ongoing certifications';
$string['ongoingcertificationslink'] = '<a href="{$a->href}">Ongoing certifications: {$a->count}</a>';
$string['onorafter'] = 'on or after';
$string['onorbefore'] = 'on or before';
$string['open'] = 'Open';
$string['outcomeallocation'] = 'Allocate users to certifications';
$string['outcomeallocationdescription'] = 'Allocate users to certification {$a}<br />
Keep certification default start date';
$string['outcomeallocationdescriptionwithdate'] = 'Allocate users to certification {$a->certificationname}<br />
Certification start date: \'{$a->startdate}\\';
$string['outcomedeallocation'] = 'Deallocate users from certifications';
$string['outcomedeallocationdescription'] = 'Deallocate users from certification {$a}';
$string['overdue'] = 'Overdue';
$string['overduecertifications'] = 'overdue certifications';
$string['overduecertificationslink'] = '<a href="{$a->href}">Overdue certifications: {$a->count}</a>';
$string['pluginname'] = 'Certifications';
$string['previewcertificationname'] = 'Certification name preview';
$string['previouscertexpirydate'] = 'Previous certification expiry date';
$string['privacy:metadata:certification_completions'] = 'Information about the completion of certification.';
$string['privacy:metadata:certification_completions:certificationid'] = 'The certification the user completed.';
$string['privacy:metadata:certification_completions:certifiedby'] = 'The user that generated the certification';
$string['privacy:metadata:certification_completions:expirydate'] = 'The expiry date of this certification completion.';
$string['privacy:metadata:certification_completions:revokedby'] = 'The user that revoked the certification';
$string['privacy:metadata:certification_completions:timecertified'] = 'The time the user completed the certification.';
$string['privacy:metadata:certification_completions:timecreated'] = 'The time the completion record was created.';
$string['privacy:metadata:certification_completions:timemodified'] = 'The modified time of the certification completion.';
$string['privacy:metadata:certification_completions:userid'] = 'The user that completed the certification.';
$string['privacy:metadata:certification_users'] = 'Information about the user certification allocation.';
$string['privacy:metadata:certification_users:certificationid'] = 'The certification allocated to.';
$string['privacy:metadata:certification_users:currentprogramid'] = 'The current program user is allocated';
$string['privacy:metadata:certification_users:duedate'] = 'The due date of the certification.';
$string['privacy:metadata:certification_users:duedatelocked'] = 'Wether the default due date is overriden.';
$string['privacy:metadata:certification_users:enddate'] = 'The end date of the certification.';
$string['privacy:metadata:certification_users:enddatelocked'] = 'Wether the default end date is overriden.';
$string['privacy:metadata:certification_users:expirydate'] = 'The expiry date of the certification for this user.';
$string['privacy:metadata:certification_users:expirydatelocked'] = 'Wether the default expiry date is overriden.';
$string['privacy:metadata:certification_users:isrecertification'] = 'If user is in a recertification';
$string['privacy:metadata:certification_users:startdate'] = 'The start date of the certification.';
$string['privacy:metadata:certification_users:startdatelocked'] = 'Wether the default start date is overriden.';
$string['privacy:metadata:certification_users:status'] = 'Wether the user has been suspended from the certification.';
$string['privacy:metadata:certification_users:timemodified'] = 'The modified time of the user allocation.';
$string['privacy:metadata:certification_users:userid'] = 'The allocated user.';
$string['privacy:metadata:core_tag'] = 'Tags added to certifications';
$string['program'] = 'Program';
$string['programchangewarning'] = 'Users who are currently taking this program will not be reallocated automatically. This can be done manually on per-user basis. The status of users who have already completed the program, or those who were manually marked as certified, will not change but they will be unallocated from the old program and no longer see it on their dashboard.';
$string['programcourse'] = 'Program course';
$string['program_help'] = 'Program associated with this certification';
$string['programname'] = 'Program name';
$string['programprogress'] = 'Program progress';
$string['programstatus'] = 'Program status';
$string['programuserallocation'] = 'Program user allocation';
$string['progressreport'] = 'Progress report';
$string['recertdifferentprogram'] = 'Select a different program';
$string['recertdifferentprogram_help'] = 'Select \'Yes\' if you want to choose a different program for the recertification than the one that is set as the initial program.';
$string['recertduedaterelative'] = 'Due date';
$string['recertduedaterelative_help'] = 'This is the date when the recertification is due';
$string['recertexpirydate'] = 'Expiry date';
$string['recertexpirydate_help'] = 'This is the date when the recertification will expire for the user.';
$string['recertexpirydatewarning'] = 'The initial certification is set to never expire, recertification will only be possible for users whose expiry date was individually set.';
$string['recertgraceperiod'] = 'Grace period';
$string['recertgraceperiodends'] = 'Grace period ends';
$string['recertgraceperiod_help'] = 'Grace period is the extra period of time we give to the user to finish the program and get certified after the previous certification expires. This option is only available if the recertification program is different from the initial program.';
$string['recertification'] = 'Recertification';
$string['recertificationdates'] = 'Recertification dates';
$string['recertificationgraceperiodendsonorbefore'] = 'Recertification grace period ends on or before';
$string['recertificationprogram'] = 'Recertification program';
$string['recertificationprogram_help'] = 'Select a program to be used in the recertification. This program must be different from the initial certification program.';
$string['recertificationstartdate'] = 'Recertification start date';
$string['recertificationstartedonorafter'] = 'Recertification started on or after';
$string['recertstartdaterelative'] = 'Start date';
$string['recertstartdaterelative_help'] = 'This is the date when the recertification program will start to be available for the user.';
$string['recertstartdatewarning'] = 'On this date the recertification program will be reset. Make sure users are not enrolled in the program courses elsewhere, allocated to the same program directly or allocated via other certifications because they may lose their progress.';
$string['reg_wpcertifications'] = 'Number of certifications ({$a})';
$string['relativeallocationdate'] = 'Relative to allocation date';
$string['report'] = 'Report';
$string['reportactivecerts'] = 'System report for active certifications';
$string['reportarchivedcerts'] = 'System report for archived certifications';
$string['reportbuilderactivecertifications'] = 'Viewing the list of active certifications is impossible without plugin tool_reportbuilder';
$string['reportbuilderarchivedcertifications'] = 'Viewing the list of archived certifications is impossible without plugin tool_reportbuilder';
$string['reportbuilderdynamicrules'] = 'Viewing the list of dynamic rules is impossible without plugin tool_reportbuilder';
$string['reportbuilderuserallocations'] = 'Viewing the list of user allocations is impossible without plugin tool_reportbuilder';
$string['reportbuilderuserlist'] = 'Viewing the list of users is impossible without plugin tool_reportbuilder';
$string['reportcertificationprogress'] = 'System report for certification progress';
$string['reportcertsusers'] = 'System report for certification users';
$string['reportusercerts'] = 'System report for user certification list';
$string['reportuseroverduedcerts'] = 'Overdue certifications';
$string['requirerecertification'] = 'Require recertification';
$string['requirerecertification_help'] = 'Select \'Yes\' to enable recertification for this certification.';
$string['resetadditionalcourses'] = 'Reset additional courses';
$string['resetadditionalcourses_help'] = 'Resets the courses that are part of the new program that were not part of the old program';
$string['resetallcoursesprogram'] = 'Reset all courses in this program';
$string['resetallcoursesprogram_help'] = 'Reset all courses for this user in the program related to this certification';
$string['restore'] = 'Restore';
$string['revoke'] = 'Revoke';
$string['revokecertification'] = 'Revoke certification';
$string['revoked'] = 'Revoked';
$string['revokedby'] = 'Revoked by';
$string['revokednotification'] = 'The certification has been successfully revoked.';
$string['revokedon'] = 'Revoked on';
$string['revokedthisuser'] = 'Revoked {$a}\'s certification';
$string['revokewarning'] = 'Are you sure you want to revoke the certification from \'{$a}\'? Awards that might have been given on completion will not be revoked.';
$string['rolemanager'] = 'Certification manager';
$string['rolemanagerdescription'] = 'Allows to create and manage certifications within the current tenant and allocate users to them';
$string['schedule'] = 'Certification dates';
$string['scheduleupdatesuccess'] = 'Your changes have been saved successfully.';
$string['selectadifferentprogram'] = 'Select a different program';
$string['selectadifferentprogram_help'] = 'Select a different program for the re-certification';
$string['selectcertification'] = 'Certification';
$string['selectcertificationcondition'] = 'Certification';
$string['selectcertificationcondition_help'] = 'Select the certification where this condition will be applied';
$string['selectcertificationoutcome'] = 'Certification';
$string['selectcertificationoutcome_help'] = 'Select the certification where this action will be applied';
$string['selectdate'] = 'Select date';
$string['selectprogram'] = 'Select program';
$string['selectprogram_help'] = 'Select a program to be associated to this certification';
$string['separatetenantsingroupswarning'] = 'In courses shared between tenants, users from each tenant will be added to separate groups.';
$string['startdate'] = 'Start date';
$string['startdate_help'] = 'Date when certification starts';
$string['status'] = 'Status';
$string['suspended'] = 'Suspended';
$string['suspendeddateisonorafter'] = 'Suspended date on or after';
$string['suspendprogallocation'] = 'Suspend program allocation';
$string['suspendprogallocation_help'] = 'If program is not suspended, the program will appear on user dashboard as not completed without due date';
$string['system'] = 'System';
$string['tagarea_tool_certification'] = 'Certifications';
$string['tags'] = 'Tags';
$string['tags_help'] = 'Tags help';
$string['timecertified'] = 'Time certified';
$string['timecertified_help'] = 'Date and time user was certified. You can only past or current dates.';
$string['timecreated'] = 'Created on';
$string['timemodified'] = 'Last modified on';
$string['timesuspended'] = 'Suspended on';
$string['toomanycertificationstoshow'] = 'Too many certifications to show';
$string['toomanyprogramstoshow'] = 'Too many programs to show';
$string['uponcompletion'] = 'Upon completion';
$string['userallocation'] = 'User allocation';
$string['usercompletion'] = 'User completion';
$string['userduedate'] = 'Due date';
$string['userduedate_help'] = 'Select the certification due date for this user.';
$string['usergotsuspended'] = 'User was suspended';
$string['users'] = 'Users';
$string['userstartdate'] = 'Start date';
$string['userstartdate_help'] = 'Select the date when this user will be able to start the certification. This date will only be applied to this user.';
$string['userstatus'] = 'Status';
$string['userstatus_help'] = 'Suspended status will hide this certification from this user whereas Default status will show it.';
$string['viewcertificationuserlog'] = 'Certification activity log';
$string['warningcertificationprogram'] = 'Warning: Once a certification is created this setting will no longer be editable.';
$string['withstartdate'] = 'With start date';
