<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_dynamicrule', language 'en', branch 'MOODLE_38_STABLE'
 *
 * @package   tool_dynamicrule
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['active'] = 'Active';
$string['activerules'] = 'Active rules';
$string['addcondition'] = 'Add condition';
$string['addconditions'] = 'Add conditions to this rule';
$string['addoutcome'] = 'Add action';
$string['addoutcomes'] = 'Add actions to this rule';
$string['after'] = 'On or after';
$string['archive'] = 'Archive';
$string['archived'] = 'Archived';
$string['archivedrules'] = 'Archived rules';
$string['archiverule'] = 'Archive rule \'{$a}\\';
$string['availableplaceholders'] = 'Available placeholders';
$string['before'] = 'Before';
$string['body'] = 'Body';
$string['broken'] = 'Broken';
$string['cachedef_eventsubscriptions'] = 'This stores the list of event subscriptions for rule conditions.';
$string['cannotenablecomponentrule'] = 'Cannot enable rule \'{$a}\' unless it has actions and doesn\'t contain any errors.';
$string['cannotenablerule'] = 'Cannot enable rule \'{$a}\' unless it has conditions, actions and doesn\'t contain any errors.';
$string['cohort'] = 'Cohort';
$string['conditioncohortmember'] = 'User is member of cohort';
$string['conditioncohortmemberdescription'] = 'Users who are members of cohort \'{$a}\\';
$string['conditioncohortmemberdescriptionwithdate'] = 'Users who are members of cohort \'{$a->name}\'<br />
Added to cohort on or after: \'{$a->conditiondate}\\';
$string['conditioncohortnotmember'] = 'User is not member of cohort';
$string['conditioncohortnotmemberdescription'] = 'Users who are not members of cohort \'{$a}\\';
$string['conditioncoursecompleted'] = 'Course completed';
$string['conditioncoursecompleteddescription'] = 'Users who have completed course \'{$a}\\';
$string['conditioncoursecompleteddescriptionwithdate'] = 'Users who have completed course \'{$a->coursename}\'<br />
Completion date on or \'{$a->datetype}\': \'{$a->conditiondate}\\';
$string['conditioncoursenotcompleted'] = 'Course not completed';
$string['conditioncoursenotcompleteddescription'] = 'Users who have not completed course \'{$a}\\';
$string['conditionisbroken'] = 'This condition contains an error.';
$string['conditionisnotavailable'] = 'This condition is not available.';
$string['conditionnotsaved'] = 'Condition is not saved.';
$string['conditions'] = 'Conditions';
$string['conditionuserenrolled'] = 'User enrolled';
$string['conditionuserenrolleddescription'] = 'Users who are enrolled in course \'{$a->course}\'<br />
Enrolment method: \'{$a->enrol}\\';
$string['conditionuserenrolleddescriptionwithdate'] = 'Users who are enrolled in course \'{$a->course}\'<br />
Enrolment method: \'{$a->enrol}\'<br />
Enrolment start date on or after: \'{$a->conditiondate}\\';
$string['conditionuserlastlogin'] = 'User last login';
$string['conditionuserlastlogindescriptionbefore'] = 'Users who last logged in over {$a} ago';
$string['conditionuserlastlogindescriptionever'] = 'Users who have logged in at least once';
$string['conditionuserlastlogindescriptioninlast'] = 'Users who logged in during the last {$a}';
$string['conditionuserlastlogindescriptionnever'] = 'Users who have never logged in';
$string['conditionusernotenrolled'] = 'User not enrolled';
$string['conditionusernotenrolleddescription'] = 'Users who are not enrolled in course \'{$a->course}\'<br />
Enrolment method: \'{$a->enrol}\\';
$string['conditionusernotenrolleddescriptionwithenrol'] = 'Users who are not enrolled in course \'{$a->course}\' with enrolment method \'{$a->enrol}\\';
$string['conditionuserprofilefield'] = 'User profile field';
$string['conditionuserprofilefielddescription'] = 'Users whose value for profile field \'{$a->fieldname}\' is \'{$a->fieldvalue}\\';
$string['conditionuserprofilefielddescriptiontext'] = 'Users whose value for profile field \'{$a->fieldname}\' {$a->fieldvalue}';
$string['confirmarchiverule'] = 'Are you sure you want to archive the rule \'{$a}\'? Archived dynamic rules will be still be available for current and future reports.';
$string['confirmdeletecondition'] = 'Are you sure you want to delete the condition \'{$a}\' and all associated data? This action cannot be undone.';
$string['confirmdeleteoutcome'] = 'Are you sure you want to delete the action \'{$a}\' and all associated data? This action cannot be undone.';
$string['confirmdeleterule'] = 'Are you sure you want to delete the rule \'{$a}\' and all associated data? This action cannot be undone.';
$string['confirmdisableruleforedit'] = 'This rule will be automatically disabled to be edited.';
$string['confirmduplicaterule'] = 'Are you sure you want to duplicate the rule \'{$a}\'?';
$string['confirmeditrule'] = 'Since some users matched this rule in the past, you will be only able to edit rule actions. You might consider duplicating it to modify its conditions';
$string['confirmenablecomponentrule'] = 'Are you sure you want to enable this rule? Enabling it will affect {$a} users.';
$string['confirmenablerule'] = 'Conditions will be locked when at least one user is affected by this rule. Are you sure you want to enable this rule?';
$string['countmatchingusers'] = '{$a} total matches';
$string['courseinternalid'] = 'Internal course ID used in URLs';
$string['courseurl'] = 'Course URL';
$string['date'] = 'Date';
$string['datetypeever'] = 'Ever';
$string['datetypeinlast'] = 'In last';
$string['datetypenever'] = 'Never';
$string['datetypenone'] = 'Not set';
$string['datetypepast'] = 'Over';
$string['deletecondition'] = 'Delete condition';
$string['deleteoutcome'] = 'Delete action';
$string['deleterule'] = 'Delete rule \'{$a}\\';
$string['details'] = 'Details';
$string['disablerule'] = 'Disable rule \'{$a}\\';
$string['duplicate'] = 'Duplicate';
$string['duplicaterule'] = 'Duplicate rule \'{$a}\\';
$string['during'] = 'during';
$string['dynamicrule:manage'] = 'Manage dynamic rules';
$string['editactions'] = 'Edit actions of rule \'{$a}\\';
$string['editanyway'] = 'Edit anyway';
$string['editcondition'] = 'Edit condition';
$string['editdetails'] = 'Edit details of rule \'{$a}\\';
$string['editdetailsbutton'] = 'Edit details';
$string['editoutcome'] = 'Edit action';
$string['editrule'] = 'Edit rule \'{$a}\\';
$string['editrulename'] = 'Edit name of rule \'{$a}\\';
$string['enable'] = 'Enable';
$string['enablehelp'] = 'enabling rule';
$string['enablehelp_help'] = 'A rule requires at least one condition and one action to be enabled. Also conditions or actions should not contain errors.';
$string['enablehelpmodal'] = 'enabling rule';
$string['enablehelpmodal_help'] = 'A rule requires at least one action to be enabled.';
$string['enablerule'] = 'Enable rule \'{$a}\\';
$string['errorcannotcreate'] = 'You don\'t have permission to create rules';
$string['errorcannotmanage'] = 'You don\'t have permission to manage this rule';
$string['errorinvalidbody'] = 'Invalid notification body';
$string['errorinvalidcohort'] = 'Invalid cohort';
$string['errorinvalidcourse'] = 'Invalid course';
$string['errorinvalidoperator'] = 'Invalid operator. Only before and after are allowed.';
$string['errorinvalidsubject'] = 'Invalid notification subject';
$string['errorinvaliduserlastlogin'] = 'Invalid last login date';
$string['errorinvaliduserlastlogintype'] = 'Invalid last login type';
$string['errorinvaliduserprofilefield'] = 'Invalid profile field';
$string['errorinvaliduserprofilefieldvalue'] = 'Invalid profile field value';
$string['ever'] = 'ever';
$string['field'] = 'Field';
$string['general'] = 'General';
$string['lastlogin'] = 'The user\'s last login was';
$string['lastlogin_help'] = 'You can select a date relative to the current date or users who have never logged in.';
$string['limitreached'] = 'Dynamic rules limit reached';
$string['limitreacheddescr'] = 'You have reached the limit for the number of dynamic rules on this site. Please note that archived rules are also counted towards this limit.';
$string['limitreachednumdescr'] = 'You can only create {$a} dynamic rule(s) on this site. Please note that archived rules are also counted towards this limit.';
$string['managebadges'] = 'Manage badges';
$string['managecompetencies'] = 'Manage competencies';
$string['managerules'] = 'Manage rules';
$string['match'] = 'Match';
$string['matchedtime'] = 'Matched time';
$string['matchlimitinvalid'] = 'Rule needs to be triggered at least once.';
$string['messageprovider:notificationoutcome'] = 'Notification action for dynamic rule tool';
$string['newnameforrule'] = 'New name for rule \'{$a}\\';
$string['newrule'] = 'New rule';
$string['noavailablecohorts'] = 'There are no available cohorts';
$string['noruleconditions'] = 'No conditions on this rule';
$string['noruleoutcomes'] = 'No actions on this rule';
$string['notifymanagers'] = 'Notify manager of the users who matched conditions';
$string['notifyowner'] = 'Notify owner of the rule';
$string['onorafter'] = 'on or after';
$string['operator'] = 'Condition';
$string['operatorafter'] = 'After';
$string['operatorbefore'] = 'Before';
$string['outcomebadge'] = 'Award badge';
$string['outcomebadgedescription'] = 'Award badge \'{$a}\' to users';
$string['outcomecompetency'] = 'Award competency';
$string['outcomecompetencydescription'] = 'Award competency \'{$a}\' to users';
$string['outcomeisbroken'] = 'This action contains an error.';
$string['outcomeisnotavailable'] = 'This action is not available.';
$string['outcomenotification'] = 'Notification';
$string['outcomenotificationdescription'] = 'Send notification \'{$a}\' to users';
$string['outcomenotsaved'] = 'Action is not saved.';
$string['outcomes'] = 'Actions';
$string['per'] = 'per';
$string['placeholdersdesc'] = 'Placeholders';
$string['placeholdersdesc_help'] = 'Placeholders allow you to add a dynamic content, e.g. {{userfullname}} placeholder will be replaced with a user full name in the notification delivered to user.';
$string['pluginname'] = 'Dynamic rules';
$string['previewcoursefullname'] = 'Course full name';
$string['previewcourseshortname'] = 'Course short name';
$string['privacy:metadata:tool_dynamicrule_match'] = 'Information about user matches to particular rule conditions. As a result of matching user is affected by actions defined in the rule.';
$string['privacy:metadata:tool_dynamicrule_match:matchedtime'] = 'Timestamp indicating when user has been matched to rule conditions.';
$string['privacy:metadata:tool_dynamicrule_match:ruleid'] = 'The ID of the rule.';
$string['privacy:metadata:tool_dynamicrule_match:unmatchedtime'] = 'Timestamp indicating when user is no longer matching rule condition after action has been applied.';
$string['privacy:metadata:tool_dynamicrule_match:userid'] = 'The ID of the user that has been matched to rule conditions.';
$string['reg_wpdynamicrules'] = 'Number of dynamic rules ({$a})';
$string['reportmatchingusers'] = 'Report with users matching a dynamic rule';
$string['reportrulematches'] = 'Report with users that matched and didn\'t match a dynamic rule';
$string['reportruleslist'] = 'System report for rules list';
$string['rolemanager'] = 'Dynamic rules manager';
$string['rolemanagerdescription'] = 'Allows to create and manage dynamic rules within the current tenant';
$string['ruledisabled'] = 'This rule is disabled.';
$string['ruleisbroken'] = 'This rule is broken. At least one of its conditions or actions is broken.';
$string['rulematchfreq'] = 'Rule action limits';
$string['rulematchfreqdesc0'] = 'Can\'t be applied more than';
$string['rulematchfreqdesc1'] = 'times';
$string['rulematchfreqenable'] = 'Limit the number of times actions are applied to each user';
$string['rulematchfreq_help'] = 'As soon as users match the rule conditions, the actions will be applied to them. These actions will not apply again if users continue to match the conditions. However, if a user stops matching and then matches again, the actions may be applied again. This setting defines the maximum number of times actions should apply.';
$string['rulename'] = 'Name';
$string['rulenotfound'] = 'Rule was not found.';
$string['select'] = 'Select';
$string['selectbadge'] = 'Select badge';
$string['selectbadge_help'] = 'Select badge to issue';
$string['selectcompetency'] = 'Select competency';
$string['selectcompetency_help'] = 'Select competencies to issue';
$string['subject'] = 'Subject';
$string['taskprocessrules'] = 'Process rules';
$string['timeadded'] = 'Added to cohort on or after this date and time';
$string['timecompleted'] = 'Completion date and time is on or after';
$string['timeenrolled'] = 'Enrolment start date and time is on or after';
$string['toomanybadgestoshow'] = 'Too many badges to show';
$string['unarchiverule'] = 'Unarchive rule \'{$a}\\';
$string['unmatchedtime'] = 'Unmatched time';
$string['userplaceholders'] = 'User placeholders';
$string['value'] = 'Value';
$string['viewmatchingusers'] = 'View matching users';
$string['viewreport'] = 'View report for \'{$a}\\';
$string['warningchangeswillnotapplymatchedusers'] = 'The changes will not apply to users that matched this rule in the past';
