<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_moodledt', language 'en', branch 'MOODLE_27_STABLE'
 *
 * @package   tool_moodledt
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['action_label'] = 'Action:';
$string['bookmarks_add'] = 'Add to bookmark';
$string['bookmarks_del'] = 'Remove from bookmark';
$string['bookmarks_del_all'] = 'Delete all';
$string['bookmarks_empty'] = 'No save plugin in bookmark.';
$string['bookmarks_header'] = 'Bookmarks';
$string['bookmarks_header_help'] = '<p>The bookmark is to insert links to plugin for quick access.</p><p>To edit your bookrmarks click the button <b>Blocks editing on</b> to open the edit mode.</p>';
$string['date_modified'] = 'From:';
$string['date_modified_help'] = '<p>Select the date you want to filter the files by their modification.</p>';
$string['description_label'] = 'Description:';
$string['execute_button'] = 'Execute';
$string['files'] = 'Files';
$string['files_label'] = 'Files:';
$string['files_text'] = 'files';
$string['index_description'] = 'This tool analyzes the lack of the index.html file in the plugin folder.';
$string['index_empty'] = 'All folders containing the file index.';
$string['index_fix'] = 'Correct Folders';
$string['index_fix_help'] = '<p>This operation will insert a index.php file in each folder indicated.</p><p><em>Warning: this operation can not be undone by this tool.</em></p>';
$string['index_fix_ok'] = 'The index has been inserted in all folders successfully.';
$string['index_header'] = 'Index in Folders';
$string['index_label'] = 'Folders without index:';
$string['index_option'] = 'Index of Folders';
$string['in_file_empty'] = 'All tags in use in scripts.';
$string['in_file_header'] = 'Tags not use in scripts';
$string['in_file_text'] = '<b>{$a}</b> tags not in use.';
$string['lang_default_label'] = 'Default:';
$string['lang_default_label_help'] = '<p>Select the default language that will be the basis of comparison with the other languages of the plugin.</p>';
$string['language_description'] = 'This tool analyzes the language packs in search of inconsistencies in the supported languages.';
$string['language_option'] = 'Languages Analize';
$string['languages_label'] = 'Languages:';
$string['last_mod_label'] = 'Last Modified:';
$string['lines_header'] = 'Lines in language files';
$string['lines_text'] = 'lines';
$string['name_label'] = 'Name:';
$string['ok_text'] = 'Ok';
$string['package_description'] = 'This tool creates a package with all the plugin files selected.<br>Note:. Unnecessary files will not be included.';
$string['package_header'] = 'Package Files';
$string['package_label'] = 'Package:';
$string['package_option'] = 'Package Plugin';
$string['package_type'] = 'Compression:';
$string['package_type_help'] = '<p>Choose the compression type to export the package plugin.</p><p>Some types preserve the properties of the files.</p>';
$string['path_label'] = 'Path:';
$string['plugin_description'] = '<br>This plugin is a set of tools to assist in developing plugins in Moodle.<br><br>Note: This plugin is in beta stage of development.<br><br>';
$string['plugin_header'] = 'Plugin';
$string['pluginname'] = 'MoodleDT - Development Tools Plugins for Moodle';
$string['select_button'] = 'Select';
$string['tags_empty'] = 'No more language files for compare.';
$string['tags_header'] = 'Tags not found in language files';
$string['tags_order'] = 'Tags Order';
$string['tags_order_help'] = '<p>This operation will put all tags in the language files in order.</p><p><em>Please note if you have other non-standard information in this file may be lost, but the comments remain up top.</em></p>';
$string['tags_order_ok'] = 'The tags were ordered successfully in the language files.';
$string['title_label'] = 'Title:';
$string['tool_header'] = 'Tool';
$string['type_label'] = 'Type:';
$string['update_files_description'] = 'This tool creates a package with the modified files of the selected plugin.<br>Note:. Unnecessary files will not be included.';
$string['update_files_empty'] = 'There are no files modified date.';
$string['update_files_header'] = 'Package Update File';
$string['update_files_option'] = 'Changed Files Package';
$string['version_label'] = 'Version:';
