<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_wp', language 'en', branch 'MOODLE_38_STABLE'
 *
 * @package   tool_wp
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activitycompletion'] = 'Activity completion';
$string['alldata'] = 'All data';
$string['confighideparentlang'] = 'Hide Workplace parent packs';
$string['confighideparentlangdesc'] = 'If enabled, the parent of any installed Workplace language pack is not displayed in the language menu. For example, \'English (en)\' is not displayed if \'English for Workplace (en_wp)\' is installed.';
$string['copiedtoclipboard'] = 'Text copied to clipboard';
$string['copytoclipboard'] = 'Copy to clipboard';
$string['coursereset'] = 'Course reset for individual user';
$string['coursesadmintab'] = 'Learning';
$string['entitycoursereset'] = 'Course reset data';
$string['eventcoursemodulereset'] = 'Course module reset for individual user';
$string['eventcoursereset'] = 'Course reset for individual user';
$string['grade'] = 'Grade';
$string['invaliddevice'] = 'You are trying to access a Moodle Workplace site using the Moodle app. Please download the Moodle Workplace app to continue';
$string['loading'] = 'Loading...';
$string['nopermissionform'] = 'You don\'t have permission to access this form.';
$string['nopermissiontab'] = 'You don\'t have permission to access this page.';
$string['nothing'] = 'Nothing';
$string['notpossible'] = 'Not possible';
$string['outcomes'] = 'Outcomes';
$string['performanceinfo'] = 'Tab performance information (DB reads/writes: {$a->reads}/{$a->writes})';
$string['pluginname'] = 'Workplace';
$string['privacy:metadata:certificationid'] = 'The certification id where this course comes from.';
$string['privacy:metadata:courseid'] = 'The course that was reseted.';
$string['privacy:metadata:grade'] = 'Grade the user had on the course before it was reseted.';
$string['privacy:metadata:programid'] = 'The program id where this course comes from.';
$string['privacy:metadata:reason'] = 'The reason why this course was reseted.';
$string['privacy:metadata:resetinfo'] = 'Information about what has been reset in the course.';
$string['privacy:metadata:resetstatus'] = 'Status of the reset.';
$string['privacy:metadata:timecreated'] = 'The creation time.';
$string['privacy:metadata:timemodified'] = 'The modified time.';
$string['privacy:metadata:timerequested'] = 'Time were reset was requested.';
$string['privacy:metadata:tool_wp_course_reset'] = 'Course reset.';
$string['privacy:metadata:userid'] = 'The user that had the course reseted.';
$string['privacy:metadata:usermodified'] = 'The user modified.';
$string['privacy:metadata:userrequested'] = 'User who requested the course reset.';
$string['privacy:metadata:wascompleted'] = 'If course was completed by user before reset.';
$string['processing'] = 'Processing';
$string['reason'] = 'Reason for reset';
$string['reg_moodleproduct'] = 'Moodle product ({$a})';
$string['reg_wpactiveusers'] = 'Number of unique users who logged in last month ({$a})';
$string['reg_wpparticipantnumberaverage'] = 'Average number of active participants last month ({$a})';
$string['reg_wpplugins'] = 'List of installed and enabled plugins, number of instances ({$a})';
$string['resetinfo'] = 'Reset information';
$string['resetstatus'] = 'Reset status';
$string['timerequested'] = 'Time requested';
$string['timereseted'] = 'Time reset';
$string['userrequested'] = 'User who requested';
$string['viewlicense'] = 'View license';
$string['wascompleted'] = 'Was completed';
$string['workplacelicense'] = 'Moodle Workplace™ Code is dual-licensed under the terms of both the single GNU General Public Licence version 3.0, dated 29 June 2007 ("GPL") and the terms of the proprietary Moodle Workplace Licence ("MWL") strictly controlled by Moodle Pty Ltd and its certified premium partners. Wherever conflicting terms exist, the terms of the MWL are binding and shall prevail.

The Moodle® open software package governed by GPL is subject to copyright protection from 1999 onwards by Martin Dougiamas with portions contributed/copyrighted by other contributors. It can be freely downloaded at "download.moodle.org". Such Moodle® open software and corresponding documentation are distributed in the hope that they will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.

By accessing Moodle Workplace™ that is governed by the MWL you agree that you have signed an MWL with Moodle Pty Ltd ensuring (among other things) that you:

- will not possess the Moodle Workplace™ Code without being subject to the terms of the MWL;
- will cease using Moodle Workplace™ and immediately delete all copies of the Moodle Workplace™ Code from your servers and any computers under your control if you are no longer a client of a Moodle Certified Premium Partner. You must confirm this in writing to Moodle within 7 days of such event occurring;
- will not distribute copies of Moodle Workplace™ Code to any third party not a party to the MWL that you have signed and you must indemnify Moodle for any loss suffered by Moodle due to failure by you to comply with the MWL;
- agree that any improvements to Moodle Workplace™ Code must be explicitly shared with Moodle Pty Ltd and its certified premium partners, with such rights in the improvements assigned to Moodle Pty Ltd thereby allowing Moodle Pty Ltd full rights to include such improvements in future versions of Moodle Workplace™ Code.
- indemnify and hold both Moodle Pty Ltd and its certified premium partners harmless for any damages, fines, penalties, or other liability arising out of any data input by you and your end users.

Moodle Workplace™ websites may include a tracking pixel for statistical purposes and compliance monitoring. No personal data is collected or processed, only the site URL.

This is a summary only: for the full terms of the MWL please refer to the MWL you have signed.';
$string['workplacelicenseheader'] = 'Moodle Workplace license';
$string['workplacelicensenotagreed'] = 'Sorry, you can not view this contents until the site administrator agrees to the Moodle Workplace license.';
