<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'turnitintool', language 'en', branch 'MOODLE_35_STABLE'
 *
 * @package   turnitintool
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addcomment'] = 'Add Comment';
$string['addeditcomment'] = 'Add / Edit Comment';
$string['addsubmission'] = 'Add Submission';
$string['add_turnitintool'] = 'Add Turnitin assignment';
$string['advancedoptions'] = 'Turnitin Advanced Options';
$string['allowlate'] = 'Allow Late Submissions';
$string['allowlate_help'] = 'This setting allows the instructor to select whether they will allow late submissions to the assignment. If set to yes, students will be able to submit to the assignment after the due date if they have not previously made a submission. If set to no, students will not be able to submit after the due date of the assignment.';
$string['allstudents'] = 'All Students';
$string['allsubmissions'] = 'Submission Inbox';
$string['allsubmissionsmade'] = 'All possible submissions have been made';
$string['alreadysubmitted'] = 'Submission was not accepted as that assignment part has already been submitted to.';
$string['anon'] = 'Anonymous';
$string['anonenabled'] = 'Anonymous Marking Enabled';
$string['anytype'] = 'Any Submission Type';
$string['apiunavailable'] = 'Turnitin API Base URL incorrect or unavailable';
$string['assigndtdue'] = 'Assignment Due Date';
$string['assigndtpost'] = 'Assignment Post Date';
$string['assigndtstart'] = 'Assignment Start Date';
$string['assigngeterror'] = 'Could not get turnitintool data';
$string['assignmentdeleteprocess'] = 'Deleting Assignment Part {$a}';
$string['assignmentdoesnotexist'] = 'The assignment does not exist in Turnitin';
$string['assignmentindividualise'] = 'Processing Assignment Part {$a}';
$string['assignmentprocess'] = 'Initialising Assignment Part {$a}';
$string['assignmentupdate'] = 'Updating Assignment Part {$a}';
$string['autorefreshgrades'] = 'Auto Refresh Grades / Scores';
$string['autorefreshgrades_help'] = 'By default after each call to Turnitin the Moodle integration plug in will attempt to automatically pull down changes made while in within Turnitin. You can use this option to turn off this feature, however in order to maintain synchronisation between both systems you will need to frequently manually refresh grades and originality scores from within Moodle.';
$string['autosubmit'] = 'Auto Submit';
$string['autosubmit_help'] = 'To automatically submit user submissions to Turnitin upon upload set this option to &#39;Submit to Turnitin Immediately on Upload&#39;. Alternatively you can set the option to require the submission to be stored in Moodle and manually uploaded to Turnitin by selecting the option &#39;Review Upload before Submitting to Turnitin&#39;.';
$string['autosubmitoff'] = 'Review Upload before Submitting to Turnitin';
$string['autosubmiton'] = 'Submit to Turnitin Immediately on Upload';
$string['bulkupload'] = 'Bulk Upload Submissions';
$string['ced'] = 'Class End Date';
$string['changeowner'] = 'Change Owner...';
$string['changingowner'] = 'Change Turnitin Class Owner';
$string['characters'] = 'Characters';
$string['classcreationerror'] = 'Turnitin Class creation failed';
$string['classprocess'] = 'Processing Class Data';
$string['classupdateerror'] = 'Could not update Turnitin Class data';
$string['comment'] = 'Comment';
$string['commentby'] = 'Comment By';
$string['commentdeleteerror'] = 'Could not delete comment from database';
$string['commenteditwindow'] = 'Comments Remain Editable';
$string['commenteditwindow_help'] = 'This option allows you to set the window of time in which a user may edit the comments they make regarding a submission. Users with the ability to grade submissions e.g. tutors, may change their own comments at any time.';
$string['commentgeterror'] = 'Could not get comment from database';
$string['commentsgeterror'] = 'Error retreiving comments data';
$string['commentssettings'] = 'Comments Settings';
$string['configureerror'] = 'You must configure this module fully as Administrator before using it within a course. Please contact your Moodle administrator.';
$string['connecttest'] = 'Run Connectivity Test';
$string['connecttestcommerror'] = 'Could not connect to Turnitin. Double check your API URL setting.';
$string['connecttesterror'] = 'There was an error connecting to Turnitin the return error message is below:<br /><br /><i><b>{$a}</b></i>';
$string['connecttesting'] = 'Running Connectivity Test';
$string['connecttestsuccess'] = 'Moodle has successfully connected to Turnitin.';
$string['connecttimeouterror'] = 'Could not connect to Turnitin / connection timed out. Please try again.';
$string['copyassigndata'] = 'Copy Turnitin Assignment Data';
$string['copyassigndataerror'] = 'Copy Turnitin Assignment Data Error';
$string['copyrightagreement'] = 'By checking this box, I confirm that this submission is my own work and I accept all responsibility for any copyright infringement that may occur as a result of this submission.';
$string['correctingovergrade'] = 'Correcting Overgraded Paper';
$string['coursegeterror'] = 'Could not get course data';
$string['courseiderror'] = 'Course ID is incorrect';
$string['created'] = 'Created';
$string['dateformat'] = 'Date Format';
$string['dateformat_help'] = 'Use this setting to set the date format used to display dates to users.';
$string['defaultdtdue'] = 'Default Due Date';
$string['defaultdtpost'] = 'Default Post Date';
$string['defaultdtstart'] = 'Default Start Date';
$string['defaults'] = 'Default settings';
$string['defaults_desc'] = 'The following settings will be the default settings used for new instances of the Moodle Direct Turnitin Assignment';
$string['defaultsoverwrite'] = 'Overwrite Dates';
$string['defaultsoverwrite_help'] = 'This setting will be displayed when updating an assignment. Selecting yes here will reset the assignment start date, due date and post date for all assignment parts to be the same as the values you enter in the default date settings.';
$string['deletable'] = 'Deletable';
$string['delete'] = 'Delete';
$string['deletecomment'] = 'Delete Comment';
$string['deletecommentconfirm'] = 'Are you sure you want to delete this comment?\\n\\nThis can not be undone.';
$string['deleteconfirm'] = 'Are you sure you want to delete this submission?\\n\\nThis action cannot be undone.';
$string['deleteerror'] = 'Deletion Error';
$string['deletesubmission'] = 'Delete Submission';
$string['delete_turnitintool'] = 'Delete Turnitin assignment';
$string['deletingsubmission'] = 'Deleting Turnitin Submission';
$string['displaygradesas'] = 'Grade Display';
$string['displaygradesasfraction'] = 'Show grades as Fraction (e.g. 89/100)';
$string['displaygradesas_help'] = 'This option sets the display mode for grades the options are display as a percentage or display as a fraction ie 45/60.';
$string['displaygradesaspercent'] = 'Show grades as Percentage (e.g. 89&#37;)';
$string['dorequesterror'] = 'Could not process page request';
$string['downloadexport'] = 'Export';
$string['downloadgradexls'] = 'Grade Export (XLS)';
$string['downloadingfile'] = 'Downloading File';
$string['downloadingfileerror'] = 'Error Downloading File';
$string['downloadorigzip'] = 'ZIP File (Original Format)';
$string['downloadpdfzip'] = 'ZIP File (PDF)';
$string['downloadsubmission'] = 'Download Submission';
$string['dtdue'] = 'Due Date';
$string['dtpost'] = 'Post Date';
$string['dtstart'] = 'Start Date';
$string['duplicatesfound'] = 'Duplicate copies of the same Turnitin assignments were found, duplicates occur when one or more Moodle Direct assignment is connected to the same one Turnitin assignment via the Turnitin API. This is known to cause issues, most notably submissions made to one of the duplicates will show up in the submission inbox of the others. To fix this you should either delete the duplicate assignments or reset the course where the duplicate assignments are.<br /><br />The following duplicates were found:';
$string['edit'] = 'Edit';
$string['editcomment'] = 'Edit Comment';
$string['edituntil'] = 'Post can be deleted or edited until';
$string['editwindow'] = 'Editable For';
$string['enablepseudo'] = 'Enable Student Privacy';
$string['enablepseudo_desc'] = 'If this option is selected student email addresses will be transformed into a pseudo equivalent for Turnitin API calls.<br /><i>(<b>Note:</b> This option can not be changed if any Moodle user data has already been synched with Turnitin)</i>';
$string['erater'] = 'Enable e-rater grammar check';
$string['erater_categories'] = 'e-rater Categories';
$string['erater_dictionary'] = 'e-rater Dictionary';
$string['erater_dictionary_en'] = 'Both US and UK English Dictionaries';
$string['erater_dictionary_engb'] = 'UK English Dictionary';
$string['erater_dictionary_enus'] = 'US English Dictionary';
$string['erater_grammar'] = 'Grammar';
$string['erater_handbook'] = 'ETS&copy Handbook';
$string['erater_handbook_advanced'] = 'Advanced';
$string['erater_handbook_elementary'] = 'Elementary School';
$string['erater_handbook_highschool'] = 'High School';
$string['erater_handbook_learners'] = 'English Learners';
$string['erater_handbook_middleschool'] = 'Middle School';
$string['erater_help'] = 'When this setting is enabled, submissions viewed within GradeMark will also contain feedback marks for grammar and other writing traits.';
$string['erater_mechanics'] = 'Mechanics';
$string['erater_spelling'] = 'Spelling';
$string['erater_style'] = 'Style';
$string['erater_usage'] = 'Usage';
$string['estimatingtime'] = 'Estimating Time Remaining';
$string['excludebiblio'] = 'Exclude Bibliography';
$string['excludebiblio_help'] = 'This setting allows the instructor to choose to exclude text appearing in the bibliography, works cited, or references sections of student papers from being checked for matches when generating Originality Reports. This setting can be overridden in individual Originality Reports.';
$string['excludepercent'] = 'Percent';
$string['excludequoted'] = 'Exclude Quoted Material';
$string['excludequoted_help'] = 'This setting allows the instructor to choose to exclude text appearing in the quotes from being checked for matches when generating Originality Reports. This setting can be overridden in individual Originality Reports.';
$string['excludevalue'] = 'Exclude Small Matches';
$string['excludevalue_help'] = 'This setting allows the instructor to choose to exclude matches that are not of sufficient length (determined by the instructor) from being considered when generating Originality Reports. This setting can be overridden in individual Originality Reports.';
$string['excludewords'] = 'Words';
$string['feedback'] = 'Comments';
$string['file'] = 'File';
$string['filebrowser'] = 'Moodle Direct File Browser';
$string['filedeleteconfirm'] = 'Are you sure you want to delete this file? This action cannot be undone.';
$string['filename'] = 'Filename';
$string['filenotfound'] = 'File for submission was not found on Moodle server, it may be corrupt or missing. This Turnitin submission attempt will be deleted.';
$string['files'] = 'Files';
$string['filetosubmit'] = 'File to Submit';
$string['filetosubmit_help'] = 'When submitting a file to an assignment part, browse your computer for the file to upload using this form element.';
$string['fileupload'] = 'File Upload';
$string['fileuploaderror'] = 'File Upload Error';
$string['filewriteerror'] = 'Could not write data to file';
$string['genduedate'] = 'Generate reports on due date';
$string['generalsettings'] = 'General Settings';
$string['genimmediately1'] = 'Generate reports immediately, first report is final';
$string['genimmediately2'] = 'Generate reports immediately, reports can be overwritten until due date';
$string['genspeednote'] = 'Note: Originality Report generation for resubmissions is subject to a twenty-four hour delay.';
$string['goback'] = 'Go Back';
$string['gradessettings'] = 'Grading Settings';
$string['hideall'] = 'Hide All';
$string['hidesubmissions'] = 'Hide Submissions';
$string['hours'] = 'Hours';
$string['hrs'] = 'Hrs';
$string['inactive'] = 'Inactive';
$string['inserterror'] = 'Insert Error';
$string['institutionalrepository'] = 'Institutional Repository (Where Applicable)';
$string['instructor'] = 'Instructor';
$string['internetcheck'] = 'Check against internet';
$string['internetcheck_help'] = 'This setting allows the instructor to select which Turnitin repositories students\\&#39; submissions will be checked against when processing Originality Reports for papers. The similarity index percentage may decrease if a repository option is de-selected.';
$string['joiningclass'] = 'Joining Turnitin Class {$a}';
$string['journalcheck'] = 'Check against journals,<br />periodicals and publications';
$string['journalcheck_help'] = 'This setting allows the instructor to select which Turnitin repositories students\\&#39; submissions will be checked against when processing Originality Reports for papers. The similarity index percentage may decrease if a repository option is de-selected.';
$string['list_turnitintool'] = 'List Turnitin assignments';
$string['marks'] = 'Marks';
$string['matches'] = 'Matches';
$string['maxcommenterror'] = 'This comment is too long ({$a->actual} characters). Maximum characters allowed {$a->allowed}.';
$string['maxcommentjserror'] = 'This comment is too long. Maximum characters allowed {$a}.';
$string['maxcommentsize'] = 'Maximum Comment Length';
$string['maxcommentsize_help'] = 'This option sets the maximum number of characters allowed in a comment. The default setting for this option is 800 characters.';
$string['maxfilesize'] = 'Maximum File Size';
$string['maxfilesize_help'] = 'This setting determines the maximum file size for user submissions to each assignment part. The maximum value you can set this value to is dictated by the value set in course settings, this value is further capped to a maximum file size of 40Mb which is the maximum allowed filesize for file uploads to Turnitin.';
$string['maxlength'] = 'The maximum length for {$a->field} is {$a->length} characters';
$string['maxmarks'] = 'Max Marks';
$string['mins'] = 'Mins';
$string['minutes'] = 'Minutes';
$string['modulename'] = 'Turnitin Assignment';
$string['modulename_help'] = 'Creates a Turnitin Moodle Direct assignment which links an activity in Moodle to an assignment / assignments on Turnitin. Once linked, the activity allows instructors to assess and provide feedback for student&#39;s written work using the assessment tools available within Turnitin&#39;s Document Viewer.';
$string['modulenameplural'] = 'Turnitin Assignments';
$string['moduleversion'] = 'Version';
$string['moodle2only'] = 'This feature is supported by Moodle 2+ only.';
$string['moreallowed'] = 'More Allowed';
$string['mysubmissions'] = 'My Submissions';
$string['namedparts'] = 'Named Parts';
$string['no'] = 'No';
$string['nocommenterror'] = 'You must enter a comment';
$string['nocomments'] = 'There are no comments for this submission';
$string['noenrolledstudents'] = 'There are currently no students enrolled in this course';
$string['nogrademark'] = 'No, use Moodle to grade submissions';
$string['nogrades'] = 'No, I will refresh originality scores and grades manually';
$string['nolimit'] = 'No Limit';
$string['nonmoodlestudents'] = 'Non Moodle Students';
$string['nonmoodleuser'] = 'Non Moodle User';
$string['nonorsubmission'] = 'Non OR Submission';
$string['norepository'] = 'No Repository';
$string['nosubmission'] = 'No Submission';
$string['nosubmissions'] = 'No submissions have been made';
$string['nosubmissionsdue'] = 'There are no active parts to this assignment i.e. due dates have passed or start dates have not been met.';
$string['notavailableyet'] = 'Not available';
$string['notes'] = 'Comments and Feedback';
$string['notyetsubmitted'] = 'Not Yet Submitted';
$string['numberofparts'] = 'Number of Parts';
$string['numberofparts_help'] = 'Allows for the creation of a multi part assignment, individual users may submit one piece of work to each part.';
$string['objectid'] = 'Paper ID';
$string['of'] = 'of';
$string['oneclasspercourse'] = 'There was an error linking your Turnitin Class. You can have only one Turnitin Class associated with one Moodle Course, and no two Moodle courses may link to the same Turnitin Class.';
$string['onepartdeleteerror'] = 'You can not delete the only part of an assignment';
$string['options'] = 'Options';
$string['optionsupdateerror'] = 'Could not update options data';
$string['optionsupdatesaved'] = 'Successfully updated options data';
$string['overallgrade'] = 'Overall Grade';
$string['overallgrade_help'] = 'The overall grade determines the maximum allowed grade for the overall assignment, each part of an assignment has a maximum mark allocated which is used to proportionally distribute the grades in order to determine the overall grade.';
$string['partdberror'] = 'There was a problem entering Part {$a} into the database<br />';
$string['partdeleteerror'] = 'Could not delete assignment part data';
$string['partdeletewarning'] = 'The assignment part you are trying to delete contains submissions. You will lose these submissions if you delete this assignment part.\\n\\nAre you sure you want to continue?';
$string['partdueerror'] = 'Start date must be before post date.<br />';
$string['parterror'] = 'There were errors with your entries:<br /><br />';
$string['partgeterror'] = 'Could not get assignment part data';
$string['partmarkserror'] = 'Marks must be a number.<br />';
$string['partname'] = 'Assignment Part';
$string['partnameerror'] = 'Part name can not left blank.<br />';
$string['partnames'] = 'Assignment Parts';
$string['partnames_help'] = '<p>Determines whether the Parts of this assignment are Named Parts or this assignment is a Portfolio assignment.</p>';
$string['partnaming'] = 'Part Names';
$string['partstarterror'] = 'Start date must be before due date.<br />';
$string['partweighterror'] = 'Part {$a} weight can not be blank<br />';
$string['pending'] = 'Pending';
$string['permissiondeniederror'] = 'You do not have the correct permission to complete the requested action';
$string['pleasenote'] = 'Please Note';
$string['pluginadministration'] = 'Turnitin Assignment Administration';
$string['pluginname'] = 'Turnitin Assignment';
$string['portfolio'] = 'Portfolio';
$string['posted'] = 'Submitted';
$string['previewtextsubmission'] = 'Preview text Submission';
$string['previewwebpage'] = 'Preview Web Page';
$string['privacy:metadata:core_files'] = 'Turnitin Assignment stores files that have been uploaded to Moodle to form a Turnitin submission.';
$string['privacy:metadata:turnitintool_client'] = 'To successfully make a submission to Turnitin, specific user data needs to be exchanged between Moodle and Turnitin.';
$string['privacy:metadata:turnitintool_client:email'] = 'The user\'s email address is shared by Moodle to enable the creation of a Turnitin account.';
$string['privacy:metadata:turnitintool_client:firstname'] = 'The user\'s first name is sent to Turnitin so that the user can be identified.';
$string['privacy:metadata:turnitintool_client:lastname'] = 'The user\'s last name is sent to Turnitin so that the user can be identified.';
$string['privacy:metadata:turnitintool_client:submission_filename'] = 'The name of the submitted file is sent to Turntin so that it is identifible.';
$string['privacy:metadata:turnitintool_client:submission_title'] = 'The title of the submission is sent to Turntin so that it is identifiable.';
$string['privacy:metadata:turnitintool_comments'] = 'Comments made about a submission that has been sent to Turnitin.';
$string['privacy:metadata:turnitintool_comments:commenttext'] = 'A comment attached to a submission.';
$string['privacy:metadata:turnitintool_comments:userid'] = 'The ID of the user who has made a comment.';
$string['privacy:metadata:turnitintool_submissions'] = 'Information about a submission that has been sent to Turnitin.';
$string['privacy:metadata:turnitintool_submissions:submission_attempts'] = 'A timestamp indicating when the user viewed feedback on their submission.';
$string['privacy:metadata:turnitintool_submissions:submission_filename'] = 'The name of the file that has been submitted to Turnitin.';
$string['privacy:metadata:turnitintool_submissions:submission_grade'] = 'The grade applied by an instructor to the submission.';
$string['privacy:metadata:turnitintool_submissions:submission_hash'] = 'A submission specific hash containing the user\'s ID.';
$string['privacy:metadata:turnitintool_submissions:submission_modified'] = 'A timestamp indicating when the user last modified their submission.';
$string['privacy:metadata:turnitintool_submissions:submission_objectid'] = 'The ID used by Turnitin to reference the submission.';
$string['privacy:metadata:turnitintool_submissions:submission_score'] = 'The similarity score of the submission.';
$string['privacy:metadata:turnitintool_submissions:submission_title'] = 'The title of the submission.';
$string['privacy:metadata:turnitintool_submissions:submission_transmatch'] = 'Indicates whether Turnitin used translated matching to produce a Similarity Report for the submission.';
$string['privacy:metadata:turnitintool_submissions:submission_unanon'] = 'Indicates that the anonymity of a submission has been removed, making the author\'s identity available to the instructor.';
$string['privacy:metadata:turnitintool_submissions:submission_unanonreason'] = 'An explanation for the removal of an author’s anonymity, supplied by their instructor.';
$string['privacy:metadata:turnitintool_submissions:userid'] = 'The ID of the user who has made a submission.';
$string['privacy:metadata:turnitintool_users'] = 'Information that links a Moodle user to a Turnitin user account and any preferences specific to Turnitin. These include default assignment settings and any Turnitin rubrics owned by them.';
$string['privacy:metadata:turnitintool_users:instructor_defaults'] = 'The instructor\'s default assignment settings';
$string['privacy:metadata:turnitintool_users:instructor_rubrics'] = 'The Turnitin rubric scorecards that belong to the instructor';
$string['privacy:metadata:turnitintool_users:turnitin_uid'] = 'The user\'s Turnitin account ID.';
$string['privacy:metadata:turnitintool_users:user_agreement_accepted'] = 'Indicates whether this user has accepted the Turnitin End User Licence Agreement (EULA).';
$string['privacy:metadata:turnitintool_users:userid'] = 'The ID of the user being linked to a Turnitin account.';
$string['processed'] = 'Assignment Processed';
$string['proxypassword'] = 'Proxy Password';
$string['proxypassword_desc'] = '<b>[Optional]</b><br />If your proxy requires Authentication enter the password here.';
$string['proxyport'] = 'Proxy Port';
$string['proxyport_desc'] = '<b>[Optional]</b><br />If your server uses a Proxy to connect to the internet enter the proxy port here.';
$string['proxyurl'] = 'Proxy URL';
$string['proxyurl_desc'] = '<b>[Optional]</b><br />If your server uses a Proxy to connect to the internet enter the proxy address here.';
$string['proxyuser'] = 'Proxy Username';
$string['proxyuser_desc'] = '<b>[Optional]</b><br />If your proxy requires Authentication enter the username here.';
$string['pseudoemailaddress'] = 'Pseudo Email Address';
$string['pseudoemaildomain'] = 'Pseudo Email Domain';
$string['pseudoemaildomain_desc'] = '<b>[Optional]</b><br />An optional domain for pseudo email addresses. (Defaults to @tiimoodle.com if left empty)';
$string['pseudoemailsalt'] = 'Pseudo Encryption Salt';
$string['pseudoemailsalt_desc'] = '<b>[Optional]</b><br />An optional salt to increase the complexity of the generated Pseudo Student email address.<br />(<b>Note:</b> The salt should remain unchanged in order to maintain consistent pseudo email addresses)';
$string['pseudofirstname'] = 'Student Pseudo First Name';
$string['pseudofirstname_desc'] = '<b>[Optional]</b><br />The student first name to display in the Turnitin document viewer';
$string['pseudolastname'] = 'Student Pseudo Last Name';
$string['pseudolastname_desc'] = 'The student last name to display in the Turnitin document viewer';
$string['pseudolastnamegen'] = 'Auto Generate Lastname';
$string['pseudolastnamegen_desc'] = 'If set to yes and the pseudo lastname is set to a user profile field, thenthe field will be automatically populated with a unique identifier.';
$string['pushinggrade'] = 'Uploading Grade {$a->num} of {$a->total} to Turnitin}';
$string['redirect'] = 'If you are not automatically redirected please click here.';
$string['reducepartserror'] = 'You can not reduce the number of submissions allowed if there has already been submisions made. Please remove the Assignment Part using the assignment summary page. Please note that you can not modify the number of submissions allowed in a Portfolio Assignment without deleting all submissions first.';
$string['refresh'] = 'Refresh';
$string['refreshmatches'] = 'Refresh Matches';
$string['relinkusers'] = 'Relink Users';
$string['remaining'] = 'About {$a} Remaining';
$string['removecoursedata'] = 'Remove Turnitin Course Data';
$string['removesubmissiondata'] = 'Remove Turnitin Submission Data';
$string['removeturnitinassign'] = 'Delete Assignment Data from Turnitin';
$string['replaceassigndata'] = 'Replace Turnitin Assignment Data';
$string['replaceassigndataerror'] = 'Replace Turnitin Assignment Data Error';
$string['reportgenspeed'] = 'Report Generation Speed';
$string['reportgenspeed_help'] = 'There are three options for this assignment setting: &#34;Generate reports immediately (resubmissions are not allowed)&#34;, &#34;Generate reports immediately (resubmissions are allowed until due date)&#34;, and &#34;Generate reports on due date (resubmissions are allowed until due date)&#34;.<br><br>The option &#34;immediately first report is final&#34; generates the Originality Report immediately when a student makes a submission. With this option selected your students will not be able to resubmit to the assignment.<br><br>To allow resubmissions, select &#34;immediately (can overwrite reports until due date)&#34; option. This allows students to continuously resubmit papers to the assignment until the due date. It may take up to 24 hours to process Originality Reports for resubmissions.<br><br>The option &#34;on due date&#34; will only generate an Originality Report on the assignment\\&#39;s due date. This setting will make it so all papers submitted to the assignment will be compared against each other when the Originality Reports are created.';
$string['resubmission'] = 'Resubmission';
$string['resubmissiongradewarn'] = 'Resubmissions are allowed for this assignment until the due date passes. Any and all marks will be deleted when or if the paper is resubmitted. Would you like to continue?';
$string['resubmissionnotenabled'] = 'Resubmissions Not Enabled';
$string['resubmit'] = 'Resubmit';
$string['resultsperpage'] = 'Results Per Page';
$string['resultsperpage_help'] = 'Sets the number of results to display in the Submission Inbox.';
$string['reveal'] = 'Reveal';
$string['revealerror'] = 'You must include a valid reason for unmasking a students name.';
$string['revealreason'] = 'Reason for Unmasking';
$string['savechanges'] = 'Save Changes';
$string['saveusage'] = 'Save Data Dump';
$string['scorenotavailable'] = 'Originality score is not yet available.';
$string['secs'] = 'Secs';
$string['selectoption'] = 'Select Option';
$string['semptytable'] = 'No results found.';
$string['showall'] = 'Show All';
$string['shownonsubmissions'] = 'List all students';
$string['showonlysubmissions'] = 'List only students that have made submissions';
$string['showusage'] = 'Show Data Dump';
$string['sinfo'] = 'Showing {$a->start} to {$a->end} of {$a->total} entries.';
$string['slengthmenu'] = 'Show {$a} Entries';
$string['snext'] = 'Next';
$string['spapercheck'] = 'Check against stored student papers';
$string['spapercheck_help'] = 'Choosing this option instructs Turnitin to only add submitted documents to a repository private to your institution. Similarity checks to the submitted documents will be made by other instructors within your institution.';
$string['sprevious'] = 'Previous';
$string['sprocessing'] = 'Processing...';
$string['ssearch'] = 'Search:';
$string['stage'] = 'Stage';
$string['standardrepository'] = 'Standard Repository';
$string['status'] = 'Status';
$string['string'] = '{$a}';
$string['student'] = 'Student';
$string['studentdataprivacy'] = 'Student Data Privacy Settings';
$string['studentdataprivacy_desc'] = 'The following settings can be configured to ensure that student&#39;s personal data is not transmitted to Turnitin via the API.';
$string['studentdeleteconfirm'] = 'Deleting this paper will allow you to make a new submission in its place.\\nYou will not be able to retrieve your submission once it has been deleted.\\n\\nAre you sure you want to delete this assignment?';
$string['studentnotallowed'] = '<b>Note:</b> Students are not able to view originality reports for this assignment.';
$string['student_notread'] = 'The student has not viewed this paper.';
$string['student_read'] = 'The student viewed the paper on:';
$string['studentreports'] = 'Student Originality Reports';
$string['studentreports_help'] = 'Allows you to display Turnitin originality reports to student users. If set to yes the originality report generated by Turnitin are available for the student to view.';
$string['studentsname'] = 'Students Name';
$string['studentsname_help'] = 'When making a submission on behalf of a user you should use this selection box to choose the name of the user the work is to be submitted for.';
$string['studentstatus'] = 'Submitted {$a->modified} (Paper ID: {$a->objectid})';
$string['submission'] = 'Submission';
$string['submissionagreementerror'] = 'You must accept the agreement for this submission';
$string['submissionconnecterror'] = 'There was an error connecting to Turnitin. Submission has been queued.';
$string['submissiondelete'] = 'Delete&#39;;';
$string['submissiondeleteerror'] = 'Could not delete submissions';
$string['submissionfileerror'] = 'You must attach a file for submission';
$string['submissionfiletypeerror'] = 'File type not allowed. Allowed types are ({$a})';
$string['submissionfinalgrade'] = 'Final grade for this assignment';
$string['submissionframeseterror'] = 'This page appears to contain frames, and can not be submitted.';
$string['submissiongeterror'] = 'Could not get submission data';
$string['submissiongrade'] = 'Grade';
$string['submissiongradetoohigh'] = 'Grade you entered for &#39;{$a->fullname}&#39; - &#39;{$a->part}&#39; was too high. Maximum is {$a->maximum}.<br />';
$string['submissioniframeerror'] = 'This page appears to contain iframes, and can not be submitted.';
$string['submissionlist'] = 'Submission List';
$string['submissionlist_help'] = 'This option will allow you to list all enrolled users regardless of whether they have made a submission.';
$string['submissionnotyetuploaded'] = 'Not Yet Submitted to Turnitin';
$string['submissionorig'] = 'Similarity';
$string['submissionpart'] = 'Submission Part';
$string['submissionpart_help'] = 'Select the part of the Turnitin Assignment that this submission is to be made to.';
$string['submissionprotocolerror'] = 'You must include the http:// or https:// part of the URL for this web page submission';
$string['submissions'] = 'Submissions';
$string['submissionstudent'] = 'Student Submission';
$string['submissiontexterror'] = 'You must include the text for this submission';
$string['submissiontitle'] = 'Submission Title';
$string['submissiontitleduplicate'] = 'You must enter a different title for each submission';
$string['submissiontitleerror'] = 'You must include a title for this submission';
$string['submissiontitle_help'] = 'Enter the submission title for the piece of work you are submitting.';
$string['submissiontype'] = 'Submission Type';
$string['submissiontype_help'] = '<p>Indicates the submission type(s) you are allowed to submit to Turnitin. The options are:</p>';
$string['submissionupdateerror'] = 'Could not update submission data';
$string['submissionuploadsuccess'] = 'Submission successfully uploaded to Turnitin.';
$string['submissionurlerror'] = 'You must include the URL for this web page submission';
$string['submit'] = 'Add Submission';
$string['submitpaper'] = 'Submit Paper';
$string['submitpapersto'] = 'Store Student Papers';
$string['submitpapersto_help'] = '<strong>No Repository: </strong><br />Turnitin is instructed to not store submitted documents to any repository. We will only process the paper to perform the initial similarity check.<br /><br /><strong>Standard Repository: </strong><br />Turnitin will store a copy of the submitted document only in the Standard Repository. By choosing this option, Turnitin is instructed to only use stored documents to make similarity checks against any documents submitted in the future.<br /><br /><strong>Institutional Repository (Where Applicable): </strong><br />Choosing this option instructs Turnitin to only add submitted documents to a repository private to your institution. Similarity checks to the submitted documents will only be made by other instructors within your institution.';
$string['submitted'] = 'Modified';
$string['submittedmax'] = 'You have made the maximum number of allowed submissions.';
$string['submittoturnitin'] = 'Submit to Turnitin';
$string['synchallconfirm'] = '&#34;You are about to synchronise all submissions for this set of assignment parts with the submissions stored on Turnitin, this will pull down any submissions that were not submitted using Moodle. For large numbers of students with a large multipart assignment this can take a long time. Please do not stop the process once started.\\n\\nAre you sure you wish to proceed?';
$string['synchallsubmissions'] = 'Retrieve All Student Data from Turnitin';
$string['synchassignments'] = 'Retrieve Assignment Data from Turnitin';
$string['synchronisingturnitin'] = 'Synchronising Turnitin Data';
$string['synchstudentsubmissions'] = 'Retrieve Student Submissions from Turnitin';
$string['synchyoursubmissions'] = 'Submitted to Turnitin? Click here to retrieve.';
$string['szerorecords'] = 'No records to display.';
$string['textsubmission'] = 'Text Submission';
$string['texttosubmit'] = 'Text to Submit';
$string['texttosubmit_help'] = 'Copy and paste the text of your submission into this box.';
$string['title'] = 'Title';
$string['transmatch'] = 'Translated Matching';
$string['transmatch_desc'] = 'Determines whether Translated Matching will be available as a setting on the assignment set up screen.<br /><i>(Enable this option only if Translated Matching is enabled on your Turnitin account)</i>';
$string['transmatch_help'] = 'When Translated Matching is enabled Turnitin will generate a separate Originality Report based on English translations of students\\&#39; non-English language submissions. The following languages are supported for Translated Matching:<br><br>Czech, Danish, Dutch, Finnish, French, German, Greek, Hungarian, Italian, Polish, Portuguese, Romanian, Spanish, Swedish and Turkish.';
$string['turnitinaccountid'] = 'Turnitin Account ID';
$string['turnitinaccountid_desc'] = '<b>[Required]</b><br />Enter your Turnitin Primary Account ID';
$string['turnitinanon'] = 'Anonymous Marking';
$string['turnitinanon_help'] = 'You can configure your Turnitin assignment to use Anonymous Marking by setting this value to Yes. Once anonymous marking has been enabled on an assignment it can not be disabled.';
$string['turnitinapiurl'] = 'Turnitin API URL';
$string['turnitinapiurl_desc'] = '<b>[Required]</b><br />Enter the Turnitin API URL<br /><i>(e.g. https://api.turnitin.com/api.asp)<br />(e.g. https://api.turnitinuk.com/api.asp)</i>';
$string['turnitincommunicationerror'] = 'There was an error communicating with the Turnitin server please try again later.';
$string['turnitindeleteconfirm'] = 'Deleting papers removes them from your submissions list and inbox but does not completely\\nremove them from the Turnitin database.\\n\\nAre you sure you want to delete this submission? This action cannot be undone.';
$string['turnitindeletionerror'] = 'Turnitin submission deletion failed. The local VLE copy was removed but the submission in Turnitin could not be deleted.';
$string['turnitindiagnostic'] = 'Enable Diagnostic Mode';
$string['turnitindiagnostic_desc'] = '<b>[Caution]</b><br />Enable Diagnostic mode only to track down problems with the Turnitin API.';
$string['turnitinenrollstudents'] = 'Enroll All Students';
$string['turnitinid'] = 'Turnitin ID';
$string['turnitinloading'] = 'Synchronising Data';
$string['turnitinpart'] = 'Part {$a}';
$string['turnitinpartname'] = 'Part Name';
$string['turnitinreceiptemail'] = 'Receipt Emails';
$string['turnitinreceiptemail_desc'] = 'Sets whether students should receive digital receipt emails when they submit work to Turnitin via the VLE.';
$string['turnitinrefreshsubmissions'] = 'Refresh Submissions';
$string['turnitinsecretkey'] = 'Turnitin Shared Key';
$string['turnitinsecretkey_desc'] = '<b>[Required]</b><br />Enter your Turnitin Shared Key<br /><i>(Set by your Turnitin Administrator)</i>';
$string['turnitinstudentemail'] = 'Student Emails';
$string['turnitinstudentemail_desc'] = 'Sets whether students should receive emails with account details when a new Turnitin account is set up for them by the VLE.';
$string['turnitinsubaccountid'] = 'Turnitin Sub Account ID';
$string['turnitinsubaccountid_desc'] = '<b>[Optional]</b><br />Enter your Turnitin Sub Account ID<br /><i>(Only use this if configuring for a Sub Account)</i>';
$string['turnitintool'] = 'Turnitin Tool';
$string['turnitintool:addinstance'] = 'Add Turnitin Tool Activity';
$string['turnitintool:admin'] = 'Administer Turnitin Tool';
$string['turnitintooladministration'] = 'Turnitin Assignment Administration';
$string['turnitintoolagreement'] = 'Disclaimer / Agreement';
$string['turnitintoolagreement_default'] = 'By checking this box, I confirm that this submission is my own work and I accept all responsibility for any copyright infringement that may occur as a result of this submission.';
$string['turnitintoolagreement_desc'] = '<b>[Optional]</b><br />Enter an agreement confirmation statement for submissions.<br />(<b>Note:</b> If the agreement is left completely blank then no agreement confirmation will be required by students during submission)';
$string['turnitintooldeleteerror'] = 'Could not delete turnitintool data';
$string['turnitintoolgeterror'] = 'Could not get turnitintool data';
$string['turnitintool:grade'] = 'Grade Turnitin Tool Assignments';
$string['turnitintoolintro'] = 'Summary';
$string['turnitintoolname'] = 'Turnitin Assignment Name';
$string['turnitintoolowner'] = 'Turnitin Class Owner';
$string['turnitintoolowner_help'] = 'Indicates the &#39;owner&#39; or creator of the Turnitin class. All assignments and submissions will be added to this &#39;owners&#39; Turnitin account.';
$string['turnitintoolresetdata0'] = 'Copy Turnitin Assignments <i>(Create Duplicates, New Turnitin Class)</i>';
$string['turnitintoolresetdata1'] = 'Replace Turnitin Assignments <i>(Replace Assignment Parts, Reuse Turnitin Class)</i>';
$string['turnitintoolresetdata2'] = 'Leave Turnitin Assignments Untouched';
$string['turnitintoolresetinfo'] = 'Choose an option below for the Turnitin Assignments in this course:';
$string['turnitintool:submit'] = 'Submit to Turnitin Tool Assignments';
$string['turnitintoolupdateerror'] = 'Could not update turnitintool data';
$string['turnitintool:view'] = 'View Turnitin Tool Assignments';
$string['turnitintutoremail'] = 'Instructor Emails';
$string['turnitintutoremail_desc'] = 'Sets whether instructors should receive emails with account details when a new Turnitin account is set up for them by the VLE.';
$string['turnitintutors'] = 'Turnitin Tutors';
$string['turnitintutorsadd'] = 'Add Turnitin Tutor';
$string['turnitintutorsadding'] = 'Adding Turnitin Tutor';
$string['turnitintutorsallenrolled'] = 'All Tutors are enrolled on Turnitin';
$string['turnitintutors_desc'] = 'The selected Tutors below are enrolled as tutors on this Turnitin Class. Enrolled tutors can gain access to this class by logging in to the Turnitin web site.';
$string['turnitintutorsremove'] = 'Remove Turnitin Tutors';
$string['turnitintutorsremove_errorlast'] = 'Error: You must have at least one tutor enrolled on the course in Turnitin';
$string['turnitintutorsremoving'] = 'Removing Turnitin Tutors';
$string['turnitintutorsretrieving'] = 'Retrieving Turnitin Tutors';
$string['turnitinuseanon'] = 'Use Anonymous Marking';
$string['turnitinuseanon_desc'] = 'Choose whether to allow Anonymous Marking when grading submissions.<br /><i>(This is only available to those that have Anonymous Marking configured for their account)</i>';
$string['turnitinuseerater'] = 'Enable ETS&copy;';
$string['turnitinuseerater_desc'] = 'Choose whether to enable ETS&copy; grammar checking.<br /><i>(Enable this option only if ETS&copy; e-rater is enabled on your Turnitin account)</i>';
$string['turnitinusegrademark'] = 'Use GradeMark';
$string['turnitinusegrademark_desc'] = 'Choose whether to use GradeMark to grade submissions or use Moodle.<br /><i>(This is only available to those that have GradeMark configured for their account)</i>';
$string['turnitinusegrademark_help'] = 'Use this setting to choose whether to use Turnitin GradeMark to grade the submissions or use Moodle to grade submission.';
$string['turnitinuserepository'] = 'Enable Institutional Repository';
$string['turnitinuserepository_desc'] = 'Choose whether to allow use of Institutional Repositories in Turnitin Assignments.<br /><i>(This is only available to those that have an Institutional Repository enabled for their account)</i>';
$string['turnitinuserepository_help'] = 'Use this setting to enable the Institutional Repository option in the assignment set up screen.';
$string['tutorgeterror'] = 'Could not get assignment tutor data';
$string['tutorstatus'] = '{$a->submitted}/{$a->total} Student Submissions, {$a->graded} Submission{$a->gplural} Graded';
$string['type'] = 'Submission Type';
$string['types'] = 'Submission Types';
$string['types_help'] = '<p>Submissions can be made in three different formats.</p>';
$string['unlinkedusers'] = 'Unlinked Users';
$string['unlinkinfo'] = 'Use this form to break the tie between Moodle and Turnitin Users. This will remove the Stored Turnitin User ID from the Moodle system forcing Moodle to try to relink the users on the next call to Turnitin.';
$string['unlinkrelinkusers'] = 'Unlink / Relink Turnitin Users';
$string['unlinkusers'] = 'Unlink Users';
$string['update'] = 'Update';
$string['updateerror'] = 'Update Error';
$string['updatestudent'] = 'Updating Submission {$a->from} of {$a->to}';
$string['update_turnitintool'] = 'Update Turnitin assignment';
$string['updatinggrade'] = 'Retrieving Turnitin Grade';
$string['updatingreport'] = 'Retrieving Turnitin Report Score';
$string['updatingscores'] = 'Retrieving Data for {$a->user} / Assignment Part {$a->proc}';
$string['upgradeavailable'] = 'Upgrade Available';
$string['uploadingtoturnitin'] = 'Uploading File to Turnitin';
$string['urlsnapshot'] = 'Grabbing URL Snapshot';
$string['urltosubmit'] = 'Web Page URL to Submit';
$string['urltosubmit_url'] = 'Enter the address of the web page that you are submitting. Only single web pages may be submitted. A snapshot of the page will be taken and the html will be uploaded to Turnitin.';
$string['useaverage'] = 'Grade using submission average';
$string['user'] = 'User';
$string['usercreationerror'] = 'Turnitin user creation failed';
$string['userdeleteerror'] = 'Could not delete user data';
$string['usergeterror'] = 'Could not get user data';
$string['userprocess'] = 'Processing User Data';
$string['userstounlink'] = 'Users to Unlink';
$string['usersunlinkrelink'] = 'Users to Unlink / Relink';
$string['userupdateerror'] = 'Could not update user data';
$string['view'] = 'View';
$string['viewdelete'] = 'View/Delete';
$string['viewreport'] = 'View Report';
$string['viewsubmissions'] = 'View Submissions';
$string['view_turnitintool'] = 'View Turnitin assignment';
$string['webpage'] = 'Web Page';
$string['weight'] = 'Marks Ratio';
$string['wrongaccountid'] = 'There was an error linking your Turnitin Class. The account you have configured is account {$a->current}. The account this class is from is {$a->backupid}. You can only restore classes that originated in the same Turnitin account.';
$string['yes'] = 'Yes';
$string['yesgrademark'] = 'Yes, use GradeMark to grade submissions';
$string['yesgrades'] = 'Yes, automatically refresh originality scores and grades';
