<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'turnitintooltwo', language 'en', branch 'MOODLE_38_STABLE'
 *
 * @package   turnitintooltwo
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activatemigration'] = 'Enable Migration Tool Settings';
$string['activatemigrationnotice'] = 'On activation of the Moodle Migration Tool, the V1 Migration tab is displayed in the Turnitin Assignment 2 settings.<br/>Select the tab to manage the tool (including disabling its use and removing any migrated V1 assignments).';
$string['addresubmissiontiidesc'] = 'User resubmission sent to Turnitin';
$string['addsubmission'] = 'Add Submission';
$string['addsubmissiondesc'] = 'User added submission';
$string['addsubmissiontiidesc'] = 'User submission sent to Turnitin';
$string['allowlate'] = 'Allow Submissions after the Due Date';
$string['allownonor'] = 'Allow submission of any file type?';
$string['allownonor_help'] = 'This setting will allow any file type to be submitted. With this option set to &#34;Yes&#34;, submissions will be checked for originality where possible, submissions will be available for download and GradeMark feedback tools will be available where possible.';
$string['allsubmissions'] = 'Submission Inbox';
$string['anon'] = 'Anonymous';
$string['anonalert'] = 'Your post date is before your current time, this will permanently disable anonymous marking for this assignment if you save this.';
$string['anonblindmarkingnote'] = 'Note: The separate Turnitin anonymous marking setting has been removed. Turnitin will use Moodle\'s blind marking setting to determine the anonymous marking setting.';
$string['anonenabled'] = 'Anonymous Marking Enabled';
$string['anytype'] = 'Any Submission Type';
$string['assigngeterror'] = 'Could not get turnitintooltwo data';
$string['assignmentid'] = 'V1 Assignment ID';
$string['assignments'] = 'assignments';
$string['assignmenttitle'] = 'New Assignment Title';
$string['attachrubric'] = 'Attach a rubric to this assignment';
$string['attachrubricnote'] = 'Note: students will be able to view attached rubrics and their content prior to submitting.';
$string['autorefreshgrades'] = 'Auto Refresh Grades / Scores';
$string['autorefreshgrades_help'] = 'By default after each call to Turnitin the Moodle integration plug in will attempt to automatically pull down changes made while in within Turnitin. You can use this option to turn off this feature, however in order to maintain synchronisation between both systems you will need to frequently manually refresh grades and originality scores from within Moodle.';
$string['ced'] = 'Class End Date';
$string['changerubricwarning'] = 'Changing or detaching a rubric will remove all existing rubric scoring from papers in this assignment, including scorecards which have previously been marked. Overall grades for previously graded papers will remain.';
$string['checkagainstnote'] = 'Note: If you do not select "Yes" for at least one of the "Check against..." options below then an Originality report will NOT be generated.';
$string['checkingupgrade'] = 'Checking for available upgrade';
$string['checkupdateavailableerror'] = 'Could not check for Moodle Direct version update';
$string['checkupgrade'] = 'Check for available upgrade';
$string['classcreationerror'] = 'Turnitin Class creation failed';
$string['classupdateerror'] = 'Could not update Turnitin Class data';
$string['close'] = 'Close';
$string['closebutton'] = 'Close';
$string['code'] = 'Code';
$string['compareinstitution'] = 'Compare submitted files with papers submitted within this institution';
$string['complete'] = 'complete';
$string['config'] = 'Configuration';
$string['configupdated'] = 'Configuration updated';
$string['configureerror'] = 'You must configure this module fully as Administrator before using it within a course. Please contact your Moodle administrator.';
$string['confirmv1deletetext'] = 'You\'ve selected {$a} migrated V1 assignment(s) for permanent deletion.';
$string['confirmv1deletetitle'] = 'Delete selected assignments?';
$string['confirmv1deletewarning'] = 'This action can not be undone.';
$string['connecttest'] = 'Test Turnitin Connection';
$string['connecttestcommerror'] = 'Could not connect to Turnitin. Double check your API URL setting.';
$string['connecttesterror'] = 'There was an error connecting to Turnitin the return error message is below:<br />';
$string['connecttestsuccess'] = 'Moodle has successfully connected to Turnitin.';
$string['copyassigndata'] = 'Copy Turnitin Assignment Data';
$string['copyrightagreement'] = 'By checking this box, I confirm that this submission is my own work and I accept all responsibility for any copyright infringement that may occur as a result of this submission.';
$string['copyrightagreementerror'] = 'Please check the box to indicate that you accept the agreement before submitting.';
$string['course'] = 'Course';
$string['coursebrowserassignmentdesc'] = 'In the table below you can select up to 5 assignments to create as parts of a replicated Turnitin assignment in Moodle.';
$string['coursebrowserdesc'] = 'You can search Turnitin for classes to recreate on Moodle as a course below';
$string['courseexistsmoodle'] = 'This class currently exists in Moodle as:';
$string['coursegeterror'] = 'Could not get course data';
$string['coursegettiierror'] = 'Could not get course data from Turnitin';
$string['courseiderror'] = 'Course ID is incorrect';
$string['coursemisconfigured'] = 'Course is misconfigured';
$string['coursemodidincorrect'] = 'Course Module ID was incorrect';
$string['coursemodincorrect'] = 'Course module is incorrect';
$string['coursestomigrate'] = 'You have {$a} classes available to restore from Turnitin';
$string['coursetitle'] = 'Course Title';
$string['coursetitleerror'] = 'You must provide a class title to search for';
$string['createassignmenterror'] = 'There was an error trying to create the assignment in Turnitin';
$string['createcourse'] = 'Create New Moodle Course';
$string['created'] = 'Created';
$string['createmoodleassignments'] = 'Recreate all Assignments of selected classes in Moodle?';
$string['createmoodlecourses'] = 'Recreate Courses';
$string['createsubmissionerror'] = 'There was an error trying to create the submission in Turnitin';
$string['cronsubmittedsuccessfully'] = 'Submission: {$a->title} (TII ID: {$a->submissionid}) for the assignment {$a->assignmentname} on the course {$a->coursename} was successfully submitted to Turnitin.';
$string['crontaskmodeactive'] = 'Turnitintooltwo - Aborted Cron call because of active task mode';
$string['defaultassignmenttiititle'] = 'Assignment from Turnitin';
$string['defaultcoursetiititle'] = 'Course from Turnitin';
$string['defaultinserterror'] = 'There was an error when trying to insert a default setting value into the database';
$string['defaults'] = 'Default Settings';
$string['defaultsdesc'] = 'The following settings are the defaults set when enabling Turnitin within an Activity Module';
$string['defaults_desc'] = 'The following settings will be the default settings used for new instances of the Moodle Direct Turnitin Assignment 2';
$string['defaultupdated'] = 'Turnitin defaults updated';
$string['defaultupdateerror'] = 'There was an error when trying to update a default setting value in the database';
$string['deletable'] = 'Deletable';
$string['deleteassignmenterror'] = 'There was an error trying to delete the assignment in Turnitin';
$string['deleteconfirm'] = 'Are you sure you want to delete this submission?\\n\\nThis action cannot be undone.';
$string['deletepart'] = 'Delete Part';
$string['delete_selected'] = 'Delete Selected';
$string['deletesubmission'] = 'Delete Submission';
$string['deletesubmissiondesc'] = 'User deleted the submission';
$string['deletesubmissiontiidesc'] = 'User deleted the submission from Turnitin';
$string['diagnosticoptions_0'] = 'Off';
$string['diagnosticoptions_1'] = 'Standard';
$string['diagnosticoptions_2'] = 'Debugging';
$string['digitalreceipt'] = 'Digital Receipt';
$string['digital_receipt_message'] = 'Dear {$a->firstname} {$a->lastname},<br /><br />You have successfully submitted the file <strong>{$a->submission_title}</strong> to the assignment <strong>{$a->assignment_name}{$a->assignment_part}</strong> in the class <strong>{$a->course_fullname}</strong> on <strong>{$a->submission_date}</strong>. Your submission id is <strong>{$a->submission_id}</strong>. Your full digital receipt can be viewed and printed from the assignment inbox or from the print/download button in the document viewer.<br /><br />Thank you for using Turnitin,<br /><br />The Turnitin Team';
$string['digital_receipt_subject'] = 'This is your Turnitin Digital Receipt';
$string['disableanonconfirm'] = 'Doing this will permanently disable anonymous marking on this assignment. Are you sure?';
$string['displaygradesas'] = 'Grade Display';
$string['displaygradesasfraction'] = 'Show grades as Fraction (e.g. 89/100)';
$string['displaygradesas_help'] = 'This option sets the display mode for grades the options are display as a percentage or display as a fraction ie 45/60.';
$string['displaygradesaspercent'] = 'Show grades as Percentage (e.g. 89&#37;)';
$string['dontmigrateassignment'] = 'Continue Without Migrating';
$string['download'] = 'Download';
$string['downloadassignment'] = 'Download Assignment to Moodle';
$string['download_button_warning'] = 'A student must be selected for this feature to be available.';
$string['downloadexport'] = 'Export';
$string['downloadgrademarkzip'] = 'Download Selected GradeMark Files';
$string['downloadgradexls'] = 'Grade Export (XLS)';
$string['downloadorigfileszip'] = 'Download Original Files';
$string['downloadorigzip'] = 'ZIP File (Original Format)';
$string['downloadpdfzip'] = 'ZIP File (PDF)';
$string['downloadsubmission'] = 'Download Submission';
$string['draftsubmit'] = 'When should the file be submitted to Turnitin?';
$string['dtdue'] = 'Due Date';
$string['dtpost'] = 'Post Date';
$string['dtstart'] = 'Start Date';
$string['duplicatesfound'] = 'Duplicate copies of the same Turnitin assignments were found, duplicates occur when one or more Moodle Direct assignment is connected to the same one Turnitin assignment via the Turnitin API. This is known to cause issues, most notably submissions made to one of the duplicates will show up in the submission inbox of the others. To fix this you should either delete the duplicate assignments or reset the course where the duplicate assignments are.<br /><br />The following duplicates were found:';
$string['edit'] = 'Edit';
$string['editassignmenterror'] = 'There was an error trying to edit the assignment in Turnitin';
$string['emptycreatedfile'] = 'The file you have attempted to submit is either empty or corrupt';
$string['enablemigrationtool'] = 'Migration action at assignment launch.';
$string['enablemigrationtoolfail'] = 'We’ve been unable to update your Moodle Migration Tool setting. Please try again.';
$string['enablemigrationtool_help'] = 'The migration tool can either be set to off, manual or automatic. Manual will allow instructors to choose whether to migrate an assignment whereas automatic will perform the migration on an instructor&#39;s first visit to a V1 assignment.';
$string['enablemigrationtoolsuccess'] = 'V1 Migration Tool Setting has been saved';
$string['enableperformancelogs'] = 'Enable Network Performance Logging';
$string['enableperformancelogs_desc'] = 'If enabled, each request to the Turnitin server will be logged in {tempdir}/turnitintooltwo/logs';
$string['enablepseudo'] = 'Enable Student Privacy';
$string['enablepseudo_desc'] = 'If this option is selected student email addresses will be transformed into a pseudo equivalent for Turnitin API calls.<br /><i>(<b>Note:</b> This option can not be changed if any Moodle user data has already been synced with Turnitin)</i>';
$string['enrolling'] = 'Enrolling students on Turnitin';
$string['erater'] = 'Enable e-rater grammar check';
$string['erater_categories'] = 'e-rater Categories';
$string['erater_dictionary'] = 'e-rater Dictionary';
$string['erater_dictionary_en'] = 'Both US and UK English Dictionaries';
$string['erater_dictionary_engb'] = 'UK English Dictionary';
$string['erater_dictionary_enus'] = 'US English Dictionary';
$string['erater_grammar'] = 'Grammar';
$string['erater_handbook'] = 'ETS&copy; Handbook';
$string['erater_handbook_advanced'] = 'Advanced';
$string['erater_handbook_elementary'] = 'Elementary School';
$string['erater_handbook_highschool'] = 'High School';
$string['erater_handbook_learners'] = 'English Learners';
$string['erater_handbook_middleschool'] = 'Middle School';
$string['erater_mechanics'] = 'Mechanics';
$string['eraternoun'] = 'E-rater';
$string['erater_spelling'] = 'Spelling';
$string['erater_style'] = 'Style';
$string['erater_usage'] = 'Usage';
$string['errorenrollingall'] = 'There has been an error enrolling all students on Turnitin - Please consult your system administrator';
$string['errors'] = 'Errors';
$string['errorsdesc'] = 'There has been a problem in trying to upload the following files to Turnitin.';
$string['eventremoved'] = 'This event has been removed the cron queue and will not be processed again.';
$string['excludebiblio'] = 'Exclude Bibliography';
$string['excludebiblio_help'] = 'This setting allows the instructor to choose to exclude text appearing in the bibliography, works cited, or references sections of student papers from being checked for matches when generating Originality Reports. This setting can be overridden in individual Originality Reports.';
$string['excludepercent'] = 'Percent';
$string['excludequoted'] = 'Exclude Quoted Material';
$string['excludequoted_help'] = 'This setting allows the instructor to choose to exclude text appearing in the quotes from being checked for matches when generating Originality Reports. This setting can be overridden in individual Originality Reports.';
$string['excludevalue'] = 'Exclude Small Matches';
$string['excludevalue_help'] = 'This setting allows the instructor to choose to exclude matches that are not of sufficient length (determined by the instructor) from being considered when generating Originality Reports. This setting can be overridden in individual Originality Reports.';
$string['excludewords'] = 'Words';
$string['exportexcel'] = 'Export to Excel';
$string['exportoriginal'] = 'Export to original format';
$string['exportpdf'] = 'Export to PDF';
$string['faultcode'] = 'Fault Code';
$string['filebrowser'] = 'Moodle Direct File Browser';
$string['filedeleteconfirm'] = 'Are you sure you want to delete this file? This action cannot be undone.';
$string['filedoesnotexist'] = 'File has been deleted';
$string['filename'] = 'Filename';
$string['files'] = 'Files';
$string['filetosubmit'] = 'File to Submit';
$string['filetosubmit_help'] = 'When submitting a file to an assignment part, browse your computer for the file to upload using this form element.';
$string['fileupload'] = 'File Upload';
$string['genduedate'] = 'Generate reports on due date (students can resubmit until due date)';
$string['genimmediately1'] = 'Generate reports immediately (students cannot resubmit)';
$string['genimmediately2'] = 'Generate reports immediately (students can resubmit until due date): After {$a->num_resubmissions} resubmissions, reports generate after {$a->num_hours} hours';
$string['getassignmenterror'] = 'Could not get migration assignments from Turnitin';
$string['grademark'] = 'GradeMark';
$string['grademarkzip'] = 'Selected GradeMark Files';
$string['gradenosubmission'] = 'User enabled grading without a submission for the user with id';
$string['gradingtemplate'] = 'Grading Template';
$string['hasmigrated'] = 'Migrated?';
$string['helpdesklink'] = 'Need Help with Turnitin?';
$string['hidepeermark'] = 'Hide Peermark Assignments';
$string['hidepeermarkinstructions'] = 'Hide Peermark Instructions';
$string['hidesummary'] = 'Hide assignment summary';
$string['id'] = 'Id';
$string['inactive'] = 'Inactive';
$string['institutionalcheck'] = 'Check against Institutional Repository';
$string['institutionalchecksettings'] = 'Check against<br />Institutional Repository';
$string['institutionalrepository'] = 'Institutional Repository (Where Applicable)';
$string['instructor'] = 'Instructor';
$string['instructorreceipt'] = 'Notify Instructor upon Submission';
$string['instructorreceipt_desc'] = 'Choose whether to send a notification to each instructor on a course when a submission is made to an assignment.';
$string['integration'] = 'Integration';
$string['internetcheck'] = 'Check against internet';
$string['internetcheck_help'] = 'Check against the Turnitin internet repository when processing Originality Reports for papers. The similarity index percentage may decrease if this is de-selected.';
$string['journalcheck'] = 'Check against journals,<br />periodicals and publications';
$string['journalcheck_help'] = 'Check against the Turnitin journals, periodicals and publications repository when processing Originality Reports for papers. The similarity index percentage may decrease if this is de-selected.';
$string['launchgrademark'] = 'GradeMark';
$string['launchpeermarkmanager'] = 'Launch Peermark Manager';
$string['launchpeermarkreviews'] = 'Launch Peermark Reviews';
$string['launchquickmarkmanager'] = 'Launch Quickmark Manager';
$string['launchrubricmanager'] = 'Launch Rubric Manager';
$string['launchrubricview'] = 'View the Rubric used for marking';
$string['launchrubricviewshort'] = 'Marking Rubric';
$string['layoutoptions_0'] = 'Full width';
$string['layoutoptions_1'] = 'Moodle default - with navigation';
$string['line'] = 'Line';
$string['linkcourse'] = 'Link Course to existing Moodle Course';
$string['listsubmissions'] = 'List Submissions';
$string['listsubmissionsdesc'] = 'User viewed the list of submissions at course';
$string['listsubmissionsdesc_student'] = 'User viewed their submission inbox at course';
$string['loadingdv'] = 'Loading Turnitin Document Viewer...';
$string['marksavailable'] = 'Marks Available';
$string['maxfilesize'] = 'Maximum File Size';
$string['maxfilesize_help'] = 'This setting determines the maximum file size for user submissions to each assignment part. The maximum value you can set this value to is dictated by the value set in course settings, this value is further capped to a maximum file size of 40Mb which is the maximum allowed filesize for file uploads to Turnitin.';
$string['maxlength'] = 'The maximum length for {$a->field} is {$a->length} characters';
$string['maxmarks'] = 'Max Marks';
$string['maxmarkserror'] = 'Maximum Marks must be between 0 and 100';
$string['max_marks_warning'] = 'Please be aware that changing the Marks Available after grading may affect the gradebook';
$string['membercheckerror'] = 'There was an error when trying to check users that are enrolled on this course';
$string['message'] = 'Message';
$string['messagenonsubmitters'] = 'Notify Non-Submitters';
$string['messageprovider:nonsubmitters'] = 'Turnitin Assignment Non Submitter notifications';
$string['messageprovider:notify_instructor_of_submission'] = 'Turnitin Assignment Instructor Digital Receipt notifications';
$string['messageprovider:submission'] = 'Turnitin Assignment Digital Receipt notifications';
$string['messagesinbox'] = 'Turnitin Messages Inbox';
$string['migrateassignment'] = 'Migrate Assignment';
$string['migrated'] = 'Migrated';
$string['migrating'] = 'This assignment is currently being migrated to a Moodle Direct V2 assignment.';
$string['migrationactivationfailure'] = 'The migration tool could not be enabled.';
$string['migrationactivationsuccess'] = 'The migration tool has been successfully enabled.';
$string['migrationassignmentcreated'] = 'Migration Assignment created - Id: {$a}';
$string['migrationassignmentcreationerror'] = 'Could not create migration assignment - course {$a}';
$string['migrationassignmenterror1'] = 'Could not add a new course module to the course {$a}';
$string['migrationassignmenterror2'] = 'Could not add the new course module to that section - course {$a}';
$string['migrationassignmenterror3'] = 'Could not create an event for the migrated assignment - course {$a}';
$string['migrationassignmentgeterror'] = 'Unable to get any of the assignments from Turnitin';
$string['migrationassignmentpartcreated'] = 'Migration Assignment part created - Id: {$a}';
$string['migrationassignmenttitle'] = 'V1 Assignment Title';
$string['migration:auto'] = 'Automatic at launch';
$string['migrationcoursecreated'] = 'Class from Turnitin recreated on Moodle';
$string['migrationcoursecreatederror'] = 'Course {$a} was recreated but there was an error saving the link';
$string['migrationcoursecreateerror'] = 'Course {$a} could not be created on Moodle';
$string['migrationcoursegeterror'] = 'Unable to get any of the classes from Turnitin';
$string['migration_event_desc'] = 'Turnitin Tool V1 Course: {$a->v1_name} ({$a->v1_cm_id}) has been migrated to Turnitin V2 ({$a->v2_cm_id}).';
$string['migration_event_name'] = 'Migrate V1 Assignment To V2';
$string['migrationinprogress'] = 'Migration in progress';
$string['migration:manual'] = 'Prompt instructor at launch';
$string['migration:off'] = 'Disable migration';
$string['migrationredirect'] = 'You will be redirected to the Moodle Direct V2 assignment upon completion.';
$string['migrationselectall'] = 'Select all migrated assignments';
$string['migration_status'] = 'Migration Status';
$string['migrationtoolaccounterror'] = 'You must use the same Turnitin account ID in both your V1 and V2 plugins to enable the Moodle Migration Tool.';
$string['migrationtoolerror'] = 'The migration of this assignment has failed. Please try again.';
$string['migrationtool:gradebookerror'] = 'Your assignment has successfully migrated from Moodle Direct V1 to V2. However, some grades failed to update in the grade book during migration. The original V1 assignment is available for you to check any conflicting grades. Please remove the V1 assignment once you\'ve completed this check.<br><br><strong>Warning:</strong> Failing to remove a migrated V1 assignment may cause grades to count twice towards the grade book total.';
$string['migrationtoolinfo'] = 'Your administrator has authorised the migration of this Moodle Direct V1 assignment to V2. <br /><br />Moodle Direct V1 and V2 work in the same way, with V2 offering access to extra features. By opting to migrate this assignment, your assignment settings will be automatically transferred.';
$string['migrationtoolintro'] = 'Use this tool to configure assignment migration from Moodle Direct V1 to Moodle Direct V2.';
$string['migrationtoolprogress'] = 'Select the migrated V1 assignments that you\'d like to remove. V1 assignments that have not yet been migrated cannot be removed.';
$string['migrationtool:successful'] = 'Your assignment has successfully migrated from Moodle Direct V1 to V2. The original V1 assignment has been removed.';
$string['migrationtool:successfulcron'] = 'Your assignment has successfully migrated from Moodle Direct V1 to V2. As this is a large assignment, please allow time for the grade book to update. The original V1 assignment will be removed automatically once the update is complete.<br><br><strong>Warning:</strong> Removing the V1 assignment manually may result in the grade book failing to update correctly.';
$string['migrationtooltitle'] = 'Migrate your Moodle Direct V1 assignment to V2?';
$string['migrationtoolv1list'] = 'Use the list below to remove the Moodle Direct V1 assignments that migrated prior to version {$a}; this will resolve any inaccuracies in the Moodle grade book. You can also identify V1 assignments that have not yet migrated to V2.
<br/><br/>For more information, visit the release notes at: <a href=https://help.turnitin.com/release-notes/turnitin-release-notes-home.htm>help.turnitin.com/release-notes</a>';
$string['module'] = 'Module';
$string['modulename'] = 'Turnitin Assignment 2';
$string['modulename_help'] = 'Creates a Turnitin Moodle Direct assignment which links an activity in Moodle to an assignment / assignments on Turnitin. Once linked, the activity allows instructors to assess and provide feedback for student&#39;s written work using the assessment tools available within Turnitin&#39;s Document Viewer.';
$string['modulenameplural'] = 'Turnitin Assignments';
$string['modulenamewithv2plural'] = 'Turnitin Assignments (V2)';
$string['moduleversion'] = 'Version';
$string['moodlelinked'] = 'Linked to Moodle';
$string['mysubmissions'] = 'My Submissions';
$string['newcourseenddate'] = 'New course end date';
$string['newenddatedesc'] = 'Choose a new end date for the course below which will then be updated in Turnitin.';
$string['no'] = 'No';
$string['nofinfolibrary'] = 'To use this plugin you will need to have the PHP Fileinfo extension installed on your server.';
$string['nogrades'] = 'No, I will refresh originality scores and grades manually';
$string['nointegration'] = 'No Integration';
$string['nolimit'] = 'No Limit';
$string['nombstringlibrary'] = 'To use this plugin you will need to have the PHP mbstring extension installed on your server.';
$string['nonenrolledstudent'] = 'Non Enrolled Student';
$string['nonmoodleuser'] = 'Non Moodle User';
$string['nonsubmitterserror'] = 'Please provide a subject and message for the email';
$string['nonsubmittersformdesc'] = 'Please enter a message below to send to students who have not yet submitted to this assignment.';
$string['nonsubmittersformsuccess'] = 'Your message to non-submitters has been sent.';
$string['nonsubmittersmessage'] = 'Message';
$string['nonsubmittersmessageerror'] = 'Please provide a message for the email';
$string['nonsubmitterssendtoself'] = 'Send a copy of this message to me';
$string['nonsubmitterssubject'] = 'Subject';
$string['nonsubmitterssubjecterror'] = 'Please provide a subject for the email';
$string['nonsubmitterssubmit'] = 'Send email';
$string['noofreviewsrequired'] = 'No. of Reviews Required';
$string['noreason'] = 'No reason specified';
$string['norepository'] = 'No Repository';
$string['norubric'] = 'No rubric';
$string['noscript'] = 'Turnitin requires Javascript but your browser does not have it enabled. Please enable Javascript in your browser to enable you to use the full functionality of Turnitin.';
$string['noscriptsummary'] = 'Turnitin requires Javascript but your browser does not have it enabled. You will not be able to access Turnitin without it enabled.';
$string['noscriptula'] = '(As you do not have javascript enabled you will have to manually refresh this page before you can make a submission after accepting the Turnitin User Agreement)';
$string['nosoaplibrary'] = 'To use this plugin you will need to have the PHP SOAP extension installed on your server.';
$string['nosubmissiondataavailable'] = 'No other submission data available';
$string['nosubmissions'] = 'No submissions have been made';
$string['notadmin'] = 'Moodle administrator privileges are required for the requested action.';
$string['notavailableyet'] = 'Not available';
$string['notorcapable'] = 'It is not possible to produce an Originality Report for this file.';
$string['noturnitinassignemnts'] = 'There are no Turnitin Assignments';
$string['notutors'] = 'There are no tutors enrolled on this class with Turnitin';
$string['noxmlwriterlibrary'] = 'To use this plugin you will need to have the PHP XMLWriter extension installed on your server.';
$string['numberofparts'] = 'Number of Parts';
$string['numberofparts_help'] = 'Allows for the creation of a multi part assignment, individual users may submit one piece of work to each part.';
$string['objectid'] = 'Turnitin Paper ID';
$string['offlinestatus'] = 'Turnitin has been set to offline. (The variable $CFG->tiioffline has been set to true.)';
$string['or'] = 'Or';
$string['origfileszip'] = 'Original Files';
$string['otherrubric'] = 'Use rubric belonging to other instructor';
$string['overallgrade'] = 'Overall Grade';
$string['overallgrade_help'] = 'The overall grade determines the maximum allowed grade for the overall assignment, each part of an assignment has a maximum mark allocated which is used to proportionally distribute the grades in order to determine the overall grade.';
$string['partdberror'] = 'There was a problem entering Part {$a} into the database<br />';
$string['partdeleted'] = 'Assignment Part has been deleted';
$string['partdeleteerror'] = 'Could not delete assignment part {$a} data';
$string['partdeletewarning'] = 'The assignment part you are trying to delete contains submissions. You will lose these submissions if you delete this assignment part.\\n\\nAre you sure you want to continue?';
$string['partdueerror'] = 'Start date must be before due date.';
$string['partgeterror'] = 'Could not get assignment part data';
$string['partname'] = 'Assignment Part';
$string['partnameerror'] = 'Part name can not left blank.';
$string['partnametoolarge'] = 'The part name is too large. Please limit to 40 characters.';
$string['partposterror'] = 'Start date must be before post date.';
$string['partupdateerror'] = 'There was a problem updating Part {$a} in the database<br />';
$string['peermark'] = 'Peermark';
$string['peermarkassignments'] = 'Peermark Assignments';
$string['pending'] = 'Pending';
$string['permissiondeniederror'] = 'You do not have the correct permission to complete the requested action';
$string['pluginadministration'] = 'Turnitin Assignment 2 Administration';
$string['pluginname'] = 'Turnitin Assignment 2';
$string['portfolio'] = 'Portfolio';
$string['postdate_warning'] = 'Please be aware that changing the assignment dates may affect when grades are visible to the student and when the student\'s identities are revealed to instructors.';
$string['ppassignmentcreateerror'] = 'This module could not be created on Turnitin, please consult your API logs for further information';
$string['ppassignmentediterror'] = 'Module {$a->title} (TII ID: {$a->assignmentid}) could not be edited on Turnitin, please consult your API logs for further information';
$string['pp_classcreationerror'] = 'This class could not be created on Turnitin, please consult your API logs for further information';
$string['pp_createsubmissionerror'] = 'There was an error in the plagiarism plugin when creating a submission';
$string['pp_submission_error'] = 'Turnitin has returned an error with your submission:';
$string['pp_updatesubmissionerror'] = 'There was an error in the plagiarism plugin when updating a submission';
$string['print'] = 'Print';
$string['privacy:metadata:core_files'] = 'Turnitin Assignment 2 stores files that have been uploaded to Moodle to form a Turnitin submission.';
$string['privacy:metadata:turnitintooltwo_client'] = 'To successfully make a submission to Turnitin, specific user data needs to be exchanged between Moodle and Turnitin. For more information around Moodle Plugins and GDPR, please visit: https://help.turnitin.com/feedback-studio/moodle/moodle-plugins-and-gdpr.htm';
$string['privacy:metadata:turnitintooltwo_client:email'] = 'The user\'s email address is shared by Moodle to enable the creation of a Turnitin account.';
$string['privacy:metadata:turnitintooltwo_client:firstname'] = 'The user’s first name is sent to Turnitin so that the user can be identified.';
$string['privacy:metadata:turnitintooltwo_client:lastname'] = 'The user’s last name is sent to Turnitin so that the user can be identified.';
$string['privacy:metadata:turnitintooltwo_client:submission_content'] = 'Please be aware that the content of a file/submission is sent to Turnitin for processing.';
$string['privacy:metadata:turnitintooltwo_client:submission_filename'] = 'The name of the submitted file is sent to Turntin so that it is identifiable.';
$string['privacy:metadata:turnitintooltwo_client:submission_title'] = 'The title of the submission is sent to Turntin so that it is identifiable.';
$string['privacy:metadata:turnitintooltwo_submissions'] = 'Information about a submission that has been sent to Turnitin.';
$string['privacy:metadata:turnitintooltwo_submissions:submission_attempts'] = 'A timestamp indicating when the user viewed feedback on their submission.';
$string['privacy:metadata:turnitintooltwo_submissions:submission_filename'] = 'The name of the file that has been submitted to Turnitin.';
$string['privacy:metadata:turnitintooltwo_submissions:submission_grade'] = 'The grade applied by an instructor to the submission.';
$string['privacy:metadata:turnitintooltwo_submissions:submission_hash'] = 'A submission specific hash containing the user\'s ID.';
$string['privacy:metadata:turnitintooltwo_submissions:submission_modified'] = 'A timestamp indicating when the user last modified their submission.';
$string['privacy:metadata:turnitintooltwo_submissions:submission_objectid'] = 'The ID used by Turnitin to reference the submission.';
$string['privacy:metadata:turnitintooltwo_submissions:submission_orcapable'] = 'Indicates whether Turnitin was able to produce a Similarity report for the submission.';
$string['privacy:metadata:turnitintooltwo_submissions:submission_score'] = 'The similarity score of the submission.';
$string['privacy:metadata:turnitintooltwo_submissions:submission_title'] = 'The title of the submission.';
$string['privacy:metadata:turnitintooltwo_submissions:submission_transmatch'] = 'Indicates whether Turnitin used translated matching to produce a Similarity Report for the submission.';
$string['privacy:metadata:turnitintooltwo_submissions:submission_unanon'] = 'Indicates that the anonymity of a submission has been removed, making the author\'s identity available to the instructor.';
$string['privacy:metadata:turnitintooltwo_submissions:submission_unanonreason'] = 'An explanation for the removal of an author’s anonymity, supplied by their instructor.';
$string['privacy:metadata:turnitintooltwo_submissions:userid'] = 'The ID of the user who has made a submission.';
$string['privacy:metadata:turnitintooltwo_users'] = 'Information that links a Moodle user to a Turnitin user account and any preferences specific to Turnitin. These include default assignment settings and any Turnitin rubrics owned by them.';
$string['privacy:metadata:turnitintooltwo_users:instructor_defaults'] = 'The instructor\'s default assignment settings';
$string['privacy:metadata:turnitintooltwo_users:instructor_rubrics'] = 'The Turnitin rubric scorecards that belong to the instructor';
$string['privacy:metadata:turnitintooltwo_users:turnitin_uid'] = 'The user\'s Turnitin account ID.';
$string['privacy:metadata:turnitintooltwo_users:user_agreement_accepted'] = 'Indicates whether this user has accepted the Turnitin End User Licence Agreement (EULA).';
$string['privacy:metadata:turnitintooltwo_users:userid'] = 'The ID of the user being linked to a Turnitin account.';
$string['proxypassword'] = 'Proxy Password';
$string['proxypassword_desc'] = '<b>[Optional]</b><br />If your proxy requires Authentication enter the password here.';
$string['proxyport'] = 'Proxy Port';
$string['proxyport_desc'] = '<b>[Optional]</b><br />If your server uses a Proxy to connect to the internet enter the proxy port here.';
$string['proxyurl'] = 'Proxy URL';
$string['proxyurl_desc'] = '<b>[Optional]</b><br />If your server uses a Proxy to connect to the internet enter the proxy address here.';
$string['proxyuser'] = 'Proxy Username';
$string['proxyuser_desc'] = '<b>[Optional]</b><br />If your proxy requires Authentication enter the username here.';
$string['pseudoemailaddress'] = 'Pseudo Email Address';
$string['pseudoemaildomain'] = 'Pseudo Email Domain';
$string['pseudoemaildomain_desc'] = '<b>[Optional]</b><br />An optional domain for pseudo email addresses. (Defaults to @tiimoodle.com if left empty)';
$string['pseudoemailsalt'] = 'Pseudo Encryption Salt';
$string['pseudoemailsalt_desc'] = '<b>[Optional]</b><br />An optional salt to increase the complexity of the generated Pseudo Student email address.<br />(<b>Note:</b> The salt should remain unchanged in order to maintain consistent pseudo email addresses)';
$string['pseudofirstname'] = 'Student Pseudo First Name';
$string['pseudofirstname_desc'] = '<b>[Optional]</b><br />The student first name to display in the Turnitin document viewer';
$string['pseudolastname'] = 'Student Pseudo Last Name';
$string['pseudolastname_desc'] = 'The student last name to display in the Turnitin document viewer';
$string['pseudolastnamegen'] = 'Auto Generate Lastname';
$string['pseudolastnamegen_desc'] = 'If set to yes and the pseudo lastname is set to a user profile field, then the field will be automatically populated with a unique identifier.';
$string['receiptassignmenttitle'] = 'Assignment Title';
$string['receipt_instructor_copy'] = 'A submission entitled <strong>{$a->submission_title}</strong> has been made to assignment <strong>{$a->assignment_name}{$a->assignment_part}</strong> in the class <strong>{$a->course_fullname}</strong>.<br /><br />Submission ID: <strong>{$a->submission_id}</strong><br />Submission Date: <strong>{$a->submission_date}</strong><br />';
$string['receipt_instructor_copy_subject'] = 'Submission made to assignment';
$string['receiptparagraph'] = 'This receipt acknowledges that Turnitin received your paper. Below you will find the receipt information regarding your submission.';
$string['recreatemulticlasses'] = 'Your selected classes are now being re-created, depending on how many you have selected this may take upto a few minutes';
$string['recreatemulticlassescomplete'] = 'Class re-creation is now complete. {$a->completed} out of {$a->total} were successfully created.';
$string['redirecttoeula'] = 'We are redirecting you to the End User Licence Agreement';
$string['refid'] = 'Ref. ID';
$string['refreshallgrades'] = 'Refresh all Grades from Turnitin';
$string['refreshingallgrades'] = 'Refreshing Grades from Turnitin';
$string['relinkusers'] = 'Relink Users';
$string['renew_assignment_dates'] = 'Use new assignment dates';
$string['renew_assignment_dates_help'] = 'Select this option to use new assignment dates when resetting a course. The assignment start date will be set to the date and time of the course reset, while the due and post date will elapse seven days from now.<br/><br/>If you’d rather not use new assignment dates, that’s fine; Turnitin will use the course’s original assignment dates instead. However, any anonymous marking settings will not be carried over for assignments where the post date has passed.';
$string['replaceassigndata'] = 'Replace Turnitin Assignment Data';
$string['reportgenspeed'] = 'Report Generation Speed';
$string['reportgenspeed_help'] = 'There are three options for this assignment setting: &#39;Generate reports immediately (resubmissions are not allowed)&#39;, &#39;Generate reports immediately (resubmissions are allowed until due date)&#39;, and &#39;Generate reports on due date (resubmissions are allowed until due date)&#39;<br /><br />The option &#39;Generate reports immediately (resubmissions are not allowed)&#39; generates the Originality Report immediately when a student makes a submission. With this option selected your students will not be able to resubmit to the assignment.<br /><br />To allow resubmissions, select &#39;Generate reports immediately (resubmissions are allowed until due date)&#39; option. This allows students to continuously resubmit papers to the assignment until the due date. It may take up to 24 hours to process Originality Reports for resubmissions.<br /><br />The option &#39;Generate reports on due date (resubmissions are allowed until due date)&#39; will only generate an Originality Report on the assignment&#39;s due date. This setting will make it so all papers submitted to the assignment will be compared against each other when the Originality Reports are created.';
$string['reportgenspeed_resubmission'] = 'You have already submitted a paper to this assignment and a Similarity Report was generated for your submission. If you choose to resubmit your paper, your earlier submission will be replaced and a new report will be generated. After {$a->num_resubmissions} resubmissions, you will need to wait {$a->num_hours} hours after a resubmission to see a new Similarity Report.';
$string['repositoryoptions_0'] = 'Enable instructor standard repository options';
$string['repositoryoptions_1'] = 'Enable instructor expanded repository options';
$string['repositoryoptions_2'] = 'Submit all papers to the standard repository';
$string['repositoryoptions_3'] = 'Do not submit any papers into a repository';
$string['repositoryoptions_4'] = 'Submit all papers to the institutional repository';
$string['restorationheader'] = 'Turnitin Class Restoration';
$string['resubmission'] = 'Resubmission';
$string['resubmissiongradewarn'] = 'Resubmissions are allowed for this assignment until the due date passes. Any and all marks will be deleted when or if the paper is resubmitted. Would you like to continue?';
$string['resubmissiongradewarnaware'] = 'Please be aware that if this resubmission is made, any and all marks will be deleted.';
$string['resubmit'] = 'Resubmit';
$string['resubmitselected'] = 'Resubmit Selected Files';
$string['resubmitting'] = 'Resubmitting';
$string['resubmittoturnitin'] = 'Resubmit to Turnitin';
$string['reveal'] = 'Reveal';
$string['revealdesc'] = 'Please give a reason below for unmasking a students name.';
$string['revealerror'] = 'You must include a valid reason for unmasking a students name.';
$string['revealreason'] = 'Reason for Unmasking';
$string['savecourseenddate'] = 'Save new course end date';
$string['savecourseenddateerror'] = 'There was an error when trying to save a new course end date in Turnitin';
$string['saveusage'] = 'Save Data Dump';
$string['searchcourses'] = 'Search Courses';
$string['selectcourse'] = 'Select Moodle Course';
$string['selectcoursecategory'] = 'Select Course Category';
$string['selectoption'] = 'Select Option';
$string['semptytable'] = 'No results found.';
$string['setinstructordefaults'] = 'Set these values as assignment defaults';
$string['setinstructordefaults_help'] = 'These settings will be used for any new instances of the Moodle Direct Turnitin Assignment created by you. They will supercede the defaults specified by your system administrator and are unique to you.';
$string['settings'] = 'Settings';
$string['settingsinserterror'] = 'There was an error when trying to insert a setting into the database';
$string['settingsupdateerror'] = 'There was an error when trying to update a setting in the database';
$string['sharedrubric'] = 'Shared Rubric';
$string['showpeermark'] = 'Show Peermark Assignments';
$string['showpeermarkinstructions'] = 'Show Peermark Instructions';
$string['showsummary'] = 'Show assignment summary';
$string['showusage'] = 'Show Data Dump';
$string['similarity'] = 'Similarity';
$string['sinfo'] = 'Showing _START_ to _END_ of _TOTAL_ entries.';
$string['slengthmenu'] = 'Show _MENU_ Entries';
$string['slengthmigrationmenu'] = 'Show _MENU_ assignments';
$string['snext'] = 'Next';
$string['source'] = 'Source';
$string['spapercheck'] = 'Check against stored student papers';
$string['spapercheck_help'] = 'Check against the Turnitin student paper repository when processing Originality Reports for papers. The similarity index percentage may decrease if this is de-selected.';
$string['sprevious'] = 'Previous';
$string['sprocessing'] = 'Loading data from Turnitin...';
$string['ssearch'] = 'Search:';
$string['standardrepository'] = 'Standard Repository';
$string['startdatenotyearago'] = 'Start date can not be more than 1 year ago';
$string['student'] = 'Student';
$string['studentdataprivacy'] = 'Student Data Privacy Settings';
$string['studentdataprivacy_desc'] = 'The following settings can be configured to ensure that student&#39;s personal data is not transmitted to Turnitin via the API.';
$string['studentdisclosure'] = 'Student Disclosure';
$string['studentdisclosuredefault'] = 'All files uploaded will be submitted to the plagiarism detection service Turnitin.com';
$string['studentdisclosure_help'] = 'This text will be displayed to all students on the file upload page.';
$string['studentfirstname'] = 'First Name';
$string['studentlastname'] = 'Last Name';
$string['student_notread'] = 'The student has not viewed this paper.';
$string['student_read'] = 'The student viewed the paper on:';
$string['studentremoved'] = 'Student has been removed from the course within Turnitin';
$string['studentremovingerror'] = 'There has been a problem removing the student from the course within Turnitin';
$string['studentreports'] = 'Display Originality Reports to Students';
$string['studentreports_help'] = 'Allows you to display Turnitin originality reports to student users. If set to yes the originality report generated by Turnitin are available for the student to view.';
$string['studentstatus'] = 'Submitted {$a->modified} (Paper ID: {$a->objectid})';
$string['submissionagreementerror'] = 'You must accept the agreement for this submission';
$string['submissionauthor'] = 'Submission Author';
$string['submissiondate'] = 'Submission Date';
$string['submissiondeleted'] = 'Submission Deleted';
$string['submissiondeleteerror'] = 'Could not delete submissions';
$string['submissionextract'] = 'Submission extract';
$string['submissionfileerror'] = 'You must attach a file for submission';
$string['submissionfiletypeerror'] = 'File type not allowed. Allowed types are ({$a})';
$string['submissiongeterror'] = 'Could not get submission data';
$string['submissiongrade'] = 'Grade';
$string['submissionorig'] = 'Similarity';
$string['submissionpart'] = 'Submission Part';
$string['submissionpart_help'] = 'Select the part of the Turnitin Assignment that this submission is to be made to.';
$string['submissions'] = 'Submissions';
$string['submissiontexterror'] = 'You must include the text for this submission';
$string['submissiontitle'] = 'Submission Title';
$string['submissiontitleerror'] = 'You must include a title for this submission';
$string['submissiontitle_help'] = 'Enter the submission title for the piece of work you are submitting.';
$string['submissiontype'] = 'Submission Type';
$string['submissiontype_help'] = '<p>Indicates the submission type(s) you are allowed to submit to Turnitin.</p>';
$string['submissionupdateerror'] = 'Could not update submission data';
$string['submissionuploadsuccess'] = 'Your submission has successfully been uploaded to Turnitin.';
$string['submitnothing'] = 'Enable grading for this student without submission';
$string['submitnothingwarning'] = 'Clicking on the gray pen for a student who hasn&#39;t submitted a file creates a grading template, which will allow you to give the student GradeMark feedback for the assignment. A grading template takes the place of a submission and will prevent the student from submitting to assignments where resubmission is not allowed.<br><br>Are you sure you want to grade without a submission?';
$string['submitondraft'] = 'Submit file when first uploaded';
$string['submitonfinal'] = 'Submit file when student sends for marking';
$string['submitpaper'] = 'Submit Paper';
$string['submitpapersto'] = 'Store Student Papers';
$string['submitpapersto_help'] = '<strong>No Repository: </strong><br />Turnitin is instructed to not store submitted documents to any repository. We will only process the paper to perform the initial similarity check.<br /><br /><strong>Standard Repository: </strong><br />Turnitin will store a copy of the submitted document only in the Standard Repository. By choosing this option, Turnitin is instructed to only use stored documents to make similarity checks against any documents submitted in the future.<br /><br /><strong>Institutional Repository (Where Applicable): </strong><br />Choosing this option instructs Turnitin to only add submitted documents to a repository private to your institution. Similarity checks to the submitted documents will only be made by other instructors within your institution.';
$string['submitted'] = 'Submitted';
$string['submittoturnitin'] = 'Submit to Turnitin';
$string['szerorecords'] = 'No records to display.';
$string['task_name'] = 'Turnitintooltwo Cron Task';
$string['testingconnection'] = 'Testing Connection to Turnitin';
$string['textsubmission'] = 'Text Submission';
$string['texttosubmit'] = 'Text to Submit';
$string['texttosubmit_help'] = 'Copy and paste the text of your submission into this box.';
$string['tii2updateerror'] = 'There was a problem updating the V2 assignment in the database. Please try again.<br />';
$string['tiiaccountconfig'] = 'Turnitin Account Configuration';
$string['tiiaccountsettings'] = 'Turnitin Account Settings';
$string['tiiaccountsettings_desc'] = 'Please ensure these settings match those configured in your Turnitin account, otherwise you may experience issues with assignment creation and/or student submissions.';
$string['tiiassignmentgeterror'] = 'There was an error when trying to get an assignment from Turnitin';
$string['tiidebugginglogs'] = 'Debugging and Logging';
$string['tiiexplain'] = 'Turnitin is a commercial product and you must have a paid subscription to use this service for more information see <a href=http://docs.moodle.org/en/Turnitin_administration>http://docs.moodle.org/en/Turnitin_administration</a>';
$string['tiimiscsettings'] = 'Miscellaneous Plugin Settings';
$string['tii_submission_failure'] = 'Please consult your tutor or Moodle administrator for further details';
$string['tiisubmissiongeterror'] = 'There was an error when trying to get a submission from Turnitin';
$string['tiisubmissionsgeterror'] = 'There was an error when trying to get submissions for this assignment from Turnitin';
$string['tiiusergeterror'] = 'There was an error when trying to get the user details from Turnitin';
$string['title'] = 'Title';
$string['transmatch'] = 'Translated Matching';
$string['transmatch_desc'] = 'Determines whether Translated Matching will be available as a setting on the assignment set up screen.<br /><i>(Enable this option only if Translated Matching is enabled on your Turnitin account)</i>';
$string['turnitin'] = 'Turnitin';
$string['turnitinaccountid'] = 'Turnitin Account ID';
$string['turnitinaccountid_desc'] = '<b>[Required]</b><br />Enter your Turnitin Primary Account ID';
$string['turnitinanon'] = 'Anonymous Marking';
$string['turnitinanon_help'] = 'You can configure your Turnitin assignment to use Anonymous Marking by setting this value to Yes. Once a submission is made anonymous marking cannot be disabled.';
$string['turnitinapiurl'] = 'Turnitin API URL';
$string['turnitinapiurl_desc'] = '<b>[Required]</b><br />Select a Turnitin API URL';
$string['turnitinconfig'] = 'Turnitin Plagiarism Plugin Configuration';
$string['turnitindefaults'] = 'Turnitin plagiarism plugin default settings';
$string['turnitindeleteconfirm'] = 'Deleting papers removes them from your submissions list and inbox but does not completely\\nremove them from the Turnitin database.\\n\\nAre you sure you want to delete this submission? This action cannot be undone.';
$string['turnitindeletionerror'] = 'Turnitin submission deletion failed. The local Moodle copy was removed but the submission in Turnitin could not be deleted.';
$string['turnitindiagnostic'] = 'Enable Diagnostic Mode';
$string['turnitindiagnostic_desc'] = '<b>[Caution]</b><br />Enable Diagnostic mode only to track down problems with the Turnitin API.';
$string['turnitinenablepeermark'] = 'Enable Peermark Assignments';
$string['turnitinenablepeermark_desc'] = 'Choose whether to allow the creation of Peermark Assignments<br/><i>(This is only available to those that have Peermark configured for their account)</i>';
$string['turnitinenrolstudents'] = 'Enrol All Students';
$string['turnitingmoptions'] = 'GradeMark Options';
$string['turnitinhelpdesk'] = 'Turnitin Helpdesk';
$string['turnitinid'] = 'Turnitin ID';
$string['turnitininboxlayout'] = 'Assignment Page Layout';
$string['turnitininboxlayout_desc'] = 'Choose whether the Turnitin Assignment page should show navigation or be displayed full width.';
$string['turnitinloading'] = 'Synchronising Data';
$string['turnitinoroptions'] = 'Originality Report Options';
$string['turnitinpaperid'] = 'Turnitin Paper ID';
$string['turnitinpart'] = 'Part {$a}';
$string['turnitinpluginsettings'] = 'Turnitin plagiarism plugin settings';
$string['turnitinppulapost'] = 'Your file has not been submitted to Turnitin. Please click here to accept our EULA.';
$string['turnitinppulapre'] = 'To submit a file to Turnitin you must first accept our EULA. Choosing to not accept our EULA will submit your file to Moodle only. Click here to accept.';
$string['turnitinrefreshingsubmissions'] = 'Refreshing Submissions';
$string['turnitinrefreshsubmissions'] = 'Refresh Submissions';
$string['turnitinrepositoryoptions'] = 'Paper Repository Assignments';
$string['turnitinrepositoryoptions_desc'] = 'Choose the repository options for Turnitin Assignments.<br /><i>(An Institutional Repository is only available to those that have this enabled for their account)</i>';
$string['turnitinrepositoryoptions_help'] = '<strong>Enable instructor standard repository options: </strong><br />Instructors can instruct Turnitin to add documents to either the standard repository or no repository<br /><br /><strong>Enable instructor expanded repository options: </strong><br />This option will allow instructors to view an assignment setting to allow students to instruct Turnitin where their documents will be stored. Students can choose to add their documents to the standard student repository or to your institution’s private repository.<br /><br /><strong>Submit all papers to the standard repository: </strong><br />All documents will be added to the standard student repository by default.<br /><br /><strong>Do not submit any papers into a repository: </strong><br />Documents will only ever be used to perform the initial check with Turnitin and to display to the instructor for grading.<br /><br /><strong>Submit all papers to the institutional repository: </strong><br />Turnitin is instructed to store all papers within the institutional paper repository. Similarity checks to the submitted documents will only be made by other instructors within your institution.';
$string['turnitinsecretkey'] = 'Turnitin Shared Key';
$string['turnitinsecretkey_desc'] = '<b>[Required]</b><br />Enter your Turnitin Shared Key<br /><i>(Set by your Turnitin Administrator)</i>';
$string['turnitinsettingshelpwizard'] = 'Enable Turnitin helpdesk for Instructors';
$string['turnitinsettingshelpwizard_desc'] = 'Choose whether instructors are able to access the Turnitin helpdesk wizard from within Moodle.';
$string['turnitinstatus'] = 'Turnitin status';
$string['turnitinstudents'] = 'Turnitin Students';
$string['turnitinstudents_desc'] = 'The selected Users below are enrolled on this Turnitin Class. Enrolled students can gain access to this class by logging in to the Turnitin web site.';
$string['turnitinstudentsremove'] = 'Are you sure you want to remove this student from the course within Turnitin?';
$string['turnitinsubmissionid'] = 'Turnitin submission id';
$string['turnitintoolofflineerror'] = 'We are experiencing a temporary problem. Please try again shortly.';
$string['turnitintooltwo'] = 'Turnitin Tool';
$string['turnitintooltwo:addinstance'] = 'Add Turnitin Tool Activity';
$string['turnitintooltwo:admin'] = 'Administer Turnitin Tool';
$string['turnitintooltwoadministration'] = 'Turnitin Assignment 2 Administration';
$string['turnitintooltwoagreement'] = 'Disclaimer / Agreement';
$string['turnitintooltwoagreement_default'] = 'I confirm that this submission is my own work and I accept all responsibility for any copyright infringement that may occur as a result of this submission.';
$string['turnitintooltwoagreement_desc'] = '<b>[Optional]</b><br />Enter an agreement confirmation statement for submissions.<br />(<b>Note:</b> If the agreement is left completely blank then no agreement confirmation will be required by students during submission)';
$string['turnitintooltwodeleteerror'] = 'Could not delete turnitintooltwo data';
$string['turnitintooltwogeterror'] = 'Could not get turnitintooltwo data';
$string['turnitintooltwo:grade'] = 'Grade Turnitin Tool Assignments';
$string['turnitintooltwointro'] = 'Summary';
$string['turnitintooltwoname'] = 'Turnitin Assignment Name';
$string['turnitintooltwo:read'] = 'Read Turnitin Tool Assignments';
$string['turnitintooltworesetdata0'] = 'Copy Turnitin Assignments <i>(Create Duplicates, New Turnitin Class)</i>';
$string['turnitintooltworesetdata1'] = 'Replace Turnitin Assignments <i>(Replace Assignment Parts, Reuse Turnitin Class)</i>';
$string['turnitintooltworesetdata2'] = 'Leave Turnitin Assignments Untouched';
$string['turnitintooltworesetinfo'] = 'Choose an option below for the Turnitin Assignments in this course:';
$string['turnitintooltwo:submit'] = 'Submit to Turnitin Tool Assignments';
$string['turnitintooltwoupdateerror'] = 'Could not update turnitintooltwo data';
$string['turnitintooltwo:view'] = 'View Turnitin Tool Assignments';
$string['turnitintutors'] = 'Turnitin Tutors';
$string['turnitintutorsadd'] = 'Add Turnitin Tutor';
$string['turnitintutorsallenrolled'] = 'All Tutors are enrolled on Turnitin';
$string['turnitintutors_desc'] = 'The selected Tutors below are enrolled as tutors on this Turnitin Class. Enrolled tutors can gain access to this class by logging in to the Turnitin web site.';
$string['turnitintutorsremove'] = 'Are you sure you want to remove this tutor from the course within Turnitin?';
$string['turnitinula'] = 'You must accept the latest Turnitin User Agreement before you can make a submission.';
$string['turnitinula_btn'] = 'Please click here to read and accept the Agreement.';
$string['turnitinuseanon'] = 'Use Anonymous Marking';
$string['turnitinuseanon_desc'] = 'Choose whether to allow Anonymous Marking when grading submissions.<br /><i>(This is only available to those that have Anonymous Marking configured for their account)</i>';
$string['turnitinuseerater'] = 'Enable ETS&copy;';
$string['turnitinuseerater_desc'] = 'Choose whether to enable ETS&copy; grammar checking.<br /><i>(Enable this option only if ETS&copy; e-rater is enabled on your Turnitin account)</i>';
$string['turnitinusegrademark'] = 'Use GradeMark';
$string['turnitinusegrademark_desc'] = 'Choose whether to use GradeMark to grade submissions.<br /><i>(This is only available to those that have GradeMark configured for their account)</i>';
$string['turnitinusegrademark_help'] = 'Use this setting to choose whether to use Turnitin GradeMark to grade the submissions or use Moodle to grade submission.';
$string['turnitinuserepository'] = 'Enable Institutional Repository';
$string['turnitinuserepository_desc'] = 'Choose whether to allow use of Institutional Repositories in Turnitin Assignments.<br /><i>(This is only available to those that have an Institutional Repository enabled for their account)</i>';
$string['turnitinuserepository_help'] = 'Use this setting to enable the Institutional Repository option in the assignment set up screen.<br /><i>(This is only available to those that have an Institutional Repository enabled for their account)</i>';
$string['tutoradded'] = 'Tutor has been added to the course in Turnitin';
$string['tutoraddingerror'] = 'There has been a problem adding the tutor to the course in Turnitin';
$string['tutorremoved'] = 'Tutor has been removed from the course within Turnitin';
$string['tutorremovingerror'] = 'There has been a problem removing the tutor from the course within Turnitin';
$string['tutorstatus'] = '{$a->submitted}/{$a->total} Student Submissions, {$a->graded} Submission{$a->gplural} Graded';
$string['type'] = 'Submission Type';
$string['types'] = 'Submission Types';
$string['types_help'] = '<p>Submissions can be made in two different formats. Copy and Paste or File Upload.</p>';
$string['unanonymiseerror'] = 'There was an error when attempting to reveal the name of a student';
$string['uniquepartname'] = 'Part name must be unique';
$string['unlinkedusers'] = 'Unlinked Users';
$string['unlinkrelinkusers'] = 'Unlink / Relink Turnitin Users';
$string['unlinkusers'] = 'Unlink Users';
$string['updatepart'] = 'Update Part';
$string['updatesubmissionerror'] = 'There was an error trying to resubmit your submission to Turnitin';
$string['upgradeavailable'] = 'Upgrade Available';
$string['upgradenotavailable'] = 'No Upgrade Available';
$string['uploadingsubtoturnitin'] = 'Uploading your submission to Turnitin';
$string['user'] = 'User';
$string['usercreationerror'] = 'Turnitin user creation failed';
$string['userdeleteerror'] = 'Could not delete user data';
$string['userfinderror'] = 'There was an error trying to find the user in Turnitin';
$string['usergeterror'] = 'Could not get user data';
$string['userjoinerror'] = 'There was an error trying to join a user to a course in Turnitin';
$string['userremoveerror'] = 'There was an error trying to remove a user from a course in Turnitin';
$string['userstounlink'] = 'Users to Unlink';
$string['usersunlinkrelink'] = 'Users to Unlink / Relink';
$string['userupdateerror'] = 'Could not update user data';
$string['useturnitin'] = 'Enable Turnitin';
$string['useturnitin_mod'] = 'Enable Turnitin for {$a}';
$string['usinglatest'] = 'You are using the latest version!';
$string['v1assignmentsdeleted'] = 'The assignment(s) have been successfully deleted.';
$string['v1migrationsubtitle'] = 'Moodle Direct V1 to V2 Migration Tool';
$string['v1migrationtitle'] = 'V1 Migration';
$string['viewdigitalreceipt'] = 'View Digital Receipt';
$string['viewreport'] = 'View Report';
$string['viewsubmission'] = 'View Submission';
$string['viewsubmissiondesc'] = 'User viewed submission';
$string['wrongaccountid'] = 'There was an error linking your Turnitin Class. The account you have configured is account {$a->current}. The account this class is from is {$a->backupid}. You can only restore classes that originated in the same Turnitin account.';
$string['yes'] = 'Yes';
$string['yesgrades'] = 'Yes, automatically refresh originality scores and grades';
