<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'ubicast', language 'en', branch 'MOODLE_38_STABLE'
 *
 * @package   ubicast
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['form_resource'] = 'Resource ID';
$string['form_resource_header'] = 'Resource';
$string['form_resource_help'] = 'Select resource from MediaServer. You can also copy-paste a resource ID manually (example: "v124cbdfb0e5c9e28a30").';
$string['language_code'] = 'en';
$string['modulename'] = 'MediaServer resource';
$string['modulename_help'] = 'The UbiCast MediaServer module enables a teacher to provide a channel or a media from a MediaServer web TV as a course resource.';
$string['modulename_link'] = 'mod/ubicast/view';
$string['modulenameplural'] = 'MediaServer resource';
$string['pluginadministration'] = 'UbiCast MediaServer module administration';
$string['pluginname'] = 'UbiCast MediaServer plugin';
$string['privacy:metadata'] = 'The UbiCast MediaServer module only stores links to media from MediaServer.';
$string['settings_ltikey'] = 'MediaServer LTI key';
$string['settings_ltikey_help'] = 'Enter the MediaServer LTI key. An LTI key looks like "xmz9GgcutbUvwDFNBzHMryMmzyX7wy".';
$string['settings_ltisecret'] = 'MediaServer LTI secret';
$string['settings_ltisecret_help'] = 'Enter the MediaServer LTI secret. An LTI secret looks like "4fCQKsxQwFSxCCvdd4Dq9cxNbhZK4afPBpY312wq1mASGkAgC9qy8n9QEPq8".';
$string['settings_speakerfilter'] = 'Show only user\'s media in selection';
$string['settings_speakerfilter_help'] = 'When selecting a media to embed, show only media for which the user is set as the speaker. This setting is ignored if MediaServer is using a version below or equal 8.3.0.';
$string['settings_url'] = 'MediaServer base URL';
$string['settings_url_help'] = 'Enter the MediaServer base URL. Example: "https://mediaserver.ubicast.tv".';
$string['ubicast:addinstance'] = 'Add a new MediaServer resource';
$string['ubicast:view'] = 'View MediaServer resource';
