<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'virtualclass', language 'en', branch 'MOODLE_30_STABLE'
 *
 * @package   virtualclass
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['anyonepresenter'] = 'Anyone can be a presenter';
$string['anyonepresenter_help'] = 'If enable anyone (including student) can be a presenter.';
$string['askplaymsg'] = '<span id="askplaymsg"> "Downloading under process, click Play  to begin </span>"';
$string['audio'] = 'Audio';
$string['audio_help'] = 'If enable , By default audio of all student will be enabled.';
$string['audiotest'] = 'Test Audio';
$string['closebeforeopen'] = 'Could not save the virtualclass. You have specified a close date before the open date.';
$string['closenotset'] = 'You have to specify a close time.';
$string['closesameopen'] = 'Session open and close time should not be same';
$string['closetime'] = 'Sessions closed';
$string['configactiontolocalrun'] = 'If you select \'Local\' SSL (https://) will be required to use Screen Sharing Features.';
$string['customsetting'] = 'Custom settings';
$string['disableAudio'] = 'Disable audio';
$string['disablespeaker'] = 'Mute';
$string['downloadsession'] = 'Please wait while recording is downloaded.';
$string['enableAudio'] = 'Enable audio';
$string['enablespeaker'] = 'Enable Audio';
$string['indvprogress'] = 'Current Task';
$string['joinroom'] = 'Join virtual class room';
$string['liverun'] = 'Online - Use vidya.io server';
$string['localrun'] = 'Local - Use Moodle Files';
$string['modulename'] = 'Virtualclass';
$string['modulename_help'] = 'Use the virtualclass module for real-time online learning.  virtualclass module allows you to participate in synchronous learning,which means that the teacher and students are logged into the virtual learning environment and interacting with each other at the same time.
This module provide students with asynchronous communication tools, such as whiteboard and chat capabilities';
$string['modulenameplural'] = 'Virtualclasss';
$string['notsavekey'] = 'API key is missing. Go to <a href="{$a}">GetKey page</a> to save key.';
$string['opentime'] = 'Sessions open';
$string['overallprogress'] = 'Overall Progress';
$string['play'] = 'Play';
$string['pluginadministration'] = 'Virtualclass administration';
$string['pluginname'] = 'Virtualclass';
$string['pressalways'] = 'Press always to speak';
$string['pressAlwaysToSpeak'] = 'Press always to speak.';
$string['pressonce'] = 'Press once to speak';
$string['pushtotalk'] = 'Push to talk';
$string['pushtotalk_help'] = 'If enable , an extra option for audio testing display.';
$string['replay'] = 'Re-play';
$string['replay_message'] = 'Thanks for watching.';
$string['selectcolor'] = 'Select color';
$string['selectcolor_help'] = 'Choose your own color for your classroom';
$string['selectteacher'] = 'Select teacher';
$string['selectteacher_help'] = 'Select teacher as a moderator for virtual classroom';
$string['sessionclosed'] = 'This session is not available now';
$string['sessionendmsg'] = 'Session has been closed. You may now close your browser.';
$string['sessionsschedule'] = 'Schedule for sessions';
$string['silencedetect'] = 'Silence Detection';
$string['teachername'] = 'Teacher : {$a->firstname} {$a->lastname}';
$string['totalprogress'] = 'Total Progress';
$string['tpAudioTest'] = 'Audio Test';
$string['uploadedsession'] = 'Recording saved successfully.';
$string['uploadrecordedfile'] = 'Upload recorded file';
$string['uploadsession'] = 'Please wait until processing is complete.';
$string['virtualclass'] = 'Virtualclass';
$string['virtualclass:addinstance'] = 'Add a new virtualclass';
$string['virtualclass:dorecording'] = 'Save recoding';
$string['virtualclassfieldset'] = 'Custom example fieldset';
$string['virtualclassname'] = 'Virtualclass name';
$string['virtualclassname_help'] = 'This is a real-time online class room which allows participates interaction with each other and provide asynchronous communication tools such as whiteboard, chat and screen sharing .';
$string['virtualclass:recordingdelete'] = 'Delete recording';
$string['virtualclass:recordingupload'] = 'Upload recorded file';
$string['virtualclasstiming'] = 'Virtual class timing : {$a->open} to {$a->close}';
$string['virtualclass:view'] = 'View virtualclass';
$string['waitmsgconnect'] = 'Please wait a whlie. Application is trying to connect.';
$string['wheretorunvirtualclass'] = 'From where to serve virtualclass App';
