<?php

// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Strings for component 'wordcards', language 'en', branch 'MOODLE_38_STABLE'
 *
 * @package   wordcards
 * @copyright 1999 onwards Martin Dougiamas  {@link http://moodle.com}
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activitycompleted'] = 'Activity completed';
$string['alternates'] = 'Acceptable mistranscribes';
$string['alternates_help'] = 'Enter a comma separated list of acceptable speech recognition mistranscriptions here. eg For the word \'seventy\' , \'70\' and \'seven tea\' would be ok so you might enter <i>\'70, seven tea\'</i>. Only use this if recognition is failing for the term.';
$string['apisecret'] = 'Poodll API Secret';
$string['apisecret_details'] = 'The Poodll API secret. See <a href= "https://support.poodll.com/support/solutions/articles/19000083076-cloud-poodll-api-secret">here</a> for more details';
$string['apiuser'] = 'Poodll API User';
$string['apiuser_details'] = 'The Poodll account username that authorises Poodll on this site.';
$string['appauthorised'] = 'Poodll Word Cards is authorised for this site.';
$string['appnotauthorised'] = 'Poodll Word Cards is NOT authorised for this site.';
$string['ar-ae'] = 'Arabic (Gulf)';
$string['ar-sa'] = 'Arabic (Modern Standard)';
$string['attempts'] = 'Attempts';
$string['attemptsheading'] = 'All Attempts Report';
$string['attemptsreport'] = 'All Attempts Report';
$string['audiofile'] = 'Audio file';
$string['audiofile_help'] = 'Upload an audio file illustrating the pronunciation of the word/phrase. Ths will be used in place of machine voices in dication and when students use the audio player icons for the word.';
$string['awsregion'] = 'AWS Region';
$string['backtostart'] = 'Back to Start';
$string['basicheading'] = 'Basic Report';
$string['completedmsg'] = 'Completed message';
$string['completedmsg_help'] = 'This is the message displayed on the final screen of the activity when the student complete the last practice.';
$string['completionwhenfinish'] = 'The student has finished the activity.';
$string['congrats'] = 'Congratulations!';
$string['congratsitsover'] = '<div  style="text-align: center;">You have completed this activity. Feel free to go back and practice more!</div>';
$string['continue'] = 'Continue';
$string['correct'] = 'Correct';
$string['credentialsinvalid'] = 'The API user and secret entered could not be used to get access. Please check them.';
$string['de-ch'] = 'German (Swiss)';
$string['de-de'] = 'German(DE)';
$string['definition'] = 'Definition';
$string['definition_help'] = 'Enter definition of the term(word/phrase) here. It should be short but still tell the student what the term means.';
$string['definitions'] = 'Definitions';
$string['delete'] = 'Delete';
$string['deleteallentries'] = 'Delete all user attempts and stats (keep the terms/definitions)';
$string['deleteattemptconfirm'] = 'Really delete this attempt?';
$string['deletenow'] = 'Delete';
$string['deleteterm'] = 'Delete term \'{$a}\\';
$string['delim_comma'] = 'Comma';
$string['delimiter'] = 'Delimiter Character';
$string['delim_pipe'] = 'Pipe';
$string['delim_tab'] = 'Tab';
$string['description'] = 'Description';
$string['dictation'] = 'Dictation';
$string['displaysubs'] = '{$a->subscriptionname} : expires {$a->expiredate}';
$string['done'] = 'Next';
$string['dublin'] = 'Dublin, Ireland';
$string['editterm'] = 'Edit term \'{$a}\\';
$string['en-ab'] = 'English (Scotland)';
$string['enabletts_details'] = 'TTS is currently not implemented';
$string['en-au'] = 'English (AU)';
$string['en-gb'] = 'English (GB)';
$string['en-ie'] = 'English (Ireland)';
$string['en-in'] = 'English (IN)';
$string['en-us'] = 'English (US)';
$string['en-wl'] = 'English (Wales)';
$string['es-es'] = 'Spanish (ES)';
$string['es-us'] = 'Spanish (US)';
$string['expiredays'] = 'Days to keep file';
$string['exportexcel'] = 'Export to Excel';
$string['fa-ir'] = 'Farsi';
$string['finishedstepmsg'] = 'Finished message';
$string['finishedstepmsg_help'] = 'This is the message displayed when you end a practice session.';
$string['finishscatterin'] = '<h4 style="text-align: center;">Congratulations!</h4>';
$string['flip'] = 'Flip';
$string['forever'] = 'Never expire';
$string['frankfurt'] = 'Frankfurt, Germany';
$string['fr-ca'] = 'French (CA)';
$string['fr-fr'] = 'French (FR.)';
$string['gotit'] = 'Got it';
$string['grade'] = 'Grade';
$string['grade1_p'] = 'Step1(%)';
$string['grade2_p'] = 'Step2(%)';
$string['grade3_p'] = 'Step3(%)';
$string['grade4_p'] = 'Step4(%)';
$string['grade5_p'] = 'Step5(%)';
$string['grade_p'] = 'Total Grade(%)';
$string['grades'] = 'Grades';
$string['gradesheading'] = 'Grades Report';
$string['gradesreport'] = 'Grades Report';
$string['he-il'] = 'Hebrew';
$string['hi-in'] = 'Hindi(IN)';
$string['id'] = 'ID';
$string['id-id'] = 'Indonesian';
$string['imagefile'] = 'Image file';
$string['imagefile_help'] = 'Upload an image file to be displayed on the cards.';
$string['import'] = 'Import';
$string['importdata'] = 'Import Data';
$string['importinstructions'] = 'You can import lists of words using the \'import data\' text area below. Each line should contain one term(word/phrase) and it\'s definition separated by a delimiter. You can choose a delimiter from the dropdown box below. Each line therefore should look something like this: <i>Hello | Bonjour</i>';
$string['importresults'] = 'Successfully imported {$a->imported} rows. {$a->failed} rows failed.';
$string['instructions_dictation'] = 'Listen and type the word(s) that you hear. Tap the blue button to hear the word(s).';
$string['instructions_matchselect'] = 'Tap the best match from the choices below for the highlighted word.';
$string['instructions_matchtype'] = 'Type the best match for the highlighted word.';
$string['instructions_scatter'] = 'Match the cards with the same meaning, by tapping them,';
$string['instructions_speechcards'] = 'Tap the blue button and speak the word(s) shown on the card. Speak slowly and clearly.';
$string['instructions_vocablist'] = 'Review the words that will be used in this activity. Tap the word card or the \'Flip\' button to show the other side of the cards. When you are ready, tap \'Begin\' to test your knowledge of these words.';
$string['introduction'] = 'Introduction';
$string['itemsperpage'] = 'Items per Page';
$string['itemsperpage_details'] = '';
$string['it-it'] = 'Italian(IT)';
$string['ja-jp'] = 'Japanese';
$string['ko-kr'] = 'Korean';
$string['learnactivity'] = 'New Words';
$string['learnactivityfinished'] = 'You finished the practice session in {$a->seconds} seconds.';
$string['listen'] = 'Listen';
$string['loading'] = 'Loading';
$string['london'] = 'London, U.K';
$string['markasseen'] = 'Mark as seen';
$string['matchselect'] = 'Choose match';
$string['matchtype'] = 'Type match';
$string['maxattempts'] = 'Maximum Attempts';
$string['meaning'] = 'Meaning';
$string['modulename'] = 'Wordcards';
$string['modulename_help'] = 'The wordcards activity module enables a teacher to create custom wordcards games for encouraging students learning new words.';
$string['modulenameplural'] = 'Wordcards';
$string['ms-my'] = 'Malay';
$string['mumbai'] = 'Mumbai, India';
$string['mustseealltocontinue'] = 'Check all the words to continue:';
$string['name'] = 'Name';
$string['next'] = 'Next';
$string['next_step'] = 'Next';
$string['nl-nl'] = 'Dutch';
$string['noapisecret'] = 'No API secret entered. Word Cards will not work correctly.';
$string['noapiuser'] = 'No API user entered. Word Cards will not work correctly.';
$string['nocredentials'] = 'API user and secret not entered. Please enter them on <a href="{$a}">the settings page.</a> You can get them from <a href="https://poodll.com/member">Poodll.com.</a>';
$string['nodataavailable'] = 'No  data available';
$string['nodefinitions'] = 'No words were added yet.';
$string['nosubscriptions'] = 'There is no current subscription for this site/plugin.';
$string['noteaboutseenforteachers'] = 'Note: Teachers\' seen status are not saved.';
$string['notokenincache'] = 'Refresh to see license information. Contact Poodll support if there is a problem.';
$string['novalidcredentials'] = 'API user and secret were rejected and could not gain access. Please check them on <a href="{$a}">the settings page.</a> You can get them from <a href="https://poodll.com/member">Poodll.com.</a>';
$string['ok'] = 'OK';
$string['ottawa'] = 'Ottawa, Canada';
$string['pluginadministration'] = 'Wordcards administration';
$string['pluginname'] = 'Wordcards';
$string['practice'] = 'Practice';
$string['previous'] = 'Prev';
$string['pt-br'] = 'Portuguese(BR)';
$string['pt-pt'] = 'Portuguese (PT)';
$string['pushtospeak'] = 'Tap to Speak';
$string['quit'] = 'Quit';
$string['reallydeleteterm'] = 'Are you sure you want to delete the term \'{$a}\'?';
$string['reattempt'] = 'Try Again';
$string['reattemptbody'] = 'If you continue your previous attempt will be replaced with this one. OK?';
$string['reattempttitle'] = 'Really Try Again?';
$string['refreshtoken'] = 'Refresh license information';
$string['region'] = 'AWS Region';
$string['removeuserdata'] = 'Remove Wordcards user data';
$string['reports'] = 'Reports';
$string['reportsmenutop'] = 'Choose from the reports available below. You can export the data to CSV using the button on the lower right of the report when displayed.';
$string['returntoreports'] = 'Return to Reports';
$string['review'] = 'Review';
$string['reviewactivity'] = 'Review';
$string['reviewactivityfinished'] = 'You finished the review session in {$a->seconds} seconds.';
$string['ru-ru'] = 'Russian';
$string['saopaulo'] = 'Sao Paulo, Brazil';
$string['scatter'] = 'Scatter';
$string['setup'] = 'Words Admin';
$string['setupinstructions'] = 'Enter words for the activity using the form below. You can view, edit and delete previously added words from the table at the bottom of the page. Only the term and definition are required.';
$string['singapore'] = 'Singapore';
$string['skip'] = 'Skip';
$string['skipreview'] = 'Hide first review session';
$string['skipreview_help'] = 'Hide the review session of this specific activity if no wordcards activities have been completed in this course.';
$string['speechcards'] = 'Speech Cards';
$string['starttest'] = 'Begin';
$string['step1practicetype'] = 'Step 1 activity';
$string['step1termcount'] = 'Step 1 word set size';
$string['step2practicetype'] = 'Step 2 activity';
$string['step2termcount'] = 'Step 2 word set size';
$string['step3practicetype'] = 'Step 3 activity';
$string['step3termcount'] = 'Step 3 word set size';
$string['step4practicetype'] = 'Step 4 activity';
$string['step4termcount'] = 'Step 4 word set size';
$string['step5practicetype'] = 'Step 5 activity';
$string['step5termcount'] = 'Step 5 word set size';
$string['submit'] = 'Submit';
$string['sydney'] = 'Sydney, Australia';
$string['tabdefinitions'] = 'Definitions';
$string['tabimport'] = 'Import';
$string['tabreports'] = 'Reports';
$string['tabsetup'] = 'Words Admin';
$string['ta-in'] = 'Tamil';
$string['te-in'] = 'Telegu';
$string['term'] = 'Term';
$string['termadded'] = 'The term \'{$a}\' has been added.';
$string['termdeleted'] = 'The term has been deleted.';
$string['term_help'] = 'Enter the word or phrase to be learned here.';
$string['termnotseen'] = 'Term not seen';
$string['termsaved'] = 'The term \'{$a}\' has been saved.';
$string['termseen'] = 'Term seen';
$string['timecreated'] = 'Created';
$string['title_dictation'] = 'Listen and Type';
$string['title_dictation_rev'] = 'Listen and Type (Review)';
$string['title_matchselect'] = 'Choose the Answer';
$string['title_matchselect_rev'] = 'Choose the Answer (Review)';
$string['title_matchtype'] = 'Type the Answer';
$string['title_matchtype_rev'] = 'Type the Answer (Review)';
$string['title_noactivity'] = 'None';
$string['title_scatter'] = 'Match the Words';
$string['title_scatter_rev'] = 'Match the Words (Review)';
$string['title_speechcards'] = 'Say the Words';
$string['title_speechcards_rev'] = 'Say the Words (Review)';
$string['title_vocablist'] = 'Get Ready';
$string['tokyo'] = 'Tokyo, Japan';
$string['transcriber'] = 'Transcriber';
$string['transcriber_amazontranscribe'] = 'Regular Transcription';
$string['transcriber_details'] = 'The transcription engine to use';
$string['transcriber_googlecloud'] = 'Fast Transcription (< 60s only)';
$string['transcriber_none'] = 'No transcription';
$string['tr-tr'] = 'Turkish';
$string['try_again'] = 'Try again';
$string['ttslanguage'] = 'Target Language';
$string['ttsvoice'] = 'TTS Voice';
$string['ttsvoice_help'] = 'These are the machine voices that will read your words when users press the listen icons or do dictation activity. TTS is not used if you have uploaded an audio file for the word. The voices are limited to those for the language and dialect specified in the \'target language\' setting for the activity.';
$string['unlimited'] = 'Unlimited';
$string['useast1'] = 'US East';
$string['userattemptsheading'] = 'User Attempts Report';
$string['username'] = 'Username';
$string['word'] = 'Word';
$string['wordcards:addinstance'] = 'Add an instance';
$string['wordcards:manageattempts'] = 'Manage Attempts';
$string['wordcards:view'] = 'View the module';
$string['wordcards:viewreports'] = 'View reports';
$string['zh-cn'] = 'Chinese (Mandarin-Mainland)';
